use strict;
use warnings;
use Storable;

my $fname = shift;
my $VAR1 = { 'Version' => { 'FrameNet' => 1.2 },
	     'frameNames' => { 'leadership' => 1,
			       'deciding' => 1,
			       'processing_materials' => 1,
			       'closure' => 1,
			       'medical_conditions' => 1,
			       'guilt_or_innocence' => 1,
			       'addiction' => 1,
                            'judgment_direct_address' => 1,
                            'part_inner_outer' => 1,
                            'severity_of_offense' => 1,
                            'fall_asleep' => 1,
                            'locating' => 1,
                            'being_wet' => 1,
                            'possession' => 1,
                            'activity_initial_state' => 1,
                            'inchoative_change_of_temperature' => 1,
                            'shapes' => 1,
                            'motion_scenario' => 1,
                            'referring_by_name' => 1,
                            'sounds' => 1,
                            'communication_manner' => 1,
                            'theft' => 1,
                            'make_noise' => 1,
                            'recip1' => 1,
                            'apply_heat' => 1,
                            'wearing' => 1,
                            'custom' => 1,
                            'undressing' => 1,
                            'part_edge' => 1,
                            'religious_belief' => 1,
                            'commercial_transaction' => 1,
                            'direction' => 1,
                            'employee\'s_scenario' => 1,
                            'cause_fluidic_motion' => 1,
                            'being_in_operation' => 1,
                            'hindering' => 1,
                            'absorb_heat' => 1,
                            'businesses' => 1,
                            'employer\'s_scenario' => 1,
                            'endangering' => 1,
                            'predicting' => 1,
                            'sign_agreement' => 1,
                            'arrest' => 1,
                            'part_orientational' => 1,
                            'assessing' => 1,
                            'recovery' => 1,
                            'cause_motion' => 1,
                            'performers_and_roles' => 1,
                            'grasp' => 1,
                            'activity' => 1,
                            'experiencer_subj' => 1,
                            'communication_means' => 1,
                            'social_event' => 1,
                            'change_of_phase_scenario' => 1,
                            'in' => 1,
                            'grooming' => 1,
                            'sound_movement' => 1,
                            'body_mark' => 1,
                            'activity_prepare' => 1,
                            'first_experience' => 1,
                            'silencing' => 1,
                            'type' => 1,
                            'scalars' => 1,
                            'measure_duration' => 1,
                            'attaching' => 1,
                            'cause_to_continue' => 1,
                            'project' => 1,
                            'grant_permission' => 1,
                            'commutation' => 1,
                            'court_examination' => 1,
                            'partiality' => 1,
                            'surpassing' => 1,
                            'body_movement' => 1,
                            'detaining' => 1,
                            'expertise' => 1,
                            'aggregate' => 1,
                            'death' => 1,
                            'conduct' => 1,
                            'gizmo' => 1,
                            'rite' => 1,
                            'relinquish_have' => 1,
                            'cause_harm' => 1,
                            'smuggling' => 1,
                            'make_acquaintance' => 1,
                            'requirements' => 1,
                            'unattributed_information' => 1,
                            'motion_directional' => 1,
                            'revenge' => 1,
                            'dressing' => 1,
                            'giving' => 1,
                            'evading' => 1,
                            'make_cognitive_connection' => 1,
                            'remainder' => 1,
                            'identicality' => 1,
                            'spelling_and_pronouncing' => 1,
                            'trajector-landmark' => 1,
                            'subordinates_and_superiors' => 1,
                            'change_event_time' => 1,
                            'examination' => 1,
                            'robbery' => 1,
                            'firing' => 1,
                            'friction' => 1,
                            'sign' => 1,
                            'cogitation' => 1,
                            'employment_scenario' => 1,
                            'employing' => 1,
                            'importance' => 1,
                            'suspiciousness' => 1,
                            'post_transfer' => 1,
                            'people' => 1,
                            'abundance' => 1,
                            'justifying' => 1,
                            'change_of_leadership' => 1,
                            'duplication' => 1,
                            'communicate_categorization' => 1,
                            'temporal_pattern' => 1,
                            'into' => 1,
                            'cause_to_fragment' => 1,
                            'part_whole' => 1,
                            'bringing' => 1,
                            'subjective_influence' => 1,
                            'labeling' => 1,
                            'partitive' => 1,
                            'eclipse' => 1,
                            'path_shape' => 1,
                            'people_by_origin' => 1,
                            'emptying' => 1,
                            'hear' => 1,
                            'change_posture' => 1,
                            'locale' => 1,
                            'relative_time' => 1,
                            'state' => 1,
                            'perception_active' => 1,
                            'commerce_collect' => 1,
                            'suspicion' => 1,
                            'amounting_to' => 1,
                            'gathering_up' => 1,
                            'removing' => 1,
                            'emotion_directed' => 1,
                            'ordinal_numbers' => 1,
                            'event' => 1,
                            'crime_scenario' => 1,
                            'waking_up' => 1,
                            'creating' => 1,
                            'relation' => 1,
                            'process_end' => 1,
                            'criminal_investigation' => 1,
                            'light_movement' => 1,
                            'clothing_parts' => 1,
                            'killing' => 1,
                            'education_teaching' => 1,
                            'suitability' => 1,
                            'causation' => 1,
                            'motion_noise' => 1,
                            'people_by_residence' => 1,
                            'change_of_state_endstate' => 1,
                            'employment_end' => 1,
                            'inchoative_attaching' => 1,
                            'quantity' => 1,
                            'cause_temperature_change' => 1,
                            'making_faces' => 1,
                            'legality' => 1,
                            'usefulness' => 1,
                            'pardon' => 1,
                            'arriving' => 1,
                            'moving_in_place' => 1,
                            'communication_noise' => 1,
                            'wealthiness' => 1,
                            'render_nonfunctional' => 1,
                            'fairness_evaluation' => 1,
                            'compliance' => 1,
                            'part_piece' => 1,
                            'avoiding' => 1,
                            'daring' => 1,
                            'rewards_and_punishments' => 1,
                            'process_initial_state' => 1,
                            'expectation' => 1,
                            'containment_relation' => 1,
                            'activity_ongoing' => 1,
                            'artifact' => 1,
                            'subversion' => 1,
                            'color' => 1,
                            'ground_up' => 1,
                            'medical_specialties' => 1,
                            'forgiveness' => 1,
                            'pre_transfer' => 1,
                            'newcomer' => 1,
                            'rotting' => 1,
                            'process_start' => 1,
                            'memorization' => 1,
                            'natural_features' => 1,
                            'becoming_aware' => 1,
                            'food' => 1,
                            'sensation' => 1,
                            'reading' => 1,
                            'exchange' => 1,
                            'altered_phase' => 1,
                            'cause_change' => 1,
                            'awareness' => 1,
                            'law' => 1,
                            'containing' => 1,
                            'praiseworthiness' => 1,
                            'commerce_goods-transfer' => 1,
                            'acquiring_scenario' => 1,
                            'simple_naming' => 1,
                            'mass_motion' => 1,
                            'evaluative_comparison' => 1,
                            'difficulty' => 1,
                            'exclude_member' => 1,
                            'coming_to_believe' => 1,
                            'accompaniment' => 1,
                            'fighting_activity' => 1,
                            'physical_entity' => 1,
                            'people_by_age' => 1,
                            'intentionally_act' => 1,
                            'cause_to_end' => 1,
                            'building' => 1,
                            'become_silent' => 1,
                            'renunciation' => 1,
                            'impact' => 1,
                            'sleep_scenario' => 1,
                            'ambient_temperature' => 1,
                            'talking_into' => 1,
                            'speak_on_topic' => 1,
                            'manufacturing' => 1,
                            'kinship' => 1,
                            'evidence' => 1,
                            'experience_bodily_harm' => 1,
                            'reporting' => 1,
                            'getting' => 1,
                            'operational_testing' => 1,
                            'prison' => 1,
                            'bounded_entity' => 1,
                            'roadways' => 1,
                            'cause_to_start' => 1,
                            'measure_linear_extent' => 1,
                            'change_of_relation' => 1,
                            'activity_finish' => 1,
                            'measure_volume' => 1,
                            'personal_relationship' => 1,
                            'change_of_consistency' => 1,
                            'reshaping' => 1,
                            'perception' => 1,
                            'predicament' => 1,
                            'prohibiting' => 1,
                            'replacing' => 1,
                            'being_attached' => 1,
                            'inclination' => 1,
                            'similarity' => 1,
                            'seeking' => 1,
                            'hair_configuration' => 1,
                            'hiring' => 1,
                            'intentionally_create' => 1,
                            'self_motion' => 1,
                            'employment_start' => 1,
                            'strictness' => 1,
                            'entity' => 1,
                            'choosing' => 1,
                            'adorning' => 1,
                            'to' => 1,
                            'operate_vehicle' => 1,
                            'quitting' => 1,
                            'rope_manipulation' => 1,
                            'text' => 1,
                            'transfer' => 1,
                            'motion' => 1,
                            'cause_change_of_phase' => 1,
                            'commerce_pay' => 1,
                            'buildings' => 1,
                            'sufficiency' => 1,
                            'reasoning' => 1,
                            'social_connection' => 1,
                            'relinquish_not_have' => 1,
                            'word_relations' => 1,
                            'adding_up' => 1,
                            'biological_urge' => 1,
                            'being_located' => 1,
                            'change_of_state_scenario' => 1,
                            'change_tool' => 1,
                            'cause_confinement' => 1,
                            'arraignment' => 1,
                            'scrutiny' => 1,
                            'attempt' => 1,
                            'boundary' => 1,
                            'inspecting' => 1,
                            'source_of_information' => 1,
                            'remembering_experience' => 1,
                            'facial_expression' => 1,
                            'origin' => 1,
                            'noise_makers' => 1,
                            'verdict' => 1,
                            'process' => 1,
                            'acquire' => 1,
                            'idiosyncrasy' => 1,
                            'memory' => 1,
                            'reliance' => 1,
                            'arson' => 1,
                            'sending' => 1,
                            'performers' => 1,
                            'permitting' => 1,
                            'departing' => 1,
                            'causation_scenario' => 1,
                            'immobilization' => 1,
                            'activity_unfinished_state' => 1,
                            'imprisonment' => 1,
                            'purpose' => 1,
                            'research' => 1,
                            'body_description_holistic' => 1,
                            'emanating' => 1,
                            'cause_impact' => 1,
                            'stinginess' => 1,
                            'expansion' => 1,
                            'locative_relation' => 1,
                            'deserving' => 1,
                            'thwarting' => 1,
                            'measurable_attributes' => 1,
                            'activity_done_state' => 1,
                            'forming_relationships' => 1,
                            'sleep' => 1,
                            'birth' => 1,
                            'commemorative' => 1,
                            'reliance_on_expectation' => 1,
                            'documents' => 1,
                            'people_by_vocation' => 1,
                            'people_by_jurisdiction' => 1,
                            'judgment' => 1,
                            'misdeed' => 1,
                            'heralding' => 1,
                            'statement' => 1,
                            'being_obligatory' => 1,
                            'arranging' => 1,
                            'destroying' => 1,
                            'corroding' => 1,
                            'cooking_creation' => 1,
                            'entering_of_plea' => 1,
                            'quarreling' => 1,
                            'import_export' => 1,
                            'cause_to_be_wet' => 1,
                            'abusing' => 1,
                            'sole_instance' => 1,
                            'rest' => 1,
                            'perception_body' => 1,
                            'cause_expansion' => 1,
                            'attack' => 1,
                            'activity_stop' => 1,
                            'state_continue' => 1,
                            'take_place_of' => 1,
                            'post_getting' => 1,
                            'gesture' => 1,
                            'speed' => 1,
                            'weather' => 1,
                            'process_completed_state' => 1,
                            'exchange_currency' => 1,
                            'assistance' => 1,
                            'perception_experience' => 1,
                            'ride_vehicle' => 1,
                            'jury_deliberation' => 1,
                            'shoot_projectiles' => 1,
                            'omen' => 1,
                            'locale_by_use' => 1,
                            'trial' => 1,
                            'being_operational' => 1,
                            'precipitation' => 1,
                            'change_of_phase' => 1,
                            'practice' => 1,
                            'fining' => 1,
                            'cause_to_experience' => 1,
                            'architectural_part' => 1,
                            'finish_competition' => 1,
                            'commitment' => 1,
                            'objective_influence' => 1,
                            'offenses' => 1,
                            'isolated_places' => 1,
                            'congregating' => 1,
                            'grinding' => 1,
                            'transitive_action' => 1,
                            'existence' => 1,
                            'emotion_active' => 1,
                            'cause_to_move_in_place' => 1,
                            'accoutrements' => 1,
                            'body_description_part' => 1,
                            'influence_of_event_on_cognizer' => 1,
                            'run_risk' => 1,
                            'losing_it' => 1,
                            'breathing' => 1,
                            'discussion' => 1,
                            'cause_to_amalgamate' => 1,
                            'excreting' => 1,
                            'receiving_scenario' => 1,
                            'piracy' => 1,
                            'being_dry' => 1,
                            'surrendering' => 1,
                            'remembering_to_do' => 1,
                            'change_position_on_a_scale' => 1,
                            'cause_change_of_scalar_position' => 1,
                            'shaped_part' => 1,
                            'studying' => 1,
                            'emotion_heat' => 1,
                            'notification_of_charges' => 1,
                            'taking' => 1,
                            'people_by_religion' => 1,
                            'collaboration' => 1,
                            'imitation' => 1,
                            'measure_by_action' => 1,
                            'health_response' => 1,
                            'reason' => 1,
                            'kidnapping' => 1,
                            'distinctiveness' => 1,
                            'setting_fire' => 1,
                            'taking_time' => 1,
                            'weapon' => 1,
                            'people_by_morality' => 1,
                            'being_born' => 1,
                            'suasion' => 1,
                            'source-path-goal' => 1,
                            'manipulate_into_doing' => 1,
                            'hit_target' => 1,
                            'achieving_first' => 1,
                            'name_conferral' => 1,
                            'domain' => 1,
                            'medical_professionals' => 1,
                            'clemency' => 1,
                            'separation' => 1,
                            'remembering_information' => 1,
                            'intoxicants' => 1,
                            'preserving' => 1,
                            'using' => 1,
                            'coming_to_be' => 1,
                            'left_to_do' => 1,
                            'bearing_arms' => 1,
                            'morality_evaluation' => 1,
                            'telling' => 1,
                            'reciprocality' => 1,
                            'process_stopped_state' => 1,
                            'undergo_change' => 1,
                            'dimension' => 1,
                            'corporal_punishment' => 1,
                            'membership' => 1,
                            'frugality' => 1,
                            'containment' => 1,
                            'try_defendant' => 1,
                            'desirability' => 1,
                            'commerce_money-transfer' => 1,
                            'biological_area' => 1,
                            'duration' => 1,
                            'escaping' => 1,
                            'observable_bodyparts' => 1,
                            'execution' => 1,
                            'post_giving' => 1,
                            'calendric_unit' => 1,
                            'age' => 1,
                            'cure' => 1,
                            'sentencing' => 1,
                            'dispersal' => 1,
                            'filling' => 1,
                            'feeling' => 1,
                            'social_interaction_evaluation' => 1,
                            'commerce' => 1,
                            'sharpness' => 1,
                            'being_employed' => 1,
                            'communication' => 1,
                            'posture' => 1,
                            'clothing' => 1,
                            'hostile_encounter' => 1,
                            'ingestion' => 1,
                            'dead_or_alive' => 1,
                            'increment' => 1,
                            'catastrophe' => 1,
                            'volubility' => 1,
                            'being_named' => 1,
                            'pre_getting' => 1,
                            'likelihood' => 1,
                            'giving_scenario' => 1,
                            'temperature' => 1,
                            'request' => 1,
                            'cause_to_wake' => 1,
                            'compatibility' => 1,
                            'instance' => 1,
                            'gradable_attributes' => 1,
                            'expensiveness' => 1,
                            'halt' => 1,
                            'cotheme' => 1,
                            'soaking' => 1,
                            'toxic_substance' => 1,
                            'appeal' => 1,
                            'questioning' => 1,
                            'cutting' => 1,
                            'ingest_substance' => 1,
                            'becoming' => 1,
                            'intentionally_affect' => 1,
                            'certainty' => 1,
                            'attention' => 1,
                            'secrecy_status' => 1,
                            'subject_stimulus' => 1,
                            'getting_scenario' => 1,
                            'body_decoration' => 1,
                            'inclusion' => 1,
                            'desiring' => 1,
                            'political_locales' => 1,
                            'performing_arts' => 1,
                            'contingency' => 1,
                            'relinquishing_scenario' => 1,
                            'cause_to_make_noise' => 1,
                            'amalgamation' => 1,
                            'committing_crime' => 1,
                            'deny_permission' => 1,
                            'fullness' => 1,
                            'bail_setting' => 1,
                            'measure_area' => 1,
                            'iteration' => 1,
                            'scouring' => 1,
                            'post_receiving' => 1,
                            'bungling' => 1,
                            'emitting' => 1,
                            'verification' => 1,
                            'namesake' => 1,
                            'text_creation' => 1,
                            'eventive_cognizer_affecting' => 1,
                            'activity_resume' => 1,
                            'contrition' => 1,
                            'knot_creation' => 1,
                            'get_a_job' => 1,
                            'reparation' => 1,
                            'change_of_state_initial_state' => 1,
                            'containers' => 1,
                            'experiencer_obj' => 1,
                            'response' => 1,
                            'residence' => 1,
                            'linguistic_meaning' => 1,
                            'activity_start' => 1,
                            'preventing' => 1,
                            'degree_of_processing' => 1,
                            'cardinal_numbers' => 1,
                            'building_subparts' => 1,
                            'evoking' => 1,
                            'process_continue' => 1,
                            'location_of_light' => 1,
                            'activity_paused_state' => 1,
                            'time_vector' => 1,
                            'travel' => 1,
                            'claim_ownership' => 1,
                            'encoding' => 1,
                            'recip2' => 1,
                            'topic' => 1,
                            'process_stop' => 1,
                            'cause_to_be_dry' => 1,
                            'attention_getting' => 1,
                            'intoxication' => 1,
                            'prevarication' => 1,
                            'commerce_sell' => 1,
                            'pre_receiving' => 1,
                            'contacting' => 1,
                            'releasing' => 1,
                            'vehicle' => 1,
                            'attributes' => 1,
                            'first_rank' => 1,
                            'activity_pause' => 1,
                            'simple_name' => 1,
                            'differentiation' => 1,
                            'beyond_compare' => 1,
                            'measure_mass' => 1,
                            'invention' => 1,
                            'commerce_buy' => 1,
                            'cause_to_move' => 1,
                            'connectors' => 1,
                            'pre_giving' => 1,
                            'candidness' => 1,
                            'aesthetics' => 1,
                            'medical_instruments' => 1,
                            'mental_property' => 1,
                            'damaging' => 1,
                            'participation' => 1,
                            'manipulation' => 1,
                            'connecting_architecture' => 1,
                            'part_ordered_segments' => 1,
                            'want_suspect' => 1,
                            'reveal_secret' => 1,
                            'attempt_suasion' => 1,
                            'communication_response' => 1,
                            'craft' => 1,
                            'sociability' => 1,
                            'use_firearm' => 1,
                            'employment_continue' => 1,
                            'cause_change_of_consistency' => 1,
                            'capability' => 1,
                            'position_on_a_scale' => 1,
                            'cognitive_connection' => 1,
                            'corroding_caused' => 1,
                            'being_rotted' => 1,
                            'behind_the_scenes' => 1,
                            'criminal_process' => 1,
                            'judgment_communication' => 1,
                            'fluidic_motion' => 1,
                            'placing' => 1,
                            'rape' => 1,
                            'chatting' => 1,
                            'chemical-sense_description' => 1,
                            'social_behavior_evaluation' => 1,
                            'process_resume' => 1,
                            'being_obligated' => 1,
                            'typicality' => 1,
                            'appearance' => 1,
                            'atonement' => 1,
                            'cause_to_be_sharp' => 1,
                            'transfer_scenario' => 1,
                            'relinquish' => 1,
                            'competition' => 1,
                            'receiving' => 1,
                            'categorization' => 1
                          },
          'lu2frames' => {
                           'sapid.a' => [
                                        'Chemical-sense_description'
                                      ],
                           'first.adv' => [
                                          'First_experience'
                                        ],
                           'clothes.n' => [
                                          'Clothing'
                                        ],
                           'famished.a' => [
                                           'Biological_urge'
                                         ],
                           'coverall.n' => [
                                           'Clothing'
                                         ],
                           'keg.n' => [
                                      'Containers'
                                    ],
                           'covenant.v' => [
                                           'Commitment'
                                         ],
                           'clamber.v' => [
                                          'Self_motion'
                                        ],
                           'crane.v' => [
                                        'Body_movement'
                                      ],
                           'outbuilding.n' => [
                                              'Buildings'
                                            ],
                           'magnum.n' => [
                                         'Containers'
                                       ],
                           'accord.v' => [
                                         'Compatibility'
                                       ],
                           'escape.n' => [
                                         'Departing'
                                       ],
                           'jot.v' => [
                                      'Text_creation'
                                    ],
                           'forty-four.n' => [
                                             'Weapon'
                                           ],
                           'immunology.n' => [
                                             'Medical_specialties'
                                           ],
                           'stare.v' => [
                                        'Perception_active'
                                      ],
                           'incompatible.a' => [
                                               'Compatibility'
                                             ],
                           'bayou.n' => [
                                        'Natural_features'
                                      ],
                           'servant.n' => [
                                          'People_by_vocation',
                                          'Subordinates_and_Superiors'
                                        ],
                           'initiate.v' => [
                                           'Rite'
                                         ],
                           'boatload.n' => [
                                           'Measure_volume'
                                         ],
                           'obligated.a' => [
                                            'Being_obligated'
                                          ],
                           'pullover.n' => [
                                           'Clothing'
                                         ],
                           'set_on_fire.v' => [
                                              'Setting_fire'
                                            ],
                           'companionable.a' => [
                                                'Sociability'
                                              ],
                           'troubling.a' => [
                                            'Subject_stimulus'
                                          ],
                           'war.v' => [
                                      'Hostile_encounter'
                                    ],
                           'bottom.a' => [
                                         'Part_orientational'
                                       ],
                           'ballroom.n' => [
                                           'Building_subparts'
                                         ],
                           'cleave.v' => [
                                         'Cause_to_fragment'
                                       ],
                           'other.a' => [
                                        'Increment'
                                      ],
                           'stuff.v' => [
                                        'Filling',
                                        'Placing'
                                      ],
                           'tenement.n' => [
                                           'Buildings'
                                         ],
                           'nettled.a' => [
                                          'Emotion_directed',
                                          'Experiencer_subj'
                                        ],
                           'married.a' => [
                                          'Personal_relationship'
                                        ],
                           'originate.v' => [
                                            'Achieving_first',
                                            'Origin'
                                          ],
                           'lunch.v' => [
                                        'Ingestion'
                                      ],
                           'traumatising.a' => [
                                               'Subject_stimulus'
                                             ],
                           'flicker.n' => [
                                          'Light_movement',
                                          'Location_of_light'
                                        ],
                           'eucharist.n' => [
                                            'Rite'
                                          ],
                           'script.n' => [
                                         'Text'
                                       ],
                           'iceberg.n' => [
                                          'Natural_features'
                                        ],
                           'state.n' => [
                                        'Political_locales'
                                      ],
                           'uniform.n' => [
                                          'Clothing'
                                        ],
                           'clad.a' => [
                                       'Wearing'
                                     ],
                           'salver.n' => [
                                         'Containers'
                                       ],
                           'elude.v' => [
                                        'Evading'
                                      ],
                           'wing.n' => [
                                       'Building_subparts',
                                       'Observable_bodyparts'
                                     ],
                           'beginner.n' => [
                                           'Activity_start'
                                         ],
                           'covered.a' => [
                                          'Abundance',
                                          'Eclipse'
                                        ],
                           'seethe.v' => [
                                         'Emotion_heat'
                                       ],
                           'discontinue.v' => [
                                              'Activity_stop',
                                              'Process_stop'
                                            ],
                           'incite.v' => [
                                         'Talking_into'
                                       ],
                           'realize.v' => [
                                          'Coming_to_believe'
                                        ],
                           'eczema.n' => [
                                         'Medical_conditions'
                                       ],
                           'prefigure.v' => [
                                            'Omen'
                                          ],
                           'planter.n' => [
                                          'Containers'
                                        ],
                           'ruling.n' => [
                                         'Documents',
                                         'Verdict'
                                       ],
                           'grandmother.n' => [
                                              'Kinship'
                                            ],
                           'stink.n' => [
                                        'Chemical-sense_description',
                                        'Sensation'
                                      ],
                           'aware.a' => [
                                        'Awareness'
                                      ],
                           'hundreds.n' => [
                                           'Quantity'
                                         ],
                           'send up.adv' => [
                                            'Sentencing'
                                          ],
                           'exhaustion.n' => [
                                             'Biological_urge'
                                           ],
                           'gossip.n' => [
                                         'Chatting'
                                       ],
                           'hangar.n' => [
                                         'Buildings'
                                       ],
                           'doctor.n' => [
                                         'Medical_professionals'
                                       ],
                           'vacate.v' => [
                                         'Departing'
                                       ],
                           'check.v' => [
                                        'Inspecting',
                                        'Preventing',
                                        'Scrutiny'
                                      ],
                           'lumber.v' => [
                                         'Self_motion'
                                       ],
                           'pasha.n' => [
                                        'Leadership'
                                      ],
                           'safe.n' => [
                                       'Containers'
                                     ],
                           'laparoscope.n' => [
                                              'Medical_instruments'
                                            ],
                           'at large.a' => [
                                           'Detaining'
                                         ],
                           'divorced.a' => [
                                           'Personal_relationship'
                                         ],
                           'waltz.v' => [
                                        'Self_motion'
                                      ],
                           'upsetting.a' => [
                                            'Subject_stimulus'
                                          ],
                           'braise.v' => [
                                         'Apply_heat'
                                       ],
                           'boast.v' => [
                                        'Statement'
                                      ],
                           'grass.n' => [
                                        'Intoxicants'
                                      ],
                           'located.a' => [
                                          'Being_located'
                                        ],
                           'depend.v' => [
                                         'Contingency',
                                         'Reliance'
                                       ],
                           'slumber.v' => [
                                          'Sleep'
                                        ],
                           'feel_like.v' => [
                                            'Desiring'
                                          ],
                           'stymie.v' => [
                                         'Thwarting'
                                       ],
                           'take.v' => [
                                       'Bringing',
                                       'Ingest_substance',
                                       'Removing',
                                       'Ride_Vehicle',
                                       'Taking',
                                       'Taking_time'
                                     ],
                           'tedious.a' => [
                                          'Subject_stimulus'
                                        ],
                           'sew.v' => [
                                      'Attaching'
                                    ],
                           'apprehensive.a' => [
                                               'Experiencer_subj'
                                             ],
                           'drenched.a' => [
                                           'Being_wet'
                                         ],
                           'mess-up.n' => [
                                          'Bungling'
                                        ],
                           'shooter.n' => [
                                          'Weapon'
                                        ],
                           'field.n' => [
                                        'Locale_by_use'
                                      ],
                           'link.v' => [
                                       'Make_cognitive_connection'
                                     ],
                           'cross-examine.v' => [
                                                'Court_examination'
                                              ],
                           'effort.n' => [
                                         'Attempt'
                                       ],
                           'january.n' => [
                                          'Calendric_unit'
                                        ],
                           'disappearance.n' => [
                                                'Departing'
                                              ],
                           'cut.a' => [
                                      'Hair_configuration'
                                    ],
                           'sanction.n' => [
                                           'Revenge'
                                         ],
                           'ghastly.a' => [
                                          'Subject_stimulus'
                                        ],
                           'debate.v' => [
                                         'Discussion'
                                       ],
                           'inside.n' => [
                                         'Part_inner_outer'
                                       ],
                           'library.n' => [
                                          'Buildings'
                                        ],
                           'millimeter.n' => [
                                             'Measure_linear_extent'
                                           ],
                           'swerve.v' => [
                                         'Path_shape'
                                       ],
                           'ornamented.a' => [
                                             'Abundance'
                                           ],
                           'thieving.n' => [
                                           'Theft'
                                         ],
                           'analyst.n' => [
                                          'Scrutiny'
                                        ],
                           'boxing day.n' => [
                                             'Commemorative'
                                           ],
                           'marijuana.n' => [
                                            'Intoxicants'
                                          ],
                           'beseech.v' => [
                                          'Request'
                                        ],
                           'lobster.n' => [
                                          'Food'
                                        ],
                           'degenerate.n' => [
                                             'People_by_morality'
                                           ],
                           'forthright.a' => [
                                             'Candidness'
                                           ],
                           'nonpareil.a' => [
                                            'Beyond_compare'
                                          ],
                           'lack.v' => [
                                       'Possession'
                                     ],
                           'exporter.n' => [
                                           'Import_export'
                                         ],
                           'sin.n' => [
                                      'Misdeed'
                                    ],
                           'accept.v' => [
                                         'Receiving'
                                       ],
                           'trail.n' => [
                                        'Roadways'
                                      ],
                           'crew.n' => [
                                       'Aggregate'
                                     ],
                           'different.a' => [
                                            'Identicality',
                                            'Similarity'
                                          ],
                           'excitement.n' => [
                                             'Emotion_directed'
                                           ],
                           'type.v' => [
                                       'Text_creation'
                                     ],
                           'chained.a' => [
                                          'Being_attached'
                                        ],
                           'pile.v' => [
                                       'Filling',
                                       'Placing'
                                     ],
                           'pancake.n' => [
                                          'Food'
                                        ],
                           'remorseless.a' => [
                                              'Contrition'
                                            ],
                           'tired.a' => [
                                        'Biological_urge'
                                      ],
                           'learn.v' => [
                                        'Coming_to_believe',
                                        'Education_teaching',
                                        'Memorization'
                                      ],
                           'virtuosity.n' => [
                                             'Expertise'
                                           ],
                           'bubble.v' => [
                                         'Fluidic_motion'
                                       ],
                           'mortified.a' => [
                                            'Emotion_directed'
                                          ],
                           'piece together.v' => [
                                                 'Building'
                                               ],
                           'disembowel.v' => [
                                             'Emptying'
                                           ],
                           'obligation.n' => [
                                             'Being_obligated'
                                           ],
                           'yap.n' => [
                                      'Sounds'
                                    ],
                           'underbelly.n' => [
                                             'Part_orientational'
                                           ],
                           'make-up.n' => [
                                          'Body_decoration'
                                        ],
                           'cackle.v' => [
                                         'Communication_noise',
                                         'Make_noise'
                                       ],
                           'lanky.a' => [
                                        'Body_description_holistic'
                                      ],
                           'cavern.n' => [
                                         'Natural_features'
                                       ],
                           'elation.n' => [
                                          'Emotion_directed'
                                        ],
                           'automobile.n' => [
                                             'Vehicle'
                                           ],
                           'arduous.a' => [
                                          'Difficulty'
                                        ],
                           'bellow.v' => [
                                         'Communication_noise',
                                         'Make_noise'
                                       ],
                           'destruction.n' => [
                                              'Destroying'
                                            ],
                           'snow.v' => [
                                       'Precipitation'
                                     ],
                           'excite.v' => [
                                         'Experiencer_obj'
                                       ],
                           'homonym.n' => [
                                          'Word_relations'
                                        ],
                           'twirl.v' => [
                                        'Cause_to_move_in_place',
                                        'Moving_in_place'
                                      ],
                           'nightwear.n' => [
                                            'Clothing'
                                          ],
                           'electrifying.a' => [
                                               'Subject_stimulus'
                                             ],
                           'sprinkled.a' => [
                                            'Abundance'
                                          ],
                           'in_cahoots.a' => [
                                             'Collaboration'
                                           ],
                           'alarmed.a' => [
                                          'Emotion_directed'
                                        ],
                           'deprecation.n' => [
                                              'Judgment_communication'
                                            ],
                           'astride.prep' => [
                                             'Locative_relation'
                                           ],
                           'pre-emption.n' => [
                                              'Preventing'
                                            ],
                           'split.v' => [
                                        'Departing',
                                        'Separation'
                                      ],
                           'lingerie.n' => [
                                           'Clothing'
                                         ],
                           'steep.v' => [
                                        'Apply_heat'
                                      ],
                           'irrational.a' => [
                                             'Mental_property'
                                           ],
                           'praiseworthy.a' => [
                                               'Praiseworthiness'
                                             ],
                           'dale.n' => [
                                       'Natural_features'
                                     ],
                           'rasp.n' => [
                                       'Sounds'
                                     ],
                           'lose.v' => [
                                       'Finish_competition'
                                     ],
                           'place.n' => [
                                        'Locale'
                                      ],
                           'misnomer.n' => [
                                           'Being_named'
                                         ],
                           'discussant.n' => [
                                             'Discussion'
                                           ],
                           'lea.n' => [
                                      'Biological_area'
                                    ],
                           'indictment.n' => [
                                             'Notification_of_charges'
                                           ],
                           'receptionist.n' => [
                                               'People_by_vocation'
                                             ],
                           'impressive.a' => [
                                             'Subject_stimulus'
                                           ],
                           'black out.v' => [
                                            'Fall_asleep'
                                          ],
                           'parade.v' => [
                                         'Mass_motion',
                                         'Self_motion'
                                       ],
                           'palazzo.n' => [
                                          'Buildings'
                                        ],
                           'splash.v' => [
                                         'Cause_fluidic_motion',
                                         'Filling',
                                         'Fluidic_motion',
                                         'Motion_noise'
                                       ],
                           'clink.v' => [
                                        'Cause_impact',
                                        'Impact',
                                        'Motion_noise'
                                      ],
                           'emanate.v' => [
                                          'Emanating'
                                        ],
                           'applaud.v' => [
                                          'Judgment'
                                        ],
                           'misword.v' => [
                                          'Encoding'
                                        ],
                           'confiscate.v' => [
                                             'Removing'
                                           ],
                           'real.a' => [
                                       'Existence'
                                     ],
                           'activity.n' => [
                                           'Intentionally_act'
                                         ],
                           'forename.n' => [
                                           'Being_named'
                                         ],
                           'tumbler.n' => [
                                          'Containers'
                                        ],
                           'curtsy.v' => [
                                         'Body_movement'
                                       ],
                           'suicide.n' => [
                                          'Killing'
                                        ],
                           'outgoing.a' => [
                                           'Sociability'
                                         ],
                           'inexperienced.a' => [
                                                'Expertise'
                                              ],
                           'equivocate.v' => [
                                             'Prevarication'
                                           ],
                           'squawk.n' => [
                                         'Sounds'
                                       ],
                           'exasperating.a' => [
                                               'Subject_stimulus'
                                             ],
                           'lash.v' => [
                                       'Attaching',
                                       'Cause_harm'
                                     ],
                           'gala.n' => [
                                       'Social_event'
                                     ],
                           'wait.v' => [
                                       'Expectation'
                                     ],
                           'desiccation.n' => [
                                              'Cause_to_be_dry'
                                            ],
                           'rouge.n' => [
                                        'Body_decoration'
                                      ],
                           'sense.v' => [
                                        'Perception_experience'
                                      ],
                           'suggest.v' => [
                                          'Evidence',
                                          'Statement'
                                        ],
                           'student.n' => [
                                          'Education_teaching'
                                        ],
                           'offended.a' => [
                                           'Emotion_directed'
                                         ],
                           'incompatibility.n' => [
                                                  'Compatibility'
                                                ],
                           'cracker.n' => [
                                          'Food'
                                        ],
                           'screw.n' => [
                                        'Connectors'
                                      ],
                           'varnish.v' => [
                                          'Filling'
                                        ],
                           'certificate.n' => [
                                              'Documents'
                                            ],
                           'grasp.n' => [
                                        'Grasp'
                                      ],
                           'bonnet.n' => [
                                         'Accoutrements'
                                       ],
                           'veil.v' => [
                                       'Eclipse'
                                     ],
                           'gastroenterologist.n' => [
                                                     'Medical_professionals'
                                                   ],
                           'mother.n' => [
                                         'Kinship'
                                       ],
                           'club.n' => [
                                       'Weapon'
                                     ],
                           'gotta.v' => [
                                        'Being_obligated'
                                      ],
                           'wine bottle.n' => [
                                              'Containers'
                                            ],
                           'admit.v' => [
                                        'Statement'
                                      ],
                           'crop.n' => [
                                       'Aggregate'
                                     ],
                           'attention.n' => [
                                            'Attention',
                                            'Perception_active'
                                          ],
                           'duel.n' => [
                                       'Hostile_encounter'
                                     ],
                           'mugging.n' => [
                                          'Robbery'
                                        ],
                           'surveyor.n' => [
                                           'Scrutiny'
                                         ],
                           'fit.v' => [
                                      'Suitability'
                                    ],
                           'reprove.v' => [
                                          'Judgment_direct_address'
                                        ],
                           'partial.a' => [
                                          'Partiality'
                                        ],
                           'astonishment.n' => [
                                               'Emotion_directed'
                                             ],
                           'meter.n' => [
                                        'Measure_linear_extent'
                                      ],
                           'foreshadow.v' => [
                                             'Omen'
                                           ],
                           'pry.v' => [
                                      'Perception_active'
                                    ],
                           'acquisition_((act)).n' => [
                                                      'Getting'
                                                    ],
                           'sally.v' => [
                                        'Departing'
                                      ],
                           'drag.v' => [
                                       'Cause_motion',
                                       'Ingest_substance'
                                     ],
                           'click.v' => [
                                        'Cause_impact',
                                        'Impact',
                                        'Make_noise',
                                        'Motion_noise'
                                      ],
                           'manicure.v' => [
                                           'Grooming'
                                         ],
                           'lay-off.n' => [
                                          'Firing'
                                        ],
                           'hijack.v' => [
                                         'Piracy'
                                       ],
                           'belt.v' => [
                                       'Cause_harm'
                                     ],
                           'bequeath.v' => [
                                           'Giving'
                                         ],
                           'forelimb.n' => [
                                           'Observable_bodyparts'
                                         ],
                           'solemn.a' => [
                                         'Subject_stimulus'
                                       ],
                           'maternal.a' => [
                                           'Kinship'
                                         ],
                           'topple.v' => [
                                         'Change_of_leadership',
                                         'Motion_directional'
                                       ],
                           'forward.v' => [
                                          'Sending'
                                        ],
                           'national.n' => [
                                           'People_by_jurisdiction'
                                         ],
                           'questionable.a' => [
                                               'Suspiciousness'
                                             ],
                           'rapid.a' => [
                                        'Taking_time'
                                      ],
                           'sit up.v' => [
                                         'Change_posture'
                                       ],
                           'casserole.n' => [
                                            'Containers'
                                          ],
                           'hundredth.n' => [
                                            'Part_whole'
                                          ],
                           'shipment_((items)).n' => [
                                                     'Sending'
                                                   ],
                           'enchant.v' => [
                                          'Experiencer_obj'
                                        ],
                           'diplomatic.a' => [
                                             'Social_interaction_evaluation'
                                           ],
                           'compare.v' => [
                                          'Evaluative_comparison'
                                        ],
                           'psychiatrist.n' => [
                                               'Medical_professionals'
                                             ],
                           'thick.a' => [
                                        'Dimension'
                                      ],
                           'jacket.n' => [
                                         'Clothing'
                                       ],
                           'recollection.n' => [
                                               'Memory'
                                             ],
                           'hippodrome.n' => [
                                             'Buildings'
                                           ],
                           'autobiography.n' => [
                                                'Text'
                                              ],
                           'gaze.v' => [
                                       'Perception_active'
                                     ],
                           'to a halt.prep' => [
                                               'Halt'
                                             ],
                           'pavilion.n' => [
                                           'Buildings'
                                         ],
                           'duplicate.n' => [
                                            'Duplication'
                                          ],
                           'mantle.n' => [
                                         'Accoutrements'
                                       ],
                           'presume.v' => [
                                          'Awareness'
                                        ],
                           'prove.v' => [
                                        'Evidence',
                                        'Reasoning'
                                      ],
                           'courteous.a' => [
                                            'Social_interaction_evaluation'
                                          ],
                           'sift.v' => [
                                       'Scouring',
                                       'Scrutiny'
                                     ],
                           'chirp.n' => [
                                        'Sounds'
                                      ],
                           'lavish.a' => [
                                         'Stinginess'
                                       ],
                           'bus.n' => [
                                      'Vehicle'
                                    ],
                           'contrive.v' => [
                                           'Invention'
                                         ],
                           'entitled.a' => [
                                           'Being_named'
                                         ],
                           'yen.n' => [
                                      'Desiring'
                                    ],
                           'mug.n' => [
                                      'Containers',
                                      'Measure_volume'
                                    ],
                           'footwear.n' => [
                                           'Clothing'
                                         ],
                           'world.n' => [
                                        'Political_locales'
                                      ],
                           'discover.v' => [
                                           'Achieving_first',
                                           'Becoming_aware'
                                         ],
                           'acquittal.n' => [
                                            'Verdict'
                                          ],
                           'pine.v' => [
                                       'Experiencer_subj'
                                     ],
                           'tranquillizer.n' => [
                                                'Intoxicants'
                                              ],
                           'spy out.v' => [
                                          'Becoming_aware'
                                        ],
                           'test.n' => [
                                       'Examination',
                                       'Operational_testing'
                                     ],
                           'dislodge.v' => [
                                           'Removing'
                                         ],
                           'stand up.v' => [
                                           'Change_posture'
                                         ],
                           'lift.n' => [
                                       'Building_subparts',
                                       'Connecting_architecture'
                                     ],
                           'excuse.v' => [
                                         'Forgiveness'
                                       ],
                           'bop.v' => [
                                      'Self_motion'
                                    ],
                           'treat.v' => [
                                        'Communicate_categorization',
                                        'Cure',
                                        'Giving',
                                        'Processing_materials',
                                        'Topic'
                                      ],
                           'analysis.n' => [
                                           'Scrutiny'
                                         ],
                           'indictable.a' => [
                                             'Severity_of_offense'
                                           ],
                           'perspiration.n' => [
                                               'Excreting'
                                             ],
                           'beard.n' => [
                                        'Observable_bodyparts'
                                      ],
                           'shocking.a' => [
                                           'Subject_stimulus'
                                         ],
                           'too.adv' => [
                                        'Sufficiency'
                                      ],
                           'make.n' => [
                                       'Type'
                                     ],
                           'tie.v' => [
                                      'Attaching',
                                      'Cause_confinement',
                                      'Closure',
                                      'Finish_competition',
                                      'Knot_creation',
                                      'Make_cognitive_connection',
                                      'Rope_manipulation'
                                    ],
                           'rheumatology.n' => [
                                               'Medical_specialties'
                                             ],
                           'depart.v' => [
                                         'Departing'
                                       ],
                           'spat.n' => [
                                       'Hostile_encounter',
                                       'Quarreling'
                                     ],
                           'befogged.a' => [
                                           'Eclipse'
                                         ],
                           'trademark.a' => [
                                            'Distinctiveness'
                                          ],
                           'righteous.a' => [
                                            'Morality_evaluation'
                                          ],
                           'stirring.a' => [
                                           'Subject_stimulus'
                                         ],
                           'pseudonym.n' => [
                                            'Being_named'
                                          ],
                           'nerve-racking.a' => [
                                                'Subject_stimulus'
                                              ],
                           'drowse.n' => [
                                         'Sleep'
                                       ],
                           'murder.n' => [
                                         'Killing',
                                         'Offenses'
                                       ],
                           'pickle.v' => [
                                         'Preserving'
                                       ],
                           'tiled.a' => [
                                        'Abundance'
                                      ],
                           'change.n' => [
                                         'Undergo_change'
                                       ],
                           'moll.n' => [
                                       'Personal_relationship'
                                     ],
                           'centrifuge.n' => [
                                             'Gizmo'
                                           ],
                           'hire.v' => [
                                       'Hiring'
                                     ],
                           'cite.v' => [
                                       'Judgment_communication',
                                       'Statement'
                                     ],
                           'bar mitzvah.n' => [
                                              'Rite'
                                            ],
                           'armlet.n' => [
                                         'Accoutrements'
                                       ],
                           'bumbling.a' => [
                                           'Bungling'
                                         ],
                           'propensity.n' => [
                                             'Inclination'
                                           ],
                           'cliff.n' => [
                                        'Natural_features'
                                      ],
                           'hillock.n' => [
                                          'Natural_features'
                                        ],
                           'mite.n' => [
                                       'Quantity'
                                     ],
                           'constrain.v' => [
                                            'Hindering'
                                          ],
                           'feed.v' => [
                                       'Ingestion'
                                     ],
                           'berate.v' => [
                                         'Judgment_direct_address'
                                       ],
                           'conceal.v' => [
                                          'Eclipse'
                                        ],
                           'back.n' => [
                                       'Observable_bodyparts',
                                       'Part_orientational'
                                     ],
                           'appeal.n' => [
                                         'Appeal',
                                         'Request'
                                       ],
                           'hope.v' => [
                                       'Desiring'
                                     ],
                           'enjoyable.a' => [
                                            'Subject_stimulus'
                                          ],
                           'round.v' => [
                                        'Path_shape'
                                      ],
                           'birthmark.n' => [
                                            'Body_mark'
                                          ],
                           'mad.a' => [
                                      'Emotion_directed'
                                    ],
                           'humidify.v' => [
                                           'Cause_to_be_wet'
                                         ],
                           'possession.n' => [
                                             'Offenses',
                                             'Possession'
                                           ],
                           'hose.v' => [
                                       'Render_nonfunctional'
                                     ],
                           'fumble.v' => [
                                         'Bungling',
                                         'Manipulation',
                                         'Seeking'
                                       ],
                           'lover.n' => [
                                        'Personal_relationship'
                                      ],
                           'screenplay.n' => [
                                             'Text'
                                           ],
                           'obsession.n' => [
                                            'Emotion_active'
                                          ],
                           'reside.v' => [
                                         'Residence'
                                       ],
                           'similar.a' => [
                                          'Similarity'
                                        ],
                           'select.v' => [
                                         'Choosing'
                                       ],
                           'purchase.v' => [
                                           'Commerce_buy'
                                         ],
                           'imply.v' => [
                                        'Evidence'
                                      ],
                           'harbor.n' => [
                                         'Locale_by_use'
                                       ],
                           'stand down.v' => [
                                             'Quitting'
                                           ],
                           'smoulder.v' => [
                                           'Emotion_heat'
                                         ],
                           'inconsolable.a' => [
                                               'Emotion_directed'
                                             ],
                           'bad apple.n' => [
                                            'People_by_morality'
                                          ],
                           'mesa.n' => [
                                       'Natural_features'
                                     ],
                           'interpretation.n' => [
                                                 'Categorization'
                                               ],
                           'aspiration.n' => [
                                             'Desiring'
                                           ],
                           'peculiar.a' => [
                                           'Idiosyncrasy'
                                         ],
                           'horde.n' => [
                                        'Aggregate'
                                      ],
                           'repository.n' => [
                                             'Building_subparts'
                                           ],
                           'pyramid.n' => [
                                          'Buildings'
                                        ],
                           'enter.v' => [
                                        'Activity_start',
                                        'Arriving',
                                        'Path_shape'
                                      ],
                           'prevarication.n' => [
                                                'Prevarication'
                                              ],
                           'dehydrate.v' => [
                                            'Cause_to_be_dry'
                                          ],
                           'swear.v' => [
                                        'Commitment'
                                      ],
                           'boater.n' => [
                                         'Accoutrements'
                                       ],
                           'compliment.v' => [
                                             'Judgment_direct_address'
                                           ],
                           'hand.n' => [
                                       'Observable_bodyparts'
                                     ],
                           'coatless.a' => [
                                           'Wearing'
                                         ],
                           'host.n' => [
                                       'Aggregate'
                                     ],
                           'befog.v' => [
                                        'Eclipse'
                                      ],
                           'amount.n' => [
                                         'Quantity'
                                       ],
                           'vex.v' => [
                                      'Experiencer_obj'
                                    ],
                           'title.n' => [
                                        'Documents'
                                      ],
                           'confine.v' => [
                                          'Cause_confinement'
                                        ],
                           'stairs.n' => [
                                         'Connecting_architecture'
                                       ],
                           'remedy.n' => [
                                         'Cure'
                                       ],
                           'smile.n' => [
                                        'Facial_expression'
                                      ],
                           'envy.v' => [
                                       'Experiencer_subj'
                                     ],
                           'ridge.n' => [
                                        'Natural_features'
                                      ],
                           'describe.v' => [
                                           'Communicate_categorization'
                                         ],
                           'exasperate.v' => [
                                             'Experiencer_obj'
                                           ],
                           'feeling.n' => [
                                          'Sensation'
                                        ],
                           'stuffed.a' => [
                                          'Abundance'
                                        ],
                           'denigrative.a' => [
                                              'Judgment_communication'
                                            ],
                           'nudity.n' => [
                                         'Wearing'
                                       ],
                           'rattle.n' => [
                                         'Noise_makers'
                                       ],
                           'bruise.v' => [
                                         'Cause_harm',
                                         'Experience_bodily_harm'
                                       ],
                           'jail.n' => [
                                       'Prison'
                                     ],
                           'october.n' => [
                                          'Calendric_unit'
                                        ],
                           'consecrate.v' => [
                                             'Rite'
                                           ],
                           'switch.v' => [
                                         'Change_tool',
                                         'Replacing'
                                       ],
                           'monthly.a' => [
                                          'Iteration'
                                        ],
                           'attend.v' => [
                                         'Attention',
                                         'Perception_active'
                                       ],
                           'screw-up_person.n' => [
                                                  'Bungling'
                                                ],
                           'dinner.n' => [
                                         'Social_event'
                                       ],
                           'shitty.a' => [
                                         'Desirability'
                                       ],
                           'appliance.n' => [
                                            'Gizmo'
                                          ],
                           'pond.n' => [
                                       'Natural_features'
                                     ],
                           'betrothal.n' => [
                                            'Forming_relationships'
                                          ],
                           'toast.v' => [
                                        'Apply_heat'
                                      ],
                           'tip-top.a' => [
                                          'Desirability'
                                        ],
                           'gratifying.a' => [
                                             'Subject_stimulus'
                                           ],
                           'machine.n' => [
                                          'Gizmo'
                                        ],
                           'cross-eyed.a' => [
                                             'Body_description_part'
                                           ],
                           'hump.v' => [
                                       'Bringing'
                                     ],
                           'attendant.n' => [
                                            'People_by_vocation'
                                          ],
                           'add up.v' => [
                                         'Adding_up'
                                       ],
                           'warrant.v' => [
                                          'Deserving'
                                        ],
                           'think up.v' => [
                                           'Invention'
                                         ],
                           'rain.v' => [
                                       'Mass_motion',
                                       'Precipitation'
                                     ],
                           'estimable.a' => [
                                            'Praiseworthiness'
                                          ],
                           'receipt.n' => [
                                          'Receiving'
                                        ],
                           'sacristy.n' => [
                                           'Building_subparts'
                                         ],
                           'timid.a' => [
                                        'Sociability'
                                      ],
                           'catapult.v' => [
                                           'Cause_motion'
                                         ],
                           'final.a' => [
                                        'Process_end'
                                      ],
                           'average.a' => [
                                          'Desirability',
                                          'Typicality'
                                        ],
                           'phone.v' => [
                                        'Communication_means',
                                        'Contacting'
                                      ],
                           'kidnapped.a' => [
                                            'Kidnapping'
                                          ],
                           'conversation.n' => [
                                               'Chatting'
                                             ],
                           'battery.n' => [
                                          'Offenses'
                                        ],
                           'remark.v' => [
                                         'Statement'
                                       ],
                           'studded.a' => [
                                          'Abundance'
                                        ],
                           'hundred.num' => [
                                            'Cardinal_numbers'
                                          ],
                           'heat up.v' => [
                                          'Cause_temperature_change'
                                        ],
                           'solidification.n' => [
                                                 'Change_of_phase'
                                               ],
                           'apparatus.n' => [
                                            'Gizmo'
                                          ],
                           'coterie.n' => [
                                          'Aggregate'
                                        ],
                           'disappointed.a' => [
                                               'Emotion_directed'
                                             ],
                           'lope.v' => [
                                       'Self_motion'
                                     ],
                           'tolerant.a' => [
                                           'Strictness'
                                         ],
                           'total.n' => [
                                        'Amounting_to'
                                      ],
                           'reticule.n' => [
                                           'Containers'
                                         ],
                           'revelation.n' => [
                                             'Reveal_secret'
                                           ],
                           'puke.v' => [
                                       'Excreting'
                                     ],
                           'henchman.n' => [
                                           'Subordinates_and_Superiors'
                                         ],
                           'grandson.n' => [
                                           'Kinship'
                                         ],
                           'kayak.n' => [
                                        'Vehicle'
                                      ],
                           'snooze.n' => [
                                         'Sleep'
                                       ],
                           'public.a' => [
                                         'Secrecy_status'
                                       ],
                           'prosperous.a' => [
                                             'Wealthiness'
                                           ],
                           'sweater.n' => [
                                          'Clothing'
                                        ],
                           'mail.v' => [
                                       'Contacting',
                                       'Sending'
                                     ],
                           'accuse.v' => [
                                         'Judgment_communication',
                                         'Notification_of_charges'
                                       ],
                           'unscrew.v' => [
                                          'Closure'
                                        ],
                           'tray.n' => [
                                       'Measure_volume'
                                     ],
                           'blouse.n' => [
                                         'Clothing'
                                       ],
                           'hangman.n' => [
                                          'Execution'
                                        ],
                           'incurable.a' => [
                                            'Cure'
                                          ],
                           'eschew.v' => [
                                         'Avoiding'
                                       ],
                           'soar.v' => [
                                       'Change_position_on_a_scale',
                                       'Motion'
                                     ],
                           'regret.n' => [
                                         'Experiencer_subj'
                                       ],
                           'yawn.v' => [
                                       'Body_movement'
                                     ],
                           'bias.n' => [
                                       'Partiality'
                                     ],
                           'scores.n' => [
                                         'Quantity'
                                       ],
                           'sign.n' => [
                                       'Sign'
                                     ],
                           'chuckle.n' => [
                                          'Sounds'
                                        ],
                           'whelp.v' => [
                                        'Birth'
                                      ],
                           'sorrow.n' => [
                                         'Emotion_directed'
                                       ],
                           'paternal.a' => [
                                           'Kinship'
                                         ],
                           'hand.v' => [
                                       'Giving'
                                     ],
                           'delinquent.n' => [
                                             'People_by_morality'
                                           ],
                           'stare.n' => [
                                        'Perception_active'
                                      ],
                           'problem.n' => [
                                          'Predicament'
                                        ],
                           'notify.v' => [
                                         'Telling'
                                       ],
                           'wear.v' => [
                                       'Wearing'
                                     ],
                           'chit-chat.n' => [
                                            'Chatting'
                                          ],
                           'prone.a' => [
                                        'Inclination',
                                        'Likelihood'
                                      ],
                           'capable.a' => [
                                          'Capability'
                                        ],
                           'forgive.v' => [
                                          'Forgiveness'
                                        ],
                           'scintillation.n' => [
                                                'Light_movement',
                                                'Location_of_light'
                                              ],
                           'stolen.a' => [
                                         'Theft'
                                       ],
                           'immolation.n' => [
                                             'Killing'
                                           ],
                           'father.n' => [
                                         'Kinship'
                                       ],
                           'floor.n' => [
                                        'Architectural_part'
                                      ],
                           'toss.v' => [
                                       'Body_movement',
                                       'Cause_motion'
                                     ],
                           'emptying.n' => [
                                           'Emptying'
                                         ],
                           'twilight.n' => [
                                           'Calendric_unit'
                                         ],
                           'desperation.n' => [
                                              'Experiencer_subj'
                                            ],
                           'nibble.v' => [
                                         'Ingestion'
                                       ],
                           'yummy.a' => [
                                        'Chemical-sense_description'
                                      ],
                           'trousers.n' => [
                                           'Clothing'
                                         ],
                           'bring together.v' => [
                                                 'Gathering_up'
                                               ],
                           'significance.n' => [
                                               'Importance'
                                             ],
                           'skin.v' => [
                                       'Emptying'
                                     ],
                           'sibling.n' => [
                                          'Kinship'
                                        ],
                           'variety.n' => [
                                          'Aggregate',
                                          'Type'
                                        ],
                           'fin.n' => [
                                      'Observable_bodyparts'
                                    ],
                           'grey-haired.a' => [
                                              'Body_description_part'
                                            ],
                           'act.n' => [
                                      'Law',
                                      'Part_ordered_segments'
                                    ],
                           'bagful.n' => [
                                         'Measure_volume'
                                       ],
                           'accusation.n' => [
                                             'Judgment_communication'
                                           ],
                           'embalm.v' => [
                                         'Preserving'
                                       ],
                           'anguished.a' => [
                                            'Emotion_directed'
                                          ],
                           'g-string.n' => [
                                           'Clothing'
                                         ],
                           'perish.v' => [
                                         'Death',
                                         'Rotting'
                                       ],
                           'shimmer.v' => [
                                          'Light_movement',
                                          'Location_of_light'
                                        ],
                           'muslim.n' => [
                                         'People_by_religion'
                                       ],
                           'mischance.n' => [
                                            'Catastrophe'
                                          ],
                           'hood.n' => [
                                       'Clothing_parts'
                                     ],
                           'dispersal.n' => [
                                            'Dispersal'
                                          ],
                           'triplex.n' => [
                                          'Buildings'
                                        ],
                           'resentment.n' => [
                                             'Experiencer_subj'
                                           ],
                           'encircle.v' => [
                                           'Adorning'
                                         ],
                           'abstinence.n' => [
                                             'Avoiding'
                                           ],
                           'fastened.a' => [
                                           'Being_attached'
                                         ],
                           'mansion.n' => [
                                          'Buildings'
                                        ],
                           'invade.v' => [
                                         'Attack'
                                       ],
                           'patronymic.n' => [
                                             'Being_named'
                                           ],
                           'penchant.n' => [
                                           'Inclination'
                                         ],
                           'favor.v' => [
                                        'Partiality'
                                      ],
                           'eclipse.n' => [
                                          'Eclipse'
                                        ],
                           'blond.a' => [
                                        'Hair_configuration'
                                      ],
                           'arrival.n' => [
                                          'Arriving'
                                        ],
                           'ascertain.v' => [
                                            'Coming_to_believe'
                                          ],
                           'abductor.n' => [
                                           'Kidnapping'
                                         ],
                           'massacre.n' => [
                                           'Killing'
                                         ],
                           'overjoyed.a' => [
                                            'Emotion_directed'
                                          ],
                           'repel.v' => [
                                        'Experiencer_obj'
                                      ],
                           'easy.a' => [
                                       'Difficulty'
                                     ],
                           'north.a' => [
                                        'Part_orientational'
                                      ],
                           'finished.a' => [
                                           'Activity_done_state',
                                           'Process_completed_state'
                                         ],
                           'spurt.v' => [
                                        'Fluidic_motion'
                                      ],
                           'motion.v' => [
                                         'Gesture'
                                       ],
                           'golden.a' => [
                                         'Hair_configuration'
                                       ],
                           'characterize.v' => [
                                               'Communicate_categorization',
                                               'Distinctiveness'
                                             ],
                           'stint.n' => [
                                        'Being_employed'
                                      ],
                           'fair.a' => [
                                       'Desirability',
                                       'Fairness_evaluation'
                                     ],
                           'ilk.n' => [
                                      'Type'
                                    ],
                           'hard.a' => [
                                       'Difficulty'
                                     ],
                           'do.v' => [
                                     'Ingest_substance',
                                     'Intentionally_act',
                                     'Intentionally_affect',
                                     'Transitive_action'
                                   ],
                           'doze.n' => [
                                       'Sleep'
                                     ],
                           'forgetful.a' => [
                                            'Mental_property'
                                          ],
                           'swampland.n' => [
                                            'Biological_area'
                                          ],
                           'top-notch.a' => [
                                            'Desirability'
                                          ],
                           'powdered.a' => [
                                           'Ground_up'
                                         ],
                           'theme.n' => [
                                        'Topic'
                                      ],
                           'under_arrest.prep' => [
                                                  'Detaining'
                                                ],
                           'divorce.n' => [
                                          'Forming_relationships'
                                        ],
                           'deprecative.a' => [
                                              'Judgment_communication'
                                            ],
                           'sledge.v' => [
                                         'Operate_vehicle'
                                       ],
                           'smack.n' => [
                                        'Sounds'
                                      ],
                           'codeine.n' => [
                                          'Intoxicants'
                                        ],
                           'emperor.n' => [
                                          'Leadership'
                                        ],
                           'cage.v' => [
                                       'Placing'
                                     ],
                           'go on.v' => [
                                        'Process_continue',
                                        'Speak_on_topic'
                                      ],
                           'unlike.a' => [
                                         'Similarity'
                                       ],
                           'vial.n' => [
                                       'Containers'
                                     ],
                           'enraged.a' => [
                                          'Emotion_directed'
                                        ],
                           'alarm.n' => [
                                        'Noise_makers'
                                      ],
                           'permit.v' => [
                                         'Grant_permission',
                                         'Permitting'
                                       ],
                           'morphine.n' => [
                                           'Intoxicants'
                                         ],
                           'loss.n' => [
                                       'Finish_competition'
                                     ],
                           'fluke.n' => [
                                        'Observable_bodyparts'
                                      ],
                           'rite of passage.n' => [
                                                  'Rite'
                                                ],
                           'combine.v' => [
                                          'Amalgamation',
                                          'Cause_to_amalgamate'
                                        ],
                           'tasty.a' => [
                                        'Chemical-sense_description'
                                      ],
                           'interested.a' => [
                                             'Desiring',
                                             'Emotion_directed',
                                             'Experiencer_subj'
                                           ],
                           'exhilaration.n' => [
                                               'Emotion_directed'
                                             ],
                           'howl.n' => [
                                       'Sounds'
                                     ],
                           'continent.n' => [
                                            'Natural_features'
                                          ],
                           'sensation.n' => [
                                            'Sensation'
                                          ],
                           'cemetery.n' => [
                                           'Locale_by_use'
                                         ],
                           'boast.n' => [
                                        'Statement'
                                      ],
                           'square.n' => [
                                         'Shapes'
                                       ],
                           'traumatic.a' => [
                                            'Subject_stimulus'
                                          ],
                           'vilification.n' => [
                                               'Judgment'
                                             ],
                           'pull.n' => [
                                       'Manipulation'
                                     ],
                           'ethical.a' => [
                                          'Morality_evaluation'
                                        ],
                           'shard.n' => [
                                        'Part_piece'
                                      ],
                           'door.n' => [
                                       'Connecting_architecture'
                                     ],
                           'coombe.n' => [
                                         'Natural_features'
                                       ],
                           'meadowland.n' => [
                                             'Biological_area'
                                           ],
                           'cell.n' => [
                                       'Building_subparts'
                                     ],
                           'parsimony.n' => [
                                            'Frugality'
                                          ],
                           'maddening.a' => [
                                            'Subject_stimulus'
                                          ],
                           'population.n' => [
                                             'Aggregate'
                                           ],
                           'vivarium.n' => [
                                           'Containers'
                                         ],
                           'unmake.v' => [
                                         'Destroying'
                                       ],
                           'marriage.n' => [
                                           'Forming_relationships',
                                           'Personal_relationship'
                                         ],
                           'booklet.n' => [
                                          'Text'
                                        ],
                           'fed up.a' => [
                                         'Emotion_directed'
                                       ],
                           'hop.v' => [
                                      'Self_motion'
                                    ],
                           'sonnet.n' => [
                                         'Text'
                                       ],
                           'galling.a' => [
                                          'Subject_stimulus'
                                        ],
                           'sorry.a' => [
                                        'Contrition'
                                      ],
                           'craft.n' => [
                                        'Craft'
                                      ],
                           'wants.n' => [
                                        'Desiring'
                                      ],
                           'purge.v' => [
                                        'Emptying',
                                        'Removing'
                                      ],
                           'encumber.v' => [
                                           'Hindering'
                                         ],
                           'quiz.v' => [
                                       'Questioning'
                                     ],
                           'sound.v' => [
                                        'Appearance',
                                        'Make_noise'
                                      ],
                           'handcuffed.a' => [
                                             'Being_attached'
                                           ],
                           'cruise.v' => [
                                         'Operate_vehicle',
                                         'Ride_Vehicle',
                                         'Self_motion'
                                       ],
                           'berry.n' => [
                                        'Food'
                                      ],
                           'out of.prep' => [
                                            'Partitive'
                                          ],
                           'sting.v' => [
                                        'Experiencer_obj',
                                        'Perception_body'
                                      ],
                           'reckon.v' => [
                                         'Awareness'
                                       ],
                           'draw.v' => [
                                       'Cause_motion'
                                     ],
                           'hunch.v' => [
                                        'Change_posture',
                                        'Posture'
                                      ],
                           'snigger.n' => [
                                          'Sounds'
                                        ],
                           'suzerain.n' => [
                                           'Leadership'
                                         ],
                           'gerontologist.n' => [
                                                'Medical_professionals'
                                              ],
                           'rid.v' => [
                                      'Emptying'
                                    ],
                           'undead.a' => [
                                         'Dead_or_alive'
                                       ],
                           'province.n' => [
                                           'Political_locales'
                                         ],
                           'sleepwalk.v' => [
                                            'Self_motion'
                                          ],
                           'commitment.n' => [
                                             'Commitment'
                                           ],
                           'smirk.n' => [
                                        'Facial_expression'
                                      ],
                           'attachment_item.n' => [
                                                  'Attaching'
                                                ],
                           'pause.n' => [
                                        'Activity_pause'
                                      ],
                           'metronymic.n' => [
                                             'Being_named'
                                           ],
                           'cul-de-sac.n' => [
                                             'Roadways'
                                           ],
                           'guess.v' => [
                                        'Coming_to_believe'
                                      ],
                           'reply.n' => [
                                        'Communication_response'
                                      ],
                           'differ.v' => [
                                         'Similarity'
                                       ],
                           'employed.a' => [
                                           'Being_employed'
                                         ],
                           'draw to a close.v' => [
                                                  'Process_end'
                                                ],
                           'good.a' => [
                                       'Desirability',
                                       'Expertise',
                                       'Morality_evaluation',
                                       'Social_interaction_evaluation',
                                       'Usefulness'
                                     ],
                           'assault.v' => [
                                          'Attack'
                                        ],
                           'expand.v' => [
                                         'Cause_expansion',
                                         'Expansion'
                                       ],
                           'april fool\'s day.n' => [
                                                   'Commemorative'
                                                 ],
                           'post.v' => [
                                       'Sending'
                                     ],
                           'go apeshit.v' => [
                                             'Losing_it'
                                           ],
                           'false.a' => [
                                        'Imitation'
                                      ],
                           'dead.n' => [
                                       'Dead_or_alive'
                                     ],
                           'graspable.a' => [
                                            'Grasp'
                                          ],
                           'moistened.a' => [
                                            'Being_wet'
                                          ],
                           'in terms.prep' => [
                                              'Domain'
                                            ],
                           'vexation.n' => [
                                           'Emotion_directed',
                                           'Experiencer_obj',
                                           'Subject_stimulus'
                                         ],
                           'inconsiderate.a' => [
                                                'Social_interaction_evaluation'
                                              ],
                           'konk out.v' => [
                                           'Fall_asleep'
                                         ],
                           'bisect.v' => [
                                         'Separation'
                                       ],
                           'guilty.a' => [
                                         'Contrition',
                                         'Guilt_or_innocence',
                                         'Verdict'
                                       ],
                           'treaty.n' => [
                                         'Documents'
                                       ],
                           'stream.n' => [
                                         'Natural_features',
                                         'Quantity'
                                       ],
                           'desirous.a' => [
                                           'Desiring'
                                         ],
                           'lap.v' => [
                                      'Ingestion'
                                    ],
                           'yelp.n' => [
                                       'Sounds'
                                     ],
                           'know.v' => [
                                       'Awareness'
                                     ],
                           'outcrop.n' => [
                                          'Natural_features'
                                        ],
                           'listen.v' => [
                                         'Perception_active',
                                         'Seeking'
                                       ],
                           'upend.v' => [
                                        'Finish_competition'
                                      ],
                           'remonstrate.v' => [
                                              'Judgment_communication'
                                            ],
                           'disappointing.a' => [
                                                'Subject_stimulus'
                                              ],
                           'a pain in the neck.n' => [
                                                     'Difficulty'
                                                   ],
                           'frugality.n' => [
                                            'Frugality'
                                          ],
                           'rainfall.n' => [
                                           'Precipitation'
                                         ],
                           'set free.v' => [
                                           'Releasing'
                                         ],
                           'dub.v' => [
                                      'Name_conferral'
                                    ],
                           'idiotic.a' => [
                                          'Mental_property'
                                        ],
                           'rustle.n' => [
                                         'Sounds'
                                       ],
                           'hibernate.v' => [
                                            'Sleep'
                                          ],
                           'zip.v' => [
                                      'Closure'
                                    ],
                           'connect.v' => [
                                          'Make_cognitive_connection'
                                        ],
                           'third.a' => [
                                        'Ordinal_numbers'
                                      ],
                           'desertion.n' => [
                                            'Departing'
                                          ],
                           'underpass.n' => [
                                            'Roadways'
                                          ],
                           'grated.a' => [
                                         'Ground_up'
                                       ],
                           'cool off.v' => [
                                           'Inchoative_change_of_temperature'
                                         ],
                           'retirement.n' => [
                                             'Quitting'
                                           ],
                           'yowl.n' => [
                                       'Sounds'
                                     ],
                           'antechamber.n' => [
                                              'Building_subparts'
                                            ],
                           'decade.n' => [
                                         'Calendric_unit',
                                         'Measure_duration'
                                       ],
                           'marvellous.a' => [
                                             'Desirability',
                                             'Usefulness'
                                           ],
                           'experienced.a' => [
                                              'Expertise'
                                            ],
                           'june.n' => [
                                       'Calendric_unit'
                                     ],
                           'affronted.a' => [
                                            'Emotion_directed'
                                          ],
                           'commencement.n' => [
                                               'Process_start'
                                             ],
                           'dog-tired.a' => [
                                            'Biological_urge'
                                          ],
                           'paramour.n' => [
                                           'Personal_relationship'
                                         ],
                           'abiding.a' => [
                                          'Duration',
                                          'Process_continue'
                                        ],
                           'free.a' => [
                                       'Expensiveness'
                                     ],
                           'treason.n' => [
                                          'Offenses'
                                        ],
                           'peril.n' => [
                                        'Run_risk'
                                      ],
                           'thwart.v' => [
                                         'Thwarting'
                                       ],
                           'rueful.a' => [
                                         'Contrition',
                                         'Emotion_directed',
                                         'Experiencer_subj'
                                       ],
                           'shellfish.n' => [
                                            'Food'
                                          ],
                           'without peer.prep' => [
                                                  'Beyond_compare'
                                                ],
                           'left.n' => [
                                       'Part_orientational'
                                     ],
                           'crest.v' => [
                                        'Path_shape'
                                      ],
                           'doze.v' => [
                                       'Sleep'
                                     ],
                           'bake.v' => [
                                       'Absorb_heat',
                                       'Apply_heat',
                                       'Cooking_creation'
                                     ],
                           'come.v' => [
                                       'Arriving'
                                     ],
                           'bathroom.n' => [
                                           'Building_subparts'
                                         ],
                           'downcast.a' => [
                                           'Emotion_directed'
                                         ],
                           'disclose.v' => [
                                           'Reveal_secret'
                                         ],
                           'parboil.v' => [
                                          'Apply_heat'
                                        ],
                           'valise.n' => [
                                         'Containers'
                                       ],
                           'resent.v' => [
                                         'Experiencer_subj'
                                       ],
                           'independence.n' => [
                                               'Contingency'
                                             ],
                           'ferry.n' => [
                                        'Vehicle'
                                      ],
                           'score.n' => [
                                        'Behind_the_scenes',
                                        'Cardinal_numbers'
                                      ],
                           'butt.v' => [
                                       'Cause_harm'
                                     ],
                           'lie down.v' => [
                                           'Change_posture'
                                         ],
                           'member.n' => [
                                         'Membership',
                                         'Observable_bodyparts'
                                       ],
                           'stub.v' => [
                                       'Experience_bodily_harm'
                                     ],
                           'pinch.v' => [
                                        'Manipulation',
                                        'Theft'
                                      ],
                           'teaspoonful.n' => [
                                              'Measure_volume'
                                            ],
                           'glisten.v' => [
                                          'Light_movement',
                                          'Location_of_light'
                                        ],
                           'cord.n' => [
                                       'Connectors'
                                     ],
                           'reticence.n' => [
                                            'Volubility'
                                          ],
                           'addiction.n' => [
                                            'Addiction'
                                          ],
                           'splendid.a' => [
                                           'Desirability',
                                           'Expertise',
                                           'Usefulness'
                                         ],
                           'heartbreak.n' => [
                                             'Emotion_directed'
                                           ],
                           'liner.n' => [
                                        'Vehicle'
                                      ],
                           'memorise.v' => [
                                           'Memorization'
                                         ],
                           'depends.v' => [
                                          'Contingency'
                                        ],
                           'rector.n' => [
                                         'Leadership'
                                       ],
                           'kaiser.n' => [
                                         'Leadership'
                                       ],
                           'track.n' => [
                                        'Roadways'
                                      ],
                           'bogus.a' => [
                                        'Imitation'
                                      ],
                           'uncertain.a' => [
                                            'Certainty'
                                          ],
                           'tan.a' => [
                                      'Color'
                                    ],
                           'replace.v' => [
                                          'Newcomer',
                                          'Replacing',
                                          'Take_place_of'
                                        ],
                           'stupefy.v' => [
                                          'Experiencer_obj'
                                        ],
                           'upper.n' => [
                                        'Intoxicants'
                                      ],
                           'spiteful.a' => [
                                           'Social_interaction_evaluation'
                                         ],
                           'tabernacle.n' => [
                                             'Buildings'
                                           ],
                           'ocean.n' => [
                                        'Natural_features'
                                      ],
                           'politician.n' => [
                                             'People_by_vocation'
                                           ],
                           'claque.n' => [
                                         'Aggregate'
                                       ],
                           'burn.v' => [
                                       'Cause_harm',
                                       'Emotion_heat',
                                       'Experience_bodily_harm',
                                       'Perception_body'
                                     ],
                           'lenient.a' => [
                                          'Strictness'
                                        ],
                           'widowed.a' => [
                                          'Personal_relationship'
                                        ],
                           'mind-boggling.a' => [
                                                'Subject_stimulus'
                                              ],
                           'preceding.a' => [
                                            'Relative_time'
                                          ],
                           'mortifying.a' => [
                                             'Subject_stimulus'
                                           ],
                           'magnify.v' => [
                                          'Cause_expansion'
                                        ],
                           'growth.n' => [
                                         'Cause_change_of_scalar_position',
                                         'Cause_expansion'
                                       ],
                           'overcoat.n' => [
                                           'Clothing'
                                         ],
                           'lab.n' => [
                                      'Locale_by_use'
                                    ],
                           'psychoanalysis.n' => [
                                                 'Medical_specialties'
                                               ],
                           'get out.v' => [
                                          'Escaping'
                                        ],
                           'fuss.v' => [
                                       'Emotion_active'
                                     ],
                           'pro.n' => [
                                      'Expertise'
                                    ],
                           'roust.v' => [
                                        'Removing'
                                      ],
                           'angular.a' => [
                                          'Body_description_holistic'
                                        ],
                           'snuff.n' => [
                                        'Intoxicants'
                                      ],
                           'piracy.n' => [
                                         'Piracy'
                                       ],
                           'terminate.v' => [
                                            'Activity_finish',
                                            'Firing',
                                            'Killing'
                                          ],
                           'vinaigrette.n' => [
                                              'Food'
                                            ],
                           'widower.n' => [
                                          'Personal_relationship'
                                        ],
                           'fix.n' => [
                                      'Predicament'
                                    ],
                           'galvanize.v' => [
                                            'Processing_materials'
                                          ],
                           'brilliance.n' => [
                                             'Mental_property'
                                           ],
                           'defend.v' => [
                                         'Justifying'
                                       ],
                           'coy.a' => [
                                      'Candidness'
                                    ],
                           'sandal.n' => [
                                         'Clothing'
                                       ],
                           'lead.n' => [
                                       'Criminal_investigation',
                                       'First_rank',
                                       'Performers_and_roles'
                                     ],
                           'middle.n' => [
                                         'Part_inner_outer'
                                       ],
                           'tack.n' => [
                                       'Connectors'
                                     ],
                           'promise.n' => [
                                          'Commitment'
                                        ],
                           'trill.v' => [
                                        'Communication_noise'
                                      ],
                           'fingernail.n' => [
                                             'Observable_bodyparts'
                                           ],
                           'cloak.n' => [
                                        'Clothing'
                                      ],
                           'nephrologist.n' => [
                                               'Medical_professionals'
                                             ],
                           'territory.n' => [
                                            'Political_locales'
                                          ],
                           'arraignment.n' => [
                                              'Arraignment'
                                            ],
                           'holocaust.n' => [
                                            'Killing'
                                          ],
                           'alienating.a' => [
                                             'Subject_stimulus'
                                           ],
                           'beak.n' => [
                                       'Observable_bodyparts'
                                     ],
                           'putrid.a' => [
                                         'Being_rotted'
                                       ],
                           'cuspidor.n' => [
                                           'Containers'
                                         ],
                           'burp.v' => [
                                       'Excreting'
                                     ],
                           'barony.n' => [
                                         'Political_locales'
                                       ],
                           'bedsore.n' => [
                                          'Body_mark'
                                        ],
                           'a bastard.n' => [
                                            'Difficulty'
                                          ],
                           'pout.n' => [
                                       'Facial_expression'
                                     ],
                           'mess.n' => [
                                       'Predicament'
                                     ],
                           'etch.v' => [
                                       'Processing_materials'
                                     ],
                           'splatter.v' => [
                                           'Cause_fluidic_motion',
                                           'Filling'
                                         ],
                           'sweatshirt.n' => [
                                             'Clothing'
                                           ],
                           'cough.v' => [
                                        'Make_noise'
                                      ],
                           'cunning.a' => [
                                          'Mental_property'
                                        ],
                           'ill-mannered.a' => [
                                               'Social_interaction_evaluation'
                                             ],
                           'goblet.n' => [
                                         'Containers'
                                       ],
                           'turquoise.a' => [
                                            'Color'
                                          ],
                           'oath.n' => [
                                       'Commitment'
                                     ],
                           'embitter.v' => [
                                           'Experiencer_obj'
                                         ],
                           'got on.adv' => [
                                           'Wearing'
                                         ],
                           'cool.a' => [
                                       'Ambient_temperature',
                                       'Temperature'
                                     ],
                           'ungracious.a' => [
                                             'Social_interaction_evaluation'
                                           ],
                           'volunteer.v' => [
                                            'Commitment'
                                          ],
                           'porch.n' => [
                                        'Building_subparts'
                                      ],
                           'disconsolate.a' => [
                                               'Emotion_directed'
                                             ],
                           'choose.v' => [
                                         'Choosing'
                                       ],
                           'surplice.n' => [
                                           'Clothing'
                                         ],
                           'quaff.v' => [
                                        'Ingestion'
                                      ],
                           'obstetrician.n' => [
                                               'Medical_professionals'
                                             ],
                           'haul.v' => [
                                       'Bringing'
                                     ],
                           'obstruction_act.n' => [
                                                  'Hindering'
                                                ],
                           'club.v' => [
                                       'Cause_harm'
                                     ],
                           'contradict.v' => [
                                             'Evidence'
                                           ],
                           'tsar.n' => [
                                       'Leadership'
                                     ],
                           'vermilion.a' => [
                                            'Color'
                                          ],
                           'exit.v' => [
                                       'Departing',
                                       'Path_shape'
                                     ],
                           'cheer.v' => [
                                        'Experiencer_obj'
                                      ],
                           'entertain.v' => [
                                            'Cause_to_experience',
                                            'Experiencer_obj'
                                          ],
                           'menorrhagia.n' => [
                                              'Medical_conditions'
                                            ],
                           'clear.v' => [
                                        'Emptying',
                                        'Removing',
                                        'Verdict'
                                      ],
                           'bushed.a' => [
                                         'Biological_urge'
                                       ],
                           'evensong.n' => [
                                           'Rite'
                                         ],
                           'find out.v' => [
                                           'Coming_to_believe'
                                         ],
                           'hairpiece.n' => [
                                            'Accoutrements'
                                          ],
                           'dart.v' => [
                                       'Self_motion'
                                     ],
                           'more.n' => [
                                       'Increment'
                                     ],
                           'stepson.n' => [
                                          'Kinship'
                                        ],
                           'shatter.v' => [
                                          'Cause_to_fragment'
                                        ],
                           'microwave.v' => [
                                            'Apply_heat'
                                          ],
                           'ownership.n' => [
                                            'Possession'
                                          ],
                           'thunder.v' => [
                                          'Communication_noise',
                                          'Make_noise',
                                          'Motion_noise'
                                        ],
                           'economically.adv' => [
                                                 'Domain'
                                               ],
                           'cackle.n' => [
                                         'Sounds'
                                       ],
                           'by.prep' => [
                                        'Locative_relation'
                                      ],
                           'snarl.n' => [
                                        'Facial_expression',
                                        'Sounds'
                                      ],
                           'therapy.n' => [
                                          'Cure',
                                          'Medical_specialties'
                                        ],
                           'expense.n' => [
                                          'Expensiveness'
                                        ],
                           'fear.n' => [
                                       'Experiencer_subj'
                                     ],
                           'lodge.n' => [
                                        'Buildings'
                                      ],
                           'proposition.n' => [
                                              'Statement'
                                            ],
                           'satins.n' => [
                                         'Clothing'
                                       ],
                           'thawed.a' => [
                                         'Altered_phase'
                                       ],
                           'declaration.n' => [
                                              'Statement'
                                            ],
                           'riposte.n' => [
                                          'Communication_response'
                                        ],
                           'rictus.n' => [
                                         'Facial_expression'
                                       ],
                           'battle.v' => [
                                         'Hostile_encounter'
                                       ],
                           'intoxicated.a' => [
                                              'Intoxication'
                                            ],
                           'flashing.a' => [
                                           'Location_of_light'
                                         ],
                           'odour.n' => [
                                        'Chemical-sense_description',
                                        'Sensation'
                                      ],
                           'walk.v' => [
                                       'Cotheme',
                                       'Self_motion'
                                     ],
                           'debate.n' => [
                                         'Discussion'
                                       ],
                           'bright.a' => [
                                         'Location_of_light'
                                       ],
                           'archive.v' => [
                                          'Placing'
                                        ],
                           'bang.v' => [
                                       'Cause_impact',
                                       'Impact',
                                       'Motion_noise'
                                     ],
                           'denotation.n' => [
                                             'Linguistic_meaning'
                                           ],
                           'short.a' => [
                                        'Body_description_holistic',
                                        'Dimension',
                                        'Duration'
                                      ],
                           'disaster.n' => [
                                           'Catastrophe'
                                         ],
                           'crash.v' => [
                                        'Cause_impact',
                                        'Impact',
                                        'Motion_noise'
                                      ],
                           'sockless.a' => [
                                           'Wearing'
                                         ],
                           'hour.n' => [
                                       'Calendric_unit',
                                       'Measure_duration'
                                     ],
                           'dress.n' => [
                                        'Clothing'
                                      ],
                           'tureen.n' => [
                                         'Containers'
                                       ],
                           'persuade.v' => [
                                           'Suasion'
                                         ],
                           'connoisseur.n' => [
                                              'Expertise'
                                            ],
                           'broil.v' => [
                                        'Apply_heat'
                                      ],
                           'quintet.n' => [
                                          'Aggregate'
                                        ],
                           'mudflat.n' => [
                                          'Biological_area'
                                        ],
                           'wrap.v' => [
                                       'Filling',
                                       'Placing'
                                     ],
                           'aim.n' => [
                                      'Purpose'
                                    ],
                           'cuff-link.n' => [
                                            'Clothing_parts'
                                          ],
                           'unsuitable.a' => [
                                             'Suitability'
                                           ],
                           'cropped.a' => [
                                          'Hair_configuration'
                                        ],
                           'eliminate.v' => [
                                            'Killing',
                                            'Removing'
                                          ],
                           'clothing.n' => [
                                           'Clothing'
                                         ],
                           'intelligible.a' => [
                                               'Grasp'
                                             ],
                           'live.v' => [
                                       'Residence'
                                     ],
                           'hat-pin.n' => [
                                          'Accoutrements'
                                        ],
                           'ace.n' => [
                                      'Expertise',
                                      'Expertise'
                                    ],
                           'betoken.v' => [
                                          'Omen'
                                        ],
                           'dry_out.v' => [
                                          'Cause_to_be_dry'
                                        ],
                           'annoyed.a' => [
                                          'Emotion_directed'
                                        ],
                           'vigil.n' => [
                                        'Rite'
                                      ],
                           'coddle.v' => [
                                         'Apply_heat'
                                       ],
                           'azure.a' => [
                                        'Color'
                                      ],
                           'suffice.v' => [
                                          'Sufficiency'
                                        ],
                           'intension.n' => [
                                            'Linguistic_meaning'
                                          ],
                           'respectful.a' => [
                                             'Social_interaction_evaluation'
                                           ],
                           'exclamation.n' => [
                                              'Statement'
                                            ],
                           'tethered.a' => [
                                           'Being_attached'
                                         ],
                           'fuck up.v' => [
                                          'Bungling'
                                        ],
                           'fringe.n' => [
                                         'Clothing_parts'
                                       ],
                           'gall.v' => [
                                       'Experiencer_obj'
                                     ],
                           'sign.v' => [
                                       'Hiring',
                                       'Sign_agreement'
                                     ],
                           'path.n' => [
                                       'Roadways'
                                     ],
                           'rebellion.n' => [
                                            'Change_of_leadership'
                                          ],
                           'blue.a' => [
                                       'Color',
                                       'Emotion_directed'
                                     ],
                           'ensemble.n' => [
                                           'Clothing'
                                         ],
                           'part.v' => [
                                       'Separation'
                                     ],
                           'thickset.a' => [
                                           'Body_description_holistic'
                                         ],
                           'canyon.n' => [
                                         'Natural_features'
                                       ],
                           'placating.a' => [
                                            'Subject_stimulus'
                                          ],
                           'circlet.n' => [
                                          'Accoutrements'
                                        ],
                           'pail.n' => [
                                       'Containers'
                                     ],
                           'lump.n' => [
                                       'Part_piece'
                                     ],
                           'omen.n' => [
                                       'Omen'
                                     ],
                           'comforting.a' => [
                                             'Subject_stimulus'
                                           ],
                           'wide.a' => [
                                       'Dimension'
                                     ],
                           'unclothed.a' => [
                                            'Wearing'
                                          ],
                           'reward.v' => [
                                         'Rewards_and_punishments'
                                       ],
                           'have.v' => [
                                       'Birth',
                                       'Ingestion',
                                       'Possession'
                                     ],
                           'clump.n' => [
                                        'Aggregate',
                                        'Part_piece'
                                      ],
                           'born.v' => [
                                       'Being_born'
                                     ],
                           'tiptoe.v' => [
                                         'Self_motion'
                                       ],
                           'sneaker.n' => [
                                          'Clothing'
                                        ],
                           'blackhead.n' => [
                                            'Body_mark'
                                          ],
                           'calm.a' => [
                                       'Experiencer_subj'
                                     ],
                           'quarter.n' => [
                                          'Part_whole'
                                        ],
                           'dead.a' => [
                                       'Dead_or_alive'
                                     ],
                           'buffet.v' => [
                                         'Cause_harm'
                                       ],
                           'foreigner.n' => [
                                            'People_by_origin'
                                          ],
                           'membership_(status).n' => [
                                                      'Membership'
                                                    ],
                           'come on heels.n' => [
                                                'Relative_time'
                                              ],
                           'scornful.a' => [
                                           'Judgment'
                                         ],
                           'predate.v' => [
                                          'Relative_time'
                                        ],
                           'stapled.a' => [
                                          'Being_attached'
                                        ],
                           'alcohol.n' => [
                                          'Intoxicants'
                                        ],
                           'firing.n' => [
                                         'Firing'
                                       ],
                           'threat.n' => [
                                         'Commitment'
                                       ],
                           'drug.n' => [
                                       'Intoxicants'
                                     ],
                           'tied.a' => [
                                       'Being_attached',
                                       'Cognitive_connection'
                                     ],
                           'imagine.v' => [
                                          'Awareness'
                                        ],
                           'deduction.n' => [
                                            'Coming_to_believe'
                                          ],
                           'hire.n' => [
                                       'Hiring'
                                     ],
                           'reading.n' => [
                                          'Linguistic_meaning'
                                        ],
                           'write out.v' => [
                                            'Text_creation'
                                          ],
                           'imitation.n' => [
                                            'Imitation'
                                          ],
                           'mockery.n' => [
                                          'Judgment'
                                        ],
                           'carry to term.v' => [
                                                'Birth'
                                              ],
                           'codenamed.a' => [
                                            'Being_named'
                                          ],
                           'irritating.a' => [
                                             'Subject_stimulus'
                                           ],
                           'commute.v' => [
                                          'Commutation',
                                          'Travel'
                                        ],
                           'lovely.a' => [
                                         'Aesthetics'
                                       ],
                           'raise.v' => [
                                        'Cause_change_of_scalar_position'
                                      ],
                           'cart.n' => [
                                       'Containers',
                                       'Vehicle'
                                     ],
                           'tug.v' => [
                                      'Cause_motion',
                                      'Manipulation'
                                    ],
                           'exemplum.n' => [
                                           'Text'
                                         ],
                           'blast.v' => [
                                        'Cause_to_make_noise',
                                        'Judgment_communication',
                                        'Make_noise',
                                        'Sound_movement'
                                      ],
                           'inane.a' => [
                                        'Mental_property'
                                      ],
                           'ruminate.v' => [
                                           'Cogitation'
                                         ],
                           'grieve.v' => [
                                         'Experiencer_subj'
                                       ],
                           'collusion.n' => [
                                            'Collaboration'
                                          ],
                           'winner.n' => [
                                         'Finish_competition'
                                       ],
                           'below.prep' => [
                                           'Locative_relation'
                                         ],
                           'watch.v' => [
                                        'Perception_active',
                                        'Seeking'
                                      ],
                           'shackle.v' => [
                                          'Attaching',
                                          'Immobilization'
                                        ],
                           'production.n' => [
                                             'Manufacturing'
                                           ],
                           'descry.v' => [
                                         'Becoming_aware'
                                       ],
                           'bob.v' => [
                                      'Body_movement'
                                    ],
                           'electrocute.v' => [
                                              'Cause_harm'
                                            ],
                           'cruet.n' => [
                                        'Containers'
                                      ],
                           'cut.n' => [
                                      'Cause_change_of_scalar_position',
                                      'Hair_configuration'
                                    ],
                           'vegetable.n' => [
                                            'Food'
                                          ],
                           'stupefying.a' => [
                                             'Subject_stimulus'
                                           ],
                           'furious.a' => [
                                          'Emotion_directed'
                                        ],
                           'acclaim.v' => [
                                          'Judgment_communication'
                                        ],
                           'rattled.a' => [
                                          'Emotion_directed'
                                        ],
                           'pathway.n' => [
                                          'Roadways'
                                        ],
                           'buddy.n' => [
                                        'Attention_getting',
                                        'Personal_relationship'
                                      ],
                           'compassionate.a' => [
                                                'Social_interaction_evaluation'
                                              ],
                           'sanction.v' => [
                                           'Grant_permission',
                                           'Permitting'
                                         ],
                           'tablespoon.n' => [
                                             'Measure_volume'
                                           ],
                           'smidgen.n' => [
                                          'Part_piece'
                                        ],
                           'toboggan.n' => [
                                           'Vehicle'
                                         ],
                           'protocol.n' => [
                                           'Law'
                                         ],
                           'slap.n' => [
                                       'Sounds'
                                     ],
                           'mystifying.a' => [
                                             'Subject_stimulus'
                                           ],
                           'poetry.n' => [
                                         'Text'
                                       ],
                           'print_out.v' => [
                                            'Text_creation'
                                          ],
                           'squirt.v' => [
                                         'Cause_fluidic_motion',
                                         'Filling',
                                         'Fluidic_motion'
                                       ],
                           'growl.n' => [
                                        'Sounds'
                                      ],
                           'revolting.a' => [
                                            'Subject_stimulus'
                                          ],
                           'denote.v' => [
                                         'Linguistic_meaning'
                                       ],
                           'intend.v' => [
                                         'Purpose'
                                       ],
                           'monarch.n' => [
                                          'Leadership'
                                        ],
                           'farmer.n' => [
                                         'People_by_vocation'
                                       ],
                           'tiredness.n' => [
                                            'Biological_urge'
                                          ],
                           'starvation.n' => [
                                             'Death'
                                           ],
                           'covey.n' => [
                                        'Aggregate'
                                      ],
                           'genial.a' => [
                                         'Social_interaction_evaluation'
                                       ],
                           'atelier.n' => [
                                          'Building_subparts'
                                        ],
                           'teacher.n' => [
                                          'Education_teaching'
                                        ],
                           'speculum.n' => [
                                           'Medical_instruments'
                                         ],
                           'bumble.v' => [
                                         'Bungling'
                                       ],
                           'heartbroken.a' => [
                                              'Emotion_directed'
                                            ],
                           'garrotte.v' => [
                                           'Killing'
                                         ],
                           'decease.v' => [
                                          'Death'
                                        ],
                           'bolt.n' => [
                                       'Connectors'
                                     ],
                           'better.v' => [
                                         'Surpassing'
                                       ],
                           'plough.v' => [
                                         'Cause_impact',
                                         'Impact'
                                       ],
                           'hang.v' => [
                                       'Body_movement',
                                       'Execution',
                                       'Filling',
                                       'Placing'
                                     ],
                           'wavy.a' => [
                                       'Hair_configuration'
                                     ],
                           'silent.a' => [
                                         'Volubility'
                                       ],
                           'foil.v' => [
                                       'Thwarting'
                                     ],
                           'type in.v' => [
                                          'Text_creation'
                                        ],
                           'inclined.a' => [
                                           'Inclination'
                                         ],
                           'critic.n' => [
                                         'Judgment_communication'
                                       ],
                           'give the slip.v' => [
                                                'Evading'
                                              ],
                           'offensive.a' => [
                                            'Subject_stimulus'
                                          ],
                           'mandatory.a' => [
                                            'Being_obligatory'
                                          ],
                           'east.a' => [
                                       'Part_orientational'
                                     ],
                           'embalming.n' => [
                                            'Preserving'
                                          ],
                           'top.n' => [
                                      'Part_orientational'
                                    ],
                           'canoe.n' => [
                                        'Vehicle'
                                      ],
                           'wellington.n' => [
                                             'Clothing'
                                           ],
                           'enthrall.v' => [
                                           'Experiencer_obj'
                                         ],
                           'unsuitableness.n' => [
                                                 'Suitability'
                                               ],
                           'outfit.n' => [
                                         'Clothing'
                                       ],
                           'appeal.v' => [
                                         'Appeal'
                                       ],
                           'penitence.n' => [
                                            'Contrition'
                                          ],
                           'delighted.a' => [
                                            'Emotion_directed'
                                          ],
                           'licit.a' => [
                                        'Legality'
                                      ],
                           'ophthalmoscope.n' => [
                                                 'Medical_instruments'
                                               ],
                           'experience.n' => [
                                             'Expertise',
                                             'Perception_experience'
                                           ],
                           'retail.v' => [
                                         'Commerce_sell'
                                       ],
                           'fib.n' => [
                                      'Prevarication'
                                    ],
                           'dozens.n' => [
                                         'Quantity'
                                       ],
                           'blame.n' => [
                                        'Judgment'
                                      ],
                           'reproach.v' => [
                                           'Judgment_direct_address'
                                         ],
                           'obstructive.a' => [
                                              'Hindering'
                                            ],
                           'belt.n' => [
                                       'Accoutrements'
                                     ],
                           'infrequent.a' => [
                                             'Iteration'
                                           ],
                           'bound.v' => [
                                        'Self_motion'
                                      ],
                           'handbook.n' => [
                                           'Text'
                                         ],
                           'farmhouse.n' => [
                                            'Buildings'
                                          ],
                           'overdue.a' => [
                                          'Relative_time'
                                        ],
                           'wander.v' => [
                                         'Self_motion'
                                       ],
                           'exclaim.v' => [
                                          'Statement'
                                        ],
                           'dislike.v' => [
                                          'Experiencer_subj'
                                        ],
                           'aggravate.v' => [
                                            'Experiencer_obj'
                                          ],
                           'obscure.v' => [
                                          'Eclipse'
                                        ],
                           'hustle.v' => [
                                         'Attempt_suasion'
                                       ],
                           'horrible.a' => [
                                           'Desirability',
                                           'Social_interaction_evaluation'
                                         ],
                           'pinch.n' => [
                                        'Measure_by_action',
                                        'Predicament',
                                        'Quantity'
                                      ],
                           'base.n' => [
                                       'Part_orientational'
                                     ],
                           'occupant.n' => [
                                           'Residence'
                                         ],
                           'locate.v' => [
                                         'Becoming_aware',
                                         'Locating'
                                       ],
                           'frown.n' => [
                                        'Facial_expression'
                                      ],
                           'huddle.v' => [
                                         'Change_posture',
                                         'Posture'
                                       ],
                           'canny.a' => [
                                        'Mental_property'
                                      ],
                           'desiccated.a' => [
                                             'Being_dry'
                                           ],
                           'camisole.n' => [
                                           'Clothing'
                                         ],
                           'state.v' => [
                                        'Statement'
                                      ],
                           'parkway.n' => [
                                          'Roadways'
                                        ],
                           'criticism.n' => [
                                            'Judgment_communication'
                                          ],
                           'discoverer.n' => [
                                             'Achieving_first'
                                           ],
                           'nut.n' => [
                                      'Connectors',
                                      'Food'
                                    ],
                           'free-for-all.n' => [
                                               'Fighting_activity'
                                             ],
                           'swaddled.a' => [
                                           'Wearing'
                                         ],
                           'planeload.n' => [
                                            'Measure_volume'
                                          ],
                           'ulcer.n' => [
                                        'Medical_conditions'
                                      ],
                           'engender.v' => [
                                           'Cause_to_start'
                                         ],
                           'drum.n' => [
                                       'Containers',
                                       'Noise_makers'
                                     ],
                           'empathize.v' => [
                                            'Experiencer_subj'
                                          ],
                           'stretch.n' => [
                                          'Shapes'
                                        ],
                           'decorated.a' => [
                                            'Abundance'
                                          ],
                           'among.prep' => [
                                           'Locative_relation'
                                         ],
                           'stagger.v' => [
                                          'Self_motion'
                                        ],
                           'complex.n' => [
                                          'Locale_by_use'
                                        ],
                           'wrongdoer.n' => [
                                            'People_by_morality'
                                          ],
                           'heist.n' => [
                                        'Theft'
                                      ],
                           'harem.n' => [
                                        'Aggregate'
                                      ],
                           'warp.v' => [
                                       'Reshaping'
                                     ],
                           'lithe.a' => [
                                        'Body_description_holistic'
                                      ],
                           'altercation.n' => [
                                              'Hostile_encounter',
                                              'Quarreling'
                                            ],
                           'weapon.n' => [
                                         'Weapon'
                                       ],
                           'evade.v' => [
                                        'Avoiding',
                                        'Evading'
                                      ],
                           'sprawl.v' => [
                                         'Change_posture',
                                         'Posture'
                                       ],
                           'shoot.v' => [
                                        'Behind_the_scenes',
                                        'Hit_target',
                                        'Ingest_substance',
                                        'Shoot_projectiles',
                                        'Use_firearm'
                                      ],
                           'belong.v' => [
                                         'Exclude_member',
                                         'Membership',
                                         'Possession'
                                       ],
                           'hair.n' => [
                                       'Hair_configuration',
                                       'Observable_bodyparts'
                                     ],
                           'cousin.n' => [
                                         'Kinship'
                                       ],
                           'make.v' => [
                                       'Arriving',
                                       'Building',
                                       'Causation',
                                       'Cause_change',
                                       'Cooking_creation',
                                       'Intentionally_create',
                                       'Manufacturing',
                                       'Self_motion'
                                     ],
                           'bleat.v' => [
                                        'Communication_noise',
                                        'Make_noise'
                                      ],
                           'upset.v' => [
                                        'Experiencer_obj'
                                      ],
                           'quartet.n' => [
                                          'Aggregate'
                                        ],
                           'kaftan.n' => [
                                         'Clothing'
                                       ],
                           'pull off.v' => [
                                           'Undressing'
                                         ],
                           'represent.v' => [
                                            'Communicate_categorization'
                                          ],
                           'confide.v' => [
                                          'Reveal_secret',
                                          'Telling'
                                        ],
                           'affianced.a' => [
                                            'Personal_relationship'
                                          ],
                           'affidavit.n' => [
                                            'Documents'
                                          ],
                           'ungenerous.a' => [
                                             'Stinginess'
                                           ],
                           'proficiency.n' => [
                                              'Expertise'
                                            ],
                           'bewitching.a' => [
                                             'Subject_stimulus'
                                           ],
                           'block.v' => [
                                        'Eclipse'
                                      ],
                           'gracious.a' => [
                                           'Social_interaction_evaluation'
                                         ],
                           'bewilderment.n' => [
                                               'Emotion_directed'
                                             ],
                           'like.n' => [
                                       'Similarity'
                                     ],
                           'youngish.a' => [
                                           'Age'
                                         ],
                           'origin.n' => [
                                         'Origin'
                                       ],
                           'to.prep' => [
                                        'To'
                                      ],
                           'carriage.n' => [
                                           'Vehicle'
                                         ],
                           'claw.v' => [
                                       'Cause_harm',
                                       'Manipulation'
                                     ],
                           'syphilis.n' => [
                                           'Medical_conditions'
                                         ],
                           'disorientation.n' => [
                                                 'Emotion_directed'
                                               ],
                           'shelf.n' => [
                                        'Natural_features'
                                      ],
                           'note.v' => [
                                       'Becoming_aware'
                                     ],
                           'clutch.v' => [
                                         'Manipulation'
                                       ],
                           'seal.v' => [
                                       'Closure'
                                     ],
                           'kind.a' => [
                                       'Social_interaction_evaluation'
                                     ],
                           'incense.n' => [
                                          'Sensation'
                                        ],
                           'fumble.n' => [
                                         'Bungling'
                                       ],
                           'shed.v' => [
                                       'Undressing'
                                     ],
                           'twitter.v' => [
                                          'Communication_noise',
                                          'Make_noise'
                                        ],
                           'conform.v' => [
                                          'Compliance'
                                        ],
                           'out-of-the-way.a' => [
                                                 'Isolated_places'
                                               ],
                           'somnolent.a' => [
                                            'Biological_urge'
                                          ],
                           'potato.n' => [
                                         'Food'
                                       ],
                           'lagoon.n' => [
                                         'Natural_features'
                                       ],
                           'clap.v' => [
                                       'Body_movement'
                                     ],
                           'diploma.n' => [
                                          'Documents'
                                        ],
                           'lugubrious.a' => [
                                             'Emotion_directed'
                                           ],
                           'guillotining.n' => [
                                               'Execution'
                                             ],
                           'displeasing.a' => [
                                              'Subject_stimulus'
                                            ],
                           'die.v' => [
                                      'Death'
                                    ],
                           'marry_(into).v' => [
                                               'Forming_relationships'
                                             ],
                           'forest.n' => [
                                         'Biological_area'
                                       ],
                           'workplace.n' => [
                                            'Being_employed'
                                          ],
                           'cufflink.n' => [
                                           'Accoutrements'
                                         ],
                           'marsh.n' => [
                                        'Biological_area'
                                      ],
                           'homestead.n' => [
                                            'Buildings'
                                          ],
                           'nape.n' => [
                                       'Observable_bodyparts'
                                     ],
                           'feature.v' => [
                                          'Performers_and_roles'
                                        ],
                           'book.n' => [
                                       'Text'
                                     ],
                           'there be.v' => [
                                           'Existence'
                                         ],
                           'allow.v' => [
                                        'Grant_permission',
                                        'Permitting'
                                      ],
                           'theatre.n' => [
                                          'Buildings'
                                        ],
                           'scold.v' => [
                                        'Judgment_direct_address'
                                      ],
                           'place.v' => [
                                        'Placing'
                                      ],
                           'conciliate.v' => [
                                             'Experiencer_obj'
                                           ],
                           'escort.v' => [
                                         'Cotheme'
                                       ],
                           'bankrupt.a' => [
                                           'Wealthiness'
                                         ],
                           'forge.v' => [
                                        'Imitation'
                                      ],
                           'improvise.v' => [
                                            'Invention'
                                          ],
                           'orders.n' => [
                                         'Documents'
                                       ],
                           'adhesive.n' => [
                                           'Connectors'
                                         ],
                           'educate.v' => [
                                          'Education_teaching'
                                        ],
                           'pyjama.n' => [
                                         'Clothing'
                                       ],
                           'corrode.v' => [
                                          'Corroding',
                                          'Corroding_caused'
                                        ],
                           'contend.v' => [
                                          'Statement'
                                        ],
                           'zero.num' => [
                                         'Cardinal_numbers'
                                       ],
                           'ridicule.v' => [
                                           'Judgment_communication'
                                         ],
                           'crate.n' => [
                                        'Containers'
                                      ],
                           'leap.v' => [
                                       'Self_motion'
                                     ],
                           'bi-annual.a' => [
                                            'Iteration'
                                          ],
                           'ordain.v' => [
                                         'Rite'
                                       ],
                           'randy.a' => [
                                        'Biological_urge'
                                      ],
                           'thief.n' => [
                                        'Theft'
                                      ],
                           'nom de guerre.n' => [
                                                'Being_named'
                                              ],
                           'punch.v' => [
                                        'Cause_harm'
                                      ],
                           'hernia.n' => [
                                         'Medical_conditions'
                                       ],
                           'dry_off.v' => [
                                          'Cause_to_be_dry'
                                        ],
                           'slouched.a' => [
                                           'Posture'
                                         ],
                           'scan.v' => [
                                       'Reading',
                                       'Scrutiny'
                                     ],
                           'forecast.v' => [
                                           'Predicting'
                                         ],
                           'beep.n' => [
                                       'Sounds'
                                     ],
                           'get ready.v' => [
                                            'Activity_prepare'
                                          ],
                           'inhabit.v' => [
                                          'Residence'
                                        ],
                           'reiterate.v' => [
                                            'Statement'
                                          ],
                           'depression.n' => [
                                             'Medical_conditions',
                                             'Natural_features'
                                           ],
                           'flake.n' => [
                                        'Part_piece'
                                      ],
                           'jodhpurs.n' => [
                                           'Clothing'
                                         ],
                           'bind.v' => [
                                       'Attaching',
                                       'Inchoative_attaching'
                                     ],
                           'gambol.v' => [
                                         'Self_motion'
                                       ],
                           'enraging.a' => [
                                           'Subject_stimulus'
                                         ],
                           'forefather.n' => [
                                             'Kinship'
                                           ],
                           'before.prep' => [
                                            'Time_vector'
                                          ],
                           'shoelace.n' => [
                                           'Clothing_parts',
                                           'Connectors'
                                         ],
                           'painted.a' => [
                                          'Abundance'
                                        ],
                           'rangy.a' => [
                                        'Body_description_holistic'
                                      ],
                           'ignite.v' => [
                                         'Setting_fire'
                                       ],
                           'weaponry.n' => [
                                           'Weapon'
                                         ],
                           'pitch.v' => [
                                        'Cause_motion'
                                      ],
                           'dying.a' => [
                                        'Desiring'
                                      ],
                           'hectare.n' => [
                                          'Measure_area'
                                        ],
                           'utility room.n' => [
                                               'Building_subparts'
                                             ],
                           'definite_possession.n' => [
                                                      'Possession'
                                                    ],
                           'maid.n' => [
                                       'People_by_vocation'
                                     ],
                           'ambition.n' => [
                                           'Desiring'
                                         ],
                           'wax.v' => [
                                      'Grooming'
                                    ],
                           'madden.v' => [
                                         'Experiencer_obj'
                                       ],
                           'surgeon.n' => [
                                          'Medical_professionals'
                                        ],
                           'buskin.n' => [
                                         'Clothing'
                                       ],
                           'mourning.n' => [
                                           'Emotion_directed'
                                         ],
                           'tumor.n' => [
                                        'Medical_conditions'
                                      ],
                           'disdain.v' => [
                                          'Judgment'
                                        ],
                           'uncivil.a' => [
                                          'Social_interaction_evaluation'
                                        ],
                           'solder.v' => [
                                         'Attaching'
                                       ],
                           'square.v' => [
                                         'Compatibility'
                                       ],
                           'gather.v' => [
                                         'Congregating',
                                         'Gathering_up'
                                       ],
                           'abusive.a' => [
                                          'Abusing'
                                        ],
                           'liberal.a' => [
                                          'Strictness'
                                        ],
                           'headband.n' => [
                                           'Accoutrements'
                                         ],
                           'horror.n' => [
                                         'Emotion_directed'
                                       ],
                           'liver spot.n' => [
                                             'Body_mark'
                                           ],
                           'proctologist.n' => [
                                               'Medical_professionals'
                                             ],
                           'sidestep.v' => [
                                           'Avoiding',
                                           'Evading'
                                         ],
                           'the sack.n' => [
                                           'Firing'
                                         ],
                           'mitt.n' => [
                                       'Clothing'
                                     ],
                           'sermon.n' => [
                                         'Text'
                                       ],
                           'respond.v' => [
                                          'Communication_response',
                                          'Response'
                                        ],
                           'upbraid.v' => [
                                          'Judgment_direct_address'
                                        ],
                           'dip.v' => [
                                      'Path_shape'
                                    ],
                           'write down.v' => [
                                             'Text_creation'
                                           ],
                           'toll.n' => [
                                       'Sounds'
                                     ],
                           'lure.v' => [
                                       'Manipulate_into_doing'
                                     ],
                           'communion.n' => [
                                            'Rite'
                                          ],
                           'chat.n' => [
                                       'Chatting'
                                     ],
                           'investigate.v' => [
                                              'Criminal_investigation',
                                              'Research',
                                              'Scrutiny'
                                            ],
                           'excise.v' => [
                                         'Removing'
                                       ],
                           'gunfight.n' => [
                                           'Hostile_encounter'
                                         ],
                           'detach.v' => [
                                         'Attaching'
                                       ],
                           'beaker.n' => [
                                         'Containers'
                                       ],
                           'drown.v' => [
                                        'Death',
                                        'Killing'
                                      ],
                           'centre.n' => [
                                         'Part_inner_outer'
                                       ],
                           'trumpet.n' => [
                                          'Sounds'
                                        ],
                           'sleepiness.n' => [
                                             'Biological_urge'
                                           ],
                           'clout.v' => [
                                        'Cause_harm'
                                      ],
                           'savour.v' => [
                                         'Experiencer_subj',
                                         'Perception_active'
                                       ],
                           'fume.v' => [
                                       'Emotion_heat'
                                     ],
                           'customary.a' => [
                                            'Custom'
                                          ],
                           'assortment.n' => [
                                             'Aggregate'
                                           ],
                           'shootout.n' => [
                                           'Hostile_encounter'
                                         ],
                           'shrink.v' => [
                                         'Cause_expansion',
                                         'Expansion'
                                       ],
                           'podiatry.n' => [
                                           'Medical_specialties'
                                         ],
                           'interrogation.n' => [
                                                'Questioning'
                                              ],
                           'quiet_down.v' => [
                                             'Become_silent',
                                             'Silencing'
                                           ],
                           'helmet.n' => [
                                         'Accoutrements'
                                       ],
                           'glum.a' => [
                                       'Emotion_directed'
                                     ],
                           'execrative.a' => [
                                             'Judgment_communication'
                                           ],
                           'host.v' => [
                                       'Social_event'
                                     ],
                           'vice-president.n' => [
                                                 'Leadership'
                                               ],
                           'terminator.n' => [
                                             'Death'
                                           ],
                           'meditation.n' => [
                                             'Cogitation',
                                             'Text'
                                           ],
                           'deficient.a' => [
                                            'Position_on_a_scale'
                                          ],
                           'mug.v' => [
                                      'Robbery'
                                    ],
                           'suited.a' => [
                                         'Suitability'
                                       ],
                           'chemise.n' => [
                                          'Clothing'
                                        ],
                           'mediocre.a' => [
                                           'Desirability',
                                           'Expertise'
                                         ],
                           'conscious.a' => [
                                            'Awareness'
                                          ],
                           'generate.v' => [
                                           'Cause_to_start',
                                           'Intentionally_create'
                                         ],
                           'tough.a' => [
                                        'Difficulty'
                                      ],
                           'testament.n' => [
                                            'Documents'
                                          ],
                           'utensil.n' => [
                                          'Gizmo'
                                        ],
                           'continental.a' => [
                                              'Natural_features'
                                            ],
                           'intention.n' => [
                                            'Purpose'
                                          ],
                           'creep.v' => [
                                        'Self_motion'
                                      ],
                           'meander.v' => [
                                          'Path_shape',
                                          'Self_motion'
                                        ],
                           'decision.n' => [
                                           'Deciding'
                                         ],
                           'repellent.a' => [
                                            'Subject_stimulus'
                                          ],
                           'boonies.n' => [
                                          'Isolated_places'
                                        ],
                           'knackered.a' => [
                                            'Biological_urge'
                                          ],
                           'goggles.n' => [
                                          'Accoutrements'
                                        ],
                           'unlikely.a' => [
                                           'Likelihood'
                                         ],
                           'region.n' => [
                                         'Locale'
                                       ],
                           'slither.v' => [
                                          'Self_motion'
                                        ],
                           'teem.v' => [
                                       'Abundance',
                                       'Mass_motion'
                                     ],
                           'resemble.v' => [
                                           'Similarity'
                                         ],
                           'wreathe.v' => [
                                          'Adorning'
                                        ],
                           'primary.a' => [
                                          'First_rank'
                                        ],
                           'forage.v' => [
                                         'Seeking'
                                       ],
                           'jigger.n' => [
                                         'Containers'
                                       ],
                           'copy.v' => [
                                       'Duplication'
                                     ],
                           'unarmed.a' => [
                                          'Bearing_arms'
                                        ],
                           'barn.n' => [
                                       'Buildings'
                                     ],
                           'bikini.n' => [
                                         'Clothing'
                                       ],
                           'annihilation.n' => [
                                               'Destroying',
                                               'Killing'
                                             ],
                           'wheeze.v' => [
                                         'Communication_noise',
                                         'Motion_noise'
                                       ],
                           'carafe.n' => [
                                         'Containers'
                                       ],
                           'dewy.a' => [
                                       'Being_wet'
                                     ],
                           'originator.n' => [
                                             'Achieving_first'
                                           ],
                           'extended.a' => [
                                           'Duration'
                                         ],
                           'stage.v' => [
                                        'Imitation'
                                      ],
                           'jiggle.v' => [
                                         'Body_movement'
                                       ],
                           'certainty.n' => [
                                            'Certainty',
                                            'Likelihood'
                                          ],
                           'unethical.a' => [
                                            'Morality_evaluation'
                                          ],
                           'frenchy.n' => [
                                          'People_by_origin'
                                        ],
                           'motorway.n' => [
                                           'Roadways'
                                         ],
                           'interim.a' => [
                                          'Duration'
                                        ],
                           'approbation.n' => [
                                              'Judgment'
                                            ],
                           'orthopaedics.n' => [
                                               'Medical_specialties'
                                             ],
                           'squash.v' => [
                                         'Cause_harm',
                                         'Reshaping'
                                       ],
                           'knickers.n' => [
                                           'Clothing'
                                         ],
                           'anesthesiologist.n' => [
                                                   'Medical_professionals'
                                                 ],
                           'introverted.a' => [
                                              'Sociability'
                                            ],
                           'maintain.v' => [
                                           'Activity_ongoing',
                                           'Statement'
                                         ],
                           'gun.n' => [
                                      'Weapon'
                                    ],
                           'defrosted.a' => [
                                            'Altered_phase'
                                          ],
                           'office.n' => [
                                         'Building_subparts'
                                       ],
                           'probable.a' => [
                                           'Likelihood'
                                         ],
                           'bond.n' => [
                                       'Bail_setting',
                                       'Connectors',
                                       'Social_connection'
                                     ],
                           'nab.v' => [
                                      'Arrest',
                                      'Kidnapping'
                                    ],
                           'eighth.n' => [
                                         'Part_whole'
                                       ],
                           'pelt.v' => [
                                       'Cause_harm',
                                       'Mass_motion'
                                     ],
                           'pantry.n' => [
                                         'Building_subparts'
                                       ],
                           'vexatious.a' => [
                                            'Subject_stimulus'
                                          ],
                           'sarong.n' => [
                                         'Clothing'
                                       ],
                           'together with.prep' => [
                                                   'Accompaniment'
                                                 ],
                           'rest.v' => [
                                       'Placing'
                                     ],
                           'agglutinate.v' => [
                                              'Attaching',
                                              'Inchoative_attaching'
                                            ],
                           'divulge.v' => [
                                          'Reveal_secret'
                                        ],
                           'dressed.a' => [
                                          'Wearing'
                                        ],
                           'foundation.n' => [
                                             'Body_decoration'
                                           ],
                           'hook.v' => [
                                       'Attaching'
                                     ],
                           'seem.v' => [
                                       'Appearance'
                                     ],
                           'sexual assault.n' => [
                                                 'Offenses'
                                               ],
                           'forestall.v' => [
                                            'Thwarting'
                                          ],
                           'paste.v' => [
                                        'Attaching'
                                      ],
                           'perspire.v' => [
                                           'Excreting'
                                         ],
                           'sad.a' => [
                                      'Emotion_directed',
                                      'Subject_stimulus'
                                    ],
                           'unload.v' => [
                                         'Emptying',
                                         'Removing'
                                       ],
                           'scuffle.n' => [
                                          'Hostile_encounter'
                                        ],
                           'hope.n' => [
                                       'Desiring'
                                     ],
                           'gift.n' => [
                                       'Giving'
                                     ],
                           'laudatory.a' => [
                                            'Judgment_communication'
                                          ],
                           'all over.prep' => [
                                              'Locative_relation'
                                            ],
                           'excellent.a' => [
                                            'Desirability',
                                            'Expertise',
                                            'Usefulness'
                                          ],
                           'ululate.v' => [
                                          'Make_noise'
                                        ],
                           'vice-captain.n' => [
                                               'Leadership'
                                             ],
                           'categorize.v' => [
                                             'Categorization'
                                           ],
                           'height.n' => [
                                         'Dimension',
                                         'Natural_features'
                                       ],
                           'wood.n' => [
                                       'Biological_area'
                                     ],
                           'divorce.v' => [
                                          'Forming_relationships'
                                        ],
                           'absorbed.a' => [
                                           'Experiencer_subj'
                                         ],
                           'proper.a' => [
                                         'Suitability'
                                       ],
                           'grate.v' => [
                                        'Communication_noise',
                                        'Friction',
                                        'Grinding'
                                      ],
                           'come into the world.v' => [
                                                      'Being_born'
                                                    ],
                           'clothed.a' => [
                                          'Wearing'
                                        ],
                           'undressed.a' => [
                                            'Wearing'
                                          ],
                           'unmatched.a' => [
                                            'Beyond_compare'
                                          ],
                           'previous.a' => [
                                           'Relative_time'
                                         ],
                           'carton.n' => [
                                         'Containers'
                                       ],
                           'grab.v' => [
                                       'Manipulation'
                                     ],
                           'indulgent.a' => [
                                            'Strictness'
                                          ],
                           'slurp.n' => [
                                        'Ingestion'
                                      ],
                           'unzip.v' => [
                                        'Closure'
                                      ],
                           'bulletin.n' => [
                                           'Text'
                                         ],
                           'hailstorm.n' => [
                                            'Weather'
                                          ],
                           'fused.a' => [
                                        'Being_attached'
                                      ],
                           'weariness.n' => [
                                            'Biological_urge'
                                          ],
                           'unrepentant.a' => [
                                              'Contrition'
                                            ],
                           'heartening.a' => [
                                             'Subject_stimulus'
                                           ],
                           'hairgrip.n' => [
                                           'Accoutrements'
                                         ],
                           'rattle.v' => [
                                         'Cause_impact',
                                         'Communication_noise',
                                         'Experiencer_obj',
                                         'Impact',
                                         'Make_noise'
                                       ],
                           'limp.v' => [
                                       'Self_motion'
                                     ],
                           'hatless.a' => [
                                          'Wearing'
                                        ],
                           'explosive.n' => [
                                            'Weapon'
                                          ],
                           'knee.v' => [
                                       'Cause_harm'
                                     ],
                           'devour.v' => [
                                         'Ingestion',
                                         'Reading'
                                       ],
                           'peel.v' => [
                                       'Emptying'
                                     ],
                           'invention.n' => [
                                            'Achieving_first',
                                            'Invention'
                                          ],
                           'undress.n' => [
                                          'Wearing'
                                        ],
                           'prison.n' => [
                                         'Prison'
                                       ],
                           'necklace.n' => [
                                           'Accoutrements'
                                         ],
                           'wallet.n' => [
                                         'Containers'
                                       ],
                           'fighting.n' => [
                                           'Hostile_encounter'
                                         ],
                           'after.prep' => [
                                           'Time_vector'
                                         ],
                           'geographically.adv' => [
                                                   'Domain'
                                                 ],
                           'mire.n' => [
                                       'Biological_area'
                                     ],
                           'suffer.v' => [
                                         'Catastrophe',
                                         'Grant_permission'
                                       ],
                           'merit.v' => [
                                        'Deserving'
                                      ],
                           'emit.v' => [
                                       'Emitting'
                                     ],
                           'barbaric.a' => [
                                           'Social_interaction_evaluation'
                                         ],
                           'distressed.a' => [
                                             'Emotion_directed'
                                           ],
                           'expressway.n' => [
                                             'Roadways'
                                           ],
                           'kip.v' => [
                                      'Sleep'
                                    ],
                           'road.n' => [
                                       'Roadways'
                                     ],
                           'gain.v' => [
                                       'Change_position_on_a_scale',
                                       'Getting'
                                     ],
                           'underneath.prep' => [
                                                'Locative_relation'
                                              ],
                           'west.n' => [
                                       'Part_orientational'
                                     ],
                           'epic.n' => [
                                       'Text'
                                     ],
                           'kilometer.n' => [
                                            'Measure_linear_extent'
                                          ],
                           'party.n' => [
                                        'Aggregate',
                                        'Social_event'
                                      ],
                           'nephrology.n' => [
                                             'Medical_specialties'
                                           ],
                           'travel.n' => [
                                         'Travel'
                                       ],
                           'wheel.n' => [
                                        'Artifact'
                                      ],
                           'occur.v' => [
                                        'Event'
                                      ],
                           'kinswoman.n' => [
                                            'Kinship'
                                          ],
                           'mascara.n' => [
                                          'Body_decoration'
                                        ],
                           'clang.v' => [
                                        'Cause_impact',
                                        'Cause_to_make_noise',
                                        'Impact',
                                        'Make_noise',
                                        'Motion_noise'
                                      ],
                           'black-haired.a' => [
                                               'Body_description_part'
                                             ],
                           'analyse.v' => [
                                          'Scrutiny'
                                        ],
                           'usher.v' => [
                                        'Cotheme'
                                      ],
                           'foxy.a' => [
                                       'Mental_property'
                                     ],
                           'verification.n' => [
                                               'Verification'
                                             ],
                           'change.v' => [
                                         'Cause_change',
                                         'Change_tool',
                                         'Exchange_currency',
                                         'Replacing',
                                         'Undergo_change'
                                       ],
                           'lie.v' => [
                                      'Being_located',
                                      'Change_posture',
                                      'Posture',
                                      'Prevarication'
                                    ],
                           'biretta.n' => [
                                          'Accoutrements'
                                        ],
                           'bungling.a' => [
                                           'Bungling'
                                         ],
                           'surprising.a' => [
                                             'Subject_stimulus'
                                           ],
                           'dispenser.n' => [
                                            'Containers'
                                          ],
                           'earth-shattering.a' => [
                                                   'Subject_stimulus'
                                                 ],
                           'theft.n' => [
                                        'Offenses',
                                        'Theft'
                                      ],
                           'hail.n' => [
                                       'Precipitation'
                                     ],
                           'brown.a' => [
                                        'Color'
                                      ],
                           'costly.a' => [
                                         'Expensiveness'
                                       ],
                           'ransack.v' => [
                                          'Scouring',
                                          'Scrutiny',
                                          'Seeking'
                                        ],
                           'fold.v' => [
                                       'Reshaping'
                                     ],
                           'passel.n' => [
                                         'Aggregate'
                                       ],
                           'plait.v' => [
                                        'Grooming'
                                      ],
                           'deed.n' => [
                                       'Documents'
                                     ],
                           'mortification.n' => [
                                                'Emotion_directed'
                                              ],
                           'islet.n' => [
                                        'Natural_features'
                                      ],
                           'reserved.a' => [
                                           'Volubility'
                                         ],
                           'coif.n' => [
                                       'Accoutrements'
                                     ],
                           'assay.v' => [
                                        'Scrutiny'
                                      ],
                           'collar.v' => [
                                         'Arrest'
                                       ],
                           'fracas.n' => [
                                         'Fighting_activity'
                                       ],
                           'vindictive.a' => [
                                             'Revenge'
                                           ],
                           'shake.v' => [
                                        'Body_movement',
                                        'Cause_to_move_in_place',
                                        'Experiencer_obj',
                                        'Moving_in_place'
                                      ],
                           'representation.n' => [
                                                 'Communicate_categorization'
                                               ],
                           'pickle.n' => [
                                         'Predicament'
                                       ],
                           'dinner-party.n' => [
                                               'Social_event'
                                             ],
                           'saunter.v' => [
                                          'Self_motion'
                                        ],
                           'author.v' => [
                                         'Text_creation'
                                       ],
                           'lasagne.n' => [
                                          'Food'
                                        ],
                           'epilogue.n' => [
                                           'Text'
                                         ],
                           'tote.v' => [
                                       'Bringing'
                                     ],
                           'powder room.n' => [
                                              'Building_subparts'
                                            ],
                           'pooped.a' => [
                                         'Biological_urge'
                                       ],
                           'alleviation.n' => [
                                              'Cure'
                                            ],
                           'discussion.n' => [
                                             'Discussion'
                                           ],
                           'stir.v' => [
                                       'Experiencer_obj'
                                     ],
                           'veal.n' => [
                                       'Food'
                                     ],
                           'symptom.n' => [
                                          'Sign'
                                        ],
                           'consoling.a' => [
                                            'Subject_stimulus'
                                          ],
                           'fair.n' => [
                                       'Social_event'
                                     ],
                           'pout.v' => [
                                       'Body_movement',
                                       'Making_faces',
                                       'Statement'
                                     ],
                           'respect.v' => [
                                          'Judgment'
                                        ],
                           'gleaming.a' => [
                                           'Location_of_light'
                                         ],
                           'hurl.v' => [
                                       'Cause_motion'
                                     ],
                           'deluge.n' => [
                                         'Quantity'
                                       ],
                           'blood_pressure_cuff.n' => [
                                                      'Medical_instruments'
                                                    ],
                           'mar.v' => [
                                      'Damaging'
                                    ],
                           'codename.n' => [
                                           'Being_named'
                                         ],
                           'aggrieve.v' => [
                                           'Experiencer_obj'
                                         ],
                           'shaman.n' => [
                                         'Medical_professionals'
                                       ],
                           'mate.n' => [
                                       'Personal_relationship'
                                     ],
                           'briefs.n' => [
                                         'Clothing'
                                       ],
                           'afternoon.n' => [
                                            'Calendric_unit'
                                          ],
                           'throw up.v' => [
                                           'Excreting'
                                         ],
                           'cohabitation.n' => [
                                               'Personal_relationship'
                                             ],
                           'lacking.a' => [
                                          'Position_on_a_scale',
                                          'Possession'
                                        ],
                           'blizzard.n' => [
                                           'Weather'
                                         ],
                           'hatred.n' => [
                                         'Experiencer_subj'
                                       ],
                           'plateau.n' => [
                                          'Natural_features'
                                        ],
                           'lean.a' => [
                                       'Body_description_holistic'
                                     ],
                           'figure out.v' => [
                                             'Coming_to_believe'
                                           ],
                           'caning.n' => [
                                         'Corporal_punishment'
                                       ],
                           'tomorrow.n' => [
                                           'Calendric_unit'
                                         ],
                           'console.v' => [
                                          'Experiencer_obj'
                                        ],
                           'terminal.n' => [
                                           'Buildings'
                                         ],
                           'killer.n' => [
                                         'Killing'
                                       ],
                           'approach.v' => [
                                           'Arriving'
                                         ],
                           'repentant.a' => [
                                            'Contrition'
                                          ],
                           'bewitch.v' => [
                                          'Experiencer_obj'
                                        ],
                           'asphyxia.n' => [
                                           'Medical_conditions'
                                         ],
                           'truckload.n' => [
                                            'Measure_volume'
                                          ],
                           'tassel.n' => [
                                         'Clothing_parts'
                                       ],
                           'kilogram.n' => [
                                           'Measure_mass'
                                         ],
                           'evil.a' => [
                                       'Morality_evaluation'
                                     ],
                           'yelp.v' => [
                                       'Communication_noise',
                                       'Make_noise'
                                     ],
                           'cohabit.v' => [
                                          'Personal_relationship'
                                        ],
                           'jewellery.n' => [
                                            'Accoutrements'
                                          ],
                           'diadem.n' => [
                                         'Accoutrements'
                                       ],
                           'cluster.n' => [
                                          'Aggregate'
                                        ],
                           'study.v' => [
                                        'Education_teaching',
                                        'Scrutiny',
                                        'Studying'
                                      ],
                           'misbehave.v' => [
                                            'Conduct'
                                          ],
                           'conclusion.n' => [
                                             'Coming_to_believe'
                                           ],
                           'hidden.a' => [
                                         'Eclipse'
                                       ],
                           'stiletto.n' => [
                                           'Clothing'
                                         ],
                           'materialize.v' => [
                                              'Coming_to_be'
                                            ],
                           'cake.n' => [
                                       'Food'
                                     ],
                           'inflate.v' => [
                                          'Cause_expansion',
                                          'Expansion'
                                        ],
                           'wriggle.v' => [
                                          'Body_movement',
                                          'Self_motion'
                                        ],
                           'nefarious.a' => [
                                            'Morality_evaluation'
                                          ],
                           'envelop.v' => [
                                          'Adorning'
                                        ],
                           'seed.v' => [
                                       'Filling'
                                     ],
                           'tuesday.n' => [
                                          'Calendric_unit'
                                        ],
                           'labor day.n' => [
                                            'Commemorative'
                                          ],
                           'affray.n' => [
                                         'Fighting_activity'
                                       ],
                           'insistence.n' => [
                                             'Statement'
                                           ],
                           'must.v' => [
                                       'Being_obligated'
                                     ],
                           'practice_((mass)).n' => [
                                                    'Practice'
                                                  ],
                           'creamer.n' => [
                                          'Containers'
                                        ],
                           'cook_up.v' => [
                                          'Invention'
                                        ],
                           'required.a' => [
                                           'Requirements'
                                         ],
                           'purse.v' => [
                                        'Body_movement'
                                      ],
                           'flatter.v' => [
                                          'Manipulate_into_doing'
                                        ],
                           'basin.n' => [
                                        'Containers'
                                      ],
                           'roast.v' => [
                                        'Apply_heat'
                                      ],
                           'nonplussed.a' => [
                                             'Emotion_directed'
                                           ],
                           'grumble.v' => [
                                          'Statement'
                                        ],
                           'defrost.v' => [
                                          'Cause_change_of_phase',
                                          'Change_of_phase',
                                          'Emptying'
                                        ],
                           'whine.v' => [
                                        'Communication_noise',
                                        'Make_noise',
                                        'Motion_noise'
                                      ],
                           'embarrassment.n' => [
                                                'Emotion_directed'
                                              ],
                           'brawl.v' => [
                                        'Hostile_encounter'
                                      ],
                           'bronchitis.n' => [
                                             'Medical_conditions'
                                           ],
                           'frisk.v' => [
                                        'Inspecting',
                                        'Scrutiny',
                                        'Seeking'
                                      ],
                           'expel.v' => [
                                        'Exclude_member',
                                        'Removing'
                                      ],
                           'floor.v' => [
                                        'Experiencer_obj'
                                      ],
                           'billet.v' => [
                                         'Placing'
                                       ],
                           'call to mind.n' => [
                                               'Evoking'
                                             ],
                           'execrable.a' => [
                                            'Desirability',
                                            'Praiseworthiness'
                                          ],
                           'low-priced.a' => [
                                             'Expensiveness'
                                           ],
                           'refulgence.n' => [
                                             'Light_movement',
                                             'Location_of_light'
                                           ],
                           'orthopaedist.n' => [
                                               'Medical_professionals'
                                             ],
                           'attack.v' => [
                                         'Attack'
                                       ],
                           'occlusion.n' => [
                                            'Eclipse'
                                          ],
                           'megalopolis.n' => [
                                              'Political_locales'
                                            ],
                           'since.adv' => [
                                          'Time_vector'
                                        ],
                           'cirque.n' => [
                                         'Natural_features'
                                       ],
                           'probability.n' => [
                                              'Likelihood'
                                            ],
                           'tuckered.a' => [
                                           'Biological_urge'
                                         ],
                           'imperil.v' => [
                                          'Endangering'
                                        ],
                           'freezing.a' => [
                                           'Temperature'
                                         ],
                           'drag.n' => [
                                       'Ingest_substance'
                                     ],
                           'driveway.n' => [
                                           'Roadways'
                                         ],
                           'admonition.n' => [
                                             'Judgment_direct_address'
                                           ],
                           'polemic.n' => [
                                          'Reasoning'
                                        ],
                           'fool.v' => [
                                       'Prevarication'
                                     ],
                           'mash.v' => [
                                       'Reshaping'
                                     ],
                           'speedy.a' => [
                                         'Speed',
                                         'Taking_time'
                                       ],
                           'lamer.n' => [
                                        'Desirability'
                                      ],
                           'telegraph.v' => [
                                            'Communication_means',
                                            'Contacting'
                                          ],
                           'exhalation.n' => [
                                             'Breathing'
                                           ],
                           'white-knuckle.a' => [
                                                'Subject_stimulus'
                                              ],
                           'stepmother.n' => [
                                             'Kinship'
                                           ],
                           'rear.n' => [
                                       'Part_orientational'
                                     ],
                           'meeting.n' => [
                                          'Discussion',
                                          'Social_event'
                                        ],
                           'gulp.v' => [
                                       'Ingestion'
                                     ],
                           'sober.a' => [
                                        'Intoxication'
                                      ],
                           'private eye.n' => [
                                              'People_by_vocation'
                                            ],
                           'contention.n' => [
                                             'Statement'
                                           ],
                           'biological weapon.n' => [
                                                    'Weapon'
                                                  ],
                           'waterlogged.a' => [
                                              'Being_wet'
                                            ],
                           'chuckle.v' => [
                                          'Communication_noise',
                                          'Make_noise'
                                        ],
                           'leukemia.n' => [
                                           'Medical_conditions'
                                         ],
                           'jog.v' => [
                                      'Self_motion'
                                    ],
                           'crunch.n' => [
                                         'Sounds'
                                       ],
                           'mugged.a' => [
                                         'Robbery'
                                       ],
                           'smack.v' => [
                                        'Body_movement',
                                        'Cause_harm',
                                        'Cause_impact',
                                        'Experience_bodily_harm',
                                        'Impact'
                                      ],
                           'shadow.v' => [
                                         'Cotheme'
                                       ],
                           'sciatica.n' => [
                                           'Medical_conditions'
                                         ],
                           'horny.a' => [
                                        'Biological_urge'
                                      ],
                           'spy.v' => [
                                      'Perception_active'
                                    ],
                           'hoof.n' => [
                                       'Observable_bodyparts'
                                     ],
                           'braid.n' => [
                                        'Clothing_parts',
                                        'Hair_configuration'
                                      ],
                           'loathing.n' => [
                                           'Experiencer_subj'
                                         ],
                           'get back (at).v' => [
                                                'Revenge'
                                              ],
                           'beige.a' => [
                                        'Color'
                                      ],
                           'handicap.v' => [
                                           'Hindering'
                                         ],
                           'up.prep' => [
                                        'Locative_relation'
                                      ],
                           'crafty.a' => [
                                         'Mental_property'
                                       ],
                           'embittering.a' => [
                                              'Subject_stimulus'
                                            ],
                           'notice.v' => [
                                         'Becoming_aware'
                                       ],
                           'homeopathist.n' => [
                                               'Medical_professionals'
                                             ],
                           'father.v' => [
                                         'Birth'
                                       ],
                           'howl.v' => [
                                       'Communication_noise',
                                       'Make_noise',
                                       'Motion_noise'
                                     ],
                           'carnage.n' => [
                                          'Killing'
                                        ],
                           'enough.adv' => [
                                           'Sufficiency'
                                         ],
                           'operate.v' => [
                                          'Using'
                                        ],
                           'insertion.n' => [
                                            'Placing'
                                          ],
                           'dry.a' => [
                                      'Being_dry'
                                    ],
                           'enshrouded.a' => [
                                             'Eclipse'
                                           ],
                           'surreptitious.a' => [
                                                'Secrecy_status'
                                              ],
                           'larceny.n' => [
                                          'Offenses',
                                          'Theft'
                                        ],
                           'bitter.a' => [
                                         'Chemical-sense_description'
                                       ],
                           'ability.n' => [
                                          'Capability'
                                        ],
                           'panties.n' => [
                                          'Clothing'
                                        ],
                           'conduct.n' => [
                                          'Conduct'
                                        ],
                           'counterfeit.v' => [
                                              'Imitation'
                                            ],
                           'discomfited.a' => [
                                              'Emotion_directed'
                                            ],
                           'wade.v' => [
                                       'Self_motion'
                                     ],
                           'ak-47.n' => [
                                        'Weapon'
                                      ],
                           'entreat.v' => [
                                          'Request'
                                        ],
                           'itch.v' => [
                                       'Perception_body'
                                     ],
                           'fragment.v' => [
                                           'Cause_to_fragment'
                                         ],
                           'befriend.v' => [
                                           'Forming_relationships',
                                           'Personal_relationship'
                                         ],
                           'mantel.n' => [
                                         'Architectural_part'
                                       ],
                           'comical.a' => [
                                          'Subject_stimulus'
                                        ],
                           'flow.v' => [
                                       'Fluidic_motion'
                                     ],
                           'earlobe.n' => [
                                          'Observable_bodyparts'
                                        ],
                           'delight.v' => [
                                          'Experiencer_obj',
                                          'Experiencer_subj'
                                        ],
                           'benediction.n' => [
                                              'Text'
                                            ],
                           'crater.n' => [
                                         'Natural_features'
                                       ],
                           'west.a' => [
                                       'Part_orientational'
                                     ],
                           'empty.a' => [
                                        'Fullness',
                                        'Subject_stimulus'
                                      ],
                           'drag on.v' => [
                                          'Process_continue'
                                        ],
                           'aggrandizement.n' => [
                                                 'Cause_expansion'
                                               ],
                           'blot_out.v' => [
                                           'Eclipse'
                                         ],
                           'wave.n' => [
                                       'Hair_configuration',
                                       'Quantity'
                                     ],
                           'fulfilled.a' => [
                                            'Experiencer_subj'
                                          ],
                           'taste.n' => [
                                        'Perception_active',
                                        'Sensation'
                                      ],
                           'snitch.n' => [
                                         'Reporting'
                                       ],
                           'convention.n' => [
                                             'Custom'
                                           ],
                           'dermatitis.n' => [
                                             'Medical_conditions'
                                           ],
                           'thronging.a' => [
                                            'Abundance'
                                          ],
                           'expect.v' => [
                                         'Expectation'
                                       ],
                           'rosacea.n' => [
                                          'Medical_conditions'
                                        ],
                           'baffling.a' => [
                                           'Subject_stimulus'
                                         ],
                           'exhilarated.a' => [
                                              'Emotion_directed'
                                            ],
                           'channel.n' => [
                                          'Natural_features'
                                        ],
                           'modification.n' => [
                                               'Cause_change'
                                             ],
                           'smock.n' => [
                                        'Clothing'
                                      ],
                           'unprocessed.a' => [
                                              'Degree_of_processing'
                                            ],
                           'acquisition_((entity)).n' => [
                                                         'Getting'
                                                       ],
                           'incompetent.a' => [
                                              'Expertise'
                                            ],
                           'obey.v' => [
                                       'Compliance'
                                     ],
                           'general.n' => [
                                          'Leadership'
                                        ],
                           'bless.v' => [
                                        'Rite'
                                      ],
                           'savoury.a' => [
                                          'Chemical-sense_description'
                                        ],
                           'cave.n' => [
                                       'Natural_features'
                                     ],
                           'react.v' => [
                                        'Response'
                                      ],
                           'tear.v' => [
                                       'Cause_to_fragment',
                                       'Damaging',
                                       'Experience_bodily_harm'
                                     ],
                           'fillet.v' => [
                                         'Cutting'
                                       ],
                           'awful.a' => [
                                        'Desirability',
                                        'Expertise'
                                      ],
                           'confirm.v' => [
                                          'Evidence',
                                          'Rite',
                                          'Statement',
                                          'Verification'
                                        ],
                           'distinct.a' => [
                                           'Distinctiveness',
                                           'Identicality',
                                           'Similarity'
                                         ],
                           'exciting.a' => [
                                           'Subject_stimulus'
                                         ],
                           'carry on.v' => [
                                           'Activity_ongoing'
                                         ],
                           'rubella.n' => [
                                          'Medical_conditions'
                                        ],
                           'treatise.n' => [
                                           'Text'
                                         ],
                           'complete.a' => [
                                           'Process_completed_state'
                                         ],
                           'spitting image.n' => [
                                                 'Similarity'
                                               ],
                           'rustle.v' => [
                                         'Cause_impact',
                                         'Make_noise',
                                         'Motion_noise'
                                       ],
                           'bias.v' => [
                                       'Partiality'
                                     ],
                           'douse.v' => [
                                        'Cause_to_be_wet',
                                        'Filling'
                                      ],
                           'take break.v' => [
                                             'Activity_pause'
                                           ],
                           'like.prep' => [
                                          'Similarity'
                                        ],
                           'expire.v' => [
                                         'Death'
                                       ],
                           'into.prep' => [
                                          'Into'
                                        ],
                           'caravan.v' => [
                                          'Operate_vehicle'
                                        ],
                           'vaticinate.v' => [
                                             'Predicting'
                                           ],
                           'reply.v' => [
                                        'Communication_response'
                                      ],
                           'glister.n' => [
                                          'Light_movement',
                                          'Location_of_light'
                                        ],
                           'bathrobe.n' => [
                                           'Clothing'
                                         ],
                           'internment.n' => [
                                             'Detaining'
                                           ],
                           'appoint.v' => [
                                          'Change_of_leadership'
                                        ],
                           'trammel.v' => [
                                          'Hindering'
                                        ],
                           'bypass.n' => [
                                         'Roadways'
                                       ],
                           'zone.n' => [
                                       'Locale'
                                     ],
                           'gaze.n' => [
                                       'Perception_active'
                                     ],
                           'recuperate.v' => [
                                             'Recovery'
                                           ],
                           'deliberation.n' => [
                                               'Cogitation',
                                               'Jury_deliberation'
                                             ],
                           'shush.v' => [
                                        'Become_silent',
                                        'Silencing'
                                      ],
                           'ring a bell.v' => [
                                              'Evoking'
                                            ],
                           'shred.n' => [
                                        'Part_piece'
                                      ],
                           'come_clean.v' => [
                                             'Reveal_secret'
                                           ],
                           'melt.v' => [
                                       'Cause_change_of_phase',
                                       'Change_of_phase'
                                     ],
                           'exam.n' => [
                                       'Examination'
                                     ],
                           'set out.v' => [
                                          'Departing'
                                        ],
                           'eulogy.n' => [
                                         'Text'
                                       ],
                           'section.v' => [
                                          'Separation'
                                        ],
                           'word.n' => [
                                       'Simple_name'
                                     ],
                           'night.n' => [
                                        'Calendric_unit'
                                      ],
                           'convict.v' => [
                                          'Verdict'
                                        ],
                           'wonder.v' => [
                                         'Cogitation'
                                       ],
                           'fraud.n' => [
                                        'Offenses'
                                      ],
                           'convalesce.v' => [
                                             'Recovery'
                                           ],
                           'executioner.n' => [
                                              'Execution'
                                            ],
                           'un.n' => [
                                     'People'
                                   ],
                           'name.v' => [
                                       'Name_conferral'
                                     ],
                           'key.a' => [
                                      'Importance'
                                    ],
                           'account.n' => [
                                          'Text'
                                        ],
                           'snowstorm.n' => [
                                            'Weather'
                                          ],
                           'lettuce.n' => [
                                          'Food'
                                        ],
                           'daily.a' => [
                                        'Iteration'
                                      ],
                           'equal.v' => [
                                        'Evaluative_comparison'
                                      ],
                           'river.n' => [
                                        'Natural_features'
                                      ],
                           'climb.v' => [
                                        'Self_motion'
                                      ],
                           'yesterday.n' => [
                                            'Calendric_unit'
                                          ],
                           'screech.v' => [
                                          'Communication_noise',
                                          'Friction',
                                          'Make_noise',
                                          'Motion_noise'
                                        ],
                           'rub.v' => [
                                      'Manipulation',
                                      'Placing'
                                    ],
                           'hindlimb.n' => [
                                           'Observable_bodyparts'
                                         ],
                           'expiatory.a' => [
                                            'Atonement'
                                          ],
                           'grimace.v' => [
                                          'Making_faces'
                                        ],
                           'lady.n' => [
                                       'People'
                                     ],
                           'crash-test.v' => [
                                             'Operational_testing'
                                           ],
                           'ersatz.a' => [
                                         'Imitation'
                                       ],
                           'diarrhea.n' => [
                                           'Medical_conditions'
                                         ],
                           'fit together.v' => [
                                               'Building'
                                             ],
                           'outer.a' => [
                                        'Part_inner_outer'
                                      ],
                           'barefoot.a' => [
                                           'Wearing'
                                         ],
                           'mane.n' => [
                                       'Observable_bodyparts'
                                     ],
                           'neckerchief.n' => [
                                              'Clothing'
                                            ],
                           'nightdress.n' => [
                                             'Clothing'
                                           ],
                           'jell.v' => [
                                       'Cause_change_of_consistency',
                                       'Change_of_consistency'
                                     ],
                           'hagiography.n' => [
                                              'Text'
                                            ],
                           'sough.n' => [
                                        'Sounds'
                                      ],
                           'emerge.v' => [
                                         'Coming_to_be',
                                         'Departing',
                                         'Path_shape'
                                       ],
                           'imprecation.n' => [
                                              'Text'
                                            ],
                           'come to.v' => [
                                          'Waking_up'
                                        ],
                           'leap year.n' => [
                                            'Calendric_unit'
                                          ],
                           'spendthrift.n' => [
                                              'Frugality'
                                            ],
                           'resuscitate.v' => [
                                              'Cure'
                                            ],
                           'purge.n' => [
                                        'Removing'
                                      ],
                           'bunker.n' => [
                                         'Buildings'
                                       ],
                           'appreciative.a' => [
                                               'Judgment'
                                             ],
                           'castigation.n' => [
                                              'Judgment_direct_address'
                                            ],
                           'invite.v' => [
                                         'Request'
                                       ],
                           'tormenting.a' => [
                                             'Subject_stimulus'
                                           ],
                           'like.v' => [
                                       'Experiencer_subj'
                                     ],
                           'emigre.n' => [
                                         'Departing'
                                       ],
                           'king.n' => [
                                       'Leadership'
                                     ],
                           'disagreement.n' => [
                                               'Quarreling'
                                             ],
                           'cancer.n' => [
                                         'Medical_conditions'
                                       ],
                           'impertinent.a' => [
                                              'Social_interaction_evaluation'
                                            ],
                           'employ.v' => [
                                         'Employing',
                                         'Using'
                                       ],
                           'poison.n' => [
                                         'Toxic_substance'
                                       ],
                           'white.a' => [
                                        'Color'
                                      ],
                           'despair.n' => [
                                          'Emotion_directed'
                                        ],
                           'retributive.a' => [
                                              'Revenge'
                                            ],
                           'indicate.v' => [
                                           'Communication',
                                           'Evidence',
                                           'Sign'
                                         ],
                           'important.a' => [
                                            'Importance'
                                          ],
                           'arrest.v' => [
                                         'Arrest'
                                       ],
                           'hungry.a' => [
                                         'Biological_urge',
                                         'Desiring'
                                       ],
                           'pasted.a' => [
                                         'Being_attached'
                                       ],
                           'doubtful.a' => [
                                           'Certainty'
                                         ],
                           'sparkle.v' => [
                                          'Light_movement',
                                          'Location_of_light'
                                        ],
                           'rap.v' => [
                                      'Cause_impact',
                                      'Communication_noise',
                                      'Impact'
                                    ],
                           'revenger.n' => [
                                           'Revenge'
                                         ],
                           'act.v' => [
                                      'Conduct',
                                      'Intentionally_act',
                                      'Performers_and_roles'
                                    ],
                           'stressed.a' => [
                                           'Emotion_directed'
                                         ],
                           'nostril.n' => [
                                          'Observable_bodyparts'
                                        ],
                           'second.a' => [
                                         'Ordinal_numbers'
                                       ],
                           'tumble.n' => [
                                         'Change_position_on_a_scale'
                                       ],
                           'assist.v' => [
                                         'Assistance'
                                       ],
                           'tool.n' => [
                                       'Gizmo'
                                     ],
                           'expose.v' => [
                                         'Reveal_secret'
                                       ],
                           'downsize.v' => [
                                           'Firing'
                                         ],
                           'suitor.n' => [
                                         'Personal_relationship'
                                       ],
                           'flame.v' => [
                                        'Light_movement',
                                        'Location_of_light'
                                      ],
                           'exhilarating.a' => [
                                               'Subject_stimulus'
                                             ],
                           'portend.v' => [
                                          'Omen'
                                        ],
                           'understand.v' => [
                                             'Awareness',
                                             'Categorization',
                                             'Grasp'
                                           ],
                           'handbag.n' => [
                                          'Containers'
                                        ],
                           'contract.v' => [
                                           'Expansion'
                                         ],
                           'milligram.n' => [
                                            'Measure_mass'
                                          ],
                           'villain.n' => [
                                          'People_by_morality'
                                        ],
                           'worship.n' => [
                                          'Rite'
                                        ],
                           'pick-up.n' => [
                                          'Vehicle'
                                        ],
                           'pissed.a' => [
                                         'Intoxication'
                                       ],
                           'transship.v' => [
                                            'Import_export'
                                          ],
                           'intimidate.v' => [
                                             'Experiencer_obj'
                                           ],
                           'prowl.v' => [
                                        'Self_motion'
                                      ],
                           'legwarmers.n' => [
                                             'Clothing'
                                           ],
                           'watch.n' => [
                                        'Accoutrements'
                                      ],
                           'agree.v' => [
                                        'Compatibility'
                                      ],
                           'screw-up event.n' => [
                                                 'Bungling'
                                               ],
                           'stream.v' => [
                                         'Fluidic_motion',
                                         'Mass_motion'
                                       ],
                           'outspoken.a' => [
                                            'Candidness'
                                          ],
                           'cannabis.n' => [
                                           'Intoxicants'
                                         ],
                           'assassination.n' => [
                                                'Killing'
                                              ],
                           'build.v' => [
                                        'Building'
                                      ],
                           'parley.n' => [
                                         'Discussion'
                                       ],
                           'eclipse.v' => [
                                          'Eclipse'
                                        ],
                           'flop.v' => [
                                       'Moving_in_place'
                                     ],
                           'lackey.n' => [
                                         'Subordinates_and_Superiors'
                                       ],
                           'chalice.n' => [
                                          'Containers'
                                        ],
                           'well-off.a' => [
                                           'Wealthiness'
                                         ],
                           'mitten.n' => [
                                         'Clothing'
                                       ],
                           'mob.n' => [
                                      'Aggregate'
                                    ],
                           'jumpsuit.n' => [
                                           'Clothing'
                                         ],
                           'affect.v' => [
                                         'Objective_influence'
                                       ],
                           'depict.v' => [
                                         'Communicate_categorization'
                                       ],
                           'scrunch.v' => [
                                          'Friction',
                                          'Make_noise',
                                          'Reshaping'
                                        ],
                           'sari.n' => [
                                       'Clothing'
                                     ],
                           'ingenious.a' => [
                                            'Mental_property'
                                          ],
                           'interesting.a' => [
                                              'Subject_stimulus'
                                            ],
                           'hooded.a' => [
                                         'Wearing'
                                       ],
                           'conjunctivitis.n' => [
                                                 'Medical_conditions'
                                               ],
                           'boring.a' => [
                                         'Subject_stimulus'
                                       ],
                           'seat.n' => [
                                       'Clothing_parts'
                                     ],
                           'a pain.n' => [
                                         'Difficulty'
                                       ],
                           'glade.n' => [
                                        'Biological_area'
                                      ],
                           'fake.a' => [
                                       'Imitation'
                                     ],
                           'broken.a' => [
                                         'Being_operational'
                                       ],
                           'cable.v' => [
                                        'Communication_means',
                                        'Contacting'
                                      ],
                           'soothsay.v' => [
                                           'Predicting'
                                         ],
                           'outside.a' => [
                                          'Part_inner_outer'
                                        ],
                           'quiet.v' => [
                                        'Become_silent',
                                        'Silencing'
                                      ],
                           'hostility.n' => [
                                            'Hostile_encounter'
                                          ],
                           'engaged.a' => [
                                          'Personal_relationship'
                                        ],
                           'dwell.v' => [
                                        'Cogitation',
                                        'Residence'
                                      ],
                           'ancient.a' => [
                                          'Age'
                                        ],
                           'scoopful.n' => [
                                           'Measure_volume'
                                         ],
                           'romance.n' => [
                                          'Personal_relationship'
                                        ],
                           'cause.n' => [
                                        'Causation'
                                      ],
                           'gang together.v' => [
                                                'Congregating'
                                              ],
                           'incredible.a' => [
                                             'Desirability',
                                             'Expertise'
                                           ],
                           'contravention.n' => [
                                                'Compliance'
                                              ],
                           'gloveless.a' => [
                                            'Wearing'
                                          ],
                           'guillotine.v' => [
                                             'Execution'
                                           ],
                           'outdo.v' => [
                                        'Surpassing'
                                      ],
                           'boom.n' => [
                                       'Sounds'
                                     ],
                           'flog.v' => [
                                       'Corporal_punishment'
                                     ],
                           'lead.v' => [
                                       'Cotheme',
                                       'Leadership',
                                       'Talking_into'
                                     ],
                           'bring to mind.v' => [
                                                'Evoking'
                                              ],
                           'emotion.n' => [
                                          'Feeling'
                                        ],
                           'substitution.n' => [
                                               'Replacing'
                                             ],
                           'rite.n' => [
                                       'Rite'
                                     ],
                           'ticket.v' => [
                                         'Fining'
                                       ],
                           'reward.n' => [
                                         'Rewards_and_punishments'
                                       ],
                           'rifle.n' => [
                                        'Weapon'
                                      ],
                           'strike.v' => [
                                         'Attack',
                                         'Cause_harm',
                                         'Cause_impact',
                                         'Impact'
                                       ],
                           'research.n' => [
                                           'Research'
                                         ],
                           'get-up.n' => [
                                         'Clothing'
                                       ],
                           'flap.v' => [
                                       'Body_movement'
                                     ],
                           'annual.a' => [
                                         'Iteration'
                                       ],
                           'caper.v' => [
                                        'Self_motion'
                                      ],
                           'telephone.v' => [
                                            'Communication_means',
                                            'Contacting'
                                          ],
                           'set up.v' => [
                                         'Intentionally_create'
                                       ],
                           'cocaine.n' => [
                                          'Intoxicants'
                                        ],
                           'moronic.a' => [
                                          'Mental_property'
                                        ],
                           'leader.n' => [
                                         'Leadership'
                                       ],
                           'topic.n' => [
                                        'Topic'
                                      ],
                           'family room.n' => [
                                              'Building_subparts'
                                            ],
                           'bustle.v' => [
                                         'Self_motion'
                                       ],
                           'soak.v' => [
                                       'Cause_to_be_wet',
                                       'Fluidic_motion',
                                       'Soaking'
                                     ],
                           'exasperation.n' => [
                                               'Emotion_directed'
                                             ],
                           'venom.n' => [
                                        'Toxic_substance'
                                      ],
                           'agape.a' => [
                                        'Experiencer_subj'
                                      ],
                           'pasta.n' => [
                                        'Food'
                                      ],
                           'retort.n' => [
                                         'Communication_response'
                                       ],
                           'hide.v' => [
                                       'Eclipse'
                                     ],
                           'dumpy.a' => [
                                        'Body_description_holistic'
                                      ],
                           'intermix.v' => [
                                           'Amalgamation',
                                           'Cause_to_amalgamate'
                                         ],
                           'spittoon.n' => [
                                           'Containers'
                                         ],
                           'plash.n' => [
                                        'Sounds'
                                      ],
                           'chiropractor.n' => [
                                               'Medical_professionals'
                                             ],
                           'shape.n' => [
                                        'Shapes'
                                      ],
                           'hamstring.v' => [
                                            'Thwarting'
                                          ],
                           'necktie.n' => [
                                          'Clothing'
                                        ],
                           'woo.v' => [
                                      'Forming_relationships'
                                    ],
                           'kiss.v' => [
                                       'Manipulation'
                                     ],
                           'ruin.v' => [
                                       'Bungling'
                                     ],
                           'yowl.v' => [
                                       'Make_noise'
                                     ],
                           'stockade.n' => [
                                           'Prison'
                                         ],
                           'boundary.n' => [
                                           'Boundary'
                                         ],
                           'bumblefuck.n' => [
                                             'Isolated_places'
                                           ],
                           'horn.n' => [
                                       'Observable_bodyparts'
                                     ],
                           'aggravation.n' => [
                                              'Subject_stimulus'
                                            ],
                           'third-rate.a' => [
                                             'Desirability'
                                           ],
                           'outlaw.v' => [
                                         'Prohibiting'
                                       ],
                           'shindig.n' => [
                                          'Social_event'
                                        ],
                           'say.v' => [
                                      'Spelling_and_pronouncing',
                                      'Statement',
                                      'Text_creation'
                                    ],
                           'peculiarity.n' => [
                                              'Idiosyncrasy'
                                            ],
                           'muslins.n' => [
                                          'Clothing'
                                        ],
                           'superlative.a' => [
                                              'Desirability',
                                              'Expertise'
                                            ],
                           'artificial.a' => [
                                             'Imitation'
                                           ],
                           'onset.n' => [
                                        'Attack',
                                        'Process_start'
                                      ],
                           'broad-minded.a' => [
                                               'Mental_property'
                                             ],
                           'baffled.a' => [
                                          'Emotion_directed'
                                        ],
                           'canister.n' => [
                                           'Containers'
                                         ],
                           'roommate.n' => [
                                           'People_by_residence'
                                         ],
                           'frightened.a' => [
                                             'Emotion_directed',
                                             'Experiencer_subj'
                                           ],
                           'sympathize.a' => [
                                             'Emotion_directed'
                                           ],
                           'creak.v' => [
                                        'Cause_to_make_noise',
                                        'Make_noise',
                                        'Motion_noise'
                                      ],
                           'divest.v' => [
                                         'Emptying'
                                       ],
                           'damn.v' => [
                                       'Judgment_communication'
                                     ],
                           'opinion.n' => [
                                          'Documents'
                                        ],
                           'november.n' => [
                                           'Calendric_unit'
                                         ],
                           'remorseful.a' => [
                                             'Contrition'
                                           ],
                           'headmaster.n' => [
                                             'Leadership'
                                           ],
                           'worked up.a' => [
                                            'Experiencer_subj'
                                          ],
                           'firing squad.n' => [
                                               'Execution'
                                             ],
                           'retaliate.v' => [
                                            'Revenge'
                                          ],
                           'condominium.n' => [
                                              'Buildings'
                                            ],
                           'plenty.n' => [
                                         'Sufficiency'
                                       ],
                           'ought to.v' => [
                                           'Being_obligated'
                                         ],
                           'crest.n' => [
                                        'Part_orientational'
                                      ],
                           'bro.n' => [
                                      'Attention_getting'
                                    ],
                           'oncologist.n' => [
                                             'Medical_professionals'
                                           ],
                           'crease.v' => [
                                         'Body_movement'
                                       ],
                           'kneel up.v' => [
                                           'Change_posture'
                                         ],
                           'seller.n' => [
                                         'Commerce'
                                       ],
                           'avow.v' => [
                                       'Statement'
                                     ],
                           'tramp.v' => [
                                        'Self_motion'
                                      ],
                           'quarrel.n' => [
                                          'Quarreling'
                                        ],
                           'canoe.v' => [
                                        'Operate_vehicle'
                                      ],
                           'acne.n' => [
                                       'Body_mark'
                                     ],
                           'peccadillo.n' => [
                                             'Misdeed'
                                           ],
                           'bayonet.v' => [
                                          'Cause_harm'
                                        ],
                           'yodel.v' => [
                                        'Make_noise'
                                      ],
                           'bend.v' => [
                                       'Body_movement',
                                       'Change_posture',
                                       'Path_shape',
                                       'Posture',
                                       'Reshaping'
                                     ],
                           'indication.n' => [
                                             'Sign'
                                           ],
                           'deception.n' => [
                                            'Prevarication'
                                          ],
                           'glistening.a' => [
                                             'Light_movement',
                                             'Location_of_light'
                                           ],
                           'covert.a' => [
                                         'Secrecy_status'
                                       ],
                           'mold.v' => [
                                       'Reshaping'
                                     ],
                           'psychologist.n' => [
                                               'Medical_professionals'
                                             ],
                           'in_the_hope_of.prep' => [
                                                    'Desiring'
                                                  ],
                           'width.n' => [
                                        'Dimension'
                                      ],
                           'brandish.v' => [
                                           'Body_movement'
                                         ],
                           'dare.v' => [
                                       'Daring'
                                     ],
                           'complete.v' => [
                                           'Activity_finish'
                                         ],
                           'prowess.n' => [
                                          'Expertise'
                                        ],
                           'hatted.a' => [
                                         'Wearing'
                                       ],
                           'draw.n' => [
                                       'Finish_competition'
                                     ],
                           'cylinder.n' => [
                                           'Containers'
                                         ],
                           'slurp.v' => [
                                        'Ingestion'
                                      ],
                           'reign.v' => [
                                        'Leadership'
                                      ],
                           'goosebump.n' => [
                                            'Perception_body'
                                          ],
                           'reactor.n' => [
                                          'Locale_by_use'
                                        ],
                           'ancestor.n' => [
                                           'Kinship'
                                         ],
                           'perplexing.a' => [
                                             'Subject_stimulus'
                                           ],
                           'prize.v' => [
                                        'Judgment'
                                      ],
                           'bang.n' => [
                                       'Sounds'
                                     ],
                           'draw blank.v' => [
                                             'Remembering_information'
                                           ],
                           'age.n' => [
                                      'Age'
                                    ],
                           'cobber.n' => [
                                         'Personal_relationship'
                                       ],
                           'spook.v' => [
                                        'Experiencer_obj'
                                      ],
                           'undulate.v' => [
                                           'Path_shape'
                                         ],
                           'ode.n' => [
                                      'Text'
                                    ],
                           'radio.v' => [
                                        'Communication_means',
                                        'Contacting'
                                      ],
                           'agony.n' => [
                                        'Emotion_directed'
                                      ],
                           'wrongful.a' => [
                                           'Legality'
                                         ],
                           'german measles.n' => [
                                                 'Medical_conditions'
                                               ],
                           'bread.n' => [
                                        'Food'
                                      ],
                           'squabble.v' => [
                                           'Quarreling'
                                         ],
                           'outhouse.n' => [
                                           'Buildings'
                                         ],
                           'knock.v' => [
                                        'Cause_harm'
                                      ],
                           'hindquarters.n' => [
                                               'Observable_bodyparts'
                                             ],
                           'lock up.v' => [
                                          'Immobilization'
                                        ],
                           'airfield.n' => [
                                           'Locale_by_use'
                                         ],
                           'borough.n' => [
                                          'Political_locales'
                                        ],
                           'feelings.n' => [
                                           'Feeling'
                                         ],
                           'september.n' => [
                                            'Calendric_unit'
                                          ],
                           'familiar.a' => [
                                           'Expertise'
                                         ],
                           'rapids.n' => [
                                         'Natural_features'
                                       ],
                           'storeroom.n' => [
                                            'Building_subparts'
                                          ],
                           'solidified.a' => [
                                             'Altered_phase'
                                           ],
                           'rebuke.v' => [
                                         'Judgment_direct_address'
                                       ],
                           'import.v' => [
                                         'Import_export'
                                       ],
                           'distress.v' => [
                                           'Experiencer_obj'
                                         ],
                           'tour.n' => [
                                       'Travel'
                                     ],
                           'shiver.v' => [
                                         'Body_movement',
                                         'Cause_to_fragment'
                                       ],
                           'trinket.n' => [
                                          'Accoutrements'
                                        ],
                           'identical.a' => [
                                            'Identicality'
                                          ],
                           'conjecture.n' => [
                                             'Statement'
                                           ],
                           'try.v' => [
                                      'Attempt',
                                      'Try_defendant'
                                    ],
                           'periodic.a' => [
                                           'Iteration'
                                         ],
                           'licence.n' => [
                                          'Documents'
                                        ],
                           'hauberk.n' => [
                                          'Accoutrements'
                                        ],
                           'spring chicken.n' => [
                                                 'People_by_age'
                                               ],
                           'tuna.n' => [
                                       'Food'
                                     ],
                           'runway.n' => [
                                         'Roadways'
                                       ],
                           'fink.n' => [
                                       'People_by_morality',
                                       'Reporting'
                                     ],
                           'whimper.v' => [
                                          'Communication_noise',
                                          'Make_noise'
                                        ],
                           'purr.n' => [
                                       'Sounds'
                                     ],
                           'rend.v' => [
                                       'Cause_to_fragment',
                                       'Damaging'
                                     ],
                           'segment.v' => [
                                          'Separation'
                                        ],
                           'capital.a' => [
                                          'Severity_of_offense'
                                        ],
                           'wonderful.a' => [
                                            'Desirability',
                                            'Expertise',
                                            'Usefulness'
                                          ],
                           'buggy.n' => [
                                        'Vehicle'
                                      ],
                           'inamorata.n' => [
                                            'Personal_relationship'
                                          ],
                           'assertion.n' => [
                                            'Statement'
                                          ],
                           'bland.a' => [
                                        'Chemical-sense_description'
                                      ],
                           'commission.v' => [
                                             'Employing',
                                             'Hiring'
                                           ],
                           'mortify.v' => [
                                          'Experiencer_obj'
                                        ],
                           'liquidator.n' => [
                                             'Killing'
                                           ],
                           'dotted.a' => [
                                         'Abundance'
                                       ],
                           'undead.n' => [
                                         'Dead_or_alive'
                                       ],
                           'gleeful.a' => [
                                          'Emotion_directed'
                                        ],
                           'bat.v' => [
                                      'Body_movement'
                                    ],
                           'processed.a' => [
                                            'Degree_of_processing'
                                          ],
                           'negotiation.n' => [
                                              'Discussion'
                                            ],
                           'elated.a' => [
                                         'Emotion_directed'
                                       ],
                           'fetter.v' => [
                                         'Attaching'
                                       ],
                           'spattered.a' => [
                                            'Abundance'
                                          ],
                           'presage.n' => [
                                          'Omen'
                                        ],
                           'confrontation.n' => [
                                                'Hostile_encounter'
                                              ],
                           'new yorker.n' => [
                                             'People_by_origin'
                                           ],
                           'cardigan.n' => [
                                           'Clothing'
                                         ],
                           'comply.v' => [
                                         'Compliance'
                                       ],
                           'mile.n' => [
                                       'Measure_linear_extent'
                                     ],
                           'disorientating.a' => [
                                                 'Subject_stimulus'
                                               ],
                           'astuteness.n' => [
                                             'Mental_property'
                                           ],
                           'tracksuit.n' => [
                                            'Clothing'
                                          ],
                           'thrift.n' => [
                                         'Frugality'
                                       ],
                           'signify.v' => [
                                          'Sign'
                                        ],
                           'misspell.v' => [
                                           'Spelling_and_pronouncing'
                                         ],
                           'grimoire.n' => [
                                           'Text'
                                         ],
                           'garrotte.n' => [
                                           'Weapon'
                                         ],
                           'cordial.a' => [
                                          'Social_interaction_evaluation'
                                        ],
                           'vengeful.a' => [
                                           'Revenge'
                                         ],
                           'flavour.n' => [
                                          'Sensation'
                                        ],
                           'fitting.a' => [
                                          'Suitability'
                                        ],
                           'ma\'am.n' => [
                                        'Attention_getting'
                                      ],
                           'prohibit.v' => [
                                           'Deny_permission',
                                           'Preventing',
                                           'Prohibiting'
                                         ],
                           'broke.a' => [
                                        'Wealthiness'
                                      ],
                           'blend.v' => [
                                        'Amalgamation',
                                        'Cause_to_amalgamate'
                                      ],
                           'panel.v' => [
                                        'Filling'
                                      ],
                           'coat.n' => [
                                       'Clothing'
                                     ],
                           'yodel.n' => [
                                        'Sounds'
                                      ],
                           'film-maker.n' => [
                                             'Behind_the_scenes'
                                           ],
                           'speech therapy.n' => [
                                                 'Medical_specialties'
                                               ],
                           'sister.n' => [
                                         'Kinship'
                                       ],
                           'determine.v' => [
                                            'Contingency'
                                          ],
                           'gallon.n' => [
                                         'Measure_volume'
                                       ],
                           'midday.n' => [
                                         'Calendric_unit'
                                       ],
                           'portray.v' => [
                                          'Communicate_categorization'
                                        ],
                           'melee.n' => [
                                        'Fighting_activity'
                                      ],
                           'sauce.n' => [
                                        'Food'
                                      ],
                           'rant.v' => [
                                       'Communication_manner'
                                     ],
                           'dislike.n' => [
                                          'Experiencer_subj'
                                        ],
                           'candour.n' => [
                                          'Candidness'
                                        ],
                           'relish.n' => [
                                         'Experiencer_subj'
                                       ],
                           'cookie.n' => [
                                         'Food'
                                       ],
                           'flotilla.n' => [
                                           'Aggregate'
                                         ],
                           'wish (that).v' => [
                                              'Desiring'
                                            ],
                           'terror-stricken.a' => [
                                                  'Emotion_directed'
                                                ],
                           'starve.v' => [
                                         'Death',
                                         'Killing'
                                       ],
                           'carry oneself.v' => [
                                                'Conduct'
                                              ],
                           'nonplus.v' => [
                                          'Experiencer_obj'
                                        ],
                           'laboratory.n' => [
                                             'Locale_by_use'
                                           ],
                           'robber.n' => [
                                         'Robbery'
                                       ],
                           'disparaging.a' => [
                                              'Judgment_communication'
                                            ],
                           'reportedly.adv' => [
                                               'Unattributed_information'
                                             ],
                           'twinkle.n' => [
                                          'Light_movement',
                                          'Location_of_light'
                                        ],
                           'dampen.v' => [
                                         'Cause_to_be_wet'
                                       ],
                           'peanut.n' => [
                                         'Food'
                                       ],
                           'blessing.n' => [
                                           'Rite'
                                         ],
                           'stopping.n' => [
                                           'Preventing'
                                         ],
                           'quick.a' => [
                                        'Speed',
                                        'Taking_time'
                                      ],
                           'slaying.n' => [
                                          'Killing'
                                        ],
                           'commandant.n' => [
                                             'Leadership'
                                           ],
                           'woman.n' => [
                                        'People'
                                      ],
                           'auditorium.n' => [
                                             'Buildings'
                                           ],
                           'baptize.v' => [
                                          'Name_conferral',
                                          'Rite'
                                        ],
                           'hoard.v' => [
                                        'Stinginess'
                                      ],
                           'arthritis.n' => [
                                            'Medical_conditions'
                                          ],
                           'rapist.n' => [
                                         'Rape'
                                       ],
                           'periodical.n' => [
                                             'Text'
                                           ],
                           'class.v' => [
                                        'Categorization'
                                      ],
                           'direct.v' => [
                                         'Behind_the_scenes'
                                       ],
                           'lay off.v' => [
                                          'Firing'
                                        ],
                           'crepitate.v' => [
                                            'Make_noise'
                                          ],
                           'bacterial meningitis.n' => [
                                                       'Medical_conditions'
                                                     ],
                           'whir.v' => [
                                       'Motion_noise'
                                     ],
                           'fill.v' => [
                                       'Adorning',
                                       'Filling'
                                     ],
                           'quit.v' => [
                                       'Departing',
                                       'Process_stop',
                                       'Quitting'
                                     ],
                           'love.v' => [
                                       'Experiencer_subj'
                                     ],
                           'ravenous.a' => [
                                           'Biological_urge'
                                         ],
                           'a bitch.a' => [
                                          'Difficulty'
                                        ],
                           'scout.v' => [
                                        'Scrutiny'
                                      ],
                           'assembly.n' => [
                                           'Aggregate',
                                           'Building'
                                         ],
                           'ring.n' => [
                                       'Accoutrements'
                                     ],
                           'coinage.n' => [
                                          'Achieving_first'
                                        ],
                           'the green light.n' => [
                                                  'Grant_permission'
                                                ],
                           'tobacco.n' => [
                                          'Intoxicants'
                                        ],
                           'in the mood.a' => [
                                              'Biological_urge'
                                            ],
                           'bicycle.n' => [
                                          'Vehicle'
                                        ],
                           'convert.v' => [
                                          'Cause_change',
                                          'Exchange_currency'
                                        ],
                           'swarm.n' => [
                                        'Aggregate'
                                      ],
                           'amid.prep' => [
                                          'Locative_relation'
                                        ],
                           'trade.v' => [
                                        'Exchange'
                                      ],
                           'school.n' => [
                                         'Aggregate'
                                       ],
                           'unkind.a' => [
                                         'Social_interaction_evaluation'
                                       ],
                           'drone.n' => [
                                        'Sounds'
                                      ],
                           'locker.n' => [
                                         'Containers'
                                       ],
                           'pilfer.v' => [
                                         'Theft'
                                       ],
                           'dive.v' => [
                                       'Path_shape'
                                     ],
                           'pick off.v' => [
                                           'Hit_target'
                                         ],
                           'brood.n' => [
                                        'Aggregate'
                                      ],
                           'goldfish bowl.n' => [
                                                'Containers'
                                              ],
                           'appendage.n' => [
                                            'Observable_bodyparts'
                                          ],
                           'fart.v' => [
                                       'Excreting'
                                     ],
                           'incense.v' => [
                                          'Experiencer_obj'
                                        ],
                           'stunned.a' => [
                                          'Emotion_directed'
                                        ],
                           'pee.v' => [
                                      'Excreting'
                                    ],
                           'rebuke.n' => [
                                         'Judgment_direct_address'
                                       ],
                           'address.v' => [
                                          'Referring_by_name',
                                          'Speak_on_topic',
                                          'Statement',
                                          'Topic'
                                        ],
                           'cast.v' => [
                                       'Cause_motion'
                                     ],
                           'pick up.v' => [
                                          'Becoming_aware'
                                        ],
                           'birth.n' => [
                                        'Birth'
                                      ],
                           'emigration.n' => [
                                             'Departing'
                                           ],
                           'excrete.v' => [
                                          'Emitting'
                                        ],
                           'complain.v' => [
                                           'Statement'
                                         ],
                           'scrutinize.v' => [
                                             'Scrutiny'
                                           ],
                           'citizenry.n' => [
                                            'People_by_jurisdiction'
                                          ],
                           'pudgy.a' => [
                                        'Body_description_holistic'
                                      ],
                           'antecedent.a' => [
                                             'Relative_time'
                                           ],
                           'blanch.v' => [
                                         'Apply_heat'
                                       ],
                           'cook.v' => [
                                       'Absorb_heat',
                                       'Apply_heat',
                                       'Cooking_creation'
                                     ],
                           'right.a' => [
                                        'Morality_evaluation',
                                        'Part_orientational'
                                      ],
                           'balloon.v' => [
                                          'Operate_vehicle'
                                        ],
                           'flock.v' => [
                                        'Mass_motion'
                                      ],
                           'phrase.v' => [
                                         'Encoding'
                                       ],
                           'capsule.n' => [
                                          'Containers'
                                        ],
                           'financially.adv' => [
                                                'Domain'
                                              ],
                           'punt.v' => [
                                       'Operate_vehicle'
                                     ],
                           'distinctive.a' => [
                                              'Distinctiveness'
                                            ],
                           'disparage.v' => [
                                            'Judgment_communication'
                                          ],
                           'unpleasing.a' => [
                                             'Subject_stimulus'
                                           ],
                           'trial.n' => [
                                        'Trial'
                                      ],
                           'bethink_oneself.v' => [
                                                  'Memory'
                                                ],
                           'soaked.a' => [
                                         'Being_wet'
                                       ],
                           'suit.n' => [
                                       'Clothing'
                                     ],
                           'flavourful.a' => [
                                             'Chemical-sense_description'
                                           ],
                           'graben.n' => [
                                         'Natural_features'
                                       ],
                           'differentiate.v' => [
                                                'Differentiation'
                                              ],
                           'brief.a' => [
                                        'Duration'
                                      ],
                           'puzzle.v' => [
                                         'Experiencer_obj'
                                       ],
                           'submit.v' => [
                                         'Compliance'
                                       ],
                           'push.v' => [
                                       'Cause_motion',
                                       'Manipulation'
                                     ],
                           'negligence.n' => [
                                             'Offenses'
                                           ],
                           'following.a' => [
                                            'Relative_time'
                                          ],
                           'distressing.a' => [
                                              'Subject_stimulus'
                                            ],
                           'privileged.a' => [
                                             'Wealthiness'
                                           ],
                           'disease.n' => [
                                          'Medical_conditions'
                                        ],
                           'perfume.n' => [
                                          'Sensation'
                                        ],
                           'disputation.n' => [
                                              'Quarreling'
                                            ],
                           'attic.n' => [
                                        'Building_subparts'
                                      ],
                           'atop.prep' => [
                                          'Locative_relation'
                                        ],
                           'catnap.v' => [
                                         'Sleep'
                                       ],
                           'overcrowded.a' => [
                                              'Abundance'
                                            ],
                           'vile.a' => [
                                       'Morality_evaluation'
                                     ],
                           'brig.n' => [
                                       'Prison'
                                     ],
                           'explosive.a' => [
                                            'Weapon'
                                          ],
                           'enjoy.v' => [
                                        'Experiencer_subj'
                                      ],
                           'leg.n' => [
                                      'Clothing_parts',
                                      'Observable_bodyparts',
                                      'Shaped_part'
                                    ],
                           'sash.n' => [
                                       'Accoutrements',
                                       'Clothing_parts'
                                     ],
                           'grasp.v' => [
                                        'Grasp',
                                        'Manipulation'
                                      ],
                           'worrying.a' => [
                                           'Subject_stimulus'
                                         ],
                           'calamity.n' => [
                                           'Catastrophe'
                                         ],
                           'billion.num' => [
                                            'Cardinal_numbers'
                                          ],
                           'cheap.a' => [
                                        'Expensiveness'
                                      ],
                           'plait.n' => [
                                        'Hair_configuration'
                                      ],
                           'retire.v' => [
                                         'Quitting'
                                       ],
                           'city.n' => [
                                       'Locale_by_use',
                                       'Political_locales'
                                     ],
                           'monogram.n' => [
                                           'Clothing_parts'
                                         ],
                           'woebegone.a' => [
                                            'Emotion_directed'
                                          ],
                           'reprimand.v' => [
                                            'Judgment_direct_address'
                                          ],
                           'trunk.n' => [
                                        'Observable_bodyparts'
                                      ],
                           'competitor.n' => [
                                             'Competition'
                                           ],
                           'dialogue.n' => [
                                           'Discussion'
                                         ],
                           'bushel.n' => [
                                         'Measure_volume'
                                       ],
                           'amateur.n' => [
                                          'Expertise'
                                        ],
                           'chemical weapon.n' => [
                                                  'Weapon'
                                                ],
                           'butter.n' => [
                                         'Food'
                                       ],
                           'exaltation.n' => [
                                             'Judgment'
                                           ],
                           'charge.n' => [
                                         'Attack',
                                         'Notification_of_charges'
                                       ],
                           'code.n' => [
                                       'Law'
                                     ],
                           'govern.v' => [
                                         'Leadership'
                                       ],
                           'stoop.v' => [
                                        'Change_posture',
                                        'Posture'
                                      ],
                           'shoplifter.n' => [
                                             'Theft'
                                           ],
                           'bare-breasted.a' => [
                                                'Wearing'
                                              ],
                           'pleasing.a' => [
                                           'Subject_stimulus'
                                         ],
                           'repent.v' => [
                                         'Contrition'
                                       ],
                           'glee.n' => [
                                       'Emotion_directed'
                                     ],
                           'emigrant.n' => [
                                           'Departing'
                                         ],
                           'smuggler.n' => [
                                           'Smuggling'
                                         ],
                           'antagonize.v' => [
                                             'Experiencer_obj'
                                           ],
                           'mystified.a' => [
                                            'Emotion_directed'
                                          ],
                           'screech.n' => [
                                          'Sounds'
                                        ],
                           'locale.n' => [
                                         'Locale'
                                       ],
                           'albino.n' => [
                                         'Body_description_part'
                                       ],
                           'tress.n' => [
                                        'Hair_configuration'
                                      ],
                           'admire.v' => [
                                         'Judgment',
                                         'Perception_active'
                                       ],
                           'waitress.n' => [
                                           'People_by_vocation'
                                         ],
                           'headsman.n' => [
                                           'Execution'
                                         ],
                           'underprivileged.a' => [
                                                  'Wealthiness'
                                                ],
                           'spill beans.v' => [
                                              'Reveal_secret'
                                            ],
                           'podunk.n' => [
                                         'Isolated_places'
                                       ],
                           'regarding.prep' => [
                                               'Topic'
                                             ],
                           'boil.v' => [
                                       'Absorb_heat',
                                       'Apply_heat',
                                       'Cause_harm',
                                       'Emotion_heat'
                                     ],
                           'long.v' => [
                                       'Desiring',
                                       'Experiencer_subj'
                                     ],
                           'seamount.n' => [
                                           'Natural_features'
                                         ],
                           'alcoholism.n' => [
                                             'Addiction'
                                           ],
                           'chirrup.v' => [
                                          'Communication_noise'
                                        ],
                           'disdainful.a' => [
                                             'Judgment'
                                           ],
                           'mitre.n' => [
                                        'Accoutrements'
                                      ],
                           'pat down.v' => [
                                           'Inspecting',
                                           'Seeking'
                                         ],
                           'hedge.n' => [
                                        'Locale_by_use'
                                      ],
                           'study.n' => [
                                        'Building_subparts',
                                        'Scrutiny'
                                      ],
                           'comeback.n' => [
                                           'Communication_response'
                                         ],
                           'collide.v' => [
                                          'Cause_impact',
                                          'Impact'
                                        ],
                           'knowledge.n' => [
                                            'Awareness'
                                          ],
                           'neutral.a' => [
                                          'Partiality'
                                        ],
                           'bind.n' => [
                                       'Predicament'
                                     ],
                           'joint.n' => [
                                        'Prison'
                                      ],
                           'child\'s_play.n' => [
                                               'Difficulty'
                                             ],
                           'clatter.n' => [
                                          'Sounds'
                                        ],
                           'discomfiting.a' => [
                                               'Subject_stimulus'
                                             ],
                           'nip.v' => [
                                      'Manipulation'
                                    ],
                           'neckband.n' => [
                                           'Clothing_parts'
                                         ],
                           'convertible.n' => [
                                              'Vehicle'
                                            ],
                           'surrender.v' => [
                                            'Surrendering'
                                          ],
                           'predisposed.a' => [
                                              'Inclination'
                                            ],
                           'whinge.v' => [
                                         'Statement'
                                       ],
                           'agonizing.a' => [
                                            'Subject_stimulus'
                                          ],
                           'squish.v' => [
                                         'Reshaping'
                                       ],
                           'shackled.a' => [
                                           'Being_attached'
                                         ],
                           'sweep.n' => [
                                        'Scouring',
                                        'Scrutiny'
                                      ],
                           'carpenter.n' => [
                                            'People_by_vocation'
                                          ],
                           'dry_up.v' => [
                                         'Cause_to_be_dry'
                                       ],
                           'legion.n' => [
                                         'Aggregate'
                                       ],
                           'skerry.n' => [
                                         'Natural_features'
                                       ],
                           'scrape.n' => [
                                         'Predicament',
                                         'Sounds'
                                       ],
                           'pacifying.a' => [
                                            'Subject_stimulus'
                                          ],
                           'hasten.v' => [
                                         'Self_motion'
                                       ],
                           'hair-raising.a' => [
                                               'Subject_stimulus'
                                             ],
                           'degrease.v' => [
                                           'Emptying'
                                         ],
                           'villainous.a' => [
                                             'Morality_evaluation'
                                           ],
                           'southern.a' => [
                                           'Part_orientational'
                                         ],
                           'clog.n' => [
                                       'Clothing'
                                     ],
                           'laudable.a' => [
                                           'Judgment_communication',
                                           'Praiseworthiness'
                                         ],
                           'extension.n' => [
                                            'Linguistic_meaning'
                                          ],
                           'contrary.n' => [
                                           'Word_relations'
                                         ],
                           'elect.v' => [
                                        'Change_of_leadership',
                                        'Choosing'
                                      ],
                           'wink.v' => [
                                       'Body_movement'
                                     ],
                           'refectory.n' => [
                                            'Building_subparts'
                                          ],
                           'uncertainty.n' => [
                                              'Certainty'
                                            ],
                           'cajole.v' => [
                                         'Attempt_suasion',
                                         'Manipulate_into_doing'
                                       ],
                           'dejected.a' => [
                                           'Emotion_directed'
                                         ],
                           'pop.v' => [
                                      'Ingest_substance'
                                    ],
                           'patter.v' => [
                                         'Impact',
                                         'Make_noise',
                                         'Motion_noise'
                                       ],
                           'refrigerate.v' => [
                                              'Cause_temperature_change',
                                              'Inchoative_change_of_temperature'
                                            ],
                           'add.v' => [
                                      'Statement'
                                    ],
                           'decayed.a' => [
                                          'Being_rotted'
                                        ],
                           'fall.v' => [
                                       'Attack',
                                       'Change_position_on_a_scale',
                                       'Motion_directional'
                                     ],
                           'master.a' => [
                                         'Expertise'
                                       ],
                           'shrug.v' => [
                                        'Body_movement'
                                      ],
                           'fabulous.a' => [
                                           'Desirability'
                                         ],
                           'tin.n' => [
                                      'Containers'
                                    ],
                           'glance.n' => [
                                         'Perception_active'
                                       ],
                           'happy.a' => [
                                        'Emotion_directed'
                                      ],
                           'cuff.v' => [
                                       'Cause_harm'
                                     ],
                           'string.n' => [
                                         'Connectors'
                                       ],
                           'epigram.n' => [
                                          'Text'
                                        ],
                           'mislead.v' => [
                                          'Prevarication'
                                        ],
                           'brim.n' => [
                                       'Clothing_parts',
                                       'Shaped_part'
                                     ],
                           'imprisonment.n' => [
                                               'Imprisonment'
                                             ],
                           'rinse.v' => [
                                        'Removing'
                                      ],
                           'buy.v' => [
                                      'Commerce_buy'
                                    ],
                           'sputter.v' => [
                                          'Communication_noise'
                                        ],
                           'amorous.a' => [
                                          'Biological_urge'
                                        ],
                           'perk up.v' => [
                                          'Recovery'
                                        ],
                           'enchanting.a' => [
                                             'Subject_stimulus'
                                           ],
                           'worn out.a' => [
                                           'Biological_urge'
                                         ],
                           'decamp.v' => [
                                         'Departing'
                                       ],
                           'comfort.n' => [
                                          'Experiencer_subj'
                                        ],
                           'abashed.a' => [
                                          'Emotion_directed'
                                        ],
                           'commendatory.a' => [
                                               'Judgment_communication'
                                             ],
                           'century.n' => [
                                          'Measure_duration'
                                        ],
                           'conspiracy.n' => [
                                             'Collaboration',
                                             'Offenses'
                                           ],
                           'unsettled.a' => [
                                            'Emotion_directed'
                                          ],
                           'goose-step.v' => [
                                             'Self_motion'
                                           ],
                           'miserliness.n' => [
                                              'Stinginess'
                                            ],
                           'grow.v' => [
                                       'Becoming',
                                       'Cause_expansion',
                                       'Change_position_on_a_scale',
                                       'Expansion'
                                     ],
                           'resemblance.n' => [
                                              'Similarity'
                                            ],
                           'tinkle.v' => [
                                         'Cause_to_make_noise',
                                         'Impact',
                                         'Make_noise'
                                       ],
                           'calving.n' => [
                                          'Birth'
                                        ],
                           'tread.v' => [
                                        'Self_motion'
                                      ],
                           'felony.n' => [
                                         'Offenses'
                                       ],
                           'consider.v' => [
                                           'Categorization',
                                           'Cogitation'
                                         ],
                           'wife.n' => [
                                       'Personal_relationship'
                                     ],
                           'to a stop.n' => [
                                            'Halt'
                                          ],
                           'unfair.a' => [
                                         'Fairness_evaluation'
                                       ],
                           'teenager.n' => [
                                           'People_by_age'
                                         ],
                           'fault.v' => [
                                        'Judgment'
                                      ],
                           'accolade.n' => [
                                           'Judgment'
                                         ],
                           'poverty.n' => [
                                          'Wealthiness'
                                        ],
                           'nuclear weapon.n' => [
                                                 'Weapon'
                                               ],
                           'a cinch.n' => [
                                          'Difficulty'
                                        ],
                           'unjust.a' => [
                                         'Fairness_evaluation'
                                       ],
                           'tactful.a' => [
                                          'Social_interaction_evaluation'
                                        ],
                           'rejoinder.n' => [
                                            'Communication_response'
                                          ],
                           'quiver.v' => [
                                         'Moving_in_place'
                                       ],
                           'clink.n' => [
                                        'Sounds'
                                      ],
                           'flounder.v' => [
                                           'Bungling'
                                         ],
                           'mystify.v' => [
                                          'Experiencer_obj'
                                        ],
                           'sure.a' => [
                                       'Certainty',
                                       'Likelihood'
                                     ],
                           'premier.n' => [
                                          'Leadership'
                                        ],
                           'scour.v' => [
                                        'Scouring',
                                        'Scrutiny',
                                        'Seeking'
                                      ],
                           'garrulous.a' => [
                                            'Volubility'
                                          ],
                           'command.n' => [
                                          'Request'
                                        ],
                           'oldish.a' => [
                                         'Age'
                                       ],
                           'empire.n' => [
                                         'Political_locales',
                                         'Political_locales'
                                       ],
                           'plastered.a' => [
                                            'Abundance',
                                            'Being_attached'
                                          ],
                           'flight-testing.n' => [
                                                 'Operational_testing'
                                               ],
                           'hush_up.v' => [
                                          'Become_silent',
                                          'Silencing'
                                        ],
                           'misfortune.n' => [
                                             'Catastrophe',
                                             'Predicament'
                                           ],
                           'twisting.a' => [
                                           'Path_shape'
                                         ],
                           'by-name.n' => [
                                          'Being_named'
                                        ],
                           'carjacking.n' => [
                                             'Piracy'
                                           ],
                           'idiosyncratic.a' => [
                                                'Idiosyncrasy'
                                              ],
                           'parent.n' => [
                                         'Kinship'
                                       ],
                           'child.n' => [
                                        'Kinship',
                                        'People_by_age'
                                      ],
                           'facade.n' => [
                                         'Architectural_part'
                                       ],
                           'sincere.a' => [
                                          'Candidness'
                                        ],
                           'forbearing.a' => [
                                             'Avoiding'
                                           ],
                           'windcheater.n' => [
                                              'Clothing'
                                            ],
                           'start fire.v' => [
                                             'Setting_fire'
                                           ],
                           'contact.n' => [
                                          'Contacting'
                                        ],
                           'autumn.n' => [
                                         'Calendric_unit'
                                       ],
                           'belongings.n' => [
                                             'Possession'
                                           ],
                           'camped.a' => [
                                         'Residence'
                                       ],
                           'nascent.a' => [
                                          'Process_start'
                                        ],
                           'gratify.v' => [
                                          'Experiencer_obj'
                                        ],
                           'immerse.v' => [
                                          'Placing'
                                        ],
                           'device.n' => [
                                         'Gizmo'
                                       ],
                           'shah.n' => [
                                       'Leadership'
                                     ],
                           'manufacture.v' => [
                                              'Manufacturing'
                                            ],
                           'pink.a' => [
                                       'Color'
                                     ],
                           'button.n' => [
                                         'Clothing_parts'
                                       ],
                           'with on.prep' => [
                                             'Wearing'
                                           ],
                           'tuberculosis.n' => [
                                               'Medical_conditions'
                                             ],
                           'taxi.v' => [
                                       'Operate_vehicle',
                                       'Ride_Vehicle',
                                       'Self_motion'
                                     ],
                           'reproach.n' => [
                                           'Judgment'
                                         ],
                           'duchess.n' => [
                                          'Leadership'
                                        ],
                           'sniff.n' => [
                                        'Perception_active'
                                      ],
                           'ashtray.n' => [
                                          'Containers'
                                        ],
                           'give thought.v' => [
                                               'Cogitation'
                                             ],
                           'lsd.n' => [
                                      'Intoxicants'
                                    ],
                           'plastic explosive.n' => [
                                                    'Weapon'
                                                  ],
                           'jaundice.n' => [
                                           'Medical_conditions'
                                         ],
                           'lobby.n' => [
                                        'Building_subparts'
                                      ],
                           'deprecatory.a' => [
                                              'Judgment_communication'
                                            ],
                           'also_known_as.a' => [
                                                'Being_named'
                                              ],
                           'costumed.a' => [
                                           'Wearing'
                                         ],
                           'irk.v' => [
                                      'Experiencer_obj'
                                    ],
                           'dent.v' => [
                                       'Damaging',
                                       'Reshaping'
                                     ],
                           'underclothes.n' => [
                                               'Clothing'
                                             ],
                           'telex.v' => [
                                        'Communication_means',
                                        'Contacting',
                                        'Sending'
                                      ],
                           'get_free.v' => [
                                           'Escaping'
                                         ],
                           'non-referential.a' => [
                                                  'Linguistic_meaning'
                                                ],
                           'nap.v' => [
                                      'Sleep'
                                    ],
                           'nightly.a' => [
                                          'Iteration'
                                        ],
                           'ailment.n' => [
                                          'Medical_conditions'
                                        ],
                           'semaphore.v' => [
                                            'Communication_means'
                                          ],
                           'masked.a' => [
                                         'Eclipse',
                                         'Wearing'
                                       ],
                           'coil.n' => [
                                       'Shapes'
                                     ],
                           'loch.n' => [
                                       'Natural_features'
                                     ],
                           'motel.n' => [
                                        'Buildings'
                                      ],
                           'let go.v' => [
                                         'Firing',
                                         'Releasing'
                                       ],
                           'locality.n' => [
                                           'Political_locales'
                                         ],
                           'hypoglycaemia.n' => [
                                                'Medical_conditions'
                                              ],
                           'keen.v' => [
                                       'Make_noise'
                                     ],
                           'hate.v' => [
                                       'Experiencer_subj'
                                     ],
                           'forthcoming.a' => [
                                              'Candidness'
                                            ],
                           'parachute.v' => [
                                            'Bringing',
                                            'Operate_vehicle'
                                          ],
                           'matchless.a' => [
                                            'Beyond_compare'
                                          ],
                           'squeak.v' => [
                                         'Communication_noise',
                                         'Make_noise'
                                       ],
                           'import_entity.n' => [
                                                'Import_export'
                                              ],
                           'feeler.n' => [
                                         'Observable_bodyparts'
                                       ],
                           'crunch.v' => [
                                         'Grinding',
                                         'Impact',
                                         'Make_noise',
                                         'Motion_noise'
                                       ],
                           'insufficiency.n' => [
                                                'Sufficiency'
                                              ],
                           'examine.v' => [
                                          'Court_examination',
                                          'Examination',
                                          'Inspecting',
                                          'Scrutiny',
                                          'Seeking'
                                        ],
                           'gibber.v' => [
                                         'Communication_manner'
                                       ],
                           'initiation.n' => [
                                             'Rite'
                                           ],
                           'vend.v' => [
                                       'Commerce_sell'
                                     ],
                           'like.a' => [
                                       'Similarity'
                                     ],
                           'barge.v' => [
                                        'Self_motion'
                                      ],
                           'peckish.a' => [
                                          'Biological_urge'
                                        ],
                           'gum.v' => [
                                      'Attaching'
                                    ],
                           'lay.v' => [
                                      'Attack',
                                      'Birth',
                                      'Placing'
                                    ],
                           'butchery.n' => [
                                           'Killing'
                                         ],
                           'delightful.a' => [
                                             'Subject_stimulus'
                                           ],
                           'cessation.n' => [
                                            'Process_stop'
                                          ],
                           'got_to.v' => [
                                         'Being_obligated'
                                       ],
                           'obliteration.n' => [
                                               'Destroying'
                                             ],
                           'waterless.a' => [
                                            'Being_dry'
                                          ],
                           'punch bowl.n' => [
                                             'Containers'
                                           ],
                           'finding.n' => [
                                          'Documents',
                                          'Verdict'
                                        ],
                           'sashay.v' => [
                                         'Self_motion'
                                       ],
                           'design.v' => [
                                         'Invention'
                                       ],
                           'edge.v' => [
                                       'Path_shape'
                                     ],
                           'range.v' => [
                                        'Position_on_a_scale'
                                      ],
                           'commence.v' => [
                                           'Process_start'
                                         ],
                           'swamp.n' => [
                                        'Biological_area'
                                      ],
                           'firearm.n' => [
                                          'Weapon'
                                        ],
                           'kip.n' => [
                                      'Sleep'
                                    ],
                           'superior.n' => [
                                           'Subordinates_and_Superiors'
                                         ],
                           'bill.v' => [
                                       'Commerce_collect'
                                     ],
                           'maharaja.n' => [
                                           'Leadership'
                                         ],
                           'discomfiture.n' => [
                                               'Emotion_directed'
                                             ],
                           'date.v' => [
                                       'Personal_relationship'
                                     ],
                           'magazine.n' => [
                                           'Text'
                                         ],
                           'aggravating.a' => [
                                              'Subject_stimulus'
                                            ],
                           'mask.n' => [
                                       'Accoutrements'
                                     ],
                           'saint.n' => [
                                        'People_by_morality'
                                      ],
                           'twitch.v' => [
                                         'Body_movement'
                                       ],
                           'dining room.n' => [
                                              'Building_subparts'
                                            ],
                           'warhead.n' => [
                                          'Weapon'
                                        ],
                           'nursery.n' => [
                                          'Building_subparts'
                                        ],
                           'tunic.n' => [
                                        'Clothing'
                                      ],
                           'smelly.a' => [
                                         'Chemical-sense_description'
                                       ],
                           'fuck-up_person.n' => [
                                                 'Bungling'
                                               ],
                           'satrap.n' => [
                                         'Leadership'
                                       ],
                           'carryall.n' => [
                                           'Containers'
                                         ],
                           'critique.n' => [
                                           'Judgment_communication'
                                         ],
                           'relative.n' => [
                                           'Kinship'
                                         ],
                           'veiled.a' => [
                                         'Eclipse'
                                       ],
                           'education.n' => [
                                            'Education_teaching'
                                          ],
                           'prophesy.v' => [
                                           'Predicting'
                                         ],
                           'under_the_influence.prep' => [
                                                         'Intoxication'
                                                       ],
                           'scurry.v' => [
                                         'Self_motion'
                                       ],
                           'steam.v' => [
                                        'Apply_heat'
                                      ],
                           'depraved.a' => [
                                           'Morality_evaluation'
                                         ],
                           'recover.v' => [
                                          'Recovery'
                                        ],
                           'legally.adv' => [
                                            'Domain'
                                          ],
                           'army.n' => [
                                       'Aggregate'
                                     ],
                           'lave.v' => [
                                       'Grooming'
                                     ],
                           'fat.n' => [
                                      'Food'
                                    ],
                           'horsewhip.v' => [
                                            'Cause_harm'
                                          ],
                           'jump.v' => [
                                       'Attack',
                                       'Change_position_on_a_scale',
                                       'Self_motion'
                                     ],
                           'vow.n' => [
                                      'Commitment'
                                    ],
                           'wait tables.v' => [
                                              'Being_employed'
                                            ],
                           'sensational.a' => [
                                              'Desirability'
                                            ],
                           'empress.n' => [
                                          'Leadership'
                                        ],
                           'incursion.n' => [
                                            'Attack'
                                          ],
                           'irked.a' => [
                                        'Emotion_directed'
                                      ],
                           'calming.a' => [
                                          'Subject_stimulus'
                                        ],
                           'underling.n' => [
                                            'Subordinates_and_Superiors'
                                          ],
                           'carry.v' => [
                                        'Bringing'
                                      ],
                           'prepare.v' => [
                                          'Activity_prepare',
                                          'Cooking_creation'
                                        ],
                           'yellow.a' => [
                                         'Color'
                                       ],
                           'ignorance.n' => [
                                            'Awareness'
                                          ],
                           'array.v' => [
                                        'Arranging'
                                      ],
                           'esteem.n' => [
                                         'Judgment'
                                       ],
                           'east.n' => [
                                       'Part_orientational'
                                     ],
                           'becloud.v' => [
                                          'Eclipse'
                                        ],
                           'mind-numbing.a' => [
                                               'Subject_stimulus'
                                             ],
                           'summons.n' => [
                                          'Documents'
                                        ],
                           'baptist.n' => [
                                          'People_by_religion'
                                        ],
                           'weigh.v' => [
                                        'Assessing',
                                        'Dimension'
                                      ],
                           'counter.n' => [
                                          'Architectural_part'
                                        ],
                           'sinner.n' => [
                                         'People_by_morality'
                                       ],
                           'prevention.n' => [
                                             'Preventing'
                                           ],
                           'seek.v' => [
                                       'Seeking'
                                     ],
                           'conjecture.v' => [
                                             'Statement'
                                           ],
                           'revolt.n' => [
                                         'Change_of_leadership'
                                       ],
                           'inhibit.v' => [
                                          'Hindering'
                                        ],
                           'premature.a' => [
                                            'Relative_time'
                                          ],
                           'demand.v' => [
                                         'Request'
                                       ],
                           'gat.n' => [
                                      'Weapon'
                                    ],
                           'slouch.v' => [
                                         'Change_posture',
                                         'Posture'
                                       ],
                           'rotunda.n' => [
                                          'Buildings'
                                        ],
                           'avoid.v' => [
                                        'Avoiding',
                                        'Preventing'
                                      ],
                           'forgiveness.n' => [
                                              'Forgiveness'
                                            ],
                           'scar.n' => [
                                       'Body_mark'
                                     ],
                           'dabbed.a' => [
                                         'Abundance'
                                       ],
                           'bail.n' => [
                                       'Bail_setting'
                                     ],
                           'coax.v' => [
                                       'Attempt_suasion'
                                     ],
                           'boondocks.n' => [
                                            'Isolated_places'
                                          ],
                           'retort.v' => [
                                         'Communication_response'
                                       ],
                           'in.prep' => [
                                        'In',
                                        'Locative_relation',
                                        'Taking_time',
                                        'Wearing'
                                      ],
                           'induce.v' => [
                                         'Talking_into'
                                       ],
                           'embezzle.v' => [
                                           'Theft'
                                         ],
                           'continue.v' => [
                                           'Activity_ongoing',
                                           'Process_continue'
                                         ],
                           'avail oneself.v' => [
                                                'Using'
                                              ],
                           'glib.a' => [
                                       'Volubility'
                                     ],
                           'writhe.v' => [
                                         'Body_movement'
                                       ],
                           'coated.a' => [
                                         'Abundance'
                                       ],
                           'ketchup.n' => [
                                          'Food'
                                        ],
                           'heart-stopping.a' => [
                                                 'Subject_stimulus'
                                               ],
                           'solace.v' => [
                                         'Experiencer_obj'
                                       ],
                           'toe.n' => [
                                      'Observable_bodyparts'
                                    ],
                           'reprobate.n' => [
                                            'People_by_morality'
                                          ],
                           'agitation.n' => [
                                            'Emotion_directed'
                                          ],
                           'helpful.a' => [
                                          'Assistance'
                                        ],
                           'the okay.n' => [
                                           'Grant_permission'
                                         ],
                           'insensitive.a' => [
                                              'Social_interaction_evaluation'
                                            ],
                           'decolletage.n' => [
                                              'Clothing_parts'
                                            ],
                           'turned on.a' => [
                                            'Biological_urge'
                                          ],
                           'evince.v' => [
                                         'Evidence'
                                       ],
                           'alert.a' => [
                                        'Attention'
                                      ],
                           'muzzle.n' => [
                                         'Observable_bodyparts'
                                       ],
                           'decay.n' => [
                                        'Rotting'
                                      ],
                           'kick the bucket.v' => [
                                                  'Death'
                                                ],
                           'mum.a' => [
                                      'Volubility'
                                    ],
                           'tankful.n' => [
                                          'Measure_volume'
                                        ],
                           'overfilled.a' => [
                                             'Abundance'
                                           ],
                           'specimen.n' => [
                                           'Instance'
                                         ],
                           'dispute.n' => [
                                          'Quarreling'
                                        ],
                           'beat up.v' => [
                                          'Cause_harm'
                                        ],
                           'proclamation.n' => [
                                               'Statement'
                                             ],
                           'buttery.n' => [
                                          'Building_subparts'
                                        ],
                           'frenchman.n' => [
                                            'People_by_origin'
                                          ],
                           'smell.n' => [
                                        'Sensation'
                                      ],
                           'pounce.v' => [
                                         'Self_motion'
                                       ],
                           'arch.v' => [
                                       'Body_movement'
                                     ],
                           'forehead.n' => [
                                           'Observable_bodyparts'
                                         ],
                           'girlfriend.n' => [
                                             'Personal_relationship'
                                           ],
                           'clemency.n' => [
                                           'Clemency'
                                         ],
                           'arousal.n' => [
                                          'Biological_urge'
                                        ],
                           'case.n' => [
                                       'Containers',
                                       'Instance',
                                       'Reasoning',
                                       'Trial'
                                     ],
                           'ago.prep' => [
                                         'Time_vector'
                                       ],
                           'without match.prep' => [
                                                   'Beyond_compare'
                                                 ],
                           'tricky.a' => [
                                         'Difficulty'
                                       ],
                           'obituary.n' => [
                                           'Text'
                                         ],
                           'envy.n' => [
                                       'Experiencer_subj'
                                     ],
                           'tetralogy.n' => [
                                            'Text'
                                          ],
                           'response.n' => [
                                           'Communication_response',
                                           'Response'
                                         ],
                           'soaking.a' => [
                                          'Being_wet'
                                        ],
                           'lift.v' => [
                                       'Body_movement',
                                       'Cause_to_end',
                                       'Theft'
                                     ],
                           'knoll.n' => [
                                        'Natural_features'
                                      ],
                           'pool.n' => [
                                       'Natural_features'
                                     ],
                           'chirp.v' => [
                                        'Communication_noise',
                                        'Make_noise'
                                      ],
                           'censure.v' => [
                                          'Judgment_communication'
                                        ],
                           'ward.n' => [
                                       'Building_subparts'
                                     ],
                           'avenge.v' => [
                                         'Revenge'
                                       ],
                           'sexual harassment.n' => [
                                                    'Offenses'
                                                  ],
                           'possess.v' => [
                                          'Possession'
                                        ],
                           'chronicle.v' => [
                                            'Text_creation'
                                          ],
                           'boot.n' => [
                                       'Clothing'
                                     ],
                           'register.v' => [
                                           'Becoming_aware'
                                         ],
                           'rich.a' => [
                                       'Position_on_a_scale',
                                       'Subject_stimulus',
                                       'Wealthiness'
                                     ],
                           'poignant.a' => [
                                           'Subject_stimulus'
                                         ],
                           'expiation.n' => [
                                            'Atonement'
                                          ],
                           'linked.a' => [
                                         'Cognitive_connection'
                                       ],
                           'squeal.v' => [
                                         'Communication_noise',
                                         'Friction',
                                         'Make_noise'
                                       ],
                           'collude.v' => [
                                          'Collaboration'
                                        ],
                           'related.a' => [
                                          'Cognitive_connection'
                                        ],
                           'devastated.a' => [
                                             'Emotion_directed'
                                           ],
                           'stocky.a' => [
                                         'Body_description_holistic'
                                       ],
                           'duffel bag.n' => [
                                             'Containers'
                                           ],
                           'obliterate.v' => [
                                             'Destroying'
                                           ],
                           'visit.v' => [
                                        'Arriving'
                                      ],
                           'scullery.n' => [
                                           'Building_subparts'
                                         ],
                           'affordability.n' => [
                                                'Expensiveness'
                                              ],
                           'move.v' => [
                                       'Cause_change_of_scalar_position',
                                       'Change_position_on_a_scale',
                                       'Motion'
                                     ],
                           'apex.n' => [
                                       'Part_orientational'
                                     ],
                           'run_through.v' => [
                                              'Practice'
                                            ],
                           'moratorium.n' => [
                                             'Activity_pause'
                                           ],
                           'recurring.a' => [
                                            'Iteration'
                                          ],
                           'set.n' => [
                                      'Aggregate'
                                    ],
                           'period.n' => [
                                         'Iteration'
                                       ],
                           'smuggle.v' => [
                                          'Smuggling'
                                        ],
                           'stupendous.a' => [
                                             'Desirability',
                                             'Expertise'
                                           ],
                           'break-up.n' => [
                                           'Personal_relationship'
                                         ],
                           'define.v' => [
                                         'Categorization',
                                         'Communicate_categorization'
                                       ],
                           'reproof.n' => [
                                          'Judgment_direct_address'
                                        ],
                           'cane.v' => [
                                       'Corporal_punishment'
                                     ],
                           'blister.n' => [
                                          'Body_mark'
                                        ],
                           'muse.v' => [
                                       'Cogitation'
                                     ],
                           'drive.v' => [
                                        'Bringing',
                                        'Operate_vehicle',
                                        'Self_motion'
                                      ],
                           'diary.n' => [
                                        'Text'
                                      ],
                           'tv room.n' => [
                                          'Building_subparts'
                                        ],
                           'weaponless.a' => [
                                             'Bearing_arms'
                                           ],
                           'lecturer.n' => [
                                           'Education_teaching'
                                         ],
                           'rehabilitate.v' => [
                                               'Cure'
                                             ],
                           'adolescent.n' => [
                                             'People_by_age'
                                           ],
                           'burble.v' => [
                                         'Communication_noise',
                                         'Make_noise'
                                       ],
                           'crazy.a' => [
                                        'Mental_property'
                                      ],
                           'spot.n' => [
                                       'Locale'
                                     ],
                           'secretive.a' => [
                                            'Candidness'
                                          ],
                           'cohere.v' => [
                                         'Compatibility'
                                       ],
                           'shoplifting.n' => [
                                              'Theft'
                                            ],
                           'cop.v' => [
                                      'Arrest'
                                    ],
                           'stand-up.a' => [
                                           'Morality_evaluation'
                                         ],
                           'hem.n' => [
                                      'Clothing_parts'
                                    ],
                           'first.a' => [
                                        'Ordinal_numbers'
                                      ],
                           'reason.v' => [
                                         'Reasoning'
                                       ],
                           'scramble.v' => [
                                           'Self_motion'
                                         ],
                           'process.n' => [
                                          'Process'
                                        ],
                           'harangue.v' => [
                                           'Judgment_communication',
                                           'Judgment_direct_address'
                                         ],
                           'pungent.a' => [
                                          'Chemical-sense_description'
                                        ],
                           'cordillera.n' => [
                                             'Natural_features'
                                           ],
                           'expedition.n' => [
                                             'Travel'
                                           ],
                           'prattle.v' => [
                                          'Communication_manner'
                                        ],
                           'pouch.n' => [
                                        'Containers'
                                      ],
                           'chance.v' => [
                                         'Daring'
                                       ],
                           'inexpensive.a' => [
                                              'Expensiveness'
                                            ],
                           'astute.a' => [
                                         'Mental_property'
                                       ],
                           'novella.n' => [
                                          'Text'
                                        ],
                           'petrified.a' => [
                                            'Emotion_directed'
                                          ],
                           'kidnap.v' => [
                                         'Kidnapping'
                                       ],
                           'chiropractic.n' => [
                                               'Medical_specialties'
                                             ],
                           'morsel.n' => [
                                         'Part_piece'
                                       ],
                           'friend.n' => [
                                         'Personal_relationship'
                                       ],
                           'speech.n' => [
                                         'Communication',
                                         'Text'
                                       ],
                           'suspend.v' => [
                                          'Activity_pause'
                                        ],
                           'paunchy.a' => [
                                          'Body_description_holistic'
                                        ],
                           'endanger.v' => [
                                           'Endangering'
                                         ],
                           'pad.v' => [
                                      'Self_motion'
                                    ],
                           'request.n' => [
                                          'Request'
                                        ],
                           'unbuckle.v' => [
                                           'Closure'
                                         ],
                           'bewilder.v' => [
                                           'Experiencer_obj'
                                         ],
                           'ruffled.a' => [
                                          'Emotion_directed'
                                        ],
                           'disoriented.a' => [
                                              'Emotion_directed'
                                            ],
                           'baffle.v' => [
                                         'Experiencer_obj'
                                       ],
                           'crucial.a' => [
                                          'Importance'
                                        ],
                           'letter.n' => [
                                         'Text'
                                       ],
                           'label.v' => [
                                        'Labeling'
                                      ],
                           'ambush.n' => [
                                         'Attack'
                                       ],
                           'perusal.n' => [
                                          'Scrutiny'
                                        ],
                           'execrate.v' => [
                                           'Judgment_communication'
                                         ],
                           'exhale.v' => [
                                         'Breathing',
                                         'Emitting'
                                       ],
                           'homicide.n' => [
                                           'Killing',
                                           'Offenses'
                                         ],
                           'position.n' => [
                                           'Posture'
                                         ],
                           'victorious.a' => [
                                             'Finish_competition'
                                           ],
                           'unexciting.a' => [
                                             'Subject_stimulus'
                                           ],
                           'ravine.n' => [
                                         'Natural_features'
                                       ],
                           'tipsy.a' => [
                                        'Intoxication'
                                      ],
                           'clang.n' => [
                                        'Sounds'
                                      ],
                           'confess.v' => [
                                          'Reveal_secret',
                                          'Statement'
                                        ],
                           'satisfy.v' => [
                                          'Experiencer_obj'
                                        ],
                           'putter.v' => [
                                         'Motion_noise'
                                       ],
                           'stick-up.n' => [
                                           'Robbery'
                                         ],
                           'sandspit.n' => [
                                           'Natural_features'
                                         ],
                           'street.n' => [
                                         'Roadways'
                                       ],
                           'smart.v' => [
                                        'Perception_body'
                                      ],
                           'wrongly.adv' => [
                                            'Legality'
                                          ],
                           'distinguish.v' => [
                                              'Differentiation'
                                            ],
                           'cover.v' => [
                                        'Adorning',
                                        'Eclipse',
                                        'Filling',
                                        'Topic'
                                      ],
                           'lower.v' => [
                                        'Cause_change_of_scalar_position'
                                      ],
                           'crouched.a' => [
                                           'Posture'
                                         ],
                           'estranged.a' => [
                                            'Personal_relationship'
                                          ],
                           'straggle.v' => [
                                           'Self_motion'
                                         ],
                           'significant.a' => [
                                              'Importance'
                                            ],
                           'heavy-set.a' => [
                                            'Body_description_holistic'
                                          ],
                           'kindle.v' => [
                                         'Setting_fire'
                                       ],
                           'green.n' => [
                                        'Color'
                                      ],
                           'art.n' => [
                                      'Craft'
                                    ],
                           'tutor.n' => [
                                        'Education_teaching'
                                      ],
                           'jaunt.n' => [
                                        'Self_motion'
                                      ],
                           'blue-eyed.a' => [
                                            'Body_description_part'
                                          ],
                           'gown.n' => [
                                       'Clothing'
                                     ],
                           'sweat.v' => [
                                        'Excreting'
                                      ],
                           'thrill.v' => [
                                         'Experiencer_obj'
                                       ],
                           'black.a' => [
                                        'Color'
                                      ],
                           'croak it.v' => [
                                           'Death'
                                         ],
                           'pound.n' => [
                                        'Measure_mass'
                                      ],
                           'indict.v' => [
                                         'Notification_of_charges'
                                       ],
                           'weight.n' => [
                                         'Dimension'
                                       ],
                           'choker.n' => [
                                         'Accoutrements'
                                       ],
                           'remain.v' => [
                                         'Left_to_do',
                                         'Remainder',
                                         'State_continue'
                                       ],
                           'coalesce.v' => [
                                           'Coming_to_be'
                                         ],
                           'quantity.n' => [
                                           'Quantity'
                                         ],
                           'cardiology.n' => [
                                             'Medical_specialties'
                                           ],
                           'discouraging.a' => [
                                               'Subject_stimulus'
                                             ],
                           'brush_((teeth)).v' => [
                                                  'Grooming'
                                                ],
                           'subversion.n' => [
                                             'Subversion'
                                           ],
                           'pioneer.n' => [
                                          'Achieving_first'
                                        ],
                           'thirst.v' => [
                                         'Desiring'
                                       ],
                           'conjure.v' => [
                                          'Evoking'
                                        ],
                           'saga.n' => [
                                       'Text'
                                     ],
                           'medal.n' => [
                                        'Accoutrements'
                                      ],
                           'undertaking.n' => [
                                              'Commitment'
                                            ],
                           'lecture.n' => [
                                          'Speak_on_topic'
                                        ],
                           'breadth.n' => [
                                          'Dimension'
                                        ],
                           'corpulent.a' => [
                                            'Body_description_holistic'
                                          ],
                           'so-so.a' => [
                                        'Desirability',
                                        'Expertise'
                                      ],
                           'inspection.n' => [
                                             'Inspecting',
                                             'Scrutiny'
                                           ],
                           'scads.n' => [
                                        'Quantity'
                                      ],
                           'equivocation.n' => [
                                               'Prevarication'
                                             ],
                           'banter.n' => [
                                         'Chatting'
                                       ],
                           'blow cool.v' => [
                                            'Losing_it'
                                          ],
                           'wrangling.n' => [
                                            'Hostile_encounter',
                                            'Quarreling'
                                          ],
                           'dim.a' => [
                                      'Mental_property'
                                    ],
                           'dibs.n' => [
                                       'Claim_ownership'
                                     ],
                           'harbinger.n' => [
                                            'Omen'
                                          ],
                           'indispensable.a' => [
                                                'Requirements'
                                              ],
                           'haircut.n' => [
                                          'Hair_configuration'
                                        ],
                           'lunge.v' => [
                                        'Self_motion'
                                      ],
                           'spray.v' => [
                                        'Cause_fluidic_motion',
                                        'Filling'
                                      ],
                           'another.n' => [
                                          'Increment'
                                        ],
                           'gasp.n' => [
                                       'Sounds'
                                     ],
                           'ail.v' => [
                                      'Perception_body'
                                    ],
                           'mummification.n' => [
                                                'Preserving'
                                              ],
                           'excoriate.v' => [
                                            'Judgment_communication'
                                          ],
                           'nephew.n' => [
                                         'Kinship'
                                       ],
                           'son-in-law.n' => [
                                             'Kinship'
                                           ],
                           'rot.v' => [
                                      'Rotting'
                                    ],
                           'dependence.n' => [
                                             'Contingency'
                                           ],
                           'boredom.n' => [
                                          'Emotion_directed'
                                        ],
                           'stomp.v' => [
                                        'Self_motion'
                                      ],
                           'admiration.n' => [
                                             'Judgment'
                                           ],
                           'dye.v' => [
                                      'Processing_materials'
                                    ],
                           'court.v' => [
                                        'Personal_relationship'
                                      ],
                           'flat.n' => [
                                       'Building_subparts'
                                     ],
                           'chock-full.a' => [
                                             'Abundance'
                                           ],
                           'hang_((on)).v' => [
                                              'Contingency'
                                            ],
                           'autobahn.n' => [
                                           'Roadways'
                                         ],
                           'cossie.n' => [
                                         'Clothing'
                                       ],
                           'distribution.n' => [
                                               'Dispersal'
                                             ],
                           'pigtailed.a' => [
                                            'Body_description_part'
                                          ],
                           'palace.n' => [
                                         'Buildings'
                                       ],
                           'spine-tingling.a' => [
                                                 'Subject_stimulus'
                                               ],
                           'concoct.v' => [
                                          'Cooking_creation',
                                          'Invention'
                                        ],
                           'chip.n' => [
                                       'Part_piece'
                                     ],
                           'employer.n' => [
                                           'Employing'
                                         ],
                           'doyen.n' => [
                                        'Leadership'
                                      ],
                           'finger.n' => [
                                         'Observable_bodyparts'
                                       ],
                           'anklet.n' => [
                                         'Accoutrements'
                                       ],
                           'rot.n' => [
                                      'Rotting'
                                    ],
                           'harried.a' => [
                                          'Emotion_directed'
                                        ],
                           'call.v' => [
                                       'Being_named',
                                       'Claim_ownership',
                                       'Contacting',
                                       'Deserving',
                                       'Labeling',
                                       'Referring_by_name',
                                       'Request',
                                       'Simple_naming'
                                     ],
                           'agonized.a' => [
                                           'Emotion_directed'
                                         ],
                           'birth.v' => [
                                        'Birth'
                                      ],
                           'mill.v' => [
                                       'Grinding'
                                     ],
                           'argument.n' => [
                                           'Evidence',
                                           'Quarreling',
                                           'Reasoning'
                                         ],
                           'construct.v' => [
                                            'Building'
                                          ],
                           'low-spirited.a' => [
                                               'Emotion_directed'
                                             ],
                           'yard.n' => [
                                       'Measure_linear_extent'
                                     ],
                           'knot.v' => [
                                       'Rope_manipulation'
                                     ],
                           'transfer.v' => [
                                           'Change_tool'
                                         ],
                           'sopping.a' => [
                                          'Being_wet'
                                        ],
                           'gesture.v' => [
                                          'Gesture'
                                        ],
                           'brushed.a' => [
                                          'Abundance'
                                        ],
                           'fluctuation.n' => [
                                              'Change_position_on_a_scale'
                                            ],
                           'mispronounce.v' => [
                                               'Spelling_and_pronouncing'
                                             ],
                           'inferior.a' => [
                                           'Desirability'
                                         ],
                           'bear arms.v' => [
                                            'Bearing_arms'
                                          ],
                           'bafflement.n' => [
                                             'Emotion_directed'
                                           ],
                           'characteristic.n' => [
                                                 'Distinctiveness'
                                               ],
                           'feel.v' => [
                                       'Appearance',
                                       'Feeling',
                                       'Perception_active',
                                       'Perception_experience',
                                       'Seeking'
                                     ],
                           'bear.v' => [
                                       'Birth',
                                       'Path_shape'
                                     ],
                           'veld.n' => [
                                       'Biological_area'
                                     ],
                           'scorn.n' => [
                                        'Judgment'
                                      ],
                           'pavement.n' => [
                                           'Roadways'
                                         ],
                           'schooner.n' => [
                                           'Vehicle'
                                         ],
                           'schlep.v' => [
                                         'Bringing'
                                       ],
                           'houseboat.n' => [
                                            'Buildings'
                                          ],
                           'punishment_penalty.n' => [
                                                     'Rewards_and_punishments'
                                                   ],
                           'confusing.a' => [
                                            'Subject_stimulus'
                                          ],
                           'condense.v' => [
                                           'Change_of_phase'
                                         ],
                           'magnification.n' => [
                                                'Cause_expansion'
                                              ],
                           'depth.n' => [
                                        'Dimension'
                                      ],
                           'midriff.n' => [
                                          'Observable_bodyparts'
                                        ],
                           'grimace.n' => [
                                          'Facial_expression'
                                        ],
                           'ban.v' => [
                                      'Prohibiting'
                                    ],
                           'pray.v' => [
                                       'Rite'
                                     ],
                           'deplore.v' => [
                                          'Judgment'
                                        ],
                           'daughter-in-law.n' => [
                                                  'Kinship'
                                                ],
                           'evacuation.n' => [
                                             'Removing'
                                           ],
                           'compliance.n' => [
                                             'Compliance'
                                           ],
                           'prohibited.a' => [
                                             'Legality'
                                           ],
                           'custody.n' => [
                                          'Detaining'
                                        ],
                           'cardiologist.n' => [
                                               'Medical_professionals'
                                             ],
                           'kind.n' => [
                                       'Type'
                                     ],
                           'tile.v' => [
                                       'Filling'
                                     ],
                           'stubby.a' => [
                                         'Body_description_holistic'
                                       ],
                           'pal.n' => [
                                      'Attention_getting',
                                      'Personal_relationship'
                                    ],
                           'squander.v' => [
                                           'Frugality'
                                         ],
                           'phoney.a' => [
                                         'Imitation'
                                       ],
                           'moraine.n' => [
                                          'Natural_features'
                                        ],
                           'bag.v' => [
                                      'Placing'
                                    ],
                           'detestable.a' => [
                                             'Praiseworthiness'
                                           ],
                           'galosh.n' => [
                                         'Clothing'
                                       ],
                           'misrepresentation.n' => [
                                                    'Prevarication'
                                                  ],
                           'building.n' => [
                                           'Buildings'
                                         ],
                           'hear.v' => [
                                       'Hear',
                                       'Perception_experience'
                                     ],
                           'sharp.a' => [
                                        'Sharpness'
                                      ],
                           'badger.v' => [
                                         'Attempt_suasion',
                                         'Manipulate_into_doing'
                                       ],
                           'observance.n' => [
                                             'Compliance'
                                           ],
                           'tether.v' => [
                                         'Attaching'
                                       ],
                           'intrigue.v' => [
                                           'Experiencer_obj'
                                         ],
                           'coruscation.n' => [
                                              'Light_movement',
                                              'Location_of_light'
                                            ],
                           'petition.n' => [
                                           'Request'
                                         ],
                           'invent.v' => [
                                         'Achieving_first',
                                         'Invention'
                                       ],
                           'sovereign.n' => [
                                            'Leadership'
                                          ],
                           'khedive.n' => [
                                          'Leadership'
                                        ],
                           'avoidance.n' => [
                                            'Avoiding'
                                          ],
                           'thong.n' => [
                                        'Clothing_parts'
                                      ],
                           'nudge.v' => [
                                        'Cause_motion',
                                        'Manipulation'
                                      ],
                           'mocking.a' => [
                                          'Judgment_communication'
                                        ],
                           'professor.n' => [
                                            'Education_teaching',
                                            'People_by_vocation'
                                          ],
                           'secrete.v' => [
                                          'Emitting'
                                        ],
                           'marriage_(into).n' => [
                                                  'Forming_relationships'
                                                ],
                           'grin.v' => [
                                       'Making_faces'
                                     ],
                           'busted.a' => [
                                         'Being_operational'
                                       ],
                           'midwifery.n' => [
                                            'Medical_specialties'
                                          ],
                           'slalom.v' => [
                                         'Self_motion'
                                       ],
                           'up.adv' => [
                                       'Direction'
                                     ],
                           'one and only.a' => [
                                               'Sole_instance'
                                             ],
                           'press.v' => [
                                        'Attempt_suasion',
                                        'Cause_motion'
                                      ],
                           'cool down.v' => [
                                            'Cause_temperature_change'
                                          ],
                           'acromegaly.n' => [
                                             'Medical_conditions'
                                           ],
                           'foretell.v' => [
                                           'Omen',
                                           'Predicting'
                                         ],
                           'east.adv' => [
                                         'Direction'
                                       ],
                           'seam.n' => [
                                       'Clothing_parts'
                                     ],
                           'put.v' => [
                                      'Encoding',
                                      'Placing'
                                    ],
                           'campanile.n' => [
                                            'Buildings'
                                          ],
                           'embarrassed.a' => [
                                              'Emotion_directed'
                                            ],
                           'obstetrics.n' => [
                                             'Medical_specialties'
                                           ],
                           'pull_leg.v' => [
                                           'Prevarication'
                                         ],
                           'despondent.a' => [
                                             'Emotion_directed'
                                           ],
                           'move up.v' => [
                                          'Change_event_time'
                                        ],
                           'aim.v' => [
                                      'Purpose'
                                    ],
                           'leggings.n' => [
                                           'Clothing'
                                         ],
                           'trademark.n' => [
                                            'Distinctiveness'
                                          ],
                           'swimsuit.n' => [
                                           'Clothing'
                                         ],
                           'deride.v' => [
                                         'Judgment_communication'
                                       ],
                           'discovery.n' => [
                                            'Achieving_first',
                                            'Becoming_aware'
                                          ],
                           'corridor.n' => [
                                           'Building_subparts',
                                           'Connecting_architecture'
                                         ],
                           'crumple.v' => [
                                          'Reshaping'
                                        ],
                           'influential.a' => [
                                              'Subjective_influence'
                                            ],
                           'probe.n' => [
                                        'Criminal_investigation'
                                      ],
                           'crawl.v' => [
                                        'Abundance',
                                        'Self_motion'
                                      ],
                           'baby.n' => [
                                       'People_by_age'
                                     ],
                           'anger.v' => [
                                        'Experiencer_obj'
                                      ],
                           'requirement.n' => [
                                              'Requirements'
                                            ],
                           'countryside.n' => [
                                              'Locale_by_use'
                                            ],
                           'discerning.a' => [
                                             'Mental_property'
                                           ],
                           'honesty.n' => [
                                          'Candidness'
                                        ],
                           'humid.a' => [
                                        'Being_wet'
                                      ],
                           'a piece of cake.n' => [
                                                  'Difficulty'
                                                ],
                           'pass.v' => [
                                       'Giving',
                                       'Path_shape',
                                       'Process_end'
                                     ],
                           'attachment_act.n' => [
                                                 'Attaching'
                                               ],
                           'mewl.v' => [
                                       'Make_noise'
                                     ],
                           'thermos.n' => [
                                          'Containers'
                                        ],
                           'wanting.a' => [
                                          'Possession'
                                        ],
                           'buttocks.n' => [
                                           'Observable_bodyparts'
                                         ],
                           'similarity_((mass)).n' => [
                                                      'Similarity'
                                                    ],
                           'swap.v' => [
                                       'Exchange'
                                     ],
                           'property.n' => [
                                           'Possession'
                                         ],
                           'slide.v' => [
                                        'Cause_motion',
                                        'Change_position_on_a_scale',
                                        'Motion'
                                      ],
                           'show.v' => [
                                       'Evidence',
                                       'Reasoning'
                                     ],
                           'incipient.a' => [
                                            'Process_start'
                                          ],
                           'hawk.v' => [
                                       'Make_noise'
                                     ],
                           'jeroboam.n' => [
                                           'Containers'
                                         ],
                           'designate.v' => [
                                            'Linguistic_meaning'
                                          ],
                           'clump.v' => [
                                        'Motion_noise'
                                      ],
                           'early.a' => [
                                        'Relative_time'
                                      ],
                           'toenail.n' => [
                                          'Observable_bodyparts'
                                        ],
                           'attempt.n' => [
                                          'Attempt'
                                        ],
                           'only.a' => [
                                       'Sole_instance'
                                     ],
                           'freak out.adv' => [
                                              'Losing_it'
                                            ],
                           'cold.n' => [
                                       'Medical_conditions'
                                     ],
                           'terse.a' => [
                                        'Volubility'
                                      ],
                           'fable.n' => [
                                        'Text'
                                      ],
                           'covenant.n' => [
                                           'Commitment'
                                         ],
                           'other.n' => [
                                        'Increment'
                                      ],
                           'should.v' => [
                                         'Being_obligated'
                                       ],
                           'putrefy.v' => [
                                          'Rotting'
                                        ],
                           'unnerving.a' => [
                                            'Subject_stimulus'
                                          ],
                           'wind.v' => [
                                       'Path_shape'
                                     ],
                           'divorcee.n' => [
                                           'Personal_relationship'
                                         ],
                           'search.v' => [
                                         'Scrutiny',
                                         'Seeking'
                                       ],
                           'whimper.n' => [
                                          'Sounds'
                                        ],
                           'yammer.v' => [
                                         'Make_noise'
                                       ],
                           'another.a' => [
                                          'Increment'
                                        ],
                           'importer.n' => [
                                           'Import_export'
                                         ],
                           'habit.n' => [
                                        'Addiction',
                                        'Custom'
                                      ],
                           'splash.n' => [
                                         'Measure_by_action'
                                       ],
                           'pigtail.n' => [
                                          'Hair_configuration'
                                        ],
                           'croissant.n' => [
                                            'Food'
                                          ],
                           'eternal.a' => [
                                          'Duration'
                                        ],
                           'wound.n' => [
                                        'Medical_conditions'
                                      ],
                           'hijacked.a' => [
                                           'Piracy'
                                         ],
                           'want.n' => [
                                       'Possession'
                                     ],
                           'moored.a' => [
                                         'Being_attached'
                                       ],
                           'shirtless.a' => [
                                            'Wearing'
                                          ],
                           'appreciate.v' => [
                                             'Judgment'
                                           ],
                           'unite.v' => [
                                        'Amalgamation',
                                        'Cause_to_amalgamate'
                                      ],
                           'sore.n' => [
                                       'Body_mark'
                                     ],
                           'frame.v' => [
                                        'Encoding'
                                      ],
                           'asphalted.a' => [
                                            'Abundance'
                                          ],
                           'pathetic.a' => [
                                           'Desirability',
                                           'Subject_stimulus'
                                         ],
                           'break out.v' => [
                                            'Process_start'
                                          ],
                           'ascend.v' => [
                                         'Path_shape'
                                       ],
                           'lashed.a' => [
                                         'Being_attached'
                                       ],
                           'avowal.n' => [
                                         'Statement'
                                       ],
                           'beefy.a' => [
                                        'Body_description_holistic'
                                      ],
                           'undertake.v' => [
                                            'Commitment'
                                          ],
                           'crinoline.n' => [
                                            'Clothing'
                                          ],
                           'husband.n' => [
                                          'Personal_relationship'
                                        ],
                           'contravene.v' => [
                                             'Compliance'
                                           ],
                           'annihilate.v' => [
                                             'Destroying',
                                             'Killing'
                                           ],
                           'sour.a' => [
                                       'Chemical-sense_description'
                                     ],
                           'shove.v' => [
                                        'Cause_motion'
                                      ],
                           'colloquy.n' => [
                                           'Chatting'
                                         ],
                           'vase.n' => [
                                       'Containers'
                                     ],
                           'pass_out.v' => [
                                           'Giving'
                                         ],
                           'rummage.v' => [
                                          'Scouring',
                                          'Scrutiny',
                                          'Seeking'
                                        ],
                           'feel.n' => [
                                       'Sensation'
                                     ],
                           'dehydrated.a' => [
                                             'Being_dry'
                                           ],
                           'in-law.n' => [
                                         'Kinship'
                                       ],
                           'modicum.n' => [
                                          'Quantity'
                                        ],
                           'deserve.v' => [
                                          'Deserving'
                                        ],
                           'passport.n' => [
                                           'Documents'
                                         ],
                           'pity.v' => [
                                       'Experiencer_subj'
                                     ],
                           'tinkle.n' => [
                                         'Sounds'
                                       ],
                           'rap.n' => [
                                      'Sounds'
                                    ],
                           'precede.v' => [
                                          'Relative_time'
                                        ],
                           'robe.n' => [
                                       'Clothing'
                                     ],
                           'closeness.n' => [
                                            'Social_connection'
                                          ],
                           'lawyer.n' => [
                                         'People_by_vocation'
                                       ],
                           'stocking.n' => [
                                           'Clothing'
                                         ],
                           'clasp.n' => [
                                        'Clothing_parts'
                                      ],
                           'hammer.v' => [
                                         'Cause_harm'
                                       ],
                           'draw to a end.v' => [
                                                'Process_end'
                                              ],
                           'pension.n' => [
                                          'Buildings'
                                        ],
                           'sleet.n' => [
                                        'Precipitation'
                                      ],
                           'strew.v' => [
                                        'Dispersal',
                                        'Filling'
                                      ],
                           'lynch.v' => [
                                        'Killing'
                                      ],
                           'plop.n' => [
                                       'Sounds'
                                     ],
                           'skirmish.v' => [
                                           'Hostile_encounter'
                                         ],
                           'municipality.n' => [
                                               'Political_locales'
                                             ],
                           'twenty-two.n' => [
                                             'Weapon'
                                           ],
                           'difference_((count)).n' => [
                                                       'Similarity'
                                                     ],
                           'cool.v' => [
                                       'Cause_temperature_change',
                                       'Inchoative_change_of_temperature'
                                     ],
                           'scrunch.n' => [
                                          'Sounds'
                                        ],
                           'fascinated.a' => [
                                             'Emotion_directed'
                                           ],
                           'gorget.n' => [
                                         'Accoutrements'
                                       ],
                           'confident.a' => [
                                            'Certainty'
                                          ],
                           'cook up.v' => [
                                          'Cooking_creation'
                                        ],
                           'trickle.v' => [
                                          'Fluidic_motion'
                                        ],
                           'target.n' => [
                                         'Purpose'
                                       ],
                           'fidget.v' => [
                                         'Body_movement'
                                       ],
                           'warm.a' => [
                                       'Ambient_temperature'
                                     ],
                           'buzz.v' => [
                                       'Motion_noise'
                                     ],
                           'inject.v' => [
                                         'Filling',
                                         'Ingest_substance',
                                         'Placing'
                                       ],
                           'inhalant.n' => [
                                           'Intoxicants'
                                         ],
                           'stride.v' => [
                                         'Self_motion'
                                       ],
                           'alcoholic.n' => [
                                            'Addiction'
                                          ],
                           'hypertension.n' => [
                                               'Medical_conditions'
                                             ],
                           'hunched.a' => [
                                          'Posture'
                                        ],
                           'actor.n' => [
                                        'Performers'
                                      ],
                           'plead.v' => [
                                        'Entering_of_plea',
                                        'Request'
                                      ],
                           'tingle.v' => [
                                         'Perception_body'
                                       ],
                           'psychoanalyst.n' => [
                                                'Medical_professionals'
                                              ],
                           'side-splitting.a' => [
                                                 'Subject_stimulus'
                                               ],
                           'coot.n' => [
                                       'People_by_age'
                                     ],
                           'weave.v' => [
                                        'Path_shape'
                                      ],
                           'lean.v' => [
                                       'Change_posture',
                                       'Placing',
                                       'Posture'
                                     ],
                           'cottage.n' => [
                                          'Buildings'
                                        ],
                           'pass.n' => [
                                       'Natural_features'
                                     ],
                           'attire.n' => [
                                         'Clothing'
                                       ],
                           'restitution.n' => [
                                              'Reparation'
                                            ],
                           'anger.n' => [
                                        'Emotion_directed'
                                      ],
                           'slam.v' => [
                                       'Cause_impact',
                                       'Impact',
                                       'Judgment_communication'
                                     ],
                           'persistence.n' => [
                                              'Process_continue'
                                            ],
                           'move back.v' => [
                                            'Change_event_time'
                                          ],
                           'dry.v' => [
                                      'Cause_to_be_dry',
                                      'Preserving'
                                    ],
                           'flatten.v' => [
                                          'Reshaping'
                                        ],
                           'segment.n' => [
                                          'Part_whole'
                                        ],
                           'coat.v' => [
                                       'Adorning',
                                       'Filling'
                                     ],
                           'narrow-minded.a' => [
                                                'Mental_property'
                                              ],
                           'preach.v' => [
                                         'Speak_on_topic',
                                         'Statement'
                                       ],
                           'sewn.a' => [
                                       'Being_attached'
                                     ],
                           'empathetic.a' => [
                                             'Experiencer_subj'
                                           ],
                           'fruit.n' => [
                                        'Food'
                                      ],
                           'wow.v' => [
                                      'Experiencer_obj'
                                    ],
                           'admonish.v' => [
                                           'Attempt_suasion',
                                           'Judgment_direct_address'
                                         ],
                           'munch.v' => [
                                        'Ingestion'
                                      ],
                           'kingdom.n' => [
                                          'Political_locales'
                                        ],
                           'disable.v' => [
                                          'Render_nonfunctional'
                                        ],
                           'exportation.n' => [
                                              'Import_export'
                                            ],
                           'dweller.n' => [
                                          'Residence'
                                        ],
                           'crappy.a' => [
                                         'Desirability'
                                       ],
                           'caw.n' => [
                                      'Sounds'
                                    ],
                           'kilt.n' => [
                                       'Clothing'
                                     ],
                           'chasuble.n' => [
                                           'Clothing'
                                         ],
                           'inner.a' => [
                                        'Part_inner_outer'
                                      ],
                           'disprove.v' => [
                                           'Evidence',
                                           'Reasoning'
                                         ],
                           'tell.v' => [
                                       'Reporting',
                                       'Request',
                                       'Telling'
                                     ],
                           'perplexed.a' => [
                                            'Emotion_directed'
                                          ],
                           'hire on.v' => [
                                          'Get_a_job'
                                        ],
                           'gynaecologist.n' => [
                                                'Medical_professionals'
                                              ],
                           'unshod.a' => [
                                         'Wearing'
                                       ],
                           'rest.n' => [
                                       'Rest'
                                     ],
                           'fratricide.n' => [
                                             'Killing'
                                           ],
                           'pen name.n' => [
                                           'Being_named'
                                         ],
                           'reverberate.v' => [
                                              'Sound_movement'
                                            ],
                           'clerk.v' => [
                                        'Being_employed'
                                      ],
                           'concede.v' => [
                                          'Statement'
                                        ],
                           'read.v' => [
                                       'Hear',
                                       'Reading'
                                     ],
                           'vat.n' => [
                                      'Containers'
                                    ],
                           'strip off.v' => [
                                            'Undressing'
                                          ],
                           'sin.v' => [
                                      'Misdeed'
                                    ],
                           'tun.n' => [
                                      'Containers'
                                    ],
                           'neonatologist.n' => [
                                                'Medical_professionals'
                                              ],
                           'pocket.v' => [
                                         'Placing'
                                       ],
                           'silence.v' => [
                                          'Become_silent',
                                          'Killing',
                                          'Silencing'
                                        ],
                           'existence.n' => [
                                            'Existence'
                                          ],
                           'seeing.v' => [
                                         'Personal_relationship'
                                       ],
                           'ejection.n' => [
                                           'Removing'
                                         ],
                           'think.v' => [
                                        'Awareness',
                                        'Cogitation'
                                      ],
                           'the_sticks.n' => [
                                             'Isolated_places'
                                           ],
                           'tally.v' => [
                                        'Adding_up'
                                      ],
                           'svelte.a' => [
                                         'Body_description_holistic'
                                       ],
                           'violate.v' => [
                                          'Compliance'
                                        ],
                           'bludgeon.v' => [
                                           'Cause_harm'
                                         ],
                           'man.n' => [
                                      'People'
                                    ],
                           'convene.v' => [
                                          'Congregating',
                                          'Gathering_up'
                                        ],
                           'car.n' => [
                                      'Vehicle'
                                    ],
                           'reprehend.v' => [
                                            'Judgment_communication'
                                          ],
                           'lease.v' => [
                                        'Commerce_buy',
                                        'Commerce_sell'
                                      ],
                           'grin.n' => [
                                       'Facial_expression'
                                     ],
                           'exterior.n' => [
                                           'Part_inner_outer'
                                         ],
                           'granddaughter.n' => [
                                                'Kinship'
                                              ],
                           'descendant.n' => [
                                             'Kinship'
                                           ],
                           'practice.v' => [
                                           'Practice'
                                         ],
                           'snood.n' => [
                                        'Accoutrements'
                                      ],
                           'bungler.n' => [
                                          'Bungling'
                                        ],
                           'proficient.a' => [
                                             'Expertise'
                                           ],
                           'cost.v' => [
                                       'Expensiveness'
                                     ],
                           'fast.a' => [
                                       'Speed',
                                       'Taking_time'
                                     ],
                           'sniff.v' => [
                                        'Ingest_substance',
                                        'Perception_active',
                                        'Seeking'
                                      ],
                           'contact.v' => [
                                          'Contacting'
                                        ],
                           'search.n' => [
                                         'Scrutiny'
                                       ],
                           'stand.v' => [
                                        'Being_located',
                                        'Change_posture',
                                        'Placing',
                                        'Posture'
                                      ],
                           'healer.n' => [
                                         'Cure'
                                       ],
                           'mournful.a' => [
                                           'Emotion_directed'
                                         ],
                           'surface.v' => [
                                          'Filling'
                                        ],
                           'floss.v' => [
                                        'Grooming'
                                      ],
                           'actionable.a' => [
                                             'Severity_of_offense'
                                           ],
                           'weekly.a' => [
                                         'Iteration'
                                       ],
                           'venomous.a' => [
                                           'Toxic_substance'
                                         ],
                           'first name.n' => [
                                             'Being_named'
                                           ],
                           'eponymous.a' => [
                                            'Namesake'
                                          ],
                           'boulevard.n' => [
                                            'Roadways'
                                          ],
                           'simmer.v' => [
                                         'Absorb_heat',
                                         'Apply_heat',
                                         'Emotion_heat'
                                       ],
                           'voluble.a' => [
                                          'Volubility'
                                        ],
                           'heart-rending.a' => [
                                                'Subject_stimulus'
                                              ],
                           'cutpurse.n' => [
                                           'Theft'
                                         ],
                           'stout.a' => [
                                        'Body_description_holistic'
                                      ],
                           'skirmish.n' => [
                                           'Hostile_encounter'
                                         ],
                           'nark.n' => [
                                       'Reporting'
                                     ],
                           'discriminate.v' => [
                                               'Differentiation'
                                             ],
                           'pipette.n' => [
                                          'Containers'
                                        ],
                           'tip.n' => [
                                      'Part_orientational'
                                    ],
                           'sugar.n' => [
                                        'Food'
                                      ],
                           'radiology.n' => [
                                            'Medical_specialties'
                                          ],
                           'peel off.adv' => [
                                             'Undressing'
                                           ],
                           'bash.v' => [
                                       'Cause_harm'
                                     ],
                           'flood.n' => [
                                        'Quantity'
                                      ],
                           'parka.n' => [
                                        'Clothing'
                                      ],
                           'escape.v' => [
                                         'Avoiding',
                                         'Departing',
                                         'Escaping'
                                       ],
                           'praise.n' => [
                                         'Judgment_communication'
                                       ],
                           'goods.n' => [
                                        'Commerce'
                                      ],
                           'get up.v' => [
                                         'Waking_up'
                                       ],
                           'fez.n' => [
                                      'Accoutrements'
                                    ],
                           'convey.v' => [
                                         'Bringing',
                                         'Statement'
                                       ],
                           'glossy.a' => [
                                         'Location_of_light'
                                       ],
                           'disgruntled.a' => [
                                              'Emotion_directed'
                                            ],
                           'satisfaction.n' => [
                                               'Experiencer_subj'
                                             ],
                           'sackful.n' => [
                                          'Measure_volume'
                                        ],
                           'traditional.n' => [
                                              'Custom'
                                            ],
                           'punitive.a' => [
                                           'Rewards_and_punishments'
                                         ],
                           'chief.n' => [
                                        'Leadership'
                                      ],
                           'catnap.n' => [
                                         'Sleep'
                                       ],
                           'down the road.prep' => [
                                                   'Time_vector'
                                                 ],
                           'abash.v' => [
                                        'Experiencer_obj'
                                      ],
                           'play.v' => [
                                       'Cause_to_make_noise',
                                       'Competition',
                                       'Performers_and_roles'
                                     ],
                           'level.v' => [
                                        'Destroying'
                                      ],
                           'wash.v' => [
                                       'Grooming',
                                       'Removing'
                                     ],
                           'sole.n' => [
                                       'Clothing_parts',
                                       'Observable_bodyparts'
                                     ],
                           'sough.v' => [
                                        'Make_noise'
                                      ],
                           'lash.n' => [
                                       'Corporal_punishment'
                                     ],
                           'tie the knot.v' => [
                                               'Forming_relationships'
                                             ],
                           'load.n' => [
                                       'Quantity'
                                     ],
                           'captain.n' => [
                                          'Leadership'
                                        ],
                           'draft.v' => [
                                        'Text_creation'
                                      ],
                           'gushing.a' => [
                                          'Volubility'
                                        ],
                           'peek.v' => [
                                       'Perception_active'
                                     ],
                           'wake.v' => [
                                       'Cause_to_wake',
                                       'Waking_up'
                                     ],
                           'wallpapered.a' => [
                                              'Abundance'
                                            ],
                           'custom.n' => [
                                         'Custom'
                                       ],
                           'oust.v' => [
                                       'Change_of_leadership',
                                       'Removing'
                                     ],
                           'epistle.n' => [
                                          'Text'
                                        ],
                           'further.a' => [
                                          'Increment'
                                        ],
                           'caterwaul.v' => [
                                            'Make_noise'
                                          ],
                           'acquire.v' => [
                                          'Getting'
                                        ],
                           'hairstyle.n' => [
                                            'Hair_configuration'
                                          ],
                           'gully.n' => [
                                        'Natural_features'
                                      ],
                           'side.n' => [
                                       'Part_orientational'
                                     ],
                           'inference.n' => [
                                            'Coming_to_believe'
                                          ],
                           'nightcap.n' => [
                                           'Accoutrements'
                                         ],
                           'glance.v' => [
                                         'Perception_active'
                                       ],
                           'group.n' => [
                                        'Aggregate'
                                      ],
                           'wed.v' => [
                                      'Forming_relationships'
                                    ],
                           'downhearted.a' => [
                                              'Emotion_directed'
                                            ],
                           'dash.v' => [
                                       'Self_motion'
                                     ],
                           'unfriendly.a' => [
                                             'Social_interaction_evaluation'
                                           ],
                           'inhalation.n' => [
                                             'Breathing'
                                           ],
                           'bored.a' => [
                                        'Emotion_directed'
                                      ],
                           'half.n' => [
                                       'Part_whole'
                                     ],
                           'creak.n' => [
                                        'Sounds'
                                      ],
                           'shroud.v' => [
                                         'Eclipse'
                                       ],
                           'wrinkle.v' => [
                                          'Body_movement'
                                        ],
                           'traipse.v' => [
                                          'Self_motion'
                                        ],
                           'mum.n' => [
                                      'Kinship'
                                    ],
                           'fall.n' => [
                                       'Change_position_on_a_scale'
                                     ],
                           'spin.v' => [
                                       'Cause_to_move_in_place',
                                       'Moving_in_place'
                                     ],
                           'fond.a' => [
                                       'Experiencer_subj'
                                     ],
                           'amateur.a' => [
                                          'Expertise'
                                        ],
                           'year.n' => [
                                       'Calendric_unit',
                                       'Measure_duration'
                                     ],
                           'high.a' => [
                                       'Dimension',
                                       'Intoxication',
                                       'Position_on_a_scale'
                                     ],
                           'perplexity.n' => [
                                             'Emotion_directed'
                                           ],
                           'camp.v' => [
                                       'Residence'
                                     ],
                           'lavish.v' => [
                                         'Stinginess'
                                       ],
                           'wealthy.a' => [
                                          'Wealthiness'
                                        ],
                           'conception.n' => [
                                             'Awareness'
                                           ],
                           'archipelago.n' => [
                                              'Natural_features'
                                            ],
                           'throw.v' => [
                                        'Body_movement',
                                        'Cause_motion'
                                      ],
                           'sweet.a' => [
                                        'Chemical-sense_description',
                                        'Social_interaction_evaluation'
                                      ],
                           'glow.v' => [
                                       'Light_movement',
                                       'Location_of_light'
                                     ],
                           'gabble.v' => [
                                         'Communication_manner'
                                       ],
                           'generation.n' => [
                                             'Intentionally_create'
                                           ],
                           'squad.n' => [
                                        'Aggregate'
                                      ],
                           'guzzle.v' => [
                                         'Ingestion'
                                       ],
                           'rural.a' => [
                                        'Locale_by_use'
                                      ],
                           'enrage.v' => [
                                         'Experiencer_obj'
                                       ],
                           'natter.v' => [
                                         'Communication_manner'
                                       ],
                           'embed.v' => [
                                        'Placing'
                                      ],
                           'stash.v' => [
                                        'Placing'
                                      ],
                           'crave.v' => [
                                        'Desiring',
                                        'Experiencer_subj'
                                      ],
                           'sweetener.n' => [
                                            'Food'
                                          ],
                           'allopathy.n' => [
                                            'Medical_specialties'
                                          ],
                           'altar.n' => [
                                        'Building_subparts'
                                      ],
                           'shuffle.v' => [
                                          'Body_movement',
                                          'Self_motion'
                                        ],
                           'misappropriation.n' => [
                                                   'Theft'
                                                 ],
                           'repeated.a' => [
                                           'Iteration'
                                         ],
                           'noon.n' => [
                                       'Calendric_unit'
                                     ],
                           'miniskirt.n' => [
                                            'Clothing'
                                          ],
                           'terrific.a' => [
                                           'Desirability',
                                           'Expertise',
                                           'Usefulness'
                                         ],
                           'denunciation.n' => [
                                               'Judgment_communication'
                                             ],
                           'memorization.n' => [
                                               'Memorization'
                                             ],
                           'ketamine.n' => [
                                           'Intoxicants'
                                         ],
                           'effusive.a' => [
                                           'Volubility'
                                         ],
                           'kick off.v' => [
                                           'Undressing'
                                         ],
                           'rancid.a' => [
                                         'Being_rotted'
                                       ],
                           'jar.n' => [
                                      'Containers'
                                    ],
                           'gushy.a' => [
                                        'Volubility'
                                      ],
                           'abducted.a' => [
                                           'Kidnapping'
                                         ],
                           'antonym.n' => [
                                          'Word_relations'
                                        ],
                           'swap.n' => [
                                       'Exchange'
                                     ],
                           'suicide.v' => [
                                          'Killing'
                                        ],
                           'crush.n' => [
                                        'Personal_relationship'
                                      ],
                           'saturate.v' => [
                                           'Cause_to_be_wet'
                                         ],
                           'dressing.n' => [
                                           'Food'
                                         ],
                           'camper.n' => [
                                         'Residence'
                                       ],
                           'dissimilarity.n' => [
                                                'Similarity'
                                              ],
                           'trick.v' => [
                                        'Manipulate_into_doing'
                                      ],
                           'relish.v' => [
                                         'Experiencer_subj'
                                       ],
                           'action.n' => [
                                         'Intentionally_act'
                                       ],
                           'balaclava.n' => [
                                            'Accoutrements'
                                          ],
                           'sabotage.n' => [
                                           'Offenses'
                                         ],
                           'nickname.n' => [
                                           'Being_named'
                                         ],
                           'gulch.n' => [
                                        'Natural_features'
                                      ],
                           'sidewalk.n' => [
                                           'Roadways'
                                         ],
                           'dawn.n' => [
                                       'Calendric_unit'
                                     ],
                           'moan.n' => [
                                       'Sounds'
                                     ],
                           'become.v' => [
                                         'Becoming'
                                       ],
                           'account.v' => [
                                          'Justifying'
                                        ],
                           'deduce.v' => [
                                         'Coming_to_believe'
                                       ],
                           'fracture.v' => [
                                           'Cause_harm',
                                           'Cause_to_fragment'
                                         ],
                           'writ.n' => [
                                       'Documents'
                                     ],
                           'conduct.v' => [
                                          'Conduct',
                                          'Cotheme'
                                        ],
                           'terrify.v' => [
                                          'Experiencer_obj'
                                        ],
                           'calamitous.a' => [
                                             'Catastrophe'
                                           ],
                           'behavior.n' => [
                                           'Conduct'
                                         ],
                           'song.n' => [
                                       'Text'
                                     ],
                           'flaked.a' => [
                                         'Ground_up'
                                       ],
                           'contempt.n' => [
                                           'Judgment'
                                         ],
                           'ebony.a' => [
                                        'Color'
                                      ],
                           'sedan.n' => [
                                        'Vehicle'
                                      ],
                           'work.n' => [
                                       'Being_employed'
                                     ],
                           'dread.n' => [
                                        'Experiencer_subj'
                                      ],
                           'snake.v' => [
                                        'Path_shape'
                                      ],
                           'remark.n' => [
                                         'Statement'
                                       ],
                           'assure.v' => [
                                         'Telling'
                                       ],
                           'kidnapping.n' => [
                                             'Kidnapping',
                                             'Offenses'
                                           ],
                           'afraid.a' => [
                                         'Experiencer_subj'
                                       ],
                           'defer.v' => [
                                        'Change_event_time'
                                      ],
                           'flavourless.a' => [
                                              'Chemical-sense_description'
                                            ],
                           'resentful.a' => [
                                            'Emotion_directed'
                                          ],
                           'unfazed.a' => [
                                          'Experiencer_subj'
                                        ],
                           'pocket.n' => [
                                         'Clothing_parts',
                                         'Locale'
                                       ],
                           'suggestion.n' => [
                                             'Request'
                                           ],
                           'delicious.a' => [
                                            'Chemical-sense_description'
                                          ],
                           'number.v' => [
                                         'Adding_up'
                                       ],
                           'nakedness.n' => [
                                            'Wearing'
                                          ],
                           'execration.n' => [
                                             'Judgment_communication'
                                           ],
                           'sidle.v' => [
                                        'Self_motion'
                                      ],
                           'herd.n' => [
                                       'Aggregate'
                                     ],
                           'poultry.n' => [
                                          'Food'
                                        ],
                           'last name.n' => [
                                            'Being_named'
                                          ],
                           'independent.a' => [
                                              'Contingency'
                                            ],
                           'couch.v' => [
                                        'Encoding'
                                      ],
                           'merge.v' => [
                                        'Amalgamation',
                                        'Cause_to_amalgamate'
                                      ],
                           'seated.a' => [
                                         'Posture'
                                       ],
                           'sir.n' => [
                                      'Attention_getting'
                                    ],
                           'slim.a' => [
                                       'Body_description_holistic'
                                     ],
                           'exist.v' => [
                                        'Existence'
                                      ],
                           'predicament.n' => [
                                              'Predicament'
                                            ],
                           'class.n' => [
                                        'Aggregate',
                                        'Type'
                                      ],
                           'write in.v' => [
                                           'Contacting',
                                           'Text_creation'
                                         ],
                           'insipid.a' => [
                                          'Chemical-sense_description'
                                        ],
                           'amass.v' => [
                                        'Gathering_up'
                                      ],
                           'appalling.a' => [
                                            'Desirability',
                                            'Subject_stimulus'
                                          ],
                           'report.v' => [
                                         'Reporting',
                                         'Statement'
                                       ],
                           'athwart.prep' => [
                                             'Locative_relation'
                                           ],
                           'forbear.v' => [
                                          'Avoiding'
                                        ],
                           'defile.n' => [
                                         'Natural_features'
                                       ],
                           'amused.a' => [
                                         'Emotion_directed'
                                       ],
                           'spoiling.a' => [
                                           'Desiring'
                                         ],
                           'ordination.n' => [
                                             'Rite'
                                           ],
                           'lose_sleep.v' => [
                                             'Emotion_active'
                                           ],
                           'blare.n' => [
                                        'Sounds'
                                      ],
                           'hound.v' => [
                                        'Cotheme'
                                      ],
                           'mayonnaise.n' => [
                                             'Food'
                                           ],
                           'gulp.n' => [
                                       'Ingestion'
                                     ],
                           'consistent.a' => [
                                             'Compatibility'
                                           ],
                           'gash.v' => [
                                       'Cause_harm'
                                     ],
                           'stab.v' => [
                                       'Cause_harm'
                                     ],
                           'word.v' => [
                                       'Encoding'
                                     ],
                           'waistband.n' => [
                                            'Clothing_parts'
                                          ],
                           'welly.n' => [
                                        'Clothing'
                                      ],
                           'rock.v' => [
                                       'Desirability',
                                       'Moving_in_place'
                                     ],
                           'heavy.a' => [
                                        'Dimension'
                                      ],
                           'pedicure.n' => [
                                           'Grooming'
                                         ],
                           'launch.v' => [
                                         'Activity_start',
                                         'Shoot_projectiles'
                                       ],
                           'stupefied.a' => [
                                            'Emotion_directed'
                                          ],
                           'panelled.a' => [
                                           'Abundance'
                                         ],
                           'reek.v' => [
                                       'Appearance',
                                       'Chemical-sense_description'
                                     ],
                           'bareheaded.a' => [
                                             'Wearing'
                                           ],
                           'throw on.v' => [
                                           'Dressing'
                                         ],
                           'hit.n' => [
                                      'Impact'
                                    ],
                           'unpalatable.a' => [
                                              'Chemical-sense_description'
                                            ],
                           'distress.n' => [
                                           'Emotion_directed'
                                         ],
                           'value.v' => [
                                        'Judgment'
                                      ],
                           'friday.n' => [
                                         'Calendric_unit'
                                       ],
                           'marry.v' => [
                                        'Forming_relationships'
                                      ],
                           'taxi.n' => [
                                       'Vehicle'
                                     ],
                           'vestibule.n' => [
                                            'Building_subparts'
                                          ],
                           'briefcase.n' => [
                                            'Containers'
                                          ],
                           'stoop.n' => [
                                        'Building_subparts'
                                      ],
                           'queasiness.n' => [
                                             'Biological_urge'
                                           ],
                           'fullness.n' => [
                                           'Fullness'
                                         ],
                           'skill.n' => [
                                        'Expertise'
                                      ],
                           'line.v' => [
                                       'Adorning'
                                     ],
                           'derisive.a' => [
                                           'Judgment'
                                         ],
                           'belief.n' => [
                                         'Awareness'
                                       ],
                           'reconnoitre.v' => [
                                              'Inspecting',
                                              'Scrutiny'
                                            ],
                           'whip.v' => [
                                       'Cause_harm'
                                     ],
                           'ring.v' => [
                                       'Cause_to_make_noise',
                                       'Contacting',
                                       'Make_noise'
                                     ],
                           'snort.v' => [
                                        'Communication_noise',
                                        'Ingest_substance',
                                        'Make_noise'
                                      ],
                           'mean.a' => [
                                       'Social_interaction_evaluation',
                                       'Stinginess'
                                     ],
                           'interval.n' => [
                                           'Iteration'
                                         ],
                           'insert.v' => [
                                         'Placing'
                                       ],
                           'heal.v' => [
                                       'Cure',
                                       'Recovery'
                                     ],
                           'paxman.n' => [
                                         'Subordinates_and_Superiors'
                                       ],
                           'number.n' => [
                                         'Quantity'
                                       ],
                           'overthrow.v' => [
                                            'Change_of_leadership'
                                          ],
                           'reasonable.a' => [
                                             'Mental_property'
                                           ],
                           'bunch.n' => [
                                        'Aggregate'
                                      ],
                           'bash.n' => [
                                       'Social_event'
                                     ],
                           'ease.v' => [
                                       'Cure'
                                     ],
                           'slough.n' => [
                                         'Natural_features'
                                       ],
                           'rape.n' => [
                                       'Offenses',
                                       'Rape'
                                     ],
                           'schoolmistress.n' => [
                                                 'Education_teaching'
                                               ],
                           'resident.n' => [
                                           'Residence'
                                         ],
                           'enjoyment.n' => [
                                            'Experiencer_subj'
                                          ],
                           'duplicate.v' => [
                                            'Duplication'
                                          ],
                           'rocket.v' => [
                                         'Change_position_on_a_scale'
                                       ],
                           'loquacity.n' => [
                                            'Volubility'
                                          ],
                           'squeeze.v' => [
                                          'Cause_to_move_in_place',
                                          'Manipulation'
                                        ],
                           'jollification.n' => [
                                                'Social_event'
                                              ],
                           'conceive.v' => [
                                           'Awareness',
                                           'Categorization',
                                           'Invention'
                                         ],
                           'sickening.a' => [
                                            'Subject_stimulus'
                                          ],
                           'dacha.n' => [
                                        'Buildings'
                                      ],
                           'parental.a' => [
                                           'Kinship'
                                         ],
                           'at.prep' => [
                                        'Locative_relation'
                                      ],
                           'instruct.v' => [
                                           'Education_teaching'
                                         ],
                           'railway.n' => [
                                          'Roadways'
                                        ],
                           'agreeable.a' => [
                                            'Subject_stimulus'
                                          ],
                           'frock.n' => [
                                        'Clothing'
                                      ],
                           'heathland.n' => [
                                            'Biological_area'
                                          ],
                           'wine cellar.n' => [
                                              'Building_subparts'
                                            ],
                           'juice.n' => [
                                        'Food'
                                      ],
                           'neurology.n' => [
                                            'Medical_specialties'
                                          ],
                           'topknot.n' => [
                                          'Hair_configuration'
                                        ],
                           'preservation.n' => [
                                               'Preserving'
                                             ],
                           'purr.v' => [
                                       'Communication_noise',
                                       'Make_noise',
                                       'Motion_noise'
                                     ],
                           'deify.v' => [
                                        'Judgment'
                                      ],
                           'beheading.n' => [
                                            'Killing'
                                          ],
                           'enervated.a' => [
                                            'Biological_urge'
                                          ],
                           'defeat.n' => [
                                         'Finish_competition'
                                       ],
                           'buzz.n' => [
                                       'Sounds'
                                     ],
                           'nude.a' => [
                                       'Wearing'
                                     ],
                           'packet.n' => [
                                         'Measure_volume'
                                       ],
                           'atoll.n' => [
                                        'Natural_features'
                                      ],
                           'pass away.v' => [
                                            'Death'
                                          ],
                           'garret.n' => [
                                         'Building_subparts'
                                       ],
                           'shape.v' => [
                                        'Reshaping'
                                      ],
                           'charming.a' => [
                                           'Subject_stimulus'
                                         ],
                           'amerce.v' => [
                                         'Fining'
                                       ],
                           'platter.n' => [
                                          'Measure_volume'
                                        ],
                           'chunk.n' => [
                                        'Part_piece'
                                      ],
                           'attentive.a' => [
                                            'Attention'
                                          ],
                           'admirable.a' => [
                                            'Praiseworthiness'
                                          ],
                           'elegy.n' => [
                                        'Text'
                                      ],
                           'mew.n' => [
                                      'Sounds'
                                    ],
                           'authoritarian.a' => [
                                                'Strictness'
                                              ],
                           'untie.v' => [
                                        'Attaching'
                                      ],
                           'innocent.a' => [
                                           'Guilt_or_innocence'
                                         ],
                           'crushed.a' => [
                                          'Ground_up'
                                        ],
                           'produce.v' => [
                                          'Behind_the_scenes',
                                          'Cause_to_start',
                                          'Manufacturing'
                                        ],
                           'might.v' => [
                                        'Likelihood'
                                      ],
                           'scarper.v' => [
                                          'Escaping'
                                        ],
                           'rate.v' => [
                                       'Assessing'
                                     ],
                           'soporific.a' => [
                                            'Biological_urge'
                                          ],
                           'prevaricate.v' => [
                                              'Prevarication'
                                            ],
                           'slaughter.v' => [
                                            'Killing'
                                          ],
                           'excursion.n' => [
                                            'Travel'
                                          ],
                           'fasten.v' => [
                                         'Attaching',
                                         'Closure',
                                         'Inchoative_attaching'
                                       ],
                           'scrawny.a' => [
                                          'Body_description_holistic'
                                        ],
                           'mugger.n' => [
                                         'Robbery'
                                       ],
                           'under suspicion.prep' => [
                                                     'Suspicion'
                                                   ],
                           'fatigue.n' => [
                                          'Biological_urge'
                                        ],
                           'pursuer.n' => [
                                          'Cotheme'
                                        ],
                           'loathe.v' => [
                                         'Experiencer_subj'
                                       ],
                           'shoot the breeze.v' => [
                                                   'Chatting'
                                                 ],
                           'gobble.v' => [
                                         'Ingestion',
                                         'Make_noise'
                                       ],
                           'rust.v' => [
                                       'Corroding'
                                     ],
                           'sleeve.n' => [
                                         'Clothing_parts'
                                       ],
                           'machine-gun.n' => [
                                              'Weapon'
                                            ],
                           'battle.n' => [
                                         'Hostile_encounter'
                                       ],
                           'deadly.a' => [
                                         'Killing'
                                       ],
                           'smile.v' => [
                                        'Making_faces'
                                      ],
                           'head.v' => [
                                       'Leadership',
                                       'Self_motion'
                                     ],
                           'forceps.n' => [
                                          'Medical_instruments'
                                        ],
                           'illicit.a' => [
                                          'Legality'
                                        ],
                           'nauseated.a' => [
                                            'Biological_urge'
                                          ],
                           'hitchhike.v' => [
                                            'Ride_Vehicle',
                                            'Self_motion'
                                          ],
                           'hashish.n' => [
                                          'Intoxicants'
                                        ],
                           'chase.v' => [
                                        'Cotheme'
                                      ],
                           'acclaim.n' => [
                                          'Judgment_communication'
                                        ],
                           'queasy.a' => [
                                         'Biological_urge'
                                       ],
                           'zing.v' => [
                                       'Motion_noise'
                                     ],
                           'week.n' => [
                                       'Calendric_unit',
                                       'Measure_duration'
                                     ],
                           'hand_over.v' => [
                                            'Giving'
                                          ],
                           'make a beeline.v' => [
                                                 'Self_motion'
                                               ],
                           'crush.v' => [
                                        'Cause_harm',
                                        'Grinding',
                                        'Reshaping'
                                      ],
                           'take on.v' => [
                                          'Hiring'
                                        ],
                           'pick.v' => [
                                       'Choosing'
                                     ],
                           'christian.n' => [
                                            'People_by_religion'
                                          ],
                           'cost.n' => [
                                       'Commerce',
                                       'Expensiveness'
                                     ],
                           'demonstrate.v' => [
                                              'Evidence',
                                              'Reasoning'
                                            ],
                           'flare.v' => [
                                        'Light_movement',
                                        'Location_of_light'
                                      ],
                           'lace.v' => [
                                       'Closure'
                                     ],
                           'brawl.n' => [
                                        'Hostile_encounter'
                                      ],
                           'sentence.n' => [
                                           'Sentencing'
                                         ],
                           'badinage.n' => [
                                           'Chatting'
                                         ],
                           'construe.v' => [
                                           'Categorization'
                                         ],
                           'confidence.n' => [
                                             'Certainty',
                                             'Statement'
                                           ],
                           'not_guilty.a' => [
                                             'Verdict'
                                           ],
                           'caravan.n' => [
                                          'Buildings'
                                        ],
                           'cap.v' => [
                                      'Closure'
                                    ],
                           'guilt.n' => [
                                        'Contrition',
                                        'Guilt_or_innocence'
                                      ],
                           'slop.v' => [
                                       'Self_motion'
                                     ],
                           'evaporate.v' => [
                                            'Cause_change_of_phase',
                                            'Change_of_phase'
                                          ],
                           'under investigation.prep' => [
                                                         'Criminal_investigation'
                                                       ],
                           'bay.n' => [
                                      'Natural_features'
                                    ],
                           'veil.n' => [
                                       'Accoutrements'
                                     ],
                           'escalator.n' => [
                                            'Connecting_architecture'
                                          ],
                           'hall.n' => [
                                       'Buildings'
                                     ],
                           'jubilant.a' => [
                                           'Emotion_directed',
                                           'Experiencer_subj'
                                         ],
                           'guyot.n' => [
                                        'Natural_features'
                                      ],
                           'bachelor.n' => [
                                           'Personal_relationship'
                                         ],
                           'crime.n' => [
                                        'Committing_crime'
                                      ],
                           'dovetail.v' => [
                                           'Compatibility'
                                         ],
                           'civil.a' => [
                                        'Social_interaction_evaluation'
                                      ],
                           'reheat.v' => [
                                         'Cause_temperature_change',
                                         'Inchoative_change_of_temperature'
                                       ],
                           'surprise.v' => [
                                           'Experiencer_obj'
                                         ],
                           'along.prep' => [
                                           'Locative_relation'
                                         ],
                           'glitter.n' => [
                                          'Light_movement',
                                          'Location_of_light'
                                        ],
                           'flight-test.v' => [
                                              'Operational_testing'
                                            ],
                           'give off.v' => [
                                           'Emitting'
                                         ],
                           'basilica.n' => [
                                           'Buildings'
                                         ],
                           'disbursement.n' => [
                                               'Commerce_pay'
                                             ],
                           'retributory.a' => [
                                              'Revenge'
                                            ],
                           'cheep.n' => [
                                        'Sounds'
                                      ],
                           'expurgate.v' => [
                                            'Emptying',
                                            'Removing'
                                          ],
                           'stupid.a' => [
                                         'Mental_property'
                                       ],
                           'soup.n' => [
                                       'Food'
                                     ],
                           'purpose.n' => [
                                          'Purpose'
                                        ],
                           'expensive.a' => [
                                            'Expensiveness'
                                          ],
                           'beau.n' => [
                                       'Personal_relationship'
                                     ],
                           'sprawled.a' => [
                                           'Posture'
                                         ],
                           'stench.n' => [
                                         'Chemical-sense_description'
                                       ],
                           'thud.v' => [
                                       'Cause_impact',
                                       'Impact',
                                       'Motion_noise'
                                     ],
                           'injected.a' => [
                                           'Abundance'
                                         ],
                           'dice.v' => [
                                       'Cutting'
                                     ],
                           'founder.v' => [
                                          'Bungling'
                                        ],
                           'annoyance.n' => [
                                            'Emotion_directed',
                                            'Subject_stimulus'
                                          ],
                           'nap.n' => [
                                      'Sleep'
                                    ],
                           'pare.v' => [
                                       'Cutting'
                                     ],
                           'chronic.a' => [
                                          'Duration'
                                        ],
                           'deform.v' => [
                                         'Reshaping'
                                       ],
                           'associate.n' => [
                                            'Collaboration'
                                          ],
                           'gaggle.n' => [
                                         'Aggregate'
                                       ],
                           'sweatpants.n' => [
                                             'Clothing'
                                           ],
                           'count (on).v' => [
                                             'Reliance_on_expectation'
                                           ],
                           'pallium.n' => [
                                          'Clothing'
                                        ],
                           'necessity.n' => [
                                            'Requirements'
                                          ],
                           'flicker.v' => [
                                          'Light_movement',
                                          'Location_of_light'
                                        ],
                           'pressure.n' => [
                                           'Attempt_suasion'
                                         ],
                           'skip.v' => [
                                       'Self_motion'
                                     ],
                           'have on.v' => [
                                          'Wearing'
                                        ],
                           'motive.n' => [
                                         'Reason'
                                       ],
                           'lack.n' => [
                                       'Possession'
                                     ],
                           'deposition.n' => [
                                             'Documents'
                                           ],
                           'vague.a' => [
                                        'Linguistic_meaning'
                                      ],
                           'employ.n' => [
                                         'Being_employed'
                                       ],
                           'evaluate.v' => [
                                           'Assessing'
                                         ],
                           'justification.n' => [
                                                'Justifying'
                                              ],
                           'manacle.v' => [
                                          'Attaching'
                                        ],
                           'abrade.v' => [
                                         'Experience_bodily_harm'
                                       ],
                           'request.v' => [
                                          'Request'
                                        ],
                           'trumpet.v' => [
                                          'Communication_noise',
                                          'Make_noise'
                                        ],
                           'nose.n' => [
                                       'Observable_bodyparts'
                                     ],
                           'mourn.v' => [
                                        'Experiencer_subj'
                                      ],
                           'sail.v' => [
                                       'Operate_vehicle',
                                       'Ride_Vehicle',
                                       'Self_motion'
                                     ],
                           'wrap up.v' => [
                                          'Activity_finish'
                                        ],
                           'kitchen.n' => [
                                          'Building_subparts'
                                        ],
                           'riveted.a' => [
                                          'Being_attached'
                                        ],
                           'arouse.v' => [
                                         'Cause_to_start'
                                       ],
                           'hilarious.a' => [
                                            'Subject_stimulus'
                                          ],
                           'grope.v' => [
                                        'Manipulation',
                                        'Seeking'
                                      ],
                           'faithful.n' => [
                                           'People_by_religion'
                                         ],
                           'afterwards.adv' => [
                                               'Time_vector'
                                             ],
                           'thrifty.a' => [
                                          'Frugality'
                                        ],
                           'oncology.n' => [
                                           'Medical_specialties'
                                         ],
                           'cleanse.v' => [
                                          'Grooming'
                                        ],
                           'melted.a' => [
                                         'Altered_phase'
                                       ],
                           'chat.v' => [
                                       'Chatting'
                                     ],
                           'appellant.n' => [
                                            'Appeal'
                                          ],
                           'pour.v' => [
                                       'Mass_motion'
                                     ],
                           'snippet.n' => [
                                          'Part_piece'
                                        ],
                           'flaxen.a' => [
                                         'Hair_configuration'
                                       ],
                           'cynical.a' => [
                                          'Mental_property'
                                        ],
                           'beach.n' => [
                                        'Natural_features'
                                      ],
                           'cooperation.n' => [
                                              'Collaboration'
                                            ],
                           'thumb.n' => [
                                        'Observable_bodyparts'
                                      ],
                           'toxin.n' => [
                                        'Toxic_substance'
                                      ],
                           'leak.v' => [
                                       'Fluidic_motion',
                                       'Reveal_secret'
                                     ],
                           'back_of_beyond.n' => [
                                                 'Isolated_places'
                                               ],
                           'manse.n' => [
                                        'Buildings'
                                      ],
                           'parsimonious.a' => [
                                               'Frugality'
                                             ],
                           'praise.v' => [
                                         'Judgment_communication'
                                       ],
                           'postpone.v' => [
                                           'Change_event_time'
                                         ],
                           'button.v' => [
                                         'Closure'
                                       ],
                           'chancellery.n' => [
                                              'Building_subparts'
                                            ],
                           'deck.v' => [
                                       'Adorning'
                                     ],
                           'once-over.n' => [
                                            'Scrutiny'
                                          ],
                           'return.v' => [
                                         'Arriving'
                                       ],
                           'bewildered.a' => [
                                             'Emotion_directed'
                                           ],
                           'process.v' => [
                                          'Processing_materials'
                                        ],
                           'conservatory.n' => [
                                               'Buildings'
                                             ],
                           'boss.n' => [
                                       'Leadership'
                                     ],
                           'bust.n' => [
                                       'Arrest'
                                     ],
                           'cannon.n' => [
                                         'Weapon'
                                       ],
                           'improper.a' => [
                                           'Morality_evaluation'
                                         ],
                           'chateau.n' => [
                                          'Buildings'
                                        ],
                           'butcher.v' => [
                                          'Killing'
                                        ],
                           'pave.v' => [
                                       'Adorning',
                                       'Filling'
                                     ],
                           'transgress.v' => [
                                             'Compliance',
                                             'Misdeed'
                                           ],
                           'spartan.a' => [
                                          'Frugality'
                                        ],
                           'person.n' => [
                                         'People'
                                       ],
                           'reprehension.n' => [
                                               'Judgment_communication'
                                             ],
                           'fire off.v' => [
                                           'Shoot_projectiles'
                                         ],
                           'expert.n' => [
                                         'Expertise'
                                       ],
                           'plummet.v' => [
                                          'Change_position_on_a_scale',
                                          'Motion_directional',
                                          'Path_shape'
                                        ],
                           'a snap.n' => [
                                         'Difficulty'
                                       ],
                           'tights.n' => [
                                         'Clothing'
                                       ],
                           'extravagant.a' => [
                                              'Frugality'
                                            ],
                           'outback.n' => [
                                          'Isolated_places'
                                        ],
                           'hardback.n' => [
                                           'Text'
                                         ],
                           'crucifixion.n' => [
                                              'Killing'
                                            ],
                           'april.n' => [
                                        'Calendric_unit'
                                      ],
                           'shower.v' => [
                                         'Filling',
                                         'Grooming',
                                         'Mass_motion',
                                         'Placing'
                                       ],
                           'lifeless.a' => [
                                           'Dead_or_alive'
                                         ],
                           'truck.v' => [
                                        'Bringing'
                                      ],
                           'betrothed.a' => [
                                            'Personal_relationship'
                                          ],
                           'precipitation.n' => [
                                                'Precipitation'
                                              ],
                           'implore.v' => [
                                          'Request'
                                        ],
                           'smell.v' => [
                                        'Appearance',
                                        'Chemical-sense_description',
                                        'Perception_active',
                                        'Perception_experience'
                                      ],
                           'adult.n' => [
                                        'People_by_age'
                                      ],
                           'cup.n' => [
                                      'Containers',
                                      'Measure_volume'
                                    ],
                           'august.n' => [
                                         'Calendric_unit'
                                       ],
                           'despicable.a' => [
                                             'Praiseworthiness'
                                           ],
                           'above.prep' => [
                                           'Locative_relation'
                                         ],
                           'soften.v' => [
                                         'Cause_change_of_consistency',
                                         'Change_of_consistency'
                                       ],
                           'perplex.v' => [
                                          'Experiencer_obj'
                                        ],
                           'belfry.n' => [
                                         'Building_subparts'
                                       ],
                           'band together.v' => [
                                                'Congregating'
                                              ],
                           'gastroscope.n' => [
                                              'Medical_instruments'
                                            ],
                           'californian.n' => [
                                              'People_by_origin'
                                            ],
                           'skim.v' => [
                                       'Reading',
                                       'Removing',
                                       'Scrutiny',
                                       'Self_motion'
                                     ],
                           'nervous.a' => [
                                          'Emotion_directed',
                                          'Experiencer_subj'
                                        ],
                           'mystification.n' => [
                                                'Emotion_directed'
                                              ],
                           'behoove.v' => [
                                          'Being_obligatory'
                                        ],
                           'dim-witted.a' => [
                                             'Mental_property'
                                           ],
                           'affordable.a' => [
                                             'Expensiveness'
                                           ],
                           'length.n' => [
                                         'Dimension',
                                         'Shapes'
                                       ],
                           'guess.n' => [
                                        'Coming_to_believe'
                                      ],
                           'genocide.n' => [
                                           'Killing'
                                         ],
                           'torch.v' => [
                                        'Setting_fire'
                                      ],
                           'speak.v' => [
                                        'Chatting',
                                        'Statement',
                                        'Text_creation'
                                      ],
                           'hankering.n' => [
                                            'Desiring'
                                          ],
                           'ecstasy.n' => [
                                          'Intoxicants'
                                        ],
                           'indigo.n' => [
                                         'Color'
                                       ],
                           'tutor.v' => [
                                        'Education_teaching'
                                      ],
                           'vestment.n' => [
                                           'Clothing'
                                         ],
                           'sit down.v' => [
                                           'Change_posture'
                                         ],
                           'proceed.v' => [
                                          'Self_motion'
                                        ],
                           'crisis.n' => [
                                         'Hostile_encounter'
                                       ],
                           'disconcerted.a' => [
                                               'Emotion_directed'
                                             ],
                           'betroth.v' => [
                                          'Forming_relationships'
                                        ],
                           'pronouncement.n' => [
                                                'Statement'
                                              ],
                           'shoeless.a' => [
                                           'Wearing'
                                         ],
                           'put away.adv' => [
                                             'Imprisonment'
                                           ],
                           'dull.a' => [
                                       'Sharpness',
                                       'Subject_stimulus'
                                     ],
                           'bone-weary.a' => [
                                             'Biological_urge'
                                           ],
                           'faze.v' => [
                                       'Experiencer_obj'
                                     ],
                           'gush.v' => [
                                       'Fluidic_motion'
                                     ],
                           'pilgrimage.n' => [
                                             'Travel'
                                           ],
                           'absurd.a' => [
                                         'Mental_property'
                                       ],
                           'discipline.v' => [
                                             'Rewards_and_punishments'
                                           ],
                           'ferry.v' => [
                                        'Bringing'
                                      ],
                           'disconcerting.a' => [
                                                'Subject_stimulus'
                                              ],
                           'mull_over.v' => [
                                            'Cogitation'
                                          ],
                           'whisper.v' => [
                                          'Communication_manner',
                                          'Make_noise'
                                        ],
                           'scrutiny.n' => [
                                           'Scrutiny'
                                         ],
                           'fireplace.n' => [
                                            'Architectural_part'
                                          ],
                           'awareness.n' => [
                                            'Awareness'
                                          ],
                           'tuckered out.a' => [
                                               'Biological_urge'
                                             ],
                           'town.n' => [
                                       'Political_locales'
                                     ],
                           'denunciative.a' => [
                                               'Judgment_communication'
                                             ],
                           'outstrip.v' => [
                                           'Surpassing'
                                         ],
                           'fishy.a' => [
                                        'Suspiciousness'
                                      ],
                           'expansive.a' => [
                                            'Volubility'
                                          ],
                           'skin.n' => [
                                       'Observable_bodyparts',
                                       'Part_inner_outer'
                                     ],
                           'give.v' => [
                                       'Giving'
                                     ],
                           'pedal.v' => [
                                        'Operate_vehicle'
                                      ],
                           'query.n' => [
                                        'Questioning'
                                      ],
                           'position.v' => [
                                           'Placing'
                                         ],
                           'principal.a' => [
                                            'First_rank'
                                          ],
                           'fifth.a' => [
                                        'Ordinal_numbers'
                                      ],
                           'scalpel.n' => [
                                          'Medical_instruments'
                                        ],
                           'caravanserai.n' => [
                                               'Buildings'
                                             ],
                           'crowd.v' => [
                                        'Filling',
                                        'Mass_motion'
                                      ],
                           'guitar.n' => [
                                         'Noise_makers'
                                       ],
                           'lump.v' => [
                                       'Cause_to_amalgamate'
                                     ],
                           'drawer.n' => [
                                         'Containers'
                                       ],
                           'set.v' => [
                                      'Attack',
                                      'Bail_setting',
                                      'Change_of_consistency',
                                      'Placing'
                                    ],
                           'chance.n' => [
                                         'Daring',
                                         'Likelihood'
                                       ],
                           'headland.n' => [
                                           'Natural_features'
                                         ],
                           'flask.n' => [
                                        'Containers'
                                      ],
                           'torrent.n' => [
                                          'Precipitation',
                                          'Quantity'
                                        ],
                           'pronounce.v' => [
                                            'Spelling_and_pronouncing',
                                            'Verdict'
                                          ],
                           'peregrination.n' => [
                                                'Travel'
                                              ],
                           'stein.n' => [
                                        'Containers'
                                      ],
                           'cinch.v' => [
                                        'Attaching'
                                      ],
                           'gastroenterology.n' => [
                                                   'Medical_specialties'
                                                 ],
                           'dune.n' => [
                                       'Natural_features'
                                     ],
                           'burn.n' => [
                                       'Natural_features'
                                     ],
                           'unlawful.a' => [
                                           'Legality'
                                         ],
                           'arena.n' => [
                                        'Buildings'
                                      ],
                           'scooter.n' => [
                                          'Vehicle'
                                        ],
                           'responsibility.n' => [
                                                 'Being_obligated'
                                               ],
                           'permit.n' => [
                                         'Documents',
                                         'Permitting'
                                       ],
                           'quiver.n' => [
                                         'Moving_in_place'
                                       ],
                           'remnant.n' => [
                                          'Remainder'
                                        ],
                           'nee.a' => [
                                      'Being_named'
                                    ],
                           'take over.v' => [
                                            'Change_of_leadership'
                                          ],
                           'teeming.a' => [
                                          'Abundance'
                                        ],
                           'mine.n' => [
                                       'Locale_by_use',
                                       'Weapon'
                                     ],
                           'revulsion.n' => [
                                            'Emotion_directed'
                                          ],
                           'grind.v' => [
                                        'Body_movement',
                                        'Grinding'
                                      ],
                           'deprecate.v' => [
                                            'Judgment_communication'
                                          ],
                           'divide.v' => [
                                         'Separation'
                                       ],
                           'hunch.n' => [
                                        'Awareness'
                                      ],
                           'festschrift.n' => [
                                              'Text'
                                            ],
                           'unrivalled.a' => [
                                             'Beyond_compare'
                                           ],
                           'give up.v' => [
                                          'Surrendering'
                                        ],
                           'make it.v' => [
                                          'Arriving'
                                        ],
                           'disillusioning.a' => [
                                                 'Subject_stimulus'
                                               ],
                           'unclad.a' => [
                                         'Wearing'
                                       ],
                           'container.n' => [
                                            'Containers'
                                          ],
                           'brush_((hair)).v' => [
                                                 'Grooming'
                                               ],
                           'ostensibly.adv' => [
                                               'Unattributed_information'
                                             ],
                           'kidnapper.n' => [
                                            'Kidnapping'
                                          ],
                           'vice-chairman.n' => [
                                                'Leadership'
                                              ],
                           'promise.v' => [
                                          'Commitment',
                                          'Omen',
                                          'Statement'
                                        ],
                           'christmas day.n' => [
                                                'Commemorative'
                                              ],
                           'more.a' => [
                                       'Increment'
                                     ],
                           'beyond compare.prep' => [
                                                    'Beyond_compare'
                                                  ],
                           'load.v' => [
                                       'Filling',
                                       'Placing'
                                     ],
                           'soap.v' => [
                                       'Grooming'
                                     ],
                           'lorry.n' => [
                                        'Vehicle'
                                      ],
                           'hoodwink.v' => [
                                           'Prevarication'
                                         ],
                           'aroma.n' => [
                                        'Chemical-sense_description',
                                        'Sensation'
                                      ],
                           'worry.v' => [
                                        'Emotion_active'
                                      ],
                           'march.v' => [
                                        'Self_motion'
                                      ],
                           'young.a' => [
                                        'Age'
                                      ],
                           'argue.v' => [
                                        'Evidence',
                                        'Quarreling',
                                        'Reasoning'
                                      ],
                           'scramble.n' => [
                                           'Self_motion'
                                         ],
                           'transport.v' => [
                                            'Bringing'
                                          ],
                           'bronchoscope.n' => [
                                               'Medical_instruments'
                                             ],
                           'south.a' => [
                                        'Part_orientational'
                                      ],
                           'pitiful.a' => [
                                          'Desirability',
                                          'Subject_stimulus'
                                        ],
                           'slice.v' => [
                                        'Cause_harm',
                                        'Cutting'
                                      ],
                           'castle.n' => [
                                         'Buildings'
                                       ],
                           'commingle.v' => [
                                            'Amalgamation',
                                            'Cause_to_amalgamate'
                                          ],
                           'bootlace.n' => [
                                           'Clothing_parts'
                                         ],
                           'please.v' => [
                                         'Experiencer_obj'
                                       ],
                           'hat.n' => [
                                      'Accoutrements'
                                    ],
                           'urge.v' => [
                                       'Attempt_suasion',
                                       'Request'
                                     ],
                           'comment.n' => [
                                          'Statement'
                                        ],
                           'blockhouse.n' => [
                                             'Buildings'
                                           ],
                           'twisty.a' => [
                                         'Path_shape'
                                       ],
                           'decompose.v' => [
                                            'Rotting'
                                          ],
                           'tuck.v' => [
                                       'Placing'
                                     ],
                           'commerce.n' => [
                                           'Commerce'
                                         ],
                           'classify.v' => [
                                           'Categorization'
                                         ],
                           'jail.v' => [
                                       'Imprisonment'
                                     ],
                           'disagreeable.a' => [
                                               'Subject_stimulus'
                                             ],
                           'contrite.a' => [
                                           'Contrition'
                                         ],
                           'telling off.n' => [
                                              'Judgment_direct_address'
                                            ],
                           'blunt.a' => [
                                        'Candidness',
                                        'Sharpness'
                                      ],
                           'pot.n' => [
                                      'Containers',
                                      'Intoxicants'
                                    ],
                           'sprain.v' => [
                                         'Experience_bodily_harm'
                                       ],
                           'thin.a' => [
                                       'Body_description_holistic'
                                     ],
                           'sheathe.v' => [
                                          'Placing'
                                        ],
                           'malediction.n' => [
                                              'Judgment_communication'
                                            ],
                           'crack.v' => [
                                        'Cause_harm'
                                      ],
                           'perform.v' => [
                                          'Intentionally_act'
                                        ],
                           'hallway.n' => [
                                          'Building_subparts',
                                          'Connecting_architecture'
                                        ],
                           'homes.n' => [
                                        'Attention_getting'
                                      ],
                           'guru.n' => [
                                       'Expertise'
                                     ],
                           'prevail.v' => [
                                          'Attempt_suasion',
                                          'Finish_competition'
                                        ],
                           'sigh.v' => [
                                       'Breathing'
                                     ],
                           'beside.prep' => [
                                            'Locative_relation'
                                          ],
                           'connection.n' => [
                                             'Make_cognitive_connection',
                                             'Social_connection'
                                           ],
                           'crouch.v' => [
                                         'Change_posture',
                                         'Posture'
                                       ],
                           'outward.adv' => [
                                            'Direction'
                                          ],
                           'euthanasia.n' => [
                                             'Killing'
                                           ],
                           'sufficient.a' => [
                                             'Sufficiency'
                                           ],
                           'stimulate.v' => [
                                            'Experiencer_obj'
                                          ],
                           'jumper.n' => [
                                         'Clothing'
                                       ],
                           'chastise.v' => [
                                           'Judgment_direct_address'
                                         ],
                           'bucket.n' => [
                                         'Containers'
                                       ],
                           'large.a' => [
                                        'Dimension'
                                      ],
                           'perturb.v' => [
                                          'Experiencer_obj'
                                        ],
                           'shoulder.v' => [
                                           'Placing',
                                           'Self_motion'
                                         ],
                           'backpack.n' => [
                                           'Containers'
                                         ],
                           'shepherd.v' => [
                                           'Cotheme'
                                         ],
                           'formulation.n' => [
                                              'Encoding'
                                            ],
                           'attach.v' => [
                                         'Attaching',
                                         'Inchoative_attaching'
                                       ],
                           'middle name.n' => [
                                              'Being_named'
                                            ],
                           'travel.v' => [
                                         'Travel'
                                       ],
                           'yarmulkah.n' => [
                                            'Accoutrements'
                                          ],
                           'desirable.a' => [
                                            'Desirability'
                                          ],
                           'motor.v' => [
                                        'Bringing',
                                        'Operate_vehicle'
                                      ],
                           'filch.v' => [
                                        'Theft'
                                      ],
                           'curl.n' => [
                                       'Hair_configuration'
                                     ],
                           'rainforest.n' => [
                                             'Biological_area'
                                           ],
                           'bw.n' => [
                                     'Weapon'
                                   ],
                           'derision.n' => [
                                           'Judgment_communication'
                                         ],
                           'drama.n' => [
                                        'Text'
                                      ],
                           'teach.v' => [
                                        'Education_teaching'
                                      ],
                           'haematology.n' => [
                                              'Medical_specialties'
                                            ],
                           'thanks.n' => [
                                         'Judgment_direct_address'
                                       ],
                           'clutch.n' => [
                                         'Aggregate'
                                       ],
                           'snort.n' => [
                                        'Sounds'
                                      ],
                           'encourage.v' => [
                                            'Attempt_suasion'
                                          ],
                           'glove.n' => [
                                        'Clothing'
                                      ],
                           'glass.n' => [
                                        'Containers',
                                        'Measure_volume'
                                      ],
                           'pleasurable.a' => [
                                              'Subject_stimulus'
                                            ],
                           'ban.n' => [
                                      'Prohibiting'
                                    ],
                           'operation.n' => [
                                            'Businesses',
                                            'Using'
                                          ],
                           'allergy.n' => [
                                          'Health_response'
                                        ],
                           'vomit.v' => [
                                        'Excreting'
                                      ],
                           'execution.n' => [
                                            'Execution'
                                          ],
                           'candida.n' => [
                                          'Medical_conditions'
                                        ],
                           'limousine.n' => [
                                            'Vehicle'
                                          ],
                           'dodge.n' => [
                                        'Evading'
                                      ],
                           'astounding.a' => [
                                             'Desirability',
                                             'Subject_stimulus'
                                           ],
                           'laugh.v' => [
                                        'Make_noise'
                                      ],
                           'enlightenment.n' => [
                                                'Mental_property'
                                              ],
                           'clough.n' => [
                                         'Natural_features'
                                       ],
                           'pity.n' => [
                                       'Experiencer_subj'
                                     ],
                           'stepsister.n' => [
                                             'Kinship'
                                           ],
                           'hovel.n' => [
                                        'Buildings'
                                      ],
                           'subpoena.n' => [
                                           'Documents'
                                         ],
                           'gray.a' => [
                                       'Color'
                                     ],
                           'dismaying.a' => [
                                            'Subject_stimulus'
                                          ],
                           'pucker.v' => [
                                         'Body_movement'
                                       ],
                           'dance.v' => [
                                        'Self_motion'
                                      ],
                           'fanzine.n' => [
                                          'Text'
                                        ],
                           'startling.a' => [
                                            'Subject_stimulus'
                                          ],
                           'recollect.v' => [
                                            'Memory'
                                          ],
                           'togs.n' => [
                                       'Clothing'
                                     ],
                           'piano.n' => [
                                        'Noise_makers'
                                      ],
                           'given name.n' => [
                                             'Being_named'
                                           ],
                           'dishonorable.a' => [
                                               'Morality_evaluation',
                                               'Praiseworthiness'
                                             ],
                           'spark.v' => [
                                        'Cause_to_start',
                                        'Setting_fire'
                                      ],
                           'spouse.n' => [
                                         'Personal_relationship'
                                       ],
                           'make up.v' => [
                                          'Reparation'
                                        ],
                           'flagon.n' => [
                                         'Containers'
                                       ],
                           'smash.v' => [
                                        'Cause_harm',
                                        'Cause_to_fragment',
                                        'Impact'
                                      ],
                           'american_(n_and_s_am).n' => [
                                                        'People_by_origin'
                                                      ],
                           'breeches.n' => [
                                           'Clothing'
                                         ],
                           'commend.v' => [
                                          'Judgment_communication'
                                        ],
                           'bite.n' => [
                                       'Measure_by_action'
                                     ],
                           'susceptibility.n' => [
                                                 'Health_response'
                                               ],
                           'playroom.n' => [
                                           'Building_subparts'
                                         ],
                           'toke.n' => [
                                       'Ingest_substance'
                                     ],
                           'prairie.n' => [
                                          'Biological_area'
                                        ],
                           'chum.n' => [
                                       'Personal_relationship'
                                     ],
                           'pea.n' => [
                                      'Food'
                                    ],
                           'glaze.v' => [
                                        'Filling'
                                      ],
                           'hazard.v' => [
                                         'Daring',
                                         'Statement'
                                       ],
                           'castigatory.a' => [
                                              'Judgment_direct_address'
                                            ],
                           'get.v' => [
                                      'Arriving',
                                      'Becoming',
                                      'Getting',
                                      'Grasp'
                                    ],
                           'exhort.v' => [
                                         'Attempt_suasion'
                                       ],
                           'county.n' => [
                                         'Political_locales'
                                       ],
                           'clasp.v' => [
                                        'Manipulation'
                                      ],
                           'obstruction_entity.n' => [
                                                     'Hindering'
                                                   ],
                           'sleep_event.n' => [
                                              'Sleep'
                                            ],
                           'chop.v' => [
                                       'Cause_harm',
                                       'Cutting'
                                     ],
                           'flout.v' => [
                                        'Compliance'
                                      ],
                           'squeak.n' => [
                                         'Sounds'
                                       ],
                           'urologist.n' => [
                                            'Medical_professionals'
                                          ],
                           'infer.v' => [
                                        'Coming_to_believe'
                                      ],
                           'mute.a' => [
                                       'Volubility'
                                     ],
                           'isle.n' => [
                                       'Natural_features'
                                     ],
                           'fix.v' => [
                                      'Attaching',
                                      'Bail_setting'
                                    ],
                           'caconym.n' => [
                                          'Being_named'
                                        ],
                           'call.n' => [
                                       'Contacting'
                                     ],
                           'peyote.n' => [
                                         'Intoxicants'
                                       ],
                           'haiku.n' => [
                                        'Text'
                                      ],
                           'abuse.n' => [
                                        'Abusing'
                                      ],
                           'end up.v' => [
                                         'Becoming'
                                       ],
                           'shampoo.v' => [
                                          'Grooming'
                                        ],
                           'hypernym.n' => [
                                           'Word_relations'
                                         ],
                           'decked.a' => [
                                         'Abundance'
                                       ],
                           'irate.a' => [
                                        'Emotion_directed'
                                      ],
                           'recall.v' => [
                                         'Evoking',
                                         'Memory'
                                       ],
                           'delectable.a' => [
                                             'Chemical-sense_description'
                                           ],
                           'with.prep' => [
                                          'Accompaniment'
                                        ],
                           'disquieted.a' => [
                                             'Emotion_directed'
                                           ],
                           'colonoscope.n' => [
                                              'Medical_instruments'
                                            ],
                           'aspire.v' => [
                                         'Desiring',
                                         'Experiencer_subj'
                                       ],
                           'translate.v' => [
                                            'Categorization',
                                            'Statement'
                                          ],
                           'rainstorm.n' => [
                                            'Weather'
                                          ],
                           'disquiet.n' => [
                                           'Emotion_directed'
                                         ],
                           'dormitory.n' => [
                                            'Buildings'
                                          ],
                           'tower.n' => [
                                        'Building_subparts',
                                        'Buildings'
                                      ],
                           'act up.v' => [
                                         'Conduct'
                                       ],
                           'dress.v' => [
                                        'Dressing'
                                      ],
                           'embroiled.a' => [
                                            'Participation'
                                          ],
                           'resume.v' => [
                                         'Activity_resume',
                                         'Process_resume'
                                       ],
                           'sigmoidoscope.n' => [
                                                'Medical_instruments'
                                              ],
                           'belated.a' => [
                                          'Relative_time'
                                        ],
                           'synonym.n' => [
                                          'Word_relations'
                                        ],
                           'dazzle.v' => [
                                         'Experiencer_obj'
                                       ],
                           'diabetes.n' => [
                                           'Medical_conditions'
                                         ],
                           'relaxed.a' => [
                                          'Emotion_directed'
                                        ],
                           'spy out the land.v' => [
                                                   'Scrutiny'
                                                 ],
                           'neurologist.n' => [
                                              'Medical_professionals'
                                            ],
                           'novice.n' => [
                                         'Expertise'
                                       ],
                           'additional.a' => [
                                             'Increment'
                                           ],
                           'convalescence.n' => [
                                                'Recovery'
                                              ],
                           'hairdo.n' => [
                                         'Hair_configuration'
                                       ],
                           'morn.n' => [
                                       'Calendric_unit'
                                     ],
                           'boil.n' => [
                                       'Body_mark'
                                     ],
                           'den.n' => [
                                      'Building_subparts'
                                    ],
                           'snow.n' => [
                                       'Precipitation'
                                     ],
                           'metropolis.n' => [
                                             'Political_locales'
                                           ],
                           'cooperate.v' => [
                                            'Collaboration'
                                          ],
                           'subsequent.a' => [
                                             'Relative_time'
                                           ],
                           'reliance.n' => [
                                           'Reliance'
                                         ],
                           'a breeze.n' => [
                                           'Difficulty'
                                         ],
                           'sow.v' => [
                                      'Filling',
                                      'Placing'
                                    ],
                           'export_act.n' => [
                                             'Import_export'
                                           ],
                           'weeknight.n' => [
                                            'Calendric_unit'
                                          ],
                           'windy.a' => [
                                        'Path_shape'
                                      ],
                           'breath.n' => [
                                         'Breathing'
                                       ],
                           'plash.v' => [
                                        'Impact',
                                        'Make_noise'
                                      ],
                           'therapeutic.a' => [
                                              'Cure'
                                            ],
                           'commendation.n' => [
                                               'Judgment_communication'
                                             ],
                           'flood.v' => [
                                        'Filling',
                                        'Mass_motion'
                                      ],
                           'authorization.n' => [
                                                'Documents'
                                              ],
                           'excellence.n' => [
                                             'Desirability'
                                           ],
                           'global.a' => [
                                         'Political_locales'
                                       ],
                           'glint.n' => [
                                        'Light_movement',
                                        'Location_of_light'
                                      ],
                           'multiplicity.n' => [
                                               'Aggregate'
                                             ],
                           'naive.a' => [
                                        'Mental_property'
                                      ],
                           'stalk.v' => [
                                        'Cotheme',
                                        'Self_motion'
                                      ],
                           'chinese.a' => [
                                          'Origin'
                                        ],
                           'trouble.v' => [
                                          'Experiencer_obj'
                                        ],
                           'chastisement.n' => [
                                               'Judgment_direct_address'
                                             ],
                           'cove.n' => [
                                       'Natural_features'
                                     ],
                           'salon.n' => [
                                        'Building_subparts'
                                      ],
                           'cab.n' => [
                                      'Vehicle'
                                    ],
                           'indicative.a' => [
                                             'Sign'
                                           ],
                           'apocalypse.n' => [
                                             'Catastrophe'
                                           ],
                           'falls.n' => [
                                        'Natural_features'
                                      ],
                           'scared.a' => [
                                         'Experiencer_subj'
                                       ],
                           'soubriquet.n' => [
                                             'Being_named'
                                           ],
                           'wound.v' => [
                                        'Cause_harm'
                                      ],
                           'objective.n' => [
                                            'Purpose'
                                          ],
                           'sack.v' => [
                                       'Firing'
                                     ],
                           'pioneer.v' => [
                                          'Achieving_first'
                                        ],
                           'thigh.n' => [
                                        'Observable_bodyparts'
                                      ],
                           'displease.v' => [
                                            'Experiencer_obj'
                                          ],
                           'toupee.n' => [
                                         'Accoutrements'
                                       ],
                           'testify.v' => [
                                          'Evidence'
                                        ],
                           'ambiguous.a' => [
                                            'Linguistic_meaning'
                                          ],
                           'terrorize.v' => [
                                            'Cause_to_experience'
                                          ],
                           'participation.n' => [
                                                'Participation'
                                              ],
                           'heap.v' => [
                                       'Filling',
                                       'Placing'
                                     ],
                           'marital.a' => [
                                          'Personal_relationship'
                                        ],
                           'throng.n' => [
                                         'Aggregate'
                                       ],
                           'chatter.n' => [
                                          'Sounds'
                                        ],
                           'collaborator.n' => [
                                               'Collaboration'
                                             ],
                           'permissible.a' => [
                                              'Legality'
                                            ],
                           'fly.v' => [
                                      'Bringing',
                                      'Motion',
                                      'Operate_vehicle',
                                      'Ride_Vehicle',
                                      'Self_motion'
                                    ],
                           'girl.n' => [
                                       'People'
                                     ],
                           'one-piece.n' => [
                                            'Clothing'
                                          ],
                           'swell.v' => [
                                        'Cause_change_of_scalar_position',
                                        'Cause_expansion'
                                      ],
                           'croon.v' => [
                                        'Communication_noise',
                                        'Make_noise'
                                      ],
                           'oxidize.v' => [
                                          'Corroding_caused'
                                        ],
                           'wet.v' => [
                                      'Cause_to_be_wet'
                                    ],
                           'lodge.v' => [
                                        'Placing',
                                        'Residence'
                                      ],
                           'misbehavior.n' => [
                                              'Conduct'
                                            ],
                           'reticent.a' => [
                                           'Volubility'
                                         ],
                           'overpriced.a' => [
                                             'Expensiveness'
                                           ],
                           'sock.n' => [
                                       'Clothing'
                                     ],
                           'as.prep' => [
                                        'Performers_and_roles'
                                      ],
                           'farm.n' => [
                                       'Locale_by_use'
                                     ],
                           'shudder.v' => [
                                          'Body_movement'
                                        ],
                           'immunologist.n' => [
                                               'Medical_professionals'
                                             ],
                           'regret.v' => [
                                         'Experiencer_subj'
                                       ],
                           'upon.prep' => [
                                          'Locative_relation'
                                        ],
                           'asphyxiate.v' => [
                                             'Death',
                                             'Killing'
                                           ],
                           'flesh.n' => [
                                        'Observable_bodyparts'
                                      ],
                           'hit.v' => [
                                      'Cause_harm',
                                      'Cause_impact',
                                      'Experience_bodily_harm',
                                      'Hit_target',
                                      'Impact'
                                    ],
                           'backcountry.n' => [
                                              'Isolated_places'
                                            ],
                           'utter.v' => [
                                        'Text_creation'
                                      ],
                           'bag.n' => [
                                      'Containers',
                                      'Measure_volume'
                                    ],
                           'censure.n' => [
                                          'Judgment_communication'
                                        ],
                           'measles.n' => [
                                          'Medical_conditions'
                                        ],
                           'discernment.n' => [
                                              'Mental_property'
                                            ],
                           'fizzle.v' => [
                                         'Make_noise'
                                       ],
                           'suitableness.n' => [
                                               'Suitability'
                                             ],
                           'lame.a' => [
                                       'Desirability'
                                     ],
                           'elimination.n' => [
                                              'Removing'
                                            ],
                           'curative.n' => [
                                           'Cure'
                                         ],
                           'companion.n' => [
                                            'Personal_relationship'
                                          ],
                           'key.v' => [
                                      'Damaging'
                                    ],
                           'mill.n' => [
                                       'Businesses'
                                     ],
                           'beget.v' => [
                                        'Birth'
                                      ],
                           'suspenseful.a' => [
                                              'Subject_stimulus'
                                            ],
                           'pull the wool over (someone\'s) eyes.v' => [
                                                                      'Prevarication'
                                                                    ],
                           'living.n' => [
                                         'Dead_or_alive'
                                       ],
                           'charter.n' => [
                                          'Documents'
                                        ],
                           'neck.n' => [
                                       'Clothing_parts',
                                       'Observable_bodyparts'
                                     ],
                           'belly.n' => [
                                        'Observable_bodyparts'
                                      ],
                           'staple.n' => [
                                         'Connectors'
                                       ],
                           'bucketful.n' => [
                                            'Measure_volume'
                                          ],
                           'nonsensical.a' => [
                                              'Mental_property'
                                            ],
                           'fax.v' => [
                                      'Communication_means',
                                      'Contacting',
                                      'Sending'
                                    ],
                           'entice.v' => [
                                         'Attempt_suasion'
                                       ],
                           'lug.v' => [
                                      'Bringing'
                                    ],
                           'endeavor.v' => [
                                           'Attempt'
                                         ],
                           'lawful.a' => [
                                         'Legality'
                                       ],
                           'prance.v' => [
                                         'Self_motion'
                                       ],
                           'perpetrate.v' => [
                                             'Committing_crime'
                                           ],
                           'cock.v' => [
                                       'Body_movement'
                                     ],
                           'disheartening.a' => [
                                                'Subject_stimulus'
                                              ],
                           'passover eve.n' => [
                                               'Commemorative'
                                             ],
                           'scent.n' => [
                                        'Chemical-sense_description',
                                        'Sensation'
                                      ],
                           'misrepresent.v' => [
                                               'Prevarication'
                                             ],
                           'stepfather.n' => [
                                             'Kinship'
                                           ],
                           'nip in the bud.v' => [
                                                 'Preventing'
                                               ],
                           'selection.n' => [
                                            'Choosing'
                                          ],
                           'stormy.a' => [
                                         'Weather'
                                       ],
                           'peg.v' => [
                                      'Categorization'
                                    ],
                           'big mouth.n' => [
                                            'Volubility'
                                          ],
                           'arrest.n' => [
                                         'Arrest'
                                       ],
                           'hamper.n' => [
                                         'Containers'
                                       ],
                           'fatal.a' => [
                                        'Killing'
                                      ],
                           'daft.a' => [
                                       'Mental_property'
                                     ],
                           'angry.a' => [
                                        'Emotion_directed'
                                      ],
                           'not_another_word.v' => [
                                                   'Become_silent'
                                                 ],
                           'expert.a' => [
                                         'Expertise'
                                       ],
                           'explain.v' => [
                                          'Justifying',
                                          'Statement'
                                        ],
                           'exterior.a' => [
                                           'Part_inner_outer'
                                         ],
                           'line.n' => [
                                       'Roadways'
                                     ],
                           'light-fingered.a' => [
                                                 'Theft'
                                               ],
                           'irritate.v' => [
                                           'Experiencer_obj'
                                         ],
                           'stroke.n' => [
                                         'Manipulation'
                                       ],
                           'allege.v' => [
                                         'Statement'
                                       ],
                           'vexing.a' => [
                                         'Subject_stimulus'
                                       ],
                           'forward.adv' => [
                                            'Direction'
                                          ],
                           'shop.n' => [
                                       'Businesses'
                                     ],
                           'wheel.v' => [
                                        'Bringing'
                                      ],
                           'etui.n' => [
                                       'Containers'
                                     ],
                           'exhalation_act.n' => [
                                                 'Breathing'
                                               ],
                           'people.n' => [
                                         'People'
                                       ],
                           'suffuse.v' => [
                                          'Filling'
                                        ],
                           'bedecked.a' => [
                                           'Abundance'
                                         ],
                           'defeat.v' => [
                                         'Finish_competition'
                                       ],
                           'ping.v' => [
                                       'Motion_noise'
                                     ],
                           'advance.v' => [
                                          'Change_event_time',
                                          'Change_position_on_a_scale'
                                        ],
                           'virtuoso.n' => [
                                           'Expertise'
                                         ],
                           'commit.v' => [
                                         'Commitment',
                                         'Committing_crime'
                                       ],
                           'miscreant.a' => [
                                            'Morality_evaluation'
                                          ],
                           'rush.v' => [
                                       'Fluidic_motion',
                                       'Self_motion'
                                     ],
                           'blackmail.v' => [
                                            'Manipulate_into_doing'
                                          ],
                           'reef.n' => [
                                       'Natural_features'
                                     ],
                           'droll.a' => [
                                        'Subject_stimulus'
                                      ],
                           'crisscross.v' => [
                                             'Path_shape'
                                           ],
                           'strict.a' => [
                                         'Strictness'
                                       ],
                           'stressful.a' => [
                                            'Subject_stimulus'
                                          ],
                           'doing.n' => [
                                        'Intentionally_act'
                                      ],
                           'mustard gas.n' => [
                                              'Weapon'
                                            ],
                           'invigorating.a' => [
                                               'Subject_stimulus'
                                             ],
                           'unable.a' => [
                                         'Capability'
                                       ],
                           'austerity.n' => [
                                            'Frugality'
                                          ],
                           'skilled.a' => [
                                          'Expertise'
                                        ],
                           'want.v' => [
                                       'Desiring',
                                       'Experiencer_subj',
                                       'Possession'
                                     ],
                           'manacled.a' => [
                                           'Being_attached'
                                         ],
                           'editorial.n' => [
                                            'Text'
                                          ],
                           'banana.n' => [
                                         'Food'
                                       ],
                           'team_up.v' => [
                                          'Collaboration'
                                        ],
                           'sleep.n' => [
                                        'Sleep'
                                      ],
                           'endow.v' => [
                                        'Giving'
                                      ],
                           'mean.v' => [
                                       'Evidence',
                                       'Linguistic_meaning'
                                     ],
                           'penthouse.n' => [
                                            'Buildings'
                                          ],
                           'couple.n' => [
                                         'Cardinal_numbers',
                                         'Personal_relationship'
                                       ],
                           'body.n' => [
                                       'Observable_bodyparts'
                                     ],
                           'moo.v' => [
                                      'Make_noise'
                                    ],
                           'christen.v' => [
                                           'Name_conferral',
                                           'Rite'
                                         ],
                           'yearning.n' => [
                                           'Desiring'
                                         ],
                           'clomp.v' => [
                                        'Self_motion'
                                      ],
                           'batch.n' => [
                                        'Aggregate'
                                      ],
                           'interest.v' => [
                                           'Experiencer_obj'
                                         ],
                           'stand.n' => [
                                        'Aggregate'
                                      ],
                           'dust-up.n' => [
                                          'Hostile_encounter'
                                        ],
                           'gurgle.v' => [
                                         'Communication_noise',
                                         'Make_noise',
                                         'Motion_noise'
                                       ],
                           'coagulate.v' => [
                                            'Change_of_consistency'
                                          ],
                           'border.n' => [
                                         'Boundary'
                                       ],
                           'remove.v' => [
                                         'Removing',
                                         'Undressing'
                                       ],
                           'flat-footed.a' => [
                                              'Body_description_part'
                                            ],
                           'absent-minded.a' => [
                                                'Mental_property'
                                              ],
                           'low life.n' => [
                                           'People_by_morality'
                                         ],
                           'run-through.n' => [
                                              'Practice'
                                            ],
                           'studio.n' => [
                                         'Building_subparts'
                                       ],
                           'drop.v' => [
                                       'Birth',
                                       'Body_movement',
                                       'Change_position_on_a_scale',
                                       'Motion_directional',
                                       'Path_shape'
                                     ],
                           'purchaser.n' => [
                                            'Commerce'
                                          ],
                           'top.a' => [
                                      'Part_orientational'
                                    ],
                           'spatter.v' => [
                                          'Cause_fluidic_motion',
                                          'Filling'
                                        ],
                           'through.a' => [
                                          'Activity_done_state'
                                        ],
                           'suffocation.n' => [
                                              'Death',
                                              'Killing'
                                            ],
                           'transformation.n' => [
                                                 'Cause_change'
                                               ],
                           'chamber.n' => [
                                          'Building_subparts'
                                        ],
                           'friendly.a' => [
                                           'Sociability',
                                           'Social_interaction_evaluation'
                                         ],
                           'slaughter.n' => [
                                            'Killing'
                                          ],
                           'settle on.v' => [
                                            'Choosing'
                                          ],
                           'sporran.n' => [
                                          'Accoutrements'
                                        ],
                           'hitch.v' => [
                                        'Attaching'
                                      ],
                           'nauseous.a' => [
                                           'Biological_urge'
                                         ],
                           'brand.v' => [
                                        'Labeling'
                                      ],
                           'blanket.v' => [
                                          'Adorning'
                                        ],
                           'scrimp.v' => [
                                         'Frugality'
                                       ],
                           'persistent.a' => [
                                             'Process_continue'
                                           ],
                           'mosey.v' => [
                                        'Self_motion'
                                      ],
                           'tiff.n' => [
                                       'Hostile_encounter',
                                       'Quarreling'
                                     ],
                           'brown.v' => [
                                        'Apply_heat'
                                      ],
                           'chill.v' => [
                                        'Cause_temperature_change',
                                        'Inchoative_change_of_temperature'
                                      ],
                           'ancestral.a' => [
                                            'Kinship'
                                          ],
                           'blonde.n' => [
                                         'Body_description_part'
                                       ],
                           'center.n' => [
                                         'Locale_by_use'
                                       ],
                           'participant.n' => [
                                              'Participation'
                                            ],
                           'souse.v' => [
                                        'Cause_to_be_wet'
                                      ],
                           'endocrinology.n' => [
                                                'Medical_specialties'
                                              ],
                           'heinous.a' => [
                                          'Morality_evaluation'
                                        ],
                           'misdeed.n' => [
                                          'Misdeed'
                                        ],
                           'evildoer.n' => [
                                           'People_by_morality'
                                         ],
                           'sizzle.v' => [
                                         'Absorb_heat',
                                         'Make_noise'
                                       ],
                           'contrivance.n' => [
                                              'Invention'
                                            ],
                           'confession.n' => [
                                             'Reveal_secret',
                                             'Rite',
                                             'Statement'
                                           ],
                           'copy.n' => [
                                       'Duplication'
                                     ],
                           'reflection.n' => [
                                             'Cogitation'
                                           ],
                           'godforsaken.a' => [
                                              'Isolated_places'
                                            ],
                           'recuperation.n' => [
                                               'Recovery'
                                             ],
                           'gratification.n' => [
                                                'Emotion_directed'
                                              ],
                           'publicly.adv' => [
                                             'Secrecy_status'
                                           ],
                           'communication.n' => [
                                                'Discussion'
                                              ],
                           'fear.v' => [
                                       'Experiencer_subj'
                                     ],
                           'filial.a' => [
                                         'Kinship'
                                       ],
                           'reprehensible.a' => [
                                                'Judgment',
                                                'Praiseworthiness'
                                              ],
                           'dismay.n' => [
                                         'Emotion_directed'
                                       ],
                           'yearly.a' => [
                                         'Iteration'
                                       ],
                           'concerned.a' => [
                                            'Emotion_directed'
                                          ],
                           'workshop.n' => [
                                           'Building_subparts'
                                         ],
                           'rape.v' => [
                                       'Rape'
                                     ],
                           'scrape.v' => [
                                         'Friction',
                                         'Make_noise'
                                       ],
                           'matricide.n' => [
                                            'Killing'
                                          ],
                           'revere.v' => [
                                         'Judgment'
                                       ],
                           'appreciation.n' => [
                                               'Judgment'
                                             ],
                           'terrifying.a' => [
                                             'Subject_stimulus'
                                           ],
                           'irritated.a' => [
                                            'Emotion_directed',
                                            'Experiencer_subj'
                                          ],
                           'navel.n' => [
                                        'Observable_bodyparts'
                                      ],
                           'portent.n' => [
                                          'Omen'
                                        ],
                           'christian name.n' => [
                                                 'Being_named'
                                               ],
                           'clot.v' => [
                                       'Change_of_consistency'
                                     ],
                           'program.n' => [
                                          'Project'
                                        ],
                           'halt.v' => [
                                       'Activity_stop',
                                       'Halt'
                                     ],
                           'greenwood.n' => [
                                            'Biological_area'
                                          ],
                           'apprehend.v' => [
                                            'Arrest'
                                          ],
                           'surname.n' => [
                                          'Being_named'
                                        ],
                           'restart.v' => [
                                          'Activity_resume'
                                        ],
                           'withdraw.v' => [
                                           'Departing',
                                           'Removing'
                                         ],
                           'tippet.n' => [
                                         'Clothing'
                                       ],
                           'solace.n' => [
                                         'Experiencer_subj'
                                       ],
                           'allergic.a' => [
                                           'Health_response'
                                         ],
                           'bust.v' => [
                                       'Arrest'
                                     ],
                           'nom de plume.n' => [
                                               'Being_named'
                                             ],
                           'abstention.n' => [
                                             'Avoiding'
                                           ],
                           'appellate.a' => [
                                            'Appeal'
                                          ],
                           'brow.n' => [
                                       'Observable_bodyparts'
                                     ],
                           'debug.v' => [
                                        'Emptying'
                                      ],
                           'signal.n' => [
                                         'Gesture'
                                       ],
                           'expulsion.n' => [
                                            'Removing'
                                          ],
                           'chieftain.n' => [
                                            'Leadership'
                                          ],
                           'sneak.v' => [
                                        'Self_motion'
                                      ],
                           'affix.v' => [
                                        'Attaching'
                                      ],
                           'low-cost.a' => [
                                           'Expensiveness'
                                         ],
                           'coach.v' => [
                                        'Education_teaching'
                                      ],
                           'emotionally.adv' => [
                                                'Domain'
                                              ],
                           'lambing.n' => [
                                          'Birth'
                                        ],
                           'dehumidify.v' => [
                                             'Cause_to_be_dry'
                                           ],
                           'pustule.n' => [
                                          'Body_mark'
                                        ],
                           'harrowing.a' => [
                                            'Subject_stimulus'
                                          ],
                           'crag.n' => [
                                       'Natural_features'
                                     ],
                           'predict.v' => [
                                          'Expectation',
                                          'Predicting'
                                        ],
                           'dispersion.n' => [
                                             'Dispersal'
                                           ],
                           'training.n' => [
                                           'Education_teaching'
                                         ],
                           'wart.n' => [
                                       'Body_mark'
                                     ],
                           'dermatologist.n' => [
                                                'Medical_professionals'
                                              ],
                           'box.v' => [
                                      'Placing'
                                    ],
                           'lyric.n' => [
                                        'Text'
                                      ],
                           'poach.v' => [
                                        'Apply_heat'
                                      ],
                           'pump.v' => [
                                       'Cause_fluidic_motion',
                                       'Filling'
                                     ],
                           'dot.v' => [
                                      'Adorning'
                                    ],
                           'clue.n' => [
                                       'Criminal_investigation'
                                     ],
                           'criticize.v' => [
                                            'Judgment_communication'
                                          ],
                           'rhythm.n' => [
                                         'Temporal_pattern'
                                       ],
                           'befuddled.a' => [
                                            'Emotion_directed'
                                          ],
                           'concession.n' => [
                                             'Statement'
                                           ],
                           'larder.n' => [
                                         'Building_subparts'
                                       ],
                           'avenue.n' => [
                                         'Roadways'
                                       ],
                           'hill.n' => [
                                       'Natural_features'
                                     ],
                           'claim.v' => [
                                        'Claim_ownership',
                                        'Predicting',
                                        'Statement'
                                      ],
                           'quart.n' => [
                                        'Measure_volume'
                                      ],
                           'mount.n' => [
                                        'Natural_features'
                                      ],
                           'stay.v' => [
                                       'Residence',
                                       'State_continue'
                                     ],
                           'squint.v' => [
                                         'Perception_active'
                                       ],
                           'attest.v' => [
                                         'Evidence',
                                         'Statement'
                                       ],
                           'swig.v' => [
                                       'Ingestion'
                                     ],
                           'gab.v' => [
                                      'Chatting'
                                    ],
                           'begin.v' => [
                                        'Activity_start',
                                        'Process_start'
                                      ],
                           'foolishness.n' => [
                                              'Mental_property'
                                            ],
                           'stow.v' => [
                                       'Placing'
                                     ],
                           'take shape.v' => [
                                             'Coming_to_be'
                                           ],
                           'take up.v' => [
                                          'Activity_start'
                                        ],
                           'snap.v' => [
                                       'Cause_to_fragment'
                                     ],
                           'foolish.a' => [
                                          'Mental_property'
                                        ],
                           'film.v' => [
                                       'Adorning',
                                       'Behind_the_scenes'
                                     ],
                           'yell.v' => [
                                       'Communication_noise'
                                     ],
                           'puce.n' => [
                                       'Color'
                                     ],
                           'abduct.v' => [
                                         'Kidnapping'
                                       ],
                           'spine-chilling.a' => [
                                                 'Subject_stimulus'
                                               ],
                           'subordinate.n' => [
                                              'Subordinates_and_Superiors'
                                            ],
                           'elusive.a' => [
                                          'Evading'
                                        ],
                           'lisp.v' => [
                                       'Communication_manner'
                                     ],
                           'flipper.n' => [
                                          'Observable_bodyparts'
                                        ],
                           'discouraged.a' => [
                                              'Emotion_directed'
                                            ],
                           'task.n' => [
                                       'Being_obligated'
                                     ],
                           'tract.n' => [
                                        'Text'
                                      ],
                           'hearten.v' => [
                                          'Experiencer_obj'
                                        ],
                           'roar.v' => [
                                       'Cause_impact',
                                       'Communication_noise',
                                       'Make_noise',
                                       'Motion_noise'
                                     ],
                           'plant.n' => [
                                        'Locale_by_use'
                                      ],
                           'vendor.n' => [
                                         'Commerce',
                                         'Commerce_sell'
                                       ],
                           'look.v' => [
                                       'Appearance',
                                       'Perception_active',
                                       'Scrutiny',
                                       'Seeking'
                                     ],
                           'inebriated.a' => [
                                             'Intoxication'
                                           ],
                           'membership.n' => [
                                             'Membership'
                                           ],
                           'fjord.n' => [
                                        'Natural_features'
                                      ],
                           'wish.n' => [
                                       'Desiring'
                                     ],
                           'descend.v' => [
                                          'Path_shape'
                                        ],
                           'ritual.n' => [
                                         'Custom',
                                         'Rite'
                                       ],
                           'overthrow.n' => [
                                            'Change_of_leadership'
                                          ],
                           'conference.n' => [
                                             'Discussion'
                                           ],
                           'crosswalk.n' => [
                                            'Roadways'
                                          ],
                           'cruel.a' => [
                                        'Social_interaction_evaluation'
                                      ],
                           'hyponym.n' => [
                                          'Word_relations'
                                        ],
                           'stereotype.v' => [
                                             'Categorization'
                                           ],
                           'fulfilling.a' => [
                                             'Subject_stimulus'
                                           ],
                           'fancy.v' => [
                                        'Experiencer_subj'
                                      ],
                           'write.v' => [
                                        'Contacting',
                                        'Spelling_and_pronouncing',
                                        'Statement',
                                        'Text_creation'
                                      ],
                           'explicit.a' => [
                                           'Candidness'
                                         ],
                           'strain.v' => [
                                         'Experience_bodily_harm'
                                       ],
                           'antler.n' => [
                                         'Observable_bodyparts'
                                       ],
                           'uncle.n' => [
                                        'Kinship'
                                      ],
                           'make (someone\'s) acquaintance.v' => [
                                                                'Make_acquaintance'
                                                              ],
                           'anorexia.n' => [
                                           'Medical_conditions'
                                         ],
                           'dread.v' => [
                                        'Experiencer_subj'
                                      ],
                           'evict.v' => [
                                        'Removing'
                                      ],
                           'out like a light.a' => [
                                                   'Sleep'
                                                 ],
                           'expunge.v' => [
                                          'Removing'
                                        ],
                           'lay_waste.v' => [
                                            'Destroying'
                                          ],
                           'lane.n' => [
                                       'Roadways'
                                     ],
                           'retailer.n' => [
                                           'Commerce',
                                           'Commerce_sell'
                                         ],
                           'amble.v' => [
                                        'Self_motion'
                                      ],
                           'pursuit.n' => [
                                          'Cotheme'
                                        ],
                           'reverence.n' => [
                                            'Judgment'
                                          ],
                           'community.n' => [
                                            'Aggregate'
                                          ],
                           'row.n' => [
                                      'Hostile_encounter',
                                      'Quarreling'
                                    ],
                           'deforest.v' => [
                                           'Emptying'
                                         ],
                           'daughter.n' => [
                                           'Kinship'
                                         ],
                           'penitent.a' => [
                                           'Contrition'
                                         ],
                           'outshine.v' => [
                                           'Surpassing'
                                         ],
                           'housemate.n' => [
                                            'People_by_residence'
                                          ],
                           'flummoxed.a' => [
                                            'Emotion_directed'
                                          ],
                           'competition.n' => [
                                              'Competition'
                                            ],
                           'tag along.v' => [
                                            'Cotheme'
                                          ],
                           'doze off.v' => [
                                           'Fall_asleep'
                                         ],
                           'dolled up.a' => [
                                            'Wearing'
                                          ],
                           'jerkin.n' => [
                                         'Clothing'
                                       ],
                           'ceiling.n' => [
                                          'Architectural_part'
                                        ],
                           'trip.v' => [
                                       'Self_motion'
                                     ],
                           'warehouse.n' => [
                                            'Buildings'
                                          ],
                           'plod.v' => [
                                       'Self_motion'
                                     ],
                           'electrocution.n' => [
                                                'Cause_harm'
                                              ],
                           'connected.a' => [
                                            'Cognitive_connection',
                                            'Social_connection'
                                          ],
                           'bejewelled.a' => [
                                             'Abundance'
                                           ],
                           'stepdaughter.n' => [
                                               'Kinship'
                                             ],
                           'hold-up.n' => [
                                          'Robbery'
                                        ],
                           'arsenal.n' => [
                                          'Weapon'
                                        ],
                           'topless.a' => [
                                          'Wearing'
                                        ],
                           'nice.a' => [
                                       'Social_interaction_evaluation',
                                       'Subject_stimulus'
                                     ],
                           'pickpocket.v' => [
                                             'Theft'
                                           ],
                           'falsify.v' => [
                                          'Imitation'
                                        ],
                           'treatment.n' => [
                                            'Cure'
                                          ],
                           'snout.n' => [
                                        'Observable_bodyparts'
                                      ],
                           'rill.n' => [
                                       'Natural_features'
                                     ],
                           'cough.n' => [
                                        'Sounds'
                                      ],
                           'daybreak.n' => [
                                           'Calendric_unit'
                                         ],
                           'sickened.a' => [
                                           'Emotion_directed'
                                         ],
                           'relaxing.a' => [
                                           'Subject_stimulus'
                                         ],
                           'whiz.n' => [
                                       'Expertise'
                                     ],
                           'anticipate.v' => [
                                             'Expectation'
                                           ],
                           'polio.n' => [
                                        'Medical_conditions'
                                      ],
                           'unsympathetic.a' => [
                                                'Emotion_directed'
                                              ],
                           'chatty.a' => [
                                         'Volubility'
                                       ],
                           'adore.v' => [
                                        'Experiencer_subj'
                                      ],
                           'twitter.n' => [
                                          'Sounds'
                                        ],
                           'tent.n' => [
                                       'Buildings'
                                     ],
                           'journey.v' => [
                                          'Travel'
                                        ],
                           'tend.v' => [
                                       'Likelihood'
                                     ],
                           'helicopter.n' => [
                                             'Vehicle'
                                           ],
                           'evening.n' => [
                                          'Calendric_unit'
                                        ],
                           'coronet.n' => [
                                          'Accoutrements'
                                        ],
                           'posture.n' => [
                                          'Posture'
                                        ],
                           'paint.v' => [
                                        'Filling'
                                      ],
                           'dude.n' => [
                                       'Attention_getting',
                                       'People'
                                     ],
                           'struggle.n' => [
                                           'Hostile_encounter'
                                         ],
                           'slice.n' => [
                                        'Part_piece'
                                      ],
                           'express.v' => [
                                          'Encoding',
                                          'Statement'
                                        ],
                           'hairnet.n' => [
                                          'Accoutrements'
                                        ],
                           'bell.n' => [
                                       'Noise_makers'
                                     ],
                           'cummerbund.n' => [
                                             'Clothing'
                                           ],
                           'diphtheria.n' => [
                                             'Medical_conditions'
                                           ],
                           'terrified.a' => [
                                            'Experiencer_subj'
                                          ],
                           'blood-curdling.a' => [
                                                 'Subject_stimulus'
                                               ],
                           'drink.v' => [
                                        'Ingestion'
                                      ],
                           'tempt.v' => [
                                        'Attempt_suasion'
                                      ],
                           'humiliated.a' => [
                                             'Emotion_directed'
                                           ],
                           'atone.v' => [
                                        'Atonement'
                                      ],
                           'top-hat.n' => [
                                          'Accoutrements'
                                        ],
                           'scion.n' => [
                                        'Kinship'
                                      ],
                           'schoolmaster.n' => [
                                               'Education_teaching'
                                             ],
                           'discern.v' => [
                                          'Becoming_aware'
                                        ],
                           'measure up.v' => [
                                             'Evaluative_comparison'
                                           ],
                           'impossible.a' => [
                                             'Difficulty',
                                             'Likelihood'
                                           ],
                           'taste.v' => [
                                        'Appearance',
                                        'Perception_active',
                                        'Perception_experience'
                                      ],
                           'resign.v' => [
                                         'Quitting'
                                       ],
                           'vehicle.n' => [
                                          'Vehicle'
                                        ],
                           'ramble.v' => [
                                         'Speak_on_topic'
                                       ],
                           'well-versed.a' => [
                                              'Expertise'
                                            ],
                           'beguile.v' => [
                                          'Experiencer_obj'
                                        ],
                           'panama.n' => [
                                         'Accoutrements'
                                       ],
                           'motivate.v' => [
                                           'Suasion'
                                         ],
                           'interlocutor.n' => [
                                               'Discussion'
                                             ],
                           'retreat.n' => [
                                          'Departing'
                                        ],
                           'wheedle.v' => [
                                          'Attempt_suasion'
                                        ],
                           'envelope.n' => [
                                           'Containers'
                                         ],
                           'break.v' => [
                                        'Cause_harm',
                                        'Cause_to_fragment',
                                        'Compliance',
                                        'Experience_bodily_harm',
                                        'Render_nonfunctional'
                                      ],
                           'babble.v' => [
                                         'Communication_manner',
                                         'Make_noise'
                                       ],
                           'confuse.v' => [
                                          'Experiencer_obj'
                                        ],
                           'mass.n' => [
                                       'Quantity',
                                       'Rite'
                                     ],
                           'pistol.n' => [
                                         'Weapon'
                                       ],
                           'ruler.n' => [
                                        'Leadership'
                                      ],
                           'sheet.n' => [
                                        'Shapes'
                                      ],
                           'reveal.v' => [
                                         'Evidence',
                                         'Reveal_secret'
                                       ],
                           'lighthouse.n' => [
                                             'Buildings'
                                           ],
                           'dry run.n' => [
                                          'Practice'
                                        ],
                           'fine.v' => [
                                       'Fining'
                                     ],
                           'snowfall.n' => [
                                           'Precipitation'
                                         ],
                           'reek.n' => [
                                       'Chemical-sense_description',
                                       'Sensation'
                                     ],
                           'spoil.v' => [
                                        'Rotting'
                                      ],
                           'rail.n' => [
                                       'Architectural_part'
                                     ],
                           'expatiate.v' => [
                                            'Speak_on_topic'
                                          ],
                           'rise.n' => [
                                       'Change_position_on_a_scale'
                                     ],
                           'gram.n' => [
                                       'Measure_mass'
                                     ],
                           'psychotherapist.n' => [
                                                  'Medical_professionals'
                                                ],
                           'obsess.v' => [
                                         'Emotion_active'
                                       ],
                           'peach.v' => [
                                        'Reporting'
                                      ],
                           'embarrassing.a' => [
                                               'Subject_stimulus'
                                             ],
                           'dressing room.n' => [
                                                'Building_subparts'
                                              ],
                           'band.n' => [
                                       'Aggregate'
                                     ],
                           'assassinate.v' => [
                                              'Killing'
                                            ],
                           'fake.v' => [
                                       'Imitation'
                                     ],
                           'niggardly.a' => [
                                            'Stinginess'
                                          ],
                           'worth.a' => [
                                        'Deserving'
                                      ],
                           'rumble.v' => [
                                         'Communication_noise',
                                         'Motion_noise'
                                       ],
                           'burglary.n' => [
                                           'Offenses'
                                         ],
                           'cheep.v' => [
                                        'Make_noise'
                                      ],
                           'liquefy.v' => [
                                          'Cause_change_of_phase',
                                          'Change_of_phase'
                                        ],
                           'ask.v' => [
                                      'Questioning',
                                      'Request'
                                    ],
                           'gesticulate.v' => [
                                              'Gesture'
                                            ],
                           'sublime.v' => [
                                          'Change_of_phase'
                                        ],
                           'drowsy.a' => [
                                         'Biological_urge'
                                       ],
                           'cataract.n' => [
                                           'Medical_conditions',
                                           'Natural_features'
                                         ],
                           'american.a' => [
                                           'Origin'
                                         ],
                           'vanilla.a' => [
                                          'Typicality'
                                        ],
                           'compassion.n' => [
                                             'Experiencer_subj'
                                           ],
                           'back.v' => [
                                       'Self_motion'
                                     ],
                           'impartiality.n' => [
                                               'Partiality'
                                             ],
                           'employee.n' => [
                                           'Employing'
                                         ],
                           'dusk.n' => [
                                       'Calendric_unit'
                                     ],
                           'adorn.v' => [
                                        'Adorning',
                                        'Filling'
                                      ],
                           'exhausted.a' => [
                                            'Biological_urge'
                                          ],
                           'example.n' => [
                                          'Instance'
                                        ],
                           'ingenuous.a' => [
                                            'Candidness'
                                          ],
                           'open.v' => [
                                       'Body_movement',
                                       'Closure'
                                     ],
                           'wedding.n' => [
                                          'Forming_relationships'
                                        ],
                           'sleepy.a' => [
                                         'Biological_urge'
                                       ],
                           'mole.n' => [
                                       'Body_mark'
                                     ],
                           'release.v' => [
                                          'Releasing'
                                        ],
                           'concerning.prep' => [
                                                'Topic'
                                              ],
                           'report.n' => [
                                         'Statement',
                                         'Text'
                                       ],
                           'master.n' => [
                                         'Expertise',
                                         'Subordinates_and_Superiors'
                                       ],
                           'individual.n' => [
                                             'People'
                                           ],
                           'carrot.n' => [
                                         'Food'
                                       ],
                           'sundress.n' => [
                                           'Clothing'
                                         ],
                           'bony.a' => [
                                       'Body_description_holistic'
                                     ],
                           'drain.v' => [
                                        'Emptying',
                                        'Removing'
                                      ],
                           'bevy.n' => [
                                       'Aggregate'
                                     ],
                           'baron.n' => [
                                        'Leadership'
                                      ],
                           'likelihood.n' => [
                                             'Likelihood'
                                           ],
                           'purported.a' => [
                                            'Unattributed_information'
                                          ],
                           'rumpus room.n' => [
                                              'Building_subparts'
                                            ],
                           'ineptness.n' => [
                                            'Expertise'
                                          ],
                           'hurry.v' => [
                                        'Self_motion'
                                      ],
                           'authority.n' => [
                                            'Leadership'
                                          ],
                           'raze.v' => [
                                       'Destroying'
                                     ],
                           'vibrate.v' => [
                                          'Cause_to_move_in_place',
                                          'Moving_in_place'
                                        ],
                           'watershed.n' => [
                                            'Natural_features'
                                          ],
                           'participate.v' => [
                                              'Participation'
                                            ],
                           'breed.n' => [
                                        'Type'
                                      ],
                           'hand_out.v' => [
                                           'Giving'
                                         ],
                           'walk.n' => [
                                       'Self_motion'
                                     ],
                           'horrified.a' => [
                                            'Emotion_directed'
                                          ],
                           'abhor.v' => [
                                        'Experiencer_subj'
                                      ],
                           'test.v' => [
                                       'Examination',
                                       'Operational_testing'
                                     ],
                           'coo.v' => [
                                      'Communication_noise',
                                      'Make_noise'
                                    ],
                           'clank.v' => [
                                        'Motion_noise'
                                      ],
                           'barrel.n' => [
                                         'Containers',
                                         'Measure_volume'
                                       ],
                           'removal.n' => [
                                          'Removing'
                                        ],
                           'touching.a' => [
                                           'Subject_stimulus'
                                         ],
                           'type.n' => [
                                       'Type'
                                     ],
                           'decline.n' => [
                                          'Change_position_on_a_scale'
                                        ],
                           'byway.n' => [
                                        'Roadways'
                                      ],
                           'find.v' => [
                                       'Becoming_aware',
                                       'Coming_to_believe',
                                       'Locating',
                                       'Verdict'
                                     ],
                           'southernmost.a' => [
                                               'Part_orientational'
                                             ],
                           'brother.n' => [
                                          'Kinship'
                                        ],
                           'bluster.v' => [
                                          'Communication_manner'
                                        ],
                           'print_up.v' => [
                                           'Text_creation'
                                         ],
                           'misappropriate.v' => [
                                                 'Theft'
                                               ],
                           'exude.v' => [
                                        'Emanating',
                                        'Emitting'
                                      ],
                           'flee.v' => [
                                       'Escaping',
                                       'Evading'
                                     ],
                           'taciturn.a' => [
                                           'Volubility'
                                         ],
                           'deny.v' => [
                                       'Statement'
                                     ],
                           'slur.v' => [
                                       'Communication_manner'
                                     ],
                           'boat.v' => [
                                       'Operate_vehicle'
                                     ],
                           'intriguing.a' => [
                                             'Subject_stimulus'
                                           ],
                           'slap.v' => [
                                       'Cause_harm',
                                       'Cause_impact',
                                       'Impact'
                                     ],
                           'pile.n' => [
                                       'Quantity'
                                     ],
                           'barelegged.a' => [
                                             'Wearing'
                                           ],
                           'curl.v' => [
                                       'Hair_configuration'
                                     ],
                           'con.v' => [
                                      'Manipulate_into_doing'
                                    ],
                           'sloshed.a' => [
                                          'Intoxication'
                                        ],
                           'toddle.v' => [
                                         'Self_motion'
                                       ],
                           'torment.v' => [
                                          'Cause_to_experience',
                                          'Experiencer_obj'
                                        ],
                           'scoot.v' => [
                                        'Cause_motion',
                                        'Self_motion'
                                      ],
                           'brunette.n' => [
                                           'Body_description_part'
                                         ],
                           'adequate.a' => [
                                           'Sufficiency'
                                         ],
                           'undermine.v' => [
                                            'Subversion'
                                          ],
                           'fine.a' => [
                                       'Desirability',
                                       'Usefulness'
                                     ],
                           'beforehand.adv' => [
                                               'Time_vector'
                                             ],
                           'ponytail.n' => [
                                           'Hair_configuration'
                                         ],
                           'package.v' => [
                                          'Placing'
                                        ],
                           'compliant.a' => [
                                            'Compliance'
                                          ],
                           'wail.n' => [
                                       'Sounds'
                                     ],
                           'ready.v' => [
                                        'Activity_prepare'
                                      ],
                           'char.v' => [
                                       'Apply_heat'
                                     ],
                           'bark.n' => [
                                       'Sounds'
                                     ],
                           'arise.v' => [
                                        'Coming_to_be'
                                      ],
                           'reduplicate.v' => [
                                              'Duplication'
                                            ],
                           'bike.v' => [
                                       'Bringing',
                                       'Operate_vehicle'
                                     ],
                           'second.n' => [
                                         'Calendric_unit',
                                         'Measure_duration'
                                       ],
                           'crow.v' => [
                                       'Communication_noise'
                                     ],
                           'stenosis.n' => [
                                           'Medical_conditions'
                                         ],
                           'dismayed.a' => [
                                           'Emotion_directed'
                                         ],
                           'scoop.n' => [
                                        'Measure_volume'
                                      ],
                           'evidence.n' => [
                                           'Evidence'
                                         ],
                           'greaves.n' => [
                                          'Accoutrements'
                                        ],
                           'nightgown.n' => [
                                            'Clothing'
                                          ],
                           'startled.a' => [
                                           'Emotion_directed'
                                         ],
                           'whinny.v' => [
                                         'Make_noise'
                                       ],
                           'thaw.v' => [
                                       'Cause_change_of_phase',
                                       'Change_of_phase'
                                     ],
                           'don.v' => [
                                      'Dressing'
                                    ],
                           'classification.n' => [
                                                 'Categorization'
                                               ],
                           'raft.v' => [
                                       'Operate_vehicle'
                                     ],
                           'give the boot.v' => [
                                                'Firing'
                                              ],
                           'motley.n' => [
                                         'Clothing'
                                       ],
                           'conspire.v' => [
                                           'Collaboration'
                                         ],
                           'spawn.v' => [
                                        'Birth'
                                      ],
                           'understanding.n' => [
                                                'Awareness'
                                              ],
                           'sermonize.v' => [
                                            'Speak_on_topic'
                                          ],
                           'comfort.v' => [
                                          'Experiencer_obj'
                                        ],
                           'herb.n' => [
                                       'Food'
                                     ],
                           'trundle.v' => [
                                          'Bringing',
                                          'Self_motion'
                                        ],
                           'denounce.v' => [
                                           'Judgment_communication'
                                         ],
                           'involvement.n' => [
                                              'Participation'
                                            ],
                           'crevasse.n' => [
                                           'Natural_features'
                                         ],
                           'christening.n' => [
                                              'Rite'
                                            ],
                           'low-minded.a' => [
                                             'Morality_evaluation'
                                           ],
                           'cascade.v' => [
                                          'Fluidic_motion'
                                        ],
                           'sigh.n' => [
                                       'Breathing'
                                     ],
                           'sleet.v' => [
                                        'Precipitation'
                                      ],
                           'freebase.n' => [
                                           'Intoxicants'
                                         ],
                           'see.v' => [
                                      'Grasp',
                                      'Perception_experience'
                                    ],
                           'page.v' => [
                                       'Contacting'
                                     ],
                           'carload.n' => [
                                          'Measure_volume'
                                        ],
                           'litre.n' => [
                                        'Measure_volume'
                                      ],
                           'own.v' => [
                                      'Possession'
                                    ],
                           'rash.n' => [
                                       'Body_mark'
                                     ],
                           'export_entity.n' => [
                                                'Import_export'
                                              ],
                           'vault.v' => [
                                        'Self_motion'
                                      ],
                           'uncommunicative.a' => [
                                                  'Volubility'
                                                ],
                           'amaze.v' => [
                                        'Experiencer_obj'
                                      ],
                           'maisonette.n' => [
                                             'Buildings'
                                           ],
                           'disappoint.v' => [
                                             'Experiencer_obj'
                                           ],
                           'murmur.v' => [
                                         'Communication_noise'
                                       ],
                           'sunday.n' => [
                                         'Calendric_unit'
                                       ],
                           'radiate.v' => [
                                          'Emanating',
                                          'Emitting'
                                        ],
                           'thought.n' => [
                                          'Awareness',
                                          'Cogitation'
                                        ],
                           'left.a' => [
                                       'Left_to_do',
                                       'Part_orientational',
                                       'Remainder'
                                     ],
                           'paw.v' => [
                                      'Manipulation'
                                    ],
                           'youth.n' => [
                                        'People_by_age'
                                      ],
                           'bicker.v' => [
                                         'Quarreling'
                                       ],
                           'warm up.v' => [
                                          'Cause_temperature_change'
                                        ],
                           'domestic violence.n' => [
                                                    'Abusing'
                                                  ],
                           'stink.v' => [
                                        'Appearance',
                                        'Chemical-sense_description'
                                      ],
                           'parishioner.n' => [
                                              'People_by_jurisdiction'
                                            ],
                           'miserable.a' => [
                                            'Emotion_directed'
                                          ],
                           'lamb.n' => [
                                       'Food'
                                     ],
                           'breach.n' => [
                                         'Compliance'
                                       ],
                           'honey.n' => [
                                        'Food'
                                      ],
                           'garage.v' => [
                                         'Placing'
                                       ],
                           'prise.v' => [
                                        'Removing'
                                      ],
                           'knock-kneed.a' => [
                                              'Body_description_part'
                                            ],
                           'crowd.n' => [
                                        'Aggregate'
                                      ],
                           'bothersome.a' => [
                                             'Subject_stimulus'
                                           ],
                           'scintillate.v' => [
                                              'Light_movement',
                                              'Location_of_light'
                                            ],
                           'temple.n' => [
                                         'Buildings',
                                         'Observable_bodyparts'
                                       ],
                           'million.num' => [
                                            'Cardinal_numbers'
                                          ],
                           'compulsory.a' => [
                                             'Being_obligatory'
                                           ],
                           'shrouded.a' => [
                                           'Eclipse'
                                         ],
                           'therapist.n' => [
                                            'Cure',
                                            'Medical_professionals'
                                          ],
                           'march.n' => [
                                        'Calendric_unit',
                                        'Self_motion'
                                      ],
                           'dump.v' => [
                                       'Judgment_communication'
                                     ],
                           'fistfight.n' => [
                                            'Hostile_encounter'
                                          ],
                           'waggle.v' => [
                                         'Body_movement'
                                       ],
                           'suspicious.a' => [
                                             'Suspiciousness'
                                           ],
                           'proclivity.n' => [
                                             'Inclination'
                                           ],
                           'stroll.v' => [
                                         'Self_motion'
                                       ],
                           'examination.n' => [
                                              'Court_examination',
                                              'Examination',
                                              'Inspecting',
                                              'Scrutiny'
                                            ],
                           'yank.v' => [
                                       'Cause_motion',
                                       'Manipulation'
                                     ],
                           'turn.v' => [
                                       'Cause_change',
                                       'Cause_to_move_in_place',
                                       'Contingency',
                                       'Undergo_change'
                                     ],
                           'kill.v' => [
                                       'Killing'
                                     ],
                           'mummify.v' => [
                                          'Preserving'
                                        ],
                           'sacrifice.n' => [
                                            'Rite'
                                          ],
                           'missile.n' => [
                                          'Weapon'
                                        ],
                           'vandalism.n' => [
                                            'Damaging'
                                          ],
                           'rotted.a' => [
                                         'Being_rotted'
                                       ],
                           'lipstick.n' => [
                                           'Body_decoration'
                                         ],
                           'circle.n' => [
                                         'Aggregate',
                                         'Shapes'
                                       ],
                           'befall.v' => [
                                         'Catastrophe'
                                       ],
                           'riled.a' => [
                                        'Emotion_directed'
                                      ],
                           'flyover.n' => [
                                          'Roadways'
                                        ],
                           'commonplace.a' => [
                                              'Typicality'
                                            ],
                           'odd.a' => [
                                      'Typicality'
                                    ],
                           'without equal.prep' => [
                                                   'Beyond_compare'
                                                 ],
                           'snore.v' => [
                                        'Make_noise'
                                      ],
                           'robbed.a' => [
                                         'Robbery'
                                       ],
                           'dish.n' => [
                                       'Containers'
                                     ],
                           'hung.a' => [
                                       'Abundance'
                                     ],
                           'surpass.v' => [
                                          'Surpassing'
                                        ],
                           'package.n' => [
                                          'Aggregate'
                                        ],
                           'pirate.v' => [
                                         'Piracy'
                                       ],
                           'tormented.a' => [
                                            'Emotion_directed'
                                          ],
                           'capability.n' => [
                                             'Capability'
                                           ],
                           'modify.v' => [
                                         'Cause_change'
                                       ],
                           'ritualistic.a' => [
                                              'Custom'
                                            ],
                           'fatigued.a' => [
                                           'Biological_urge'
                                         ],
                           'glue.n' => [
                                       'Connectors'
                                     ],
                           'breastplate.n' => [
                                              'Clothing_parts'
                                            ],
                           'intelligent.a' => [
                                              'Mental_property'
                                            ],
                           'warehouse.v' => [
                                            'Placing'
                                          ],
                           'uncritical.a' => [
                                             'Judgment'
                                           ],
                           'gregarious.a' => [
                                             'Sociability'
                                           ],
                           'preclude.v' => [
                                           'Thwarting'
                                         ],
                           'finery.n' => [
                                         'Clothing'
                                       ],
                           'thwack.v' => [
                                         'Cause_harm'
                                       ],
                           'arsonist.n' => [
                                           'Arson'
                                         ],
                           'grail.n' => [
                                        'Containers'
                                      ],
                           'heaped.a' => [
                                         'Abundance'
                                       ],
                           'synagogue.n' => [
                                            'Buildings'
                                          ],
                           'cloak.v' => [
                                        'Adorning',
                                        'Eclipse'
                                      ],
                           'curable.a' => [
                                          'Cure'
                                        ],
                           'outside.n' => [
                                          'Part_inner_outer'
                                        ],
                           'stinging.a' => [
                                           'Subject_stimulus'
                                         ],
                           'bow-tie.n' => [
                                          'Clothing'
                                        ],
                           'milk.n' => [
                                       'Food'
                                     ],
                           'smoke.v' => [
                                        'Ingest_substance'
                                      ],
                           'chagrined.a' => [
                                            'Emotion_directed'
                                          ],
                           'sell.v' => [
                                       'Commerce_sell'
                                     ],
                           'maul.v' => [
                                       'Cause_harm'
                                     ],
                           'bare.a' => [
                                       'Wearing'
                                     ],
                           'plop.v' => [
                                       'Impact',
                                       'Make_noise'
                                     ],
                           'clack.v' => [
                                        'Make_noise',
                                        'Motion_noise'
                                      ],
                           'version.n' => [
                                          'Type'
                                        ],
                           'back.a' => [
                                       'Part_orientational'
                                     ],
                           'headpiece.n' => [
                                            'Accoutrements'
                                          ],
                           'shave.v' => [
                                        'Grooming',
                                        'Removing'
                                      ],
                           'basil.n' => [
                                        'Food'
                                      ],
                           'truthful.a' => [
                                           'Candidness'
                                         ],
                           'adorned.a' => [
                                          'Abundance'
                                        ],
                           'smirk.v' => [
                                        'Making_faces',
                                        'Statement'
                                      ],
                           'behead.v' => [
                                         'Killing'
                                       ],
                           'saddening.a' => [
                                            'Subject_stimulus'
                                          ],
                           'sidestep.n' => [
                                           'Avoiding',
                                           'Evading'
                                         ],
                           'nausea.n' => [
                                         'Biological_urge'
                                       ],
                           'chief.a' => [
                                        'First_rank'
                                      ],
                           'unsure.a' => [
                                         'Certainty'
                                       ],
                           'clammy.a' => [
                                         'Being_wet'
                                       ],
                           'unction.n' => [
                                          'Rite'
                                        ],
                           'humorous.a' => [
                                           'Subject_stimulus'
                                         ],
                           'train.n' => [
                                        'Vehicle'
                                      ],
                           'anchor.v' => [
                                         'Attaching'
                                       ],
                           'hose.n' => [
                                       'Clothing'
                                     ],
                           'thorax.n' => [
                                         'Observable_bodyparts'
                                       ],
                           'facial.n' => [
                                         'Grooming'
                                       ],
                           'offensive.n' => [
                                            'Attack'
                                          ],
                           'waist.n' => [
                                        'Clothing_parts'
                                      ],
                           'camp.n' => [
                                       'Residence'
                                     ],
                           'scratch.v' => [
                                          'Damaging'
                                        ],
                           'helm.n' => [
                                       'Accoutrements'
                                     ],
                           'ampule.n' => [
                                         'Containers'
                                       ],
                           'amphora.n' => [
                                          'Containers'
                                        ],
                           'skirt.n' => [
                                        'Clothing',
                                        'Clothing_parts'
                                      ],
                           'renunciation.n' => [
                                               'Renunciation'
                                             ],
                           'swing.v' => [
                                        'Body_movement',
                                        'Cause_to_move_in_place',
                                        'Moving_in_place',
                                        'Path_shape'
                                      ],
                           'soundtrack.n' => [
                                             'Behind_the_scenes'
                                           ],
                           'way.n' => [
                                      'Roadways'
                                    ],
                           'mistress.n' => [
                                           'Personal_relationship'
                                         ],
                           'colony.n' => [
                                         'Aggregate'
                                       ],
                           'devastating.a' => [
                                              'Subject_stimulus'
                                            ],
                           'overall.n' => [
                                          'Clothing'
                                        ],
                           'enlarge.v' => [
                                          'Cause_expansion',
                                          'Expansion'
                                        ],
                           'unusual.a' => [
                                          'Typicality'
                                        ],
                           'get away.v' => [
                                           'Evading'
                                         ],
                           'denigration.n' => [
                                              'Judgment_communication'
                                            ],
                           'overhear.v' => [
                                           'Perception_experience'
                                         ],
                           'undies.n' => [
                                         'Clothing'
                                       ],
                           'callus.n' => [
                                         'Body_mark'
                                       ],
                           'embellished.a' => [
                                              'Abundance'
                                            ],
                           'fluster.v' => [
                                          'Experiencer_obj'
                                        ],
                           'expression.n' => [
                                             'Encoding',
                                             'Facial_expression'
                                           ],
                           'situated.a' => [
                                           'Being_located'
                                         ],
                           'crimson.a' => [
                                          'Color'
                                        ],
                           'tavern.n' => [
                                         'Buildings'
                                       ],
                           'call up.v' => [
                                          'Contacting'
                                        ],
                           'replacement.n' => [
                                              'Newcomer',
                                              'Replacing',
                                              'Take_place_of'
                                            ],
                           'sentence.v' => [
                                           'Sentencing'
                                         ],
                           'national.a' => [
                                           'Political_locales'
                                         ],
                           'substitute.v' => [
                                             'Replacing',
                                             'Take_place_of'
                                           ],
                           'harden.v' => [
                                         'Cause_change_of_consistency',
                                         'Change_of_consistency'
                                       ],
                           'surfaced.a' => [
                                           'Abundance'
                                         ],
                           'transfer.n' => [
                                           'Transfer'
                                         ],
                           'kid.v' => [
                                      'Birth',
                                      'Prevarication'
                                    ],
                           'cabin.n' => [
                                        'Buildings'
                                      ],
                           'condemn.v' => [
                                          'Judgment_communication'
                                        ],
                           'can.v' => [
                                      'Capability',
                                      'Firing',
                                      'Preserving'
                                    ],
                           'ship.n' => [
                                       'Vehicle'
                                     ],
                           'shrill.v' => [
                                         'Communication_noise'
                                       ],
                           'drunk.a' => [
                                        'Intoxication'
                                      ],
                           'peruse.v' => [
                                         'Reading',
                                         'Scrutiny'
                                       ],
                           'greenlight.v' => [
                                             'Grant_permission'
                                           ],
                           'team.n' => [
                                       'Aggregate'
                                     ],
                           'strewn.a' => [
                                         'Abundance'
                                       ],
                           'crammed.a' => [
                                          'Abundance'
                                        ],
                           'similarity_((count)).n' => [
                                                       'Similarity'
                                                     ],
                           'whisker.n' => [
                                          'Observable_bodyparts'
                                        ],
                           'undergarment.n' => [
                                               'Clothing'
                                             ],
                           'arm.n' => [
                                      'Observable_bodyparts',
                                      'Shaped_part'
                                    ],
                           'scientist.n' => [
                                            'People_by_vocation'
                                          ],
                           'moor.n' => [
                                       'Biological_area'
                                     ],
                           'depravity.n' => [
                                            'Morality_evaluation'
                                          ],
                           'article.n' => [
                                          'Text'
                                        ],
                           'aver.v' => [
                                       'Statement'
                                     ],
                           'palliation.n' => [
                                             'Cure'
                                           ],
                           'zit.n' => [
                                      'Body_mark'
                                    ],
                           'unequalled.a' => [
                                             'Beyond_compare',
                                             'Surpassing'
                                           ],
                           'pitiable.a' => [
                                           'Praiseworthiness'
                                         ],
                           'rhyme.n' => [
                                        'Text'
                                      ],
                           'stick.n' => [
                                        'Shapes'
                                      ],
                           'definition.n' => [
                                             'Communicate_categorization'
                                           ],
                           'shrimp.n' => [
                                         'Food'
                                       ],
                           'adept.a' => [
                                        'Expertise'
                                      ],
                           'rehabilitative.a' => [
                                                 'Cure'
                                               ],
                           'create.v' => [
                                         'Cause_to_start',
                                         'Creating',
                                         'Intentionally_create',
                                         'Invention'
                                       ],
                           'puzzlement.n' => [
                                             'Emotion_directed'
                                           ],
                           'frenchwoman.n' => [
                                              'People_by_origin'
                                            ],
                           'toboggan.v' => [
                                           'Operate_vehicle'
                                         ],
                           'open.a' => [
                                       'Candidness',
                                       'Secrecy_status'
                                     ],
                           'mosque.n' => [
                                         'Buildings'
                                       ],
                           'emigrate.v' => [
                                           'Departing'
                                         ],
                           'pants.n' => [
                                        'Clothing'
                                      ],
                           'mutiny.n' => [
                                         'Change_of_leadership'
                                       ],
                           'surmise.v' => [
                                          'Coming_to_believe'
                                        ],
                           'rat out.v' => [
                                          'Reporting'
                                        ],
                           'disperse.v' => [
                                           'Dispersal'
                                         ],
                           'immoral.a' => [
                                          'Morality_evaluation'
                                        ],
                           'erupt.v' => [
                                        'Process_start'
                                      ],
                           'succor.v' => [
                                         'Assistance'
                                       ],
                           'divulgence.n' => [
                                             'Reveal_secret'
                                           ],
                           'wall.n' => [
                                       'Architectural_part'
                                     ],
                           'caw.v' => [
                                      'Make_noise'
                                    ],
                           'come to be.v' => [
                                             'Coming_to_be'
                                           ],
                           'jet.v' => [
                                      'Bringing',
                                      'Fluidic_motion',
                                      'Ride_Vehicle'
                                    ],
                           'cask.n' => [
                                       'Containers'
                                     ],
                           'assault.n' => [
                                          'Attack',
                                          'Offenses'
                                        ],
                           'evaporation.n' => [
                                              'Change_of_phase'
                                            ],
                           'ballad.n' => [
                                         'Text'
                                       ],
                           'revenge.n' => [
                                          'Revenge'
                                        ],
                           'categorization.n' => [
                                                 'Categorization'
                                               ],
                           'slumber.n' => [
                                          'Sleep'
                                        ],
                           'lip.n' => [
                                      'Observable_bodyparts'
                                    ],
                           'ring up.v' => [
                                          'Contacting'
                                        ],
                           'congregate.v' => [
                                             'Congregating'
                                           ],
                           'business.n' => [
                                           'Businesses'
                                         ],
                           'establish.v' => [
                                            'Intentionally_create'
                                          ],
                           'foretoken.n' => [
                                            'Omen'
                                          ],
                           'drizzle.n' => [
                                          'Precipitation'
                                        ],
                           'decent.a' => [
                                         'Desirability',
                                         'Morality_evaluation'
                                       ],
                           'displeased.a' => [
                                             'Emotion_directed'
                                           ],
                           'weed.n' => [
                                       'Intoxicants'
                                     ],
                           'infuriated.a' => [
                                             'Emotion_directed'
                                           ],
                           'skullcap.n' => [
                                           'Accoutrements'
                                         ],
                           'thorny.a' => [
                                         'Subject_stimulus'
                                       ],
                           'hallucinogen.n' => [
                                               'Intoxicants'
                                             ],
                           'glumness.n' => [
                                           'Emotion_directed'
                                         ],
                           'teddy.n' => [
                                        'Clothing'
                                      ],
                           'interior.a' => [
                                           'Part_inner_outer'
                                         ],
                           'bouquet.n' => [
                                          'Chemical-sense_description',
                                          'Sensation'
                                        ],
                           'denial.n' => [
                                         'Statement'
                                       ],
                           'research.v' => [
                                           'Research'
                                         ],
                           'bra.n' => [
                                      'Clothing'
                                    ],
                           'shy.a' => [
                                      'Sociability'
                                    ],
                           'peninsula.n' => [
                                            'Natural_features'
                                          ],
                           'bone.v' => [
                                       'Emptying'
                                     ],
                           'lust.v' => [
                                       'Desiring'
                                     ],
                           'significant other.n' => [
                                                    'Personal_relationship'
                                                  ],
                           'collaborate.v' => [
                                              'Collaboration'
                                            ],
                           'raincoat.n' => [
                                           'Clothing'
                                         ],
                           'vizier.n' => [
                                         'Leadership'
                                       ],
                           'pen.v' => [
                                      'Text_creation'
                                    ],
                           'tatters.n' => [
                                          'Clothing'
                                        ],
                           'tickle.v' => [
                                         'Experiencer_obj',
                                         'Perception_body'
                                       ],
                           'tongue.n' => [
                                         'Observable_bodyparts'
                                       ],
                           'groan.v' => [
                                        'Communication_noise'
                                      ],
                           'kilo.n' => [
                                       'Measure_mass'
                                     ],
                           'uncork.v' => [
                                         'Closure'
                                       ],
                           'soiree.n' => [
                                         'Social_event'
                                       ],
                           'spill.v' => [
                                        'Fluidic_motion'
                                      ],
                           'injure.v' => [
                                         'Cause_harm',
                                         'Experience_bodily_harm'
                                       ],
                           'violation.n' => [
                                            'Compliance'
                                          ],
                           'amazing.a' => [
                                          'Desirability',
                                          'Subject_stimulus'
                                        ],
                           'according to.prep' => [
                                                  'Source_of_information'
                                                ],
                           'yen.v' => [
                                      'Desiring'
                                    ],
                           'shiny.a' => [
                                        'Location_of_light'
                                      ],
                           'stutter.v' => [
                                          'Communication_manner'
                                        ],
                           'skirt.v' => [
                                        'Avoiding',
                                        'Path_shape'
                                      ],
                           'trivial.a' => [
                                          'Difficulty'
                                        ],
                           'course.n' => [
                                         'Roadways'
                                       ],
                           'dictator.n' => [
                                           'Leadership'
                                         ],
                           'denverite.n' => [
                                            'People_by_origin'
                                          ],
                           'miser.n' => [
                                        'Stinginess'
                                      ],
                           'abstain.v' => [
                                          'Avoiding'
                                        ],
                           'diocese.n' => [
                                          'Political_locales'
                                        ],
                           'twiddle.v' => [
                                          'Body_movement'
                                        ],
                           'gynaecology.n' => [
                                              'Medical_specialties'
                                            ],
                           'judder.v' => [
                                         'Moving_in_place'
                                       ],
                           'needy.a' => [
                                        'Wealthiness'
                                      ],
                           'ambrosial.a' => [
                                            'Chemical-sense_description'
                                          ],
                           'spindly.a' => [
                                          'Body_description_holistic'
                                        ],
                           'garb.n' => [
                                       'Clothing'
                                     ],
                           'bore.v' => [
                                       'Experiencer_obj'
                                     ],
                           'equipment.n' => [
                                            'Gizmo'
                                          ],
                           'geezer.n' => [
                                         'People_by_age'
                                       ],
                           'caution.v' => [
                                          'Statement'
                                        ],
                           'hotel.n' => [
                                        'Buildings'
                                      ],
                           'house.n' => [
                                        'Buildings'
                                      ],
                           'deceive.v' => [
                                          'Manipulate_into_doing',
                                          'Prevarication'
                                        ],
                           'waiter.n' => [
                                         'People_by_vocation'
                                       ],
                           'flounce.v' => [
                                          'Self_motion'
                                        ],
                           'forty_winks.n' => [
                                              'Sleep'
                                            ],
                           'evoke.v' => [
                                        'Evoking'
                                      ],
                           'catastrophe.n' => [
                                              'Catastrophe'
                                            ],
                           'charm.v' => [
                                        'Experiencer_obj'
                                      ],
                           'blood-bath.n' => [
                                             'Killing'
                                           ],
                           'imam.n' => [
                                       'Leadership'
                                     ],
                           'shower.n' => [
                                         'Precipitation'
                                       ],
                           'wold.n' => [
                                       'Biological_area'
                                     ],
                           'rousing.a' => [
                                          'Subject_stimulus'
                                        ],
                           'rags.n' => [
                                       'Clothing'
                                     ],
                           'contrition.n' => [
                                             'Contrition'
                                           ],
                           'hairband.n' => [
                                           'Accoutrements'
                                         ],
                           'seven.num' => [
                                          'Cardinal_numbers'
                                        ],
                           'disburse.v' => [
                                           'Commerce_pay'
                                         ],
                           'spur.v' => [
                                       'Attempt_suasion'
                                     ],
                           'gloat.v' => [
                                        'Statement'
                                      ],
                           'pilferer.n' => [
                                           'Theft'
                                         ],
                           'referential.a' => [
                                              'Linguistic_meaning'
                                            ],
                           'cravat.n' => [
                                         'Clothing'
                                       ],
                           'fellow.n' => [
                                         'People'
                                       ],
                           'vice-principal.n' => [
                                                 'Leadership'
                                               ],
                           'winter.n' => [
                                         'Calendric_unit'
                                       ],
                           'squat down.v' => [
                                             'Change_posture'
                                           ],
                           'allergist.n' => [
                                            'Medical_professionals'
                                          ],
                           'inhalation_breath.n' => [
                                                    'Breathing'
                                                  ],
                           'physician.n' => [
                                            'Medical_professionals'
                                          ],
                           'caress.n' => [
                                         'Manipulation'
                                       ],
                           'snack.v' => [
                                        'Ingestion'
                                      ],
                           'be.v' => [
                                     'Performers_and_roles'
                                   ],
                           'sheik.n' => [
                                        'Leadership'
                                      ],
                           'duchy.n' => [
                                        'Political_locales'
                                      ],
                           'noise.n' => [
                                        'Sensation',
                                        'Sounds'
                                      ],
                           'sleep.v' => [
                                        'Sleep'
                                      ],
                           'pluck.v' => [
                                        'Grooming',
                                        'Removing'
                                      ],
                           'glen.n' => [
                                       'Natural_features'
                                     ],
                           'waddle.v' => [
                                         'Self_motion'
                                       ],
                           'rude.a' => [
                                       'Social_interaction_evaluation'
                                     ],
                           'subvert.v' => [
                                          'Subversion'
                                        ],
                           'potential.n' => [
                                            'Capability'
                                          ],
                           'construction.n' => [
                                               'Building'
                                             ],
                           'seize.v' => [
                                        'Manipulation',
                                        'Taking'
                                      ],
                           'engrossing.a' => [
                                             'Subject_stimulus'
                                           ],
                           'quarrel.v' => [
                                          'Quarreling'
                                        ],
                           'hamper.v' => [
                                         'Hindering'
                                       ],
                           'pull on.v' => [
                                          'Dressing'
                                        ],
                           'lecture.v' => [
                                          'Speak_on_topic'
                                        ],
                           'rear.a' => [
                                       'Part_orientational'
                                     ],
                           'squelch.v' => [
                                          'Motion_noise'
                                        ],
                           'boy.n' => [
                                      'Attention_getting',
                                      'People_by_age'
                                    ],
                           'perceive.v' => [
                                           'Categorization',
                                           'Perception',
                                           'Perception_experience'
                                         ],
                           'manual.n' => [
                                         'Text'
                                       ],
                           'bent.a' => [
                                       'Posture'
                                     ],
                           'victor.n' => [
                                         'Finish_competition'
                                       ],
                           'friendship.n' => [
                                             'Personal_relationship'
                                           ],
                           'shack up.v' => [
                                           'Residence'
                                         ],
                           'contemplate.v' => [
                                              'Cogitation'
                                            ],
                           'agreement.n' => [
                                            'Documents'
                                          ],
                           'biography.n' => [
                                            'Text'
                                          ],
                           'decisive.a' => [
                                           'Importance'
                                         ],
                           'obligatory.a' => [
                                             'Being_obligatory'
                                           ],
                           'principality.n' => [
                                               'Political_locales'
                                             ],
                           'dissimilar.a' => [
                                             'Similarity'
                                           ],
                           'maven.n' => [
                                        'Expertise'
                                      ],
                           'minute.n' => [
                                         'Calendric_unit',
                                         'Measure_duration'
                                       ],
                           'necessary.a' => [
                                            'Requirements'
                                          ],
                           'stroke.v' => [
                                         'Manipulation'
                                       ],
                           'discomfit.v' => [
                                            'Experiencer_obj'
                                          ],
                           'comprehension.n' => [
                                                'Awareness'
                                              ],
                           'arrangement.n' => [
                                              'Arranging'
                                            ],
                           'obstruct.v' => [
                                           'Eclipse',
                                           'Hindering'
                                         ],
                           'shred.v' => [
                                        'Cause_to_fragment',
                                        'Grinding'
                                      ],
                           'foul.a' => [
                                       'Morality_evaluation'
                                     ],
                           'silks.n' => [
                                        'Clothing'
                                      ],
                           'westernmost.a' => [
                                              'Part_orientational'
                                            ],
                           'crack.n' => [
                                        'Intoxicants'
                                      ],
                           'absorbing.a' => [
                                            'Subject_stimulus'
                                          ],
                           'tepee.n' => [
                                        'Buildings'
                                      ],
                           'concoction.n' => [
                                             'Invention'
                                           ],
                           'win.n' => [
                                      'Finish_competition'
                                    ],
                           'interest.n' => [
                                           'Emotion_directed'
                                         ],
                           'vietnamese.a' => [
                                             'Origin'
                                           ],
                           'count.v' => [
                                        'Categorization',
                                        'Reliance'
                                      ],
                           'eyot.n' => [
                                       'Natural_features'
                                     ],
                           'look.n' => [
                                       'Facial_expression',
                                       'Perception_active'
                                     ],
                           'frighten.v' => [
                                           'Experiencer_obj'
                                         ],
                           'roll.n' => [
                                       'Food'
                                     ],
                           'kinsfolk.n' => [
                                           'Kinship'
                                         ],
                           'mauve.a' => [
                                        'Color'
                                      ],
                           'millions.n' => [
                                           'Quantity'
                                         ],
                           'get_even.v' => [
                                           'Revenge'
                                         ],
                           'wire.v' => [
                                       'Communication_means'
                                     ],
                           'bungalow.n' => [
                                           'Buildings'
                                         ],
                           'mountain.n' => [
                                           'Natural_features'
                                         ],
                           'ear.n' => [
                                      'Observable_bodyparts'
                                    ],
                           'probably.adv' => [
                                             'Likelihood'
                                           ],
                           'extol.v' => [
                                        'Judgment_communication'
                                      ],
                           'coast.v' => [
                                        'Motion',
                                        'Ride_Vehicle',
                                        'Self_motion'
                                      ],
                           'manipulate.v' => [
                                             'Manipulate_into_doing'
                                           ],
                           'voice.v' => [
                                        'Statement'
                                      ],
                           'greatcoat.n' => [
                                            'Clothing'
                                          ],
                           'candid.a' => [
                                         'Candidness'
                                       ],
                           'chilling.a' => [
                                           'Subject_stimulus'
                                         ],
                           'junkie.n' => [
                                         'Addiction'
                                       ],
                           'beautiful.a' => [
                                            'Aesthetics'
                                          ],
                           'cry.v' => [
                                      'Communication_noise'
                                    ],
                           'livery.n' => [
                                         'Clothing'
                                       ],
                           'weekend.n' => [
                                          'Calendric_unit'
                                        ],
                           'valley.n' => [
                                         'Biological_area',
                                         'Natural_features'
                                       ],
                           'cut.v' => [
                                      'Cause_change_of_scalar_position',
                                      'Cause_harm',
                                      'Experience_bodily_harm'
                                    ],
                           'bode.v' => [
                                       'Omen'
                                     ],
                           'detestation.n' => [
                                              'Experiencer_subj'
                                            ],
                           'snatch.v' => [
                                         'Kidnapping',
                                         'Removing',
                                         'Theft'
                                       ],
                           'deportment.n' => [
                                             'Conduct'
                                           ],
                           'plonk.v' => [
                                        'Make_noise'
                                      ],
                           'enduring.a' => [
                                           'Duration'
                                         ],
                           'blazer.n' => [
                                         'Clothing'
                                       ],
                           'stick.v' => [
                                        'Attaching',
                                        'Being_attached',
                                        'Inchoative_attaching',
                                        'Placing'
                                      ],
                           'biased.a' => [
                                         'Partiality'
                                       ],
                           'patter.n' => [
                                         'Sounds'
                                       ],
                           'wicked.a' => [
                                         'Morality_evaluation'
                                       ],
                           'give notice.v' => [
                                              'Quitting'
                                            ],
                           'staircase.n' => [
                                            'Architectural_part',
                                            'Connecting_architecture'
                                          ],
                           'lake.n' => [
                                       'Natural_features'
                                     ],
                           'affluent.a' => [
                                           'Wealthiness'
                                         ],
                           'heat.v' => [
                                       'Cause_temperature_change',
                                       'Inchoative_change_of_temperature'
                                     ],
                           'baptism.n' => [
                                          'Rite'
                                        ],
                           'niggardliness.n' => [
                                                'Stinginess'
                                              ],
                           'signal.v' => [
                                         'Communication',
                                         'Gesture'
                                       ],
                           'fuck-up event.n' => [
                                                'Bungling'
                                              ],
                           'greenhouse.n' => [
                                             'Buildings'
                                           ],
                           'wasteful.a' => [
                                           'Frugality'
                                         ],
                           'splutter.v' => [
                                           'Communication_noise',
                                           'Motion_noise'
                                         ],
                           'apartment.n' => [
                                            'Building_subparts'
                                          ],
                           'third.n' => [
                                        'Part_whole'
                                      ],
                           'project.n' => [
                                          'Project'
                                        ],
                           'expiator.n' => [
                                           'Atonement'
                                         ],
                           'lambency.n' => [
                                           'Location_of_light'
                                         ],
                           'fly the coop.v' => [
                                               'Escaping'
                                             ],
                           'sole.a' => [
                                       'Sole_instance'
                                     ],
                           'get on.adv' => [
                                           'Dressing'
                                         ],
                           'sprint.v' => [
                                         'Self_motion'
                                       ],
                           'saxophone.n' => [
                                            'Noise_makers'
                                          ],
                           'trade.n' => [
                                        'Exchange'
                                      ],
                           'job.n' => [
                                      'Being_employed',
                                      'Being_obligated'
                                    ],
                           'truck.n' => [
                                        'Vehicle'
                                      ],
                           'polite.a' => [
                                         'Social_interaction_evaluation'
                                       ],
                           'profess.v' => [
                                          'Statement'
                                        ],
                           'reproduce.v' => [
                                            'Duplication'
                                          ],
                           'armed.a' => [
                                        'Bearing_arms'
                                      ],
                           'spread.v' => [
                                         'Dispersal',
                                         'Filling'
                                       ],
                           'inventor.n' => [
                                           'Achieving_first'
                                         ],
                           'deposit.v' => [
                                          'Placing'
                                        ],
                           'desert.n' => [
                                         'Biological_area'
                                       ],
                           'normal.a' => [
                                         'Typicality'
                                       ],
                           'put in mind_(of).v' => [
                                                   'Evoking'
                                                 ],
                           'carelessness.n' => [
                                               'Mental_property'
                                             ],
                           'commander.n' => [
                                            'Leadership'
                                          ],
                           'forebode.v' => [
                                           'Omen'
                                         ],
                           'trek.v' => [
                                       'Self_motion'
                                     ],
                           'arrive.v' => [
                                         'Arriving'
                                       ],
                           'cottons.n' => [
                                          'Clothing'
                                        ],
                           'rump.n' => [
                                       'Observable_bodyparts'
                                     ],
                           'relation.n' => [
                                           'Relation'
                                         ],
                           'cross.v' => [
                                        'Body_movement',
                                        'Path_shape'
                                      ],
                           'caress.v' => [
                                         'Manipulation'
                                       ],
                           'anguish.n' => [
                                          'Emotion_directed'
                                        ],
                           'bawl.v' => [
                                       'Communication_noise'
                                     ],
                           'take hold.v' => [
                                            'Inchoative_attaching'
                                          ],
                           'despise.v' => [
                                          'Experiencer_subj'
                                        ],
                           'solarium.n' => [
                                           'Building_subparts'
                                         ],
                           'gang.n' => [
                                       'Aggregate'
                                     ],
                           'name.n' => [
                                       'Being_named'
                                     ],
                           'angle.v' => [
                                        'Path_shape'
                                      ],
                           'strain.n' => [
                                         'Type'
                                       ],
                           'polysemous.a' => [
                                             'Linguistic_meaning'
                                           ],
                           'comprehend.v' => [
                                             'Awareness',
                                             'Grasp'
                                           ],
                           'producer.n' => [
                                           'Behind_the_scenes'
                                         ],
                           'aids.n' => [
                                       'Medical_conditions'
                                     ],
                           'tour.v' => [
                                       'Travel'
                                     ],
                           'threaten.v' => [
                                           'Commitment'
                                         ],
                           'desist.v' => [
                                         'Process_stop'
                                       ],
                           'appear.v' => [
                                         'Appearance',
                                         'Coming_to_be'
                                       ],
                           'pannier.n' => [
                                          'Containers'
                                        ],
                           'chug.v' => [
                                       'Motion_noise'
                                     ],
                           'tunnel.n' => [
                                         'Roadways'
                                       ],
                           'declare.v' => [
                                          'Statement'
                                        ],
                           'predisposition.n' => [
                                                 'Inclination'
                                               ],
                           'firm.n' => [
                                       'Businesses'
                                     ],
                           'bullshit.v' => [
                                           'Prevarication'
                                         ],
                           'gurgle.n' => [
                                         'Sounds'
                                       ],
                           'meet.v' => [
                                       'Make_acquaintance'
                                     ],
                           'mutiny.v' => [
                                         'Change_of_leadership'
                                       ],
                           'heroin.n' => [
                                         'Intoxicants'
                                       ],
                           'denunciatory.a' => [
                                               'Judgment_communication'
                                             ],
                           'frown.v' => [
                                        'Making_faces'
                                      ],
                           'grill.v' => [
                                        'Apply_heat',
                                        'Questioning'
                                      ],
                           'roll.v' => [
                                       'Body_movement',
                                       'Mass_motion',
                                       'Motion',
                                       'Moving_in_place',
                                       'Reshaping',
                                       'Sound_movement'
                                     ],
                           'stepbrother.n' => [
                                              'Kinship'
                                            ],
                           'pot.v' => [
                                      'Placing'
                                    ],
                           'scrumptious.a' => [
                                              'Chemical-sense_description'
                                            ],
                           'pre-empt.v' => [
                                           'Preventing'
                                         ],
                           'vest.n' => [
                                       'Clothing'
                                     ],
                           'finale.n' => [
                                         'Process_end'
                                       ],
                           'lone.a' => [
                                       'Sole_instance'
                                     ],
                           'keep.v' => [
                                       'Activity_ongoing',
                                       'Cause_to_continue'
                                     ],
                           'butter.v' => [
                                         'Filling'
                                       ],
                           'pint.n' => [
                                       'Measure_volume'
                                     ],
                           'sliver.n' => [
                                         'Part_piece'
                                       ],
                           'crack.a' => [
                                        'Expertise'
                                      ],
                           'called.a' => [
                                         'Being_named'
                                       ],
                           'previously.adv' => [
                                               'Time_vector'
                                             ],
                           'dell.n' => [
                                       'Natural_features'
                                     ],
                           'brood.v' => [
                                        'Cogitation'
                                      ],
                           'lambent.a' => [
                                          'Location_of_light'
                                        ],
                           'sale.n' => [
                                       'Commerce_sell'
                                     ],
                           'underclothing.n' => [
                                                'Clothing'
                                              ],
                           'turkey.n' => [
                                         'Food'
                                       ],
                           'decrease.n' => [
                                           'Change_position_on_a_scale'
                                         ],
                           'persist.v' => [
                                          'Process_continue'
                                        ],
                           'main.a' => [
                                       'First_rank'
                                     ],
                           'two.num' => [
                                        'Cardinal_numbers'
                                      ],
                           'explanation.n' => [
                                              'Statement'
                                            ],
                           'decanter.n' => [
                                           'Containers'
                                         ],
                           'inspector.n' => [
                                            'Scrutiny'
                                          ],
                           'crash.n' => [
                                        'Impact'
                                      ],
                           'beg.v' => [
                                      'Attempt_suasion',
                                      'Request'
                                    ],
                           'fragment.n' => [
                                           'Part_piece',
                                           'Part_whole'
                                         ],
                           'in time.a' => [
                                          'Time_vector'
                                        ],
                           'dwelling.n' => [
                                           'Buildings'
                                         ],
                           'order.n' => [
                                        'Request'
                                      ],
                           'cross.a' => [
                                        'Emotion_directed'
                                      ],
                           'castigate.v' => [
                                            'Judgment_communication'
                                          ],
                           'ridiculous.a' => [
                                             'Mental_property'
                                           ],
                           'tall.a' => [
                                       'Body_description_holistic',
                                       'Dimension'
                                     ],
                           'inside.a' => [
                                         'Part_inner_outer'
                                       ],
                           'blusher.n' => [
                                          'Body_decoration'
                                        ],
                           'get down.v' => [
                                           'Text_creation'
                                         ],
                           'approach.n' => [
                                           'Arriving'
                                         ],
                           'quack.v' => [
                                        'Make_noise'
                                      ],
                           'day.n' => [
                                      'Calendric_unit',
                                      'Measure_duration'
                                    ],
                           'bray.n' => [
                                       'Sounds'
                                     ],
                           'await.v' => [
                                        'Expectation'
                                      ],
                           'jungle.n' => [
                                         'Biological_area'
                                       ],
                           'curt.a' => [
                                       'Volubility'
                                     ],
                           'amphetamine.n' => [
                                              'Intoxicants'
                                            ],
                           'avert.v' => [
                                        'Preventing'
                                      ],
                           'rasp.v' => [
                                       'Communication_noise',
                                       'Friction',
                                       'Make_noise'
                                     ],
                           'breathe.v' => [
                                          'Breathing'
                                        ],
                           'circumference.n' => [
                                                'Dimension'
                                              ],
                           'charge.v' => [
                                         'Attack',
                                         'Commerce_collect',
                                         'Judgment_communication',
                                         'Notification_of_charges'
                                       ],
                           'saddened.a' => [
                                           'Emotion_directed'
                                         ],
                           'flabbergasted.a' => [
                                                'Emotion_directed'
                                              ],
                           'thirst.n' => [
                                         'Biological_urge',
                                         'Desiring'
                                       ],
                           'mother-in-law.n' => [
                                                'Kinship'
                                              ],
                           'glint.v' => [
                                        'Light_movement',
                                        'Location_of_light'
                                      ],
                           'fiasco.n' => [
                                         'Bungling'
                                       ],
                           'duty.n' => [
                                       'Being_obligated'
                                     ],
                           'snore.n' => [
                                        'Sounds'
                                      ],
                           'yammer.n' => [
                                         'Sounds'
                                       ],
                           'from.prep' => [
                                          'Evidence',
                                          'Origin',
                                          'Time_vector'
                                        ],
                           'soggy.a' => [
                                        'Being_wet'
                                      ],
                           'auntie.n' => [
                                         'Kinship'
                                       ],
                           'blameworthy.a' => [
                                              'Praiseworthiness'
                                            ],
                           'paw.n' => [
                                      'Observable_bodyparts'
                                    ],
                           'query.v' => [
                                        'Questioning'
                                      ],
                           'ram.v' => [
                                      'Cause_impact'
                                    ],
                           'obscured.a' => [
                                           'Eclipse'
                                         ],
                           'detain.v' => [
                                         'Detaining'
                                       ],
                           'stigma.n' => [
                                         'Judgment'
                                       ],
                           'remorse.n' => [
                                          'Contrition'
                                        ],
                           'confederate.n' => [
                                              'Collaboration'
                                            ],
                           'fine.n' => [
                                       'Fining'
                                     ],
                           'belch.v' => [
                                        'Excreting'
                                      ],
                           'snap.n' => [
                                       'Clothing_parts'
                                     ],
                           'harangue.n' => [
                                           'Judgment_communication'
                                         ],
                           'splattered.a' => [
                                             'Abundance'
                                           ],
                           'delouse.v' => [
                                          'Emptying'
                                        ],
                           'poisoning.n' => [
                                            'Cause_harm'
                                          ],
                           'ecstatic.a' => [
                                           'Emotion_directed'
                                         ],
                           'bow-legged.a' => [
                                             'Body_description_part'
                                           ],
                           'sabotage.v' => [
                                           'Damaging',
                                           'Subversion'
                                         ],
                           'glazed.a' => [
                                         'Abundance'
                                       ],
                           'nosh.v' => [
                                       'Ingestion'
                                     ],
                           'collaboration.n' => [
                                                'Collaboration'
                                              ],
                           'company.n' => [
                                          'Businesses'
                                        ],
                           'effect.n' => [
                                         'Objective_influence',
                                         'Subjective_influence'
                                       ],
                           'agnomen.n' => [
                                          'Being_named'
                                        ],
                           'babble.n' => [
                                         'Communication_noise',
                                         'Sounds'
                                       ],
                           'portly.a' => [
                                         'Body_description_holistic'
                                       ],
                           'magnificent.a' => [
                                              'Desirability'
                                            ],
                           'thousands.n' => [
                                            'Quantity'
                                          ],
                           'squawk.v' => [
                                         'Communication_noise',
                                         'Make_noise'
                                       ],
                           'sextet.n' => [
                                         'Aggregate'
                                       ],
                           'discourage.v' => [
                                             'Attempt_suasion',
                                             'Experiencer_obj'
                                           ],
                           'gazebo.n' => [
                                         'Buildings'
                                       ],
                           'diverticulosis.n' => [
                                                 'Medical_conditions'
                                               ],
                           'spoon.n' => [
                                        'Containers',
                                        'Measure_volume'
                                      ],
                           'address.n' => [
                                          'Speak_on_topic'
                                        ],
                           'wag.v' => [
                                      'Body_movement'
                                    ],
                           'ephemeral.a' => [
                                            'Duration'
                                          ],
                           'armband.n' => [
                                          'Accoutrements'
                                        ],
                           'censer.n' => [
                                         'Containers'
                                       ],
                           'lasting.a' => [
                                          'Duration'
                                        ],
                           'put together.v' => [
                                               'Building',
                                               'Cooking_creation'
                                             ],
                           'remainder.n' => [
                                            'Left_to_do'
                                          ],
                           'satchel.n' => [
                                          'Containers'
                                        ],
                           'waterfall.n' => [
                                            'Natural_features'
                                          ],
                           'grassland.n' => [
                                            'Biological_area'
                                          ],
                           'troop.v' => [
                                        'Mass_motion',
                                        'Self_motion'
                                      ],
                           'gibe.v' => [
                                       'Judgment_communication'
                                     ],
                           'drone.v' => [
                                        'Communication_noise',
                                        'Make_noise'
                                      ],
                           'twinkle.v' => [
                                          'Light_movement',
                                          'Location_of_light'
                                        ],
                           'able.a' => [
                                       'Capability'
                                     ],
                           'considerate.a' => [
                                              'Social_interaction_evaluation'
                                            ],
                           'formulate.v' => [
                                            'Encoding',
                                            'Invention'
                                          ],
                           'sing.v' => [
                                       'Communication_manner'
                                     ],
                           'shun.v' => [
                                       'Avoiding'
                                     ],
                           'daddy.n' => [
                                        'Kinship'
                                      ],
                           'crucify.v' => [
                                          'Killing'
                                        ],
                           'monosemous.a' => [
                                             'Linguistic_meaning'
                                           ],
                           'amiable.a' => [
                                          'Social_interaction_evaluation'
                                        ],
                           'love bite.n' => [
                                            'Body_mark'
                                          ],
                           'blonde.a' => [
                                         'Hair_configuration'
                                       ],
                           'chagrin.n' => [
                                          'Emotion_directed'
                                        ],
                           'covetous.a' => [
                                           'Desiring',
                                           'Emotion_directed'
                                         ],
                           'compete.v' => [
                                          'Competition'
                                        ],
                           'northern.a' => [
                                           'Part_orientational'
                                         ],
                           'storm.n' => [
                                        'Weather'
                                      ],
                           'disco.n' => [
                                        'Buildings'
                                      ],
                           'insufficient.a' => [
                                               'Sufficiency'
                                             ],
                           'engagement.n' => [
                                             'Forming_relationships',
                                             'Personal_relationship'
                                           ],
                           'assets.n' => [
                                         'Possession'
                                       ],
                           'chicken.n' => [
                                          'Food'
                                        ],
                           'snigger.v' => [
                                          'Make_noise'
                                        ],
                           'foist.v' => [
                                        'Giving'
                                      ],
                           'turban.n' => [
                                         'Accoutrements'
                                       ],
                           'nail.v' => [
                                       'Attaching'
                                     ],
                           'heel.n' => [
                                       'Observable_bodyparts'
                                     ],
                           'transgression.n' => [
                                                'Compliance',
                                                'Misdeed'
                                              ],
                           'speech_therapist.n' => [
                                                   'Medical_professionals'
                                                 ],
                           'increase.n' => [
                                           'Change_position_on_a_scale'
                                         ],
                           'easternmost.a' => [
                                              'Part_orientational'
                                            ],
                           'lead_to.v' => [
                                          'Causation'
                                        ],
                           'infection.n' => [
                                            'Medical_conditions'
                                          ],
                           'course.v' => [
                                         'Fluidic_motion'
                                       ],
                           'try.n' => [
                                      'Attempt'
                                    ],
                           'corps.n' => [
                                        'Aggregate'
                                      ],
                           'tome.n' => [
                                       'Text'
                                     ],
                           'handgun.n' => [
                                          'Weapon'
                                        ],
                           'wring.v' => [
                                        'Manipulation'
                                      ],
                           'adeptness.n' => [
                                            'Expertise'
                                          ],
                           'affixed.a' => [
                                          'Being_attached'
                                        ],
                           'unforeseeable.a' => [
                                                'Expectation'
                                              ],
                           'titter.v' => [
                                         'Communication_noise',
                                         'Make_noise'
                                       ],
                           'closet.n' => [
                                         'Building_subparts'
                                       ],
                           'pleasant.a' => [
                                           'Social_interaction_evaluation',
                                           'Subject_stimulus'
                                         ],
                           'close.a' => [
                                        'Social_connection'
                                      ],
                           'shoal.n' => [
                                        'Aggregate',
                                        'Natural_features'
                                      ],
                           'meld.v' => [
                                       'Amalgamation',
                                       'Cause_to_amalgamate'
                                     ],
                           'desolate.a' => [
                                           'Emotion_directed'
                                         ],
                           'wrapped up in.a' => [
                                                'Experiencer_subj'
                                              ],
                           'paediatrician.n' => [
                                                'Medical_professionals'
                                              ],
                           'inquiry.n' => [
                                          'Criminal_investigation',
                                          'Questioning'
                                        ],
                           'purchase_act.n' => [
                                               'Commerce_buy'
                                             ],
                           'tolerable.a' => [
                                            'Desirability'
                                          ],
                           'peal.n' => [
                                       'Sounds'
                                     ],
                           'bill.n' => [
                                       'Observable_bodyparts'
                                     ],
                           'chap.n' => [
                                       'People'
                                     ],
                           'cartridge.n' => [
                                            'Containers'
                                          ],
                           'toilet bowl.n' => [
                                              'Containers'
                                            ],
                           'acre.n' => [
                                       'Measure_area'
                                     ],
                           'submarine.n' => [
                                            'Vehicle'
                                          ],
                           'traumatised.a' => [
                                              'Emotion_directed'
                                            ],
                           'underwear.n' => [
                                            'Clothing'
                                          ],
                           'brimming.a' => [
                                           'Abundance'
                                         ],
                           'shelter.n' => [
                                          'Buildings'
                                        ],
                           'predictable.a' => [
                                              'Expectation'
                                            ],
                           'put on.v' => [
                                         'Dressing'
                                       ],
                           'interpret.v' => [
                                            'Categorization'
                                          ],
                           'manufacture.n' => [
                                              'Manufacturing'
                                            ],
                           'highway.n' => [
                                          'Roadways'
                                        ],
                           'loquacious.a' => [
                                             'Volubility'
                                           ],
                           'overwrought.a' => [
                                              'Emotion_directed'
                                            ],
                           'subject.n' => [
                                          'People_by_jurisdiction',
                                          'Topic'
                                        ],
                           'casket.n' => [
                                         'Containers'
                                       ],
                           'torture.v' => [
                                          'Cause_harm'
                                        ],
                           'leave.n' => [
                                        'Grant_permission'
                                      ],
                           'hireling.n' => [
                                           'Subordinates_and_Superiors'
                                         ],
                           'director.n' => [
                                           'Behind_the_scenes',
                                           'Leadership'
                                         ],
                           'asleep.a' => [
                                         'Sleep'
                                       ],
                           'go.n' => [
                                     'Attempt'
                                   ],
                           'kennel.n' => [
                                         'Buildings'
                                       ],
                           'stroll.n' => [
                                         'Self_motion'
                                       ],
                           'fortnightly.a' => [
                                              'Iteration'
                                            ],
                           'float.v' => [
                                        'Motion'
                                      ],
                           'spinney.n' => [
                                          'Biological_area'
                                        ],
                           'trivial_name.n' => [
                                               'Being_named'
                                             ],
                           'affair.n' => [
                                         'Personal_relationship'
                                       ],
                           'swipe.v' => [
                                        'Removing',
                                        'Theft'
                                      ],
                           'stricture.n' => [
                                            'Judgment'
                                          ],
                           'married_name.n' => [
                                               'Being_named'
                                             ],
                           'local.a' => [
                                        'Political_locales'
                                      ],
                           'resound.v' => [
                                          'Sound_movement'
                                        ],
                           'garage.n' => [
                                         'Buildings'
                                       ],
                           'sick.a' => [
                                       'Biological_urge'
                                     ],
                           'dismissal.n' => [
                                            'Firing'
                                          ],
                           'shriek.v' => [
                                         'Communication_noise'
                                       ],
                           'exterminate.v' => [
                                              'Killing'
                                            ],
                           'jot down.v' => [
                                           'Text_creation'
                                         ],
                           'excited.a' => [
                                          'Emotion_directed'
                                        ],
                           'adequately.adv' => [
                                               'Sufficiency'
                                             ],
                           'bridge.n' => [
                                         'Roadways'
                                       ],
                           'rheumatologist.n' => [
                                                 'Medical_professionals'
                                               ],
                           'forefoot.n' => [
                                           'Observable_bodyparts'
                                         ],
                           'confront.v' => [
                                           'Hostile_encounter'
                                         ],
                           'bin.n' => [
                                      'Containers'
                                    ],
                           'shotgun.n' => [
                                          'Weapon'
                                        ],
                           'botch.v' => [
                                        'Bungling'
                                      ],
                           'covet.v' => [
                                        'Desiring',
                                        'Experiencer_subj'
                                      ],
                           'jolly.a' => [
                                        'Subject_stimulus'
                                      ],
                           'glitter.v' => [
                                          'Light_movement',
                                          'Location_of_light'
                                        ],
                           'depress.v' => [
                                          'Experiencer_obj'
                                        ],
                           'dreadful.a' => [
                                           'Desirability',
                                           'Expertise',
                                           'Subject_stimulus'
                                         ],
                           'simper.v' => [
                                         'Communication_manner'
                                       ],
                           'tutu.n' => [
                                       'Clothing'
                                     ],
                           'chin.n' => [
                                       'Observable_bodyparts'
                                     ],
                           'sedative.n' => [
                                           'Intoxicants'
                                         ],
                           'solidify.v' => [
                                           'Cause_change_of_phase',
                                           'Change_of_phase'
                                         ],
                           'homograph.n' => [
                                            'Word_relations'
                                          ],
                           'betide.v' => [
                                         'Catastrophe'
                                       ],
                           'calve.v' => [
                                        'Birth'
                                      ],
                           'competitive.a' => [
                                              'Competition'
                                            ],
                           'lawless.a' => [
                                          'Compliance'
                                        ],
                           'eponym.n' => [
                                         'Being_named'
                                       ],
                           'blow.v' => [
                                       'Motion'
                                     ],
                           'precipitation_event.n' => [
                                                      'Precipitation'
                                                    ],
                           'captivating.a' => [
                                              'Subject_stimulus'
                                            ],
                           'unpredictable.a' => [
                                                'Expectation'
                                              ],
                           'doubt.n' => [
                                        'Certainty'
                                      ],
                           'neonatology.n' => [
                                              'Medical_specialties'
                                            ],
                           'hand in.v' => [
                                          'Giving'
                                        ],
                           'canter.v' => [
                                         'Self_motion'
                                       ],
                           'apparel.n' => [
                                          'Clothing'
                                        ],
                           'batter.v' => [
                                         'Abusing',
                                         'Cause_harm'
                                       ],
                           'thread.n' => [
                                         'Connectors'
                                       ],
                           'wave.v' => [
                                       'Body_movement',
                                       'Gesture',
                                       'Moving_in_place'
                                     ],
                           'traverse.v' => [
                                           'Path_shape'
                                         ],
                           'survey.n' => [
                                         'Scrutiny'
                                       ],
                           'weekday.n' => [
                                          'Calendric_unit'
                                        ],
                           'bewildering.a' => [
                                              'Subject_stimulus'
                                            ],
                           'wrap.n' => [
                                       'Clothing'
                                     ],
                           'contemplation.n' => [
                                                'Cogitation'
                                              ],
                           'roof.n' => [
                                       'Architectural_part'
                                     ],
                           'talkative.a' => [
                                            'Volubility'
                                          ],
                           'grab hold.v' => [
                                            'Manipulation'
                                          ],
                           'reprocessing.n' => [
                                               'Processing_materials'
                                             ],
                           'oil.n' => [
                                      'Food'
                                    ],
                           'graze.v' => [
                                        'Cause_impact',
                                        'Experience_bodily_harm',
                                        'Impact'
                                      ],
                           'plunk.n' => [
                                        'Sounds'
                                      ],
                           'fault.n' => [
                                        'Judgment'
                                      ],
                           'neighbor.n' => [
                                           'People_by_residence'
                                         ],
                           'stealing.n' => [
                                           'Theft'
                                         ],
                           'dusted.a' => [
                                         'Abundance'
                                       ],
                           'manor.n' => [
                                        'Buildings'
                                      ],
                           'signature.n' => [
                                            'Distinctiveness',
                                            'Sign_agreement'
                                          ],
                           'run away.v' => [
                                           'Escaping'
                                         ],
                           'banquet.n' => [
                                          'Social_event'
                                        ],
                           'drawl.v' => [
                                        'Communication_manner'
                                      ],
                           'rejoin.v' => [
                                         'Communication_response'
                                       ],
                           'knife.v' => [
                                        'Cause_harm'
                                      ],
                           'revolt.v' => [
                                         'Change_of_leadership',
                                         'Experiencer_obj'
                                       ],
                           'daub.v' => [
                                       'Filling',
                                       'Placing'
                                     ],
                           'urban.a' => [
                                        'Locale_by_use'
                                      ],
                           'rival.v' => [
                                        'Evaluative_comparison'
                                      ],
                           'taiga.n' => [
                                        'Biological_area'
                                      ],
                           'jibe.v' => [
                                       'Compatibility'
                                     ],
                           'heap.n' => [
                                       'Aggregate',
                                       'Quantity'
                                     ],
                           'hepatitis.n' => [
                                            'Medical_conditions'
                                          ],
                           'confinement.n' => [
                                              'Cause_confinement'
                                            ],
                           'owner.n' => [
                                        'Possession'
                                      ],
                           'assassin.n' => [
                                           'Killing'
                                         ],
                           'donation.n' => [
                                           'Giving'
                                         ],
                           'shanty.n' => [
                                         'Buildings'
                                       ],
                           'pimple.n' => [
                                         'Body_mark'
                                       ],
                           'plane.n' => [
                                        'Vehicle'
                                      ],
                           'head.n' => [
                                       'Leadership',
                                       'Observable_bodyparts'
                                     ],
                           'object.n' => [
                                         'Purpose'
                                       ],
                           'hibernation.n' => [
                                              'Sleep'
                                            ],
                           'zigzag.v' => [
                                         'Path_shape'
                                       ],
                           'susceptible.a' => [
                                              'Health_response'
                                            ],
                           'shut-eye.n' => [
                                           'Sleep'
                                         ],
                           'president.n' => [
                                            'Leadership'
                                          ],
                           'lurch.v' => [
                                        'Self_motion'
                                      ],
                           'sadden.v' => [
                                         'Experiencer_obj'
                                       ],
                           'honorable.a' => [
                                            'Morality_evaluation',
                                            'Praiseworthiness'
                                          ],
                           'bedroom.n' => [
                                          'Building_subparts'
                                        ],
                           'locket.n' => [
                                         'Accoutrements'
                                       ],
                           'depressing.a' => [
                                             'Subject_stimulus'
                                           ],
                           'stole.n' => [
                                        'Clothing'
                                      ],
                           'buckle.v' => [
                                         'Closure'
                                       ],
                           'harass.v' => [
                                         'Manipulate_into_doing'
                                       ],
                           'arson.n' => [
                                        'Arson',
                                        'Offenses'
                                      ],
                           'earring.n' => [
                                          'Accoutrements'
                                        ],
                           'pen.n' => [
                                      'Prison'
                                    ],
                           'dash.n' => [
                                       'Self_motion'
                                     ],
                           'hatch.v' => [
                                        'Invention'
                                      ],
                           'superb.a' => [
                                         'Desirability',
                                         'Expertise',
                                         'Usefulness'
                                       ],
                           'glue.v' => [
                                       'Attaching',
                                       'Building'
                                     ],
                           'guffaw.n' => [
                                         'Sounds'
                                       ],
                           'commit_to_memory.v' => [
                                                   'Memorization'
                                                 ],
                           'mag.n' => [
                                      'Text'
                                    ],
                           'end_final-subevent.n' => [
                                                     'Process_end'
                                                   ],
                           'roar.n' => [
                                       'Sounds'
                                     ],
                           'mall.n' => [
                                       'Buildings'
                                     ],
                           'anxious.a' => [
                                          'Emotion_directed'
                                        ],
                           'firefight.n' => [
                                            'Hostile_encounter'
                                          ],
                           'maroon.a' => [
                                         'Color'
                                       ],
                           'festoon.v' => [
                                          'Adorning'
                                        ],
                           'scene.n' => [
                                        'Sensation'
                                      ],
                           'idiosyncrasy.n' => [
                                               'Idiosyncrasy'
                                             ],
                           'mechanical.a' => [
                                             'Gizmo'
                                           ],
                           'inadequately.adv' => [
                                                 'Sufficiency'
                                               ],
                           'spot.v' => [
                                       'Becoming_aware'
                                     ],
                           'reprocess.v' => [
                                            'Processing_materials'
                                          ],
                           'crumble.v' => [
                                          'Grinding'
                                        ],
                           'arrange.v' => [
                                          'Arranging',
                                          'Placing'
                                        ],
                           'sodden.a' => [
                                         'Being_wet'
                                       ],
                           'bickering.n' => [
                                            'Quarreling'
                                          ],
                           'gild.v' => [
                                       'Filling'
                                     ],
                           'paved.a' => [
                                        'Abundance'
                                      ],
                           'ramekin.n' => [
                                          'Containers'
                                        ],
                           'peal.v' => [
                                       'Make_noise'
                                     ],
                           'trainload.n' => [
                                            'Measure_volume'
                                          ],
                           'worrisome.a' => [
                                            'Subject_stimulus'
                                          ],
                           'stew.n' => [
                                       'Food'
                                     ],
                           'cluck.v' => [
                                        'Communication_noise'
                                      ],
                           'stadium.n' => [
                                          'Buildings'
                                        ],
                           'happen.v' => [
                                         'Change_of_relation',
                                         'Event'
                                       ],
                           'ambush.v' => [
                                         'Attack'
                                       ],
                           'influenza.n' => [
                                            'Medical_conditions'
                                          ],
                           'ground.a' => [
                                         'Ground_up'
                                       ],
                           'abhorrence.n' => [
                                             'Experiencer_subj'
                                           ],
                           'comedy.n' => [
                                         'Text'
                                       ],
                           'pyelonephritis.n' => [
                                                 'Medical_conditions'
                                               ],
                           'brand.n' => [
                                        'Type'
                                      ],
                           'convinced.a' => [
                                            'Certainty'
                                          ],
                           'mexican.n' => [
                                          'People_by_origin'
                                        ],
                           'trickle.n' => [
                                          'Quantity'
                                        ],
                           'garment.n' => [
                                          'Clothing'
                                        ],
                           'beat.a' => [
                                       'Biological_urge'
                                     ],
                           'knead.v' => [
                                        'Manipulation'
                                      ],
                           'promenade.v' => [
                                            'Self_motion'
                                          ],
                           'desire.n' => [
                                         'Desiring'
                                       ],
                           'bowler.n' => [
                                         'Accoutrements'
                                       ],
                           'rehabilitation.n' => [
                                                 'Cure'
                                               ],
                           'living room.n' => [
                                              'Building_subparts'
                                            ],
                           'contemptuous.a' => [
                                               'Judgment'
                                             ],
                           'purse.n' => [
                                        'Containers'
                                      ],
                           'decay.v' => [
                                        'Rotting'
                                      ],
                           'pinned.a' => [
                                         'Being_attached'
                                       ],
                           'mastery.n' => [
                                          'Expertise'
                                        ],
                           'bark.v' => [
                                       'Communication_noise',
                                       'Make_noise'
                                     ],
                           'pack.n' => [
                                       'Aggregate',
                                       'Containers',
                                       'Measure_volume'
                                     ],
                           'service.n' => [
                                          'Rite'
                                        ],
                           'posse.n' => [
                                        'Aggregate'
                                      ],
                           'filled.a' => [
                                         'Abundance'
                                       ],
                           'co-star.v' => [
                                          'Performers_and_roles'
                                        ],
                           'tank.n' => [
                                       'Containers',
                                       'Vehicle'
                                     ],
                           'dull.v' => [
                                       'Cause_to_be_sharp'
                                     ],
                           'blame.v' => [
                                        'Judgment',
                                        'Judgment_communication'
                                      ],
                           'squeal.n' => [
                                         'Reporting',
                                         'Sounds'
                                       ],
                           'whodunit.n' => [
                                           'Text'
                                         ],
                           'preside.v' => [
                                          'Leadership'
                                        ],
                           'hunk.n' => [
                                       'Part_piece'
                                     ],
                           'reception.n' => [
                                            'Social_event'
                                          ],
                           'grounds.n' => [
                                          'Deserving'
                                        ],
                           'uprising.n' => [
                                           'Change_of_leadership'
                                         ],
                           'chairperson.n' => [
                                              'Leadership'
                                            ],
                           'may.v' => [
                                      'Likelihood'
                                    ],
                           'slog.v' => [
                                       'Self_motion'
                                     ],
                           'bearded.a' => [
                                          'Body_description_part'
                                        ],
                           'honest.a' => [
                                         'Candidness'
                                       ],
                           'congruous.a' => [
                                            'Compatibility'
                                          ],
                           'stigmatize.v' => [
                                             'Judgment'
                                           ],
                           'february.n' => [
                                           'Calendric_unit'
                                         ],
                           'island.n' => [
                                         'Natural_features'
                                       ],
                           'sultan.n' => [
                                         'Leadership'
                                       ],
                           'whinny.n' => [
                                         'Sounds'
                                       ],
                           'gadget.n' => [
                                         'Gizmo'
                                       ],
                           'withdrawal.n' => [
                                             'Departing',
                                             'Removing'
                                           ],
                           'strap.n' => [
                                        'Clothing_parts',
                                        'Connectors'
                                      ],
                           'synonymous.a' => [
                                             'Word_relations'
                                           ],
                           'stethoscope.n' => [
                                              'Medical_instruments'
                                            ],
                           'rhythmic.a' => [
                                           'Temporal_pattern'
                                         ],
                           'tail.v' => [
                                       'Cotheme'
                                     ],
                           'expiate.v' => [
                                          'Atonement'
                                        ],
                           'impartial.a' => [
                                            'Partiality'
                                          ],
                           'exit.n' => [
                                       'Departing'
                                     ],
                           'endoscope.n' => [
                                            'Medical_instruments'
                                          ],
                           'liquidation.n' => [
                                              'Killing'
                                            ],
                           'impersonation.n' => [
                                                'Imitation'
                                              ],
                           'croak.v' => [
                                        'Communication_noise',
                                        'Death',
                                        'Make_noise'
                                      ],
                           'disappear.v' => [
                                            'Departing'
                                          ],
                           'lay.n' => [
                                      'Text'
                                    ],
                           'enlargement.n' => [
                                              'Cause_expansion',
                                              'Expansion'
                                            ],
                           'kitchenette.n' => [
                                              'Building_subparts'
                                            ],
                           'tear-jerking.a' => [
                                               'Subject_stimulus'
                                             ],
                           'penitentiary.n' => [
                                               'Prison'
                                             ],
                           'odyssey.n' => [
                                          'Travel'
                                        ],
                           'plethora.n' => [
                                           'Quantity'
                                         ],
                           'jerk.v' => [
                                       'Body_movement'
                                     ],
                           'dwell_(on).v' => [
                                             'Topic'
                                           ],
                           'come together.v' => [
                                                'Congregating'
                                              ],
                           'foreleg.n' => [
                                          'Observable_bodyparts'
                                        ],
                           'export.v' => [
                                         'Import_export',
                                         'Sending'
                                       ],
                           'conversance.n' => [
                                              'Expertise'
                                            ],
                           'forbid.v' => [
                                         'Deny_permission',
                                         'Prohibiting'
                                       ],
                           'versed.a' => [
                                         'Expertise'
                                       ],
                           'fell.n' => [
                                       'Natural_features'
                                     ],
                           'tweet.n' => [
                                        'Sounds'
                                      ],
                           'pace.v' => [
                                       'Self_motion'
                                     ],
                           'scourge.v' => [
                                          'Corporal_punishment'
                                        ],
                           'box.n' => [
                                      'Containers',
                                      'Measure_volume'
                                    ],
                           'hind.a' => [
                                       'Part_orientational'
                                     ],
                           'thieving.a' => [
                                           'Theft'
                                         ],
                           'swig.n' => [
                                       'Ingestion'
                                     ],
                           'gratified.a' => [
                                            'Emotion_directed'
                                          ],
                           'touch.v' => [
                                        'Impact',
                                        'Manipulation'
                                      ],
                           'beat.v' => [
                                       'Cause_harm'
                                     ],
                           'great-granddaughter.n' => [
                                                      'Kinship'
                                                    ],
                           'curly.a' => [
                                        'Hair_configuration'
                                      ],
                           'positive.a' => [
                                           'Certainty'
                                         ],
                           'frank.a' => [
                                        'Candidness'
                                      ],
                           'slink.v' => [
                                        'Self_motion'
                                      ],
                           'decline.v' => [
                                          'Change_position_on_a_scale'
                                        ],
                           'duel.v' => [
                                       'Hostile_encounter'
                                     ],
                           'reduction.n' => [
                                            'Cause_change_of_scalar_position',
                                            'Cause_expansion'
                                          ],
                           'bandanna.n' => [
                                           'Accoutrements'
                                         ],
                           'consonant.a' => [
                                            'Compatibility'
                                          ],
                           'ermines.n' => [
                                          'Clothing'
                                        ],
                           'retreat.v' => [
                                          'Departing'
                                        ],
                           'expertise.n' => [
                                            'Expertise'
                                          ],
                           'spew.v' => [
                                       'Excreting',
                                       'Fluidic_motion'
                                     ],
                           'rotten.a' => [
                                         'Being_rotted',
                                         'Desirability'
                                       ],
                           'neutrality.n' => [
                                             'Partiality'
                                           ],
                           'tally.n' => [
                                        'Amounting_to'
                                      ],
                           'match.v' => [
                                        'Compatibility',
                                        'Evaluative_comparison'
                                      ],
                           'espy.v' => [
                                       'Becoming_aware'
                                     ],
                           'investigation.n' => [
                                                'Criminal_investigation',
                                                'Scrutiny'
                                              ],
                           'nurse.v' => [
                                        'Ingestion'
                                      ],
                           'bi-monthly.a' => [
                                             'Iteration'
                                           ],
                           'enriched.a' => [
                                           'Degree_of_processing'
                                         ],
                           'knapsack.n' => [
                                           'Containers'
                                         ],
                           'about.prep' => [
                                           'Topic'
                                         ],
                           'bathe.v' => [
                                        'Grooming'
                                      ],
                           'coke.n' => [
                                       'Intoxicants'
                                     ],
                           'overpass.n' => [
                                           'Roadways'
                                         ],
                           'stingy.a' => [
                                         'Stinginess'
                                       ],
                           'spear.v' => [
                                        'Cause_harm'
                                      ],
                           'screw up.v' => [
                                           'Bungling'
                                         ],
                           'slay.v' => [
                                       'Killing'
                                     ],
                           'purl.v' => [
                                       'Fluidic_motion'
                                     ],
                           'attempt.v' => [
                                          'Attempt'
                                        ],
                           'window.n' => [
                                         'Connecting_architecture'
                                       ],
                           'welded.a' => [
                                         'Being_attached'
                                       ],
                           'burble.n' => [
                                         'Sounds'
                                       ],
                           'sorrowful.a' => [
                                            'Emotion_directed'
                                          ],
                           'separate.v' => [
                                           'Forming_relationships',
                                           'Separation'
                                         ],
                           'masticate.v' => [
                                            'Grinding'
                                          ],
                           'stun.v' => [
                                       'Experiencer_obj'
                                     ],
                           'jug.n' => [
                                      'Containers',
                                      'Measure_volume'
                                    ],
                           'great.a' => [
                                        'Desirability',
                                        'Expertise',
                                        'Usefulness'
                                      ],
                           'scary.a' => [
                                        'Subject_stimulus'
                                      ],
                           'distasteful.a' => [
                                              'Subject_stimulus'
                                            ],
                           'evidence.v' => [
                                           'Evidence'
                                         ],
                           'drowse.v' => [
                                         'Sleep'
                                       ],
                           'remind.v' => [
                                         'Evoking'
                                       ],
                           'troublesome.a' => [
                                              'Subject_stimulus'
                                            ],
                           'stress.n' => [
                                         'Medical_conditions'
                                       ],
                           'swim.v' => [
                                       'Self_motion'
                                     ],
                           'infuriate.v' => [
                                            'Experiencer_obj'
                                          ],
                           'repertoire.n' => [
                                             'Aggregate'
                                           ],
                           'plain.n' => [
                                        'Biological_area'
                                      ],
                           'blotch.n' => [
                                         'Body_mark'
                                       ],
                           'rehearse.v' => [
                                           'Practice'
                                         ],
                           'reassuring.a' => [
                                             'Subject_stimulus'
                                           ],
                           'phone in.v' => [
                                           'Contacting'
                                         ],
                           'disapproving.a' => [
                                               'Judgment'
                                             ],
                           'enlightened.a' => [
                                              'Mental_property'
                                            ],
                           'peak.n' => [
                                       'Natural_features',
                                       'Part_orientational'
                                     ],
                           'manufacturer.n' => [
                                               'Manufacturing'
                                             ],
                           'villa.n' => [
                                        'Buildings'
                                      ],
                           'bottle.n' => [
                                         'Containers',
                                         'Measure_volume'
                                       ],
                           'slipper.n' => [
                                          'Clothing'
                                        ],
                           'rat.v' => [
                                      'Reporting'
                                    ],
                           'bleat.n' => [
                                        'Sounds'
                                      ],
                           'fascinate.v' => [
                                            'Experiencer_obj'
                                          ],
                           'rip.v' => [
                                      'Cause_to_fragment'
                                    ],
                           'bond.v' => [
                                       'Attaching'
                                     ],
                           'malodorous.a' => [
                                             'Chemical-sense_description'
                                           ],
                           'hurt.v' => [
                                       'Cause_harm',
                                       'Experience_bodily_harm',
                                       'Perception_body'
                                     ],
                           'collection.n' => [
                                             'Aggregate'
                                           ],
                           'defraud.v' => [
                                          'Manipulate_into_doing'
                                        ],
                           'adultery.n' => [
                                           'Personal_relationship'
                                         ],
                           'set_fire.v' => [
                                           'Setting_fire'
                                         ],
                           'critique.v' => [
                                           'Judgment_communication'
                                         ],
                           'beep.v' => [
                                       'Make_noise'
                                     ],
                           'manslaughter.n' => [
                                               'Offenses'
                                             ],
                           'miserly.a' => [
                                          'Stinginess'
                                        ],
                           'named.a' => [
                                        'Being_named'
                                      ],
                           'psychotherapy.n' => [
                                                'Medical_specialties'
                                              ],
                           'reservoir.n' => [
                                            'Containers'
                                          ],
                           'placket.n' => [
                                          'Clothing_parts'
                                        ],
                           'oscilloscope.n' => [
                                               'Medical_instruments'
                                             ],
                           'boat.n' => [
                                       'Vehicle'
                                     ],
                           'chide.v' => [
                                        'Judgment_direct_address'
                                      ],
                           'sprawl out.v' => [
                                             'Change_posture'
                                           ],
                           'crackle.v' => [
                                          'Motion_noise'
                                        ],
                           'master.v' => [
                                         'Education_teaching'
                                       ],
                           'pot_cooking.n' => [
                                              'Containers'
                                            ],
                           'inn.n' => [
                                      'Buildings'
                                    ],
                           'oodles.n' => [
                                         'Quantity'
                                       ],
                           'raring.a' => [
                                         'Desiring'
                                       ],
                           'cheering.a' => [
                                           'Subject_stimulus'
                                         ],
                           'imbibe.v' => [
                                         'Ingestion'
                                       ],
                           'plunge.v' => [
                                         'Motion_directional',
                                         'Placing'
                                       ],
                           'volume.n' => [
                                         'Text'
                                       ],
                           'reparations.n' => [
                                              'Fining'
                                            ],
                           'dress up.v' => [
                                           'Dressing'
                                         ],
                           'wiry.a' => [
                                       'Body_description_holistic'
                                     ],
                           'vamoose.v' => [
                                          'Departing'
                                        ],
                           'culottes.n' => [
                                           'Clothing'
                                         ],
                           'work.v' => [
                                       'Being_employed'
                                     ],
                           'feast.v' => [
                                        'Ingestion'
                                      ],
                           'startle.v' => [
                                          'Experiencer_obj'
                                        ],
                           'devastation.n' => [
                                              'Destroying'
                                            ],
                           'affable.a' => [
                                          'Social_interaction_evaluation'
                                        ],
                           'stack up.v' => [
                                           'Evaluative_comparison'
                                         ],
                           'empty.n' => [
                                        'Containers'
                                      ],
                           'park.v' => [
                                       'Placing'
                                     ],
                           'sublimation.n' => [
                                              'Change_of_phase'
                                            ],
                           'big-boned.a' => [
                                            'Body_description_holistic'
                                          ],
                           'viceroy.n' => [
                                          'Leadership'
                                        ],
                           'substantiate.v' => [
                                               'Evidence'
                                             ],
                           'bush.n' => [
                                       'Biological_area'
                                     ],
                           'hail.v' => [
                                       'Mass_motion',
                                       'Precipitation'
                                     ],
                           'chronicle.n' => [
                                            'Text'
                                          ],
                           'bust_out.v' => [
                                           'Escaping'
                                         ],
                           'tear_up.v' => [
                                          'Cause_to_fragment'
                                        ],
                           'piece.n' => [
                                        'Part_piece'
                                      ],
                           'payback.n' => [
                                          'Revenge'
                                        ],
                           'pan.v' => [
                                      'Seeking'
                                    ],
                           'rip_up.v' => [
                                         'Cause_to_fragment'
                                       ],
                           'obviate.v' => [
                                          'Preventing'
                                        ],
                           'regalia.n' => [
                                          'Accoutrements',
                                          'Clothing'
                                        ],
                           'ball.n' => [
                                       'Shapes',
                                       'Social_event'
                                     ],
                           'disgruntlement.n' => [
                                                 'Emotion_directed'
                                               ],
                           'signature.a' => [
                                            'Distinctiveness'
                                          ],
                           'retribution.n' => [
                                              'Revenge'
                                            ],
                           'instance.n' => [
                                           'Instance'
                                         ],
                           'foretoken.v' => [
                                            'Omen'
                                          ],
                           'loner.n' => [
                                        'Sociability'
                                      ],
                           'hence.prep' => [
                                           'Time_vector'
                                         ],
                           'pastry.n' => [
                                         'Food'
                                       ],
                           'cryptosporidiosis.n' => [
                                                    'Medical_conditions'
                                                  ],
                           'hike.n' => [
                                       'Change_position_on_a_scale',
                                       'Self_motion'
                                     ],
                           'desert.v' => [
                                         'Departing'
                                       ],
                           'breakfast.v' => [
                                            'Ingestion'
                                          ],
                           'demand.n' => [
                                         'Request'
                                       ],
                           'critical.a' => [
                                           'Importance',
                                           'Judgment',
                                           'Judgment_communication'
                                         ],
                           'derail.v' => [
                                         'Thwarting'
                                       ],
                           'rhyme.v' => [
                                        'Compatibility'
                                      ],
                           'hoot.n' => [
                                       'Sounds'
                                     ],
                           'pueblo.n' => [
                                         'Buildings'
                                       ],
                           'palliative.n' => [
                                             'Cure'
                                           ],
                           'neophyte.n' => [
                                           'Activity_start'
                                         ],
                           'maledictory.a' => [
                                              'Judgment_communication'
                                            ],
                           'hijacking.n' => [
                                            'Offenses',
                                            'Piracy'
                                          ],
                           'contented.a' => [
                                            'Emotion_directed'
                                          ],
                           'restrict.v' => [
                                           'Cause_confinement'
                                         ],
                           'mead.n' => [
                                       'Biological_area'
                                     ],
                           'knife.n' => [
                                        'Weapon'
                                      ],
                           'extermination.n' => [
                                                'Killing'
                                              ],
                           'fascinating.a' => [
                                              'Subject_stimulus'
                                            ],
                           'revolted.a' => [
                                           'Emotion_directed'
                                         ],
                           'agonize.v' => [
                                          'Emotion_active'
                                        ],
                           'jam.v' => [
                                      'Experience_bodily_harm',
                                      'Filling',
                                      'Placing'
                                    ],
                           'embarrass.v' => [
                                            'Experiencer_obj'
                                          ],
                           'pilferage.n' => [
                                            'Theft'
                                          ],
                           'tremendous.a' => [
                                             'Desirability',
                                             'Expertise',
                                             'Usefulness'
                                           ],
                           'cirrhosis.n' => [
                                            'Medical_conditions'
                                          ],
                           'bout.n' => [
                                       'Hostile_encounter'
                                     ],
                           'influence.v' => [
                                            'Influence_of_event_on_cognizer',
                                            'Objective_influence',
                                            'Subjective_influence',
                                            'Subjective_influence',
                                            'Talking_into'
                                          ],
                           'nailed.a' => [
                                         'Being_attached'
                                       ],
                           'face.n' => [
                                       'Facial_expression',
                                       'Observable_bodyparts',
                                       'Part_orientational'
                                     ],
                           'on.prep' => [
                                        'Being_in_operation',
                                        'Locative_relation',
                                        'Topic'
                                      ],
                           'rind.n' => [
                                       'Shaped_part'
                                     ],
                           'claw.n' => [
                                       'Observable_bodyparts'
                                     ],
                           'brace.n' => [
                                        'Cardinal_numbers'
                                      ],
                           'plump.a' => [
                                        'Body_description_holistic'
                                      ],
                           'inhabitant.n' => [
                                             'Residence'
                                           ],
                           'circumcise.v' => [
                                             'Rite'
                                           ],
                           'chant.v' => [
                                        'Communication_manner'
                                      ],
                           'grunt.v' => [
                                        'Communication_noise',
                                        'Make_noise'
                                      ],
                           'station.v' => [
                                          'Placing'
                                        ],
                           'poisonous.a' => [
                                            'Toxic_substance'
                                          ],
                           'drift.v' => [
                                        'Motion'
                                      ],
                           'around.prep' => [
                                            'Locative_relation'
                                          ],
                           'profligate.a' => [
                                             'Frugality'
                                           ],
                           'astound.v' => [
                                          'Experiencer_obj'
                                        ],
                           'contain.v' => [
                                          'Containing',
                                          'Inclusion'
                                        ],
                           'awake.v' => [
                                        'Waking_up'
                                      ],
                           'mention.v' => [
                                          'Statement'
                                        ],
                           'gaunt.a' => [
                                        'Body_description_holistic'
                                      ],
                           'wallpaper.v' => [
                                            'Filling'
                                          ],
                           'extract.v' => [
                                          'Removing'
                                        ],
                           'flock.n' => [
                                        'Aggregate'
                                      ],
                           'rationalize.v' => [
                                              'Justifying'
                                            ],
                           'redefinition.n' => [
                                               'Communicate_categorization'
                                             ],
                           'obese.a' => [
                                        'Body_description_holistic'
                                      ],
                           'shako.n' => [
                                        'Accoutrements'
                                      ],
                           'viscountcy.n' => [
                                             'Political_locales'
                                           ],
                           'glancing.a' => [
                                           'Impact'
                                         ],
                           'manager.n' => [
                                          'People_by_vocation'
                                        ],
                           'mastication.n' => [
                                              'Grinding'
                                            ],
                           'inattentive.a' => [
                                              'Mental_property'
                                            ],
                           'excoriation.n' => [
                                              'Judgment_communication'
                                            ],
                           'maw.n' => [
                                      'Observable_bodyparts'
                                    ],
                           'redefine.v' => [
                                           'Communicate_categorization'
                                         ],
                           'sensible.a' => [
                                           'Mental_property'
                                         ],
                           'tarnish.v' => [
                                          'Corroding_caused'
                                        ],
                           'type up.v' => [
                                          'Text_creation'
                                        ],
                           'allegation.n' => [
                                             'Statement'
                                           ],
                           'catacomb.n' => [
                                           'Building_subparts'
                                         ],
                           'fuse.v' => [
                                       'Amalgamation',
                                       'Attaching',
                                       'Cause_to_amalgamate'
                                     ],
                           'massage.v' => [
                                          'Manipulation'
                                        ],
                           'along with.prep' => [
                                                'Accompaniment'
                                              ],
                           'zip.n' => [
                                      'Clothing_parts'
                                    ],
                           'ship.v' => [
                                       'Sending'
                                     ],
                           'fingertip.n' => [
                                            'Observable_bodyparts'
                                          ],
                           'suck.v' => [
                                       'Desirability'
                                     ],
                           'compose.v' => [
                                          'Behind_the_scenes',
                                          'Text_creation'
                                        ],
                           'chapter.n' => [
                                          'Part_ordered_segments'
                                        ],
                           'fang.n' => [
                                       'Observable_bodyparts'
                                     ],
                           'malefactor.n' => [
                                             'People_by_morality'
                                           ],
                           'empathy.n' => [
                                          'Experiencer_subj'
                                        ],
                           'difficult.a' => [
                                            'Difficulty'
                                          ],
                           'propose.v' => [
                                          'Statement'
                                        ],
                           'jeer.n' => [
                                       'Judgment_direct_address'
                                     ],
                           'apprehension.n' => [
                                               'Arrest'
                                             ],
                           'deface.v' => [
                                         'Damaging'
                                       ],
                           'festooned.a' => [
                                            'Abundance'
                                          ],
                           'partiality.n' => [
                                             'Partiality'
                                           ],
                           'vandalise.v' => [
                                            'Damaging'
                                          ],
                           'comport.v' => [
                                          'Compatibility'
                                        ],
                           'circumspect.a' => [
                                              'Candidness'
                                            ],
                           'checkroom.n' => [
                                            'Building_subparts'
                                          ],
                           'contraband.a' => [
                                             'Smuggling'
                                           ],
                           'comprehensible.a' => [
                                                 'Grasp'
                                               ],
                           'brooch.n' => [
                                         'Accoutrements'
                                       ],
                           'abandon.v' => [
                                          'Departing'
                                        ],
                           'attached.a' => [
                                           'Being_attached'
                                         ],
                           'wet.a' => [
                                      'Being_wet'
                                    ],
                           'great-grandson.n' => [
                                                 'Kinship'
                                               ],
                           'tardy.a' => [
                                        'Relative_time'
                                      ],
                           'route.v' => [
                                        'Sending'
                                      ],
                           'wrong.a' => [
                                        'Legality',
                                        'Morality_evaluation'
                                      ],
                           'thoughtful.a' => [
                                             'Social_interaction_evaluation'
                                           ],
                           'sobering.a' => [
                                           'Subject_stimulus'
                                         ],
                           'voyage.v' => [
                                         'Travel'
                                       ],
                           'double-check.v' => [
                                               'Inspecting',
                                               'Scrutiny'
                                             ],
                           'corrie.n' => [
                                         'Natural_features'
                                       ],
                           'morning.n' => [
                                          'Calendric_unit'
                                        ],
                           'sober.v' => [
                                        'Experiencer_obj'
                                      ],
                           'apprise.v' => [
                                          'Telling'
                                        ],
                           'competence.n' => [
                                             'Expertise'
                                           ],
                           'habitual.a' => [
                                           'Custom'
                                         ],
                           'compatibility.n' => [
                                                'Compatibility'
                                              ],
                           'chummy.a' => [
                                         'Social_interaction_evaluation'
                                       ],
                           'pacify.v' => [
                                         'Experiencer_obj'
                                       ],
                           'homophonous.a' => [
                                              'Word_relations'
                                            ],
                           'berg.n' => [
                                       'Natural_features'
                                     ],
                           'affirm.v' => [
                                         'Statement'
                                       ],
                           'transpire.v' => [
                                            'Event'
                                          ],
                           'eat.v' => [
                                      'Ingestion'
                                    ],
                           'embellish.v' => [
                                            'Filling'
                                          ],
                           'kid.n' => [
                                      'Attention_getting',
                                      'People_by_age'
                                    ],
                           'denouncement.n' => [
                                               'Judgment_communication'
                                             ],
                           'drizzle.v' => [
                                          'Filling',
                                          'Placing',
                                          'Precipitation'
                                        ],
                           'freeze.n' => [
                                         'Activity_pause'
                                       ],
                           'light.v' => [
                                        'Setting_fire'
                                      ],
                           'ablution.n' => [
                                           'Grooming'
                                         ],
                           'inadequacy.n' => [
                                             'Sufficiency'
                                           ],
                           'adherence.n' => [
                                            'Compliance'
                                          ],
                           'standoff.n' => [
                                           'Hostile_encounter'
                                         ],
                           'showdown.n' => [
                                           'Hostile_encounter'
                                         ],
                           'cold.a' => [
                                       'Ambient_temperature'
                                     ],
                           'historically.adv' => [
                                                 'Domain'
                                               ],
                           'bicycle.v' => [
                                          'Operate_vehicle'
                                        ],
                           'indecent assault.n' => [
                                                   'Offenses'
                                                 ],
                           'tasteless.a' => [
                                            'Chemical-sense_description'
                                          ],
                           'cold sore.n' => [
                                            'Body_mark'
                                          ],
                           'burrow.v' => [
                                         'Self_motion'
                                       ],
                           'astonishing.a' => [
                                              'Desirability',
                                              'Subject_stimulus'
                                            ],
                           'creek.n' => [
                                        'Natural_features'
                                      ],
                           'aeroplane.n' => [
                                            'Vehicle'
                                          ],
                           'coagulation.n' => [
                                              'Change_of_consistency'
                                            ],
                           'row.v' => [
                                      'Bringing',
                                      'Operate_vehicle',
                                      'Quarreling'
                                    ],
                           'peeved.a' => [
                                         'Emotion_directed'
                                       ],
                           'step.v' => [
                                       'Self_motion'
                                     ],
                           'junket.n' => [
                                         'Travel'
                                       ],
                           'buyer.n' => [
                                        'Commerce'
                                      ],
                           'enthralling.a' => [
                                              'Subject_stimulus'
                                            ],
                           'breach.v' => [
                                         'Compliance'
                                       ],
                           'rotate.v' => [
                                         'Cause_to_move_in_place',
                                         'Moving_in_place'
                                       ],
                           'swarm.v' => [
                                        'Abundance',
                                        'Mass_motion'
                                      ],
                           'middle_of_nowhere.n' => [
                                                    'Isolated_places'
                                                  ],
                           'question.n' => [
                                           'Questioning'
                                         ],
                           'challenging.a' => [
                                              'Difficulty'
                                            ],
                           'quibble.v' => [
                                          'Quarreling'
                                        ],
                           'colitis.n' => [
                                          'Medical_conditions'
                                        ],
                           'nickname.v' => [
                                           'Name_conferral'
                                         ],
                           'clone.n' => [
                                        'Duplication'
                                      ],
                           'recognize.v' => [
                                            'Becoming_aware'
                                          ],
                           'escapee.n' => [
                                          'Departing'
                                        ],
                           'splinter.v' => [
                                           'Cause_to_fragment'
                                         ],
                           'discouragement.n' => [
                                                 'Emotion_directed'
                                               ],
                           'let.v' => [
                                      'Grant_permission'
                                    ],
                           'bungle.v' => [
                                         'Bungling'
                                       ],
                           'sense.n' => [
                                        'Linguistic_meaning',
                                        'Sensation'
                                      ],
                           'handcuff.v' => [
                                           'Attaching',
                                           'Immobilization'
                                         ],
                           'heartbreaking.a' => [
                                                'Subject_stimulus'
                                              ],
                           'kleptomaniac.n' => [
                                               'Theft'
                                             ],
                           'van.n' => [
                                      'Vehicle'
                                    ],
                           'recluse.n' => [
                                          'Sociability'
                                        ],
                           'coo.n' => [
                                      'Sounds'
                                    ],
                           'fiend.n' => [
                                        'Addiction'
                                      ],
                           'slosh.v' => [
                                        'Self_motion'
                                      ],
                           'barbecue.n' => [
                                           'Social_event'
                                         ],
                           'adept.n' => [
                                        'Expertise'
                                      ],
                           'slender.a' => [
                                          'Body_description_holistic'
                                        ],
                           'flu.n' => [
                                      'Medical_conditions'
                                    ],
                           'laundry.n' => [
                                          'Building_subparts'
                                        ],
                           'situate.v' => [
                                          'Placing'
                                        ],
                           'son.n' => [
                                      'Kinship'
                                    ],
                           'bodice.n' => [
                                         'Clothing'
                                       ],
                           'known.a' => [
                                        'Being_named'
                                      ],
                           'leave.v' => [
                                        'Departing',
                                        'Forming_relationships',
                                        'Path_shape'
                                      ],
                           'sarcophagus.n' => [
                                              'Containers'
                                            ],
                           'quack.n' => [
                                        'Sounds'
                                      ],
                           'holonym.n' => [
                                          'Word_relations'
                                        ],
                           'doubt.v' => [
                                        'Certainty'
                                      ],
                           'igloo.n' => [
                                        'Buildings'
                                      ],
                           'poem.n' => [
                                       'Text'
                                     ],
                           'e-mail.v' => [
                                         'Contacting'
                                       ],
                           'follow.v' => [
                                         'Compliance',
                                         'Cotheme',
                                         'Relative_time'
                                       ],
                           'book.v' => [
                                       'Arrest'
                                     ],
                           'slip.n' => [
                                       'Clothing'
                                     ],
                           'sacrament.n' => [
                                            'Rite'
                                          ],
                           'effective.a' => [
                                            'Usefulness'
                                          ],
                           'possessor.n' => [
                                            'Possession'
                                          ],
                           'cheek.n' => [
                                        'Observable_bodyparts'
                                      ],
                           'view.v' => [
                                       'Perception_active'
                                     ],
                           'two-piece.n' => [
                                            'Clothing'
                                          ],
                           'disdain.n' => [
                                          'Judgment'
                                        ],
                           'bray.v' => [
                                       'Communication_noise',
                                       'Make_noise'
                                     ],
                           'marinate.v' => [
                                           'Soaking'
                                         ],
                           'thirsty.a' => [
                                          'Biological_urge',
                                          'Desiring'
                                        ],
                           'elbow.n' => [
                                        'Observable_bodyparts'
                                      ],
                           'grief.n' => [
                                        'Emotion_directed'
                                      ],
                           'doublet.n' => [
                                          'Clothing'
                                        ],
                           'confidential.a' => [
                                               'Secrecy_status'
                                             ],
                           'segregate.v' => [
                                            'Separation'
                                          ],
                           'incumbent.a' => [
                                            'Being_obligatory'
                                          ],
                           'deceased.a' => [
                                           'Dead_or_alive'
                                         ],
                           'dissolve.v' => [
                                           'Dispersal'
                                         ],
                           'haversack.n' => [
                                            'Containers'
                                          ],
                           'yearn.v' => [
                                        'Desiring',
                                        'Experiencer_subj'
                                      ],
                           'marshland.n' => [
                                            'Biological_area'
                                          ],
                           'innocence.n' => [
                                            'Guilt_or_innocence'
                                          ],
                           'disconcertion.n' => [
                                                'Emotion_directed'
                                              ],
                           'sore.a' => [
                                       'Emotion_directed'
                                     ],
                           'coffee.n' => [
                                         'Food'
                                       ],
                           'section.n' => [
                                          'Part_whole'
                                        ],
                           'styled.a' => [
                                         'Hair_configuration'
                                       ],
                           'beer.n' => [
                                       'Food'
                                     ],
                           'carjack.v' => [
                                          'Piracy'
                                        ],
                           'inspiration.n' => [
                                              'Subjective_influence'
                                            ],
                           'armour.n' => [
                                         'Clothing'
                                       ],
                           'compliment.n' => [
                                             'Judgment_direct_address'
                                           ],
                           'decrease.v' => [
                                           'Cause_change_of_scalar_position',
                                           'Change_position_on_a_scale'
                                         ],
                           'advise.v' => [
                                         'Attempt_suasion',
                                         'Telling'
                                       ],
                           'naked.a' => [
                                        'Wearing'
                                      ],
                           'snatch.n' => [
                                         'Theft'
                                       ],
                           'fib.v' => [
                                      'Prevarication'
                                    ],
                           'disconcert.v' => [
                                             'Experiencer_obj'
                                           ],
                           'recount.v' => [
                                          'Statement'
                                        ],
                           'pelt.n' => [
                                       'Observable_bodyparts'
                                     ],
                           'shack.n' => [
                                        'Buildings'
                                      ],
                           'leprosy.n' => [
                                          'Medical_conditions'
                                        ],
                           'bangle.n' => [
                                         'Accoutrements'
                                       ],
                           'amalgamate.v' => [
                                             'Amalgamation',
                                             'Cause_to_amalgamate'
                                           ],
                           'dispatch.v' => [
                                           'Killing',
                                           'Sending'
                                         ],
                           'abduction.n' => [
                                            'Kidnapping'
                                          ],
                           'country.n' => [
                                          'Locale_by_use',
                                          'Political_locales'
                                        ],
                           'diminish.v' => [
                                           'Cause_change_of_scalar_position',
                                           'Change_position_on_a_scale'
                                         ],
                           'patricide.n' => [
                                            'Killing'
                                          ],
                           'hold_tongue.v' => [
                                              'Become_silent'
                                            ],
                           'xylophone.n' => [
                                            'Noise_makers'
                                          ],
                           'impediment.n' => [
                                             'Hindering'
                                           ],
                           'spellbook.n' => [
                                            'Text'
                                          ],
                           'mouldy.a' => [
                                         'Being_rotted'
                                       ],
                           'illness.n' => [
                                          'Medical_conditions'
                                        ],
                           'seep.v' => [
                                       'Fluidic_motion'
                                     ],
                           'mumps.n' => [
                                        'Medical_conditions'
                                      ],
                           'inspire.v' => [
                                          'Subjective_influence',
                                          'Talking_into'
                                        ],
                           'take off.v' => [
                                           'Undressing'
                                         ],
                           'dermatology.n' => [
                                              'Medical_specialties'
                                            ],
                           'cloakroom.n' => [
                                            'Building_subparts'
                                          ],
                           'sip.n' => [
                                      'Ingestion'
                                    ],
                           'visa.n' => [
                                       'Documents'
                                     ],
                           'basket.n' => [
                                         'Containers'
                                       ],
                           'secretly.adv' => [
                                             'Secrecy_status'
                                           ],
                           'damages.n' => [
                                          'Fining'
                                        ],
                           'sweat.n' => [
                                        'Excreting'
                                      ],
                           'rain_event.n' => [
                                             'Precipitation'
                                           ],
                           'flummox.v' => [
                                          'Experiencer_obj'
                                        ],
                           'miss.n' => [
                                       'Attention_getting'
                                     ],
                           'ascent.n' => [
                                         'Path_shape'
                                       ],
                           'tutee.n' => [
                                        'Education_teaching'
                                      ],
                           'moan.v' => [
                                       'Communication_noise',
                                       'Make_noise'
                                     ],
                           'radiation_oncologist.n' => [
                                                       'Medical_professionals'
                                                     ],
                           'pet_name.n' => [
                                           'Being_named'
                                         ],
                           'endocrinologist.n' => [
                                                  'Medical_professionals'
                                                ],
                           'master bedroom.n' => [
                                                 'Building_subparts'
                                               ],
                           'eye.n' => [
                                      'Observable_bodyparts'
                                    ],
                           'allegedly.adv' => [
                                              'Unattributed_information'
                                            ],
                           'salty.a' => [
                                        'Chemical-sense_description'
                                      ],
                           'cease.v' => [
                                        'Activity_stop',
                                        'Process_stop'
                                      ],
                           'monograph.n' => [
                                            'Text'
                                          ],
                           'rivet.v' => [
                                        'Attaching'
                                      ],
                           'consideration.n' => [
                                                'Cogitation'
                                              ],
                           'forebear.n' => [
                                           'Kinship'
                                         ],
                           'despair.v' => [
                                          'Experiencer_subj'
                                        ],
                           'core.v' => [
                                       'Emptying'
                                     ],
                           'lacquered.a' => [
                                            'Abundance'
                                          ],
                           'eyelid.n' => [
                                         'Observable_bodyparts'
                                       ],
                           'swill.v' => [
                                        'Ingestion'
                                      ],
                           'replica.n' => [
                                          'Duplication'
                                        ],
                           'tradition.n' => [
                                            'Custom'
                                          ],
                           'palpate.v' => [
                                          'Perception_active',
                                          'Seeking'
                                        ],
                           'augur.v' => [
                                        'Omen'
                                      ],
                           'deplorable.a' => [
                                             'Praiseworthiness'
                                           ],
                           'verify.v' => [
                                         'Evidence',
                                         'Verification'
                                       ],
                           'close.v' => [
                                        'Body_movement',
                                        'Closure'
                                      ],
                           'placate.v' => [
                                          'Experiencer_obj'
                                        ],
                           'unintelligible.a' => [
                                                 'Grasp'
                                               ],
                           'bin.v' => [
                                      'Placing'
                                    ],
                           'jammed.a' => [
                                         'Abundance'
                                       ],
                           'photocopy.v' => [
                                            'Duplication'
                                          ],
                           'flannels.n' => [
                                           'Clothing'
                                         ],
                           'revengeful.a' => [
                                             'Revenge'
                                           ],
                           'thicket.n' => [
                                          'Biological_area'
                                        ],
                           'explosion.n' => [
                                            'Change_position_on_a_scale'
                                          ],
                           'dehumidification.n' => [
                                                   'Cause_to_be_dry'
                                                 ],
                           'pack.v' => [
                                       'Bearing_arms',
                                       'Filling',
                                       'Placing'
                                     ],
                           'beyond.prep' => [
                                            'Locative_relation'
                                          ],
                           'stance.n' => [
                                         'Posture'
                                       ],
                           'peep.v' => [
                                       'Cause_to_make_noise',
                                       'Make_noise',
                                       'Perception_active'
                                     ],
                           'brand_name.n' => [
                                             'Being_named'
                                           ],
                           'flame-thrower.n' => [
                                                'Weapon'
                                              ],
                           'win.v' => [
                                      'Finish_competition'
                                    ],
                           'slaughterer.n' => [
                                              'Killing'
                                            ],
                           'condensation.n' => [
                                               'Change_of_phase'
                                             ],
                           'crowded.a' => [
                                          'Abundance'
                                        ],
                           'inexpert.a' => [
                                           'Expertise'
                                         ],
                           'stamp.v' => [
                                        'Body_movement',
                                        'Self_motion'
                                      ],
                           'accoutrement.n' => [
                                               'Accoutrements'
                                             ],
                           'brainless.a' => [
                                            'Mental_property'
                                          ],
                           'recrimination.n' => [
                                                'Judgment_communication'
                                              ],
                           'realm.n' => [
                                        'Political_locales'
                                      ],
                           'huddle.n' => [
                                         'Aggregate'
                                       ],
                           'down.v' => [
                                       'Ingestion'
                                     ],
                           'plenty.adv' => [
                                           'Sufficiency'
                                         ],
                           'international.a' => [
                                                'Political_locales'
                                              ],
                           'gap.n' => [
                                      'Natural_features'
                                    ],
                           'anchored.a' => [
                                           'Being_attached'
                                         ],
                           'triple.v' => [
                                         'Change_position_on_a_scale'
                                       ],
                           'grip.v' => [
                                       'Manipulation'
                                     ],
                           'lining.n' => [
                                         'Part_inner_outer'
                                       ],
                           'ache.v' => [
                                       'Perception_body'
                                     ],
                           'blast.n' => [
                                        'Sounds'
                                      ],
                           'waste.v' => [
                                        'Frugality'
                                      ],
                           'sporadic.a' => [
                                           'Iteration'
                                         ],
                           'addicted.a' => [
                                           'Addiction'
                                         ],
                           'hem and haw.v' => [
                                              'Make_noise'
                                            ],
                           'have got.v' => [
                                           'Possession'
                                         ],
                           'alteration.n' => [
                                             'Cause_change'
                                           ],
                           'combust.v' => [
                                          'Setting_fire'
                                        ],
                           'livid.a' => [
                                        'Emotion_directed'
                                      ],
                           'provide.v' => [
                                          'Giving'
                                        ],
                           'medicine.n' => [
                                           'Medical_specialties'
                                         ],
                           'hot.a' => [
                                      'Ambient_temperature',
                                      'Chemical-sense_description',
                                      'Temperature'
                                    ],
                           'rehearsal_((mass)).n' => [
                                                     'Practice'
                                                   ],
                           'abominable.a' => [
                                             'Praiseworthiness',
                                             'Subject_stimulus'
                                           ],
                           'unfasten.v' => [
                                           'Closure'
                                         ],
                           'catastrophic.a' => [
                                               'Catastrophe'
                                             ],
                           'remonstrance.n' => [
                                               'Judgment_communication'
                                             ],
                           'neonate.n' => [
                                          'People_by_age'
                                        ],
                           'creation.n' => [
                                           'Intentionally_create'
                                         ],
                           'receive.v' => [
                                          'Receiving'
                                        ],
                           'gallivant.v' => [
                                            'Self_motion'
                                          ],
                           'type out.v' => [
                                           'Text_creation'
                                         ],
                           'compatible.a' => [
                                             'Compatibility'
                                           ],
                           'shut up.v' => [
                                          'Cause_confinement'
                                        ],
                           'mock.v' => [
                                       'Judgment',
                                       'Judgment_communication'
                                     ],
                           'single.a' => [
                                         'Personal_relationship',
                                         'Sole_instance'
                                       ],
                           'epidemiology.n' => [
                                               'Medical_specialties'
                                             ],
                           'school.v' => [
                                         'Education_teaching'
                                       ],
                           'proposal.n' => [
                                           'Statement'
                                         ],
                           'sexually assault.v' => [
                                                   'Rape'
                                                 ],
                           'tarn.n' => [
                                       'Natural_features'
                                     ],
                           'tendency.n' => [
                                           'Inclination'
                                         ],
                           'endangered.a' => [
                                             'Run_risk'
                                           ],
                           'demise.n' => [
                                         'Death'
                                       ],
                           'spicy.a' => [
                                        'Chemical-sense_description'
                                      ],
                           'off.prep' => [
                                         'Being_in_operation',
                                         'Locative_relation'
                                       ],
                           'fly-over country.n' => [
                                                   'Isolated_places'
                                                 ],
                           'lease.n' => [
                                        'Documents'
                                      ],
                           'lace.n' => [
                                       'Clothing_parts',
                                       'Connectors'
                                     ],
                           'belittling.n' => [
                                             'Judgment_communication'
                                           ],
                           'gift.v' => [
                                       'Giving'
                                     ],
                           'yap.v' => [
                                      'Make_noise'
                                    ],
                           'forget.v' => [
                                         'Memory',
                                         'Remembering_experience',
                                         'Remembering_information',
                                         'Remembering_to_do'
                                       ],
                           'strut.v' => [
                                        'Self_motion'
                                      ],
                           'endangerment.n' => [
                                               'Endangering'
                                             ],
                           'clique.n' => [
                                         'Aggregate'
                                       ],
                           'lie.n' => [
                                      'Prevarication'
                                    ],
                           'chapel.n' => [
                                         'Building_subparts'
                                       ],
                           'decry.v' => [
                                        'Judgment_communication'
                                      ],
                           'sheen.n' => [
                                        'Light_movement',
                                        'Location_of_light'
                                      ],
                           'spousal.a' => [
                                          'Personal_relationship'
                                        ],
                           'floe.n' => [
                                       'Natural_features'
                                     ],
                           'rent.v' => [
                                       'Commerce_buy',
                                       'Commerce_sell'
                                     ],
                           'butte.n' => [
                                        'Natural_features'
                                      ],
                           'form.n' => [
                                       'Type'
                                     ],
                           'apple.n' => [
                                        'Food'
                                      ],
                           'upstanding.a' => [
                                             'Morality_evaluation'
                                           ],
                           'instruction.n' => [
                                              'Education_teaching'
                                            ],
                           'red.a' => [
                                      'Color'
                                    ],
                           'explode.v' => [
                                          'Change_position_on_a_scale'
                                        ],
                           'homeopathy.n' => [
                                             'Medical_specialties'
                                           ],
                           'disappointment.n' => [
                                                 'Emotion_directed'
                                               ],
                           'photocopy.n' => [
                                            'Duplication'
                                          ],
                           'clatter.v' => [
                                          'Cause_impact',
                                          'Impact',
                                          'Make_noise',
                                          'Motion_noise'
                                        ],
                           'miffed.a' => [
                                         'Emotion_directed'
                                       ],
                           'detect.v' => [
                                         'Perception_experience'
                                       ],
                           'dribble.v' => [
                                          'Fluidic_motion'
                                        ],
                           'reassure.v' => [
                                           'Experiencer_obj'
                                         ],
                           'reprimand.n' => [
                                            'Judgment_direct_address'
                                          ],
                           'co-star.n' => [
                                          'Performers_and_roles'
                                        ],
                           'piquant.a' => [
                                          'Chemical-sense_description'
                                        ],
                           'antenna.n' => [
                                          'Observable_bodyparts'
                                        ],
                           'diligent.a' => [
                                           'Mental_property'
                                         ],
                           'pursue.v' => [
                                         'Cotheme'
                                       ],
                           'assert.v' => [
                                         'Statement'
                                       ],
                           'amends.n' => [
                                         'Reparation'
                                       ],
                           'influence((mass)).n' => [
                                                    'Influence_of_event_on_cognizer'
                                                  ],
                           'document.n' => [
                                           'Documents'
                                         ],
                           'encouraging.a' => [
                                              'Subject_stimulus'
                                            ],
                           'indignant.a' => [
                                            'Emotion_directed'
                                          ],
                           'adhere.v' => [
                                         'Compliance'
                                       ],
                           'rue.v' => [
                                      'Contrition',
                                      'Experiencer_subj'
                                    ],
                           'anus.n' => [
                                       'Observable_bodyparts'
                                     ],
                           'alleged.a' => [
                                          'Unattributed_information'
                                        ],
                           'shit.v' => [
                                       'Excreting',
                                       'Prevarication'
                                     ],
                           'underside.n' => [
                                            'Part_orientational'
                                          ],
                           'weary.a' => [
                                        'Biological_urge'
                                      ],
                           'lock.v' => [
                                       'Cause_confinement'
                                     ],
                           'tor.n' => [
                                      'Natural_features'
                                    ],
                           'clack.n' => [
                                        'Sounds'
                                      ],
                           'ounce.n' => [
                                        'Measure_mass',
                                        'Quantity'
                                      ],
                           'transaction.n' => [
                                              'Commercial_transaction'
                                            ],
                           'stop.v' => [
                                       'Activity_stop',
                                       'Halt',
                                       'Preventing',
                                       'Process_stop',
                                       'Thwarting'
                                     ],
                           'detest.v' => [
                                         'Experiencer_subj'
                                       ],
                           'aromatic.a' => [
                                           'Chemical-sense_description'
                                         ],
                           'pseudo.a' => [
                                         'Imitation'
                                       ],
                           'gilded.a' => [
                                         'Abundance'
                                       ],
                           'groom.v' => [
                                        'Grooming'
                                      ],
                           'appalled.a' => [
                                           'Emotion_directed'
                                         ],
                           'wail.v' => [
                                       'Communication_noise',
                                       'Make_noise'
                                     ],
                           'inspect.v' => [
                                          'Inspecting',
                                          'Scrutiny'
                                        ],
                           'room.v' => [
                                       'Residence'
                                     ],
                           'garbed.a' => [
                                         'Wearing'
                                       ],
                           'glasses.n' => [
                                          'Accoutrements'
                                        ],
                           'novelette.n' => [
                                            'Text'
                                          ],
                           'ooze.v' => [
                                       'Fluidic_motion'
                                     ],
                           'thriller.n' => [
                                           'Text'
                                         ],
                           'flake.v' => [
                                        'Grinding'
                                      ],
                           'take a piss.v' => [
                                              'Excreting'
                                            ],
                           'stage name.n' => [
                                             'Being_named'
                                           ],
                           'queen.n' => [
                                        'Leadership'
                                      ],
                           'recompense.v' => [
                                             'Rewards_and_punishments'
                                           ],
                           'of.prep' => [
                                        'Origin',
                                        'Partitive'
                                      ],
                           'accompany.v' => [
                                            'Cotheme'
                                          ],
                           'storm.v' => [
                                        'Attack',
                                        'Self_motion',
                                        'Weather'
                                      ],
                           'astonished.a' => [
                                             'Emotion_directed'
                                           ],
                           'room.n' => [
                                       'Building_subparts'
                                     ],
                           'still.adv' => [
                                          'State_continue'
                                        ],
                           'stupefaction.n' => [
                                               'Emotion_directed'
                                             ],
                           'danger.n' => [
                                         'Run_risk'
                                       ],
                           'scuffle.v' => [
                                          'Hostile_encounter'
                                        ],
                           'beneath.prep' => [
                                             'Locative_relation'
                                           ],
                           'renounce.v' => [
                                           'Renunciation'
                                         ],
                           'tying.n' => [
                                        'Attaching'
                                      ],
                           'contraband.n' => [
                                             'Smuggling'
                                           ],
                           'bespattered.a' => [
                                              'Abundance'
                                            ],
                           'flex.v' => [
                                       'Body_movement'
                                     ],
                           'regard.v' => [
                                         'Categorization'
                                       ],
                           'take to task.v' => [
                                               'Judgment_direct_address'
                                             ],
                           'assistant.n' => [
                                            'Subordinates_and_Superiors'
                                          ],
                           'sufficiently.adv' => [
                                                 'Sufficiency'
                                               ],
                           'skedaddle.v' => [
                                            'Departing'
                                          ],
                           'cement.v' => [
                                         'Attaching'
                                       ],
                           'moral.a' => [
                                        'Morality_evaluation'
                                      ],
                           'strait.n' => [
                                         'Natural_features'
                                       ],
                           'gladden.v' => [
                                          'Experiencer_obj'
                                        ],
                           'demolition.n' => [
                                             'Destroying'
                                           ],
                           'go.v' => [
                                     'Becoming',
                                     'Being_named',
                                     'Compatibility',
                                     'Motion'
                                   ],
                           'first-rate.a' => [
                                             'Desirability'
                                           ],
                           'cross-examination.n' => [
                                                    'Court_examination'
                                                  ],
                           'bracelet.n' => [
                                           'Accoutrements'
                                         ],
                           'influence.n' => [
                                            'Influence_of_event_on_cognizer',
                                            'Objective_influence',
                                            'Subjective_influence'
                                          ],
                           'sort.n' => [
                                       'Type'
                                     ],
                           'sprint.n' => [
                                         'Self_motion'
                                       ],
                           'mention.n' => [
                                          'Statement'
                                        ],
                           'meronym.n' => [
                                          'Word_relations'
                                        ],
                           'flash.v' => [
                                        'Light_movement',
                                        'Location_of_light'
                                      ],
                           'legal.a' => [
                                        'Legality'
                                      ],
                           'insidious.a' => [
                                            'Morality_evaluation'
                                          ],
                           'second-rate.a' => [
                                              'Desirability'
                                            ],
                           'city hall.n' => [
                                            'Buildings'
                                          ],
                           'sit.v' => [
                                      'Change_posture',
                                      'Placing',
                                      'Posture'
                                    ],
                           'tart.a' => [
                                       'Chemical-sense_description'
                                     ],
                           'ridicule.n' => [
                                           'Judgment_communication'
                                         ],
                           'hairpin.n' => [
                                          'Accoutrements'
                                        ],
                           'abundance.n' => [
                                            'Quantity'
                                          ],
                           'command.v' => [
                                          'Leadership',
                                          'Request'
                                        ],
                           'bestow.v' => [
                                         'Placing'
                                       ],
                           'victory.n' => [
                                          'Finish_competition'
                                        ],
                           'elevator.n' => [
                                           'Building_subparts',
                                           'Connecting_architecture'
                                         ],
                           'proscribe.v' => [
                                            'Prohibiting'
                                          ],
                           'enshroud.v' => [
                                           'Eclipse'
                                         ],
                           'scud-b missile.n' => [
                                                 'Weapon'
                                               ],
                           'behave.v' => [
                                         'Conduct'
                                       ],
                           'dismantle.v' => [
                                            'Destroying'
                                          ],
                           'degenerate.a' => [
                                             'Morality_evaluation'
                                           ],
                           'impact.v' => [
                                         'Impact',
                                         'Objective_influence',
                                         'Subjective_influence'
                                       ],
                           'blare.v' => [
                                        'Cause_to_make_noise',
                                        'Make_noise'
                                      ],
                           'clash.n' => [
                                        'Hostile_encounter',
                                        'Sounds'
                                      ],
                           'thump.v' => [
                                        'Cause_impact',
                                        'Impact',
                                        'Make_noise',
                                        'Motion_noise'
                                      ],
                           'print.v' => [
                                        'Text_creation'
                                      ],
                           'verdict.n' => [
                                          'Verdict'
                                        ],
                           'garter.n' => [
                                         'Clothing'
                                       ],
                           'raft.n' => [
                                       'Quantity'
                                     ],
                           'gnash.v' => [
                                        'Body_movement'
                                      ],
                           'will.n' => [
                                       'Documents'
                                     ],
                           'biennial.a' => [
                                           'Iteration'
                                         ],
                           'enrich.v' => [
                                         'Processing_materials'
                                       ],
                           'virtuous.a' => [
                                           'Morality_evaluation'
                                         ],
                           'chafe.v' => [
                                        'Emotion_heat'
                                      ],
                           'canteen.n' => [
                                          'Containers'
                                        ],
                           'glimmer.n' => [
                                          'Light_movement',
                                          'Location_of_light'
                                        ],
                           'alzheimer\'s.n' => [
                                              'Medical_conditions'
                                            ],
                           'revolver.n' => [
                                           'Weapon'
                                         ],
                           'science.n' => [
                                          'Craft'
                                        ],
                           'disapprove.v' => [
                                             'Judgment'
                                           ],
                           'spear.n' => [
                                        'Weapon'
                                      ],
                           'practice.n' => [
                                           'Businesses',
                                           'Custom',
                                           'Practice'
                                         ],
                           'evasive.a' => [
                                          'Candidness',
                                          'Evading'
                                        ],
                           'shorts.n' => [
                                         'Clothing'
                                       ],
                           'sploosh.v' => [
                                          'Make_noise'
                                        ],
                           'reminder.n' => [
                                           'Evoking'
                                         ],
                           'dentistry.n' => [
                                            'Medical_specialties'
                                          ],
                           'jaw-dropping.a' => [
                                               'Subject_stimulus'
                                             ],
                           'separation.n' => [
                                             'Forming_relationships'
                                           ],
                           'broad.a' => [
                                        'Dimension'
                                      ],
                           'evaluation.n' => [
                                             'Assessing'
                                           ],
                           'poncho.n' => [
                                         'Clothing'
                                       ],
                           'coach.n' => [
                                        'Vehicle'
                                      ],
                           'incomprehensible.a' => [
                                                   'Grasp'
                                                 ],
                           'circumcision.n' => [
                                               'Rite'
                                             ],
                           'descale.v' => [
                                          'Emptying'
                                        ],
                           'nod.v' => [
                                      'Body_movement',
                                      'Gesture'
                                    ],
                           'gentleman.n' => [
                                            'People'
                                          ],
                           'sagacious.a' => [
                                            'Mental_property'
                                          ],
                           'romp.v' => [
                                       'Self_motion'
                                     ],
                           'seizure.n' => [
                                          'Taking'
                                        ],
                           'chain.n' => [
                                        'Accoutrements',
                                        'Connectors'
                                      ],
                           'sack.n' => [
                                       'Containers'
                                     ],
                           'resignation.n' => [
                                              'Quitting'
                                            ],
                           'cataclysm.n' => [
                                            'Catastrophe'
                                          ],
                           'fazed.a' => [
                                        'Experiencer_subj'
                                      ],
                           'rave.v' => [
                                       'Communication_manner'
                                     ],
                           'family name.n' => [
                                              'Being_named'
                                            ],
                           'hush.v' => [
                                       'Become_silent',
                                       'Silencing'
                                     ],
                           'irksome.a' => [
                                          'Subject_stimulus'
                                        ],
                           'deep.a' => [
                                       'Dimension'
                                     ],
                           'effects.n' => [
                                          'Possession'
                                        ],
                           'send.v' => [
                                       'Causation',
                                       'Sending'
                                     ],
                           'retch.v' => [
                                        'Excreting'
                                      ],
                           'petrify.v' => [
                                          'Experiencer_obj'
                                        ],
                           'depot.n' => [
                                        'Locale_by_use'
                                      ],
                           'match.n' => [
                                        'Evaluative_comparison'
                                      ],
                           'beclouded.a' => [
                                            'Eclipse'
                                          ],
                           'parish.n' => [
                                         'Political_locales'
                                       ],
                           'terrible.a' => [
                                           'Desirability',
                                           'Expertise'
                                         ],
                           'stable.v' => [
                                         'Placing'
                                       ],
                           'inform.v' => [
                                         'Reporting',
                                         'Telling'
                                       ],
                           'soothing.a' => [
                                           'Subject_stimulus'
                                         ],
                           'part.n' => [
                                       'Membership',
                                       'Part_whole'
                                     ],
                           'pore.v' => [
                                       'Reading'
                                     ],
                           'import_act.n' => [
                                             'Import_export'
                                           ],
                           'summit.n' => [
                                         'Part_orientational'
                                       ],
                           'term.n' => [
                                       'Simple_name'
                                     ],
                           'astounded.a' => [
                                            'Emotion_directed'
                                          ],
                           'supposition.n' => [
                                              'Awareness'
                                            ],
                           'contract.n' => [
                                           'Documents'
                                         ],
                           'plight.n' => [
                                         'Predicament'
                                       ],
                           'flogging.n' => [
                                           'Corporal_punishment'
                                         ],
                           'squat.a' => [
                                        'Body_description_holistic'
                                      ],
                           'conversant.a' => [
                                             'Expertise'
                                           ],
                           'touch.n' => [
                                        'Quantity'
                                      ],
                           'breast.n' => [
                                         'Observable_bodyparts'
                                       ],
                           'assurance.n' => [
                                            'Telling'
                                          ],
                           'acquit.v' => [
                                         'Verdict'
                                       ],
                           'importance.n' => [
                                             'Importance'
                                           ],
                           'tundra.n' => [
                                         'Biological_area'
                                       ],
                           'undercut.v' => [
                                           'Subversion'
                                         ],
                           'admiring.a' => [
                                           'Judgment'
                                         ],
                           'swift.a' => [
                                        'Taking_time'
                                      ],
                           'hefty.a' => [
                                        'Body_description_holistic'
                                      ],
                           'certain.a' => [
                                          'Certainty',
                                          'Likelihood'
                                        ],
                           'funny.a' => [
                                        'Subject_stimulus'
                                      ],
                           'rhythmically.adv' => [
                                                 'Temporal_pattern'
                                               ],
                           'embezzlement.n' => [
                                               'Theft'
                                             ],
                           'upset.a' => [
                                        'Emotion_directed',
                                        'Experiencer_subj'
                                      ],
                           'purportedly.adv' => [
                                                'Unattributed_information'
                                              ],
                           'thin.v' => [
                                       'Cause_change_of_consistency'
                                     ],
                           'pontificate.v' => [
                                              'Speak_on_topic'
                                            ],
                           'village.n' => [
                                          'Locale_by_use',
                                          'Political_locales'
                                        ],
                           'right.n' => [
                                        'Part_orientational'
                                      ],
                           'tumble.v' => [
                                         'Change_position_on_a_scale'
                                       ],
                           'flip out.adv' => [
                                             'Losing_it'
                                           ],
                           'sight.n' => [
                                        'Sensation'
                                      ],
                           'click.n' => [
                                        'Sounds'
                                      ],
                           'tape.n' => [
                                       'Connectors'
                                     ],
                           'savour.n' => [
                                         'Sensation'
                                       ],
                           'use.v' => [
                                      'Ingest_substance',
                                      'Intentionally_affect',
                                      'Using'
                                    ],
                           'increase.v' => [
                                           'Cause_change_of_scalar_position',
                                           'Change_position_on_a_scale'
                                         ],
                           'join.v' => [
                                       'Cause_to_amalgamate'
                                     ],
                           'spring.n' => [
                                         'Calendric_unit',
                                         'Natural_features'
                                       ],
                           'lust.n' => [
                                       'Desiring'
                                     ],
                           'salesman.n' => [
                                           'People_by_vocation'
                                         ],
                           'nail.n' => [
                                       'Connectors'
                                     ],
                           'unify.v' => [
                                        'Amalgamation',
                                        'Cause_to_amalgamate'
                                      ],
                           'implant.v' => [
                                          'Placing'
                                        ],
                           'flustered.a' => [
                                            'Emotion_directed'
                                          ],
                           'cuff.n' => [
                                       'Clothing_parts'
                                     ],
                           'pardon.v' => [
                                         'Forgiveness',
                                         'Pardon'
                                       ],
                           'hospital.n' => [
                                           'Buildings'
                                         ],
                           'veranda.n' => [
                                          'Building_subparts'
                                        ],
                           'affirmation.n' => [
                                              'Statement'
                                            ],
                           'growl.v' => [
                                        'Communication_noise',
                                        'Make_noise'
                                      ],
                           'enough.a' => [
                                         'Sufficiency'
                                       ],
                           'afterward.adv' => [
                                              'Time_vector'
                                            ],
                           'glow.n' => [
                                       'Light_movement',
                                       'Location_of_light'
                                     ],
                           'festival.n' => [
                                           'Social_event'
                                         ],
                           'foyer.n' => [
                                        'Building_subparts'
                                      ],
                           'south.n' => [
                                        'Part_orientational'
                                      ],
                           'insufficiently.adv' => [
                                                   'Sufficiency'
                                                 ],
                           'ingest.v' => [
                                         'Ingestion'
                                       ],
                           'entertaining.a' => [
                                               'Subject_stimulus'
                                             ],
                           'take place.n' => [
                                             'Take_place_of'
                                           ],
                           'flavoursome.a' => [
                                              'Chemical-sense_description'
                                            ],
                           'craving.n' => [
                                          'Desiring'
                                        ],
                           'dope.n' => [
                                       'Intoxicants'
                                     ],
                           'glister.v' => [
                                          'Light_movement',
                                          'Location_of_light'
                                        ],
                           'punctual.a' => [
                                           'Relative_time'
                                         ],
                           'plaster.v' => [
                                          'Attaching',
                                          'Filling'
                                        ],
                           'goal.n' => [
                                       'Purpose'
                                     ],
                           'snowy.a' => [
                                        'Weather'
                                      ],
                           'suspect.v' => [
                                          'Awareness',
                                          'Suspicion'
                                        ],
                           'slew.n' => [
                                       'Aggregate'
                                     ],
                           'deliberate.v' => [
                                             'Cogitation',
                                             'Jury_deliberation'
                                           ],
                           'end_cessation.n' => [
                                                'Process_end'
                                              ],
                           'under.prep' => [
                                           'Locative_relation'
                                         ],
                           'fantastic.a' => [
                                            'Desirability',
                                            'Expertise',
                                            'Usefulness'
                                          ],
                           'violet.a' => [
                                         'Color'
                                       ],
                           'northernmost.a' => [
                                               'Part_orientational'
                                             ],
                           'smother.v' => [
                                          'Killing'
                                        ],
                           'interference.n' => [
                                               'Hindering'
                                             ],
                           'possibility.n' => [
                                              'Likelihood'
                                            ],
                           'psychologically.adv' => [
                                                    'Domain'
                                                  ],
                           'button_lip.v' => [
                                             'Become_silent'
                                           ],
                           'mumble.v' => [
                                         'Communication_manner'
                                       ],
                           'eject.v' => [
                                        'Removing'
                                      ],
                           'calendar year.n' => [
                                                'Calendric_unit'
                                              ],
                           'grenade.n' => [
                                          'Weapon'
                                        ],
                           'workroom.n' => [
                                           'Building_subparts'
                                         ],
                           'euthanize.v' => [
                                            'Killing'
                                          ],
                           'child abuse.n' => [
                                              'Offenses'
                                            ],
                           'incisor.n' => [
                                          'Observable_bodyparts'
                                        ],
                           'slayer.n' => [
                                         'Killing'
                                       ],
                           'rehearsal.n' => [
                                            'Practice'
                                          ],
                           'call in.v' => [
                                          'Contacting'
                                        ],
                           'sport.v' => [
                                        'Wearing'
                                      ],
                           'principal.n' => [
                                            'Leadership'
                                          ],
                           'mew.v' => [
                                      'Make_noise'
                                    ],
                           'slog.n' => [
                                       'Self_motion'
                                     ],
                           'permission.n' => [
                                             'Grant_permission'
                                           ],
                           'saturated.a' => [
                                            'Being_wet'
                                          ],
                           'wish.v' => [
                                       'Desiring'
                                     ],
                           'cure.n' => [
                                       'Cure'
                                     ],
                           'braided.a' => [
                                          'Hair_configuration'
                                        ],
                           'samovar.n' => [
                                          'Containers'
                                        ],
                           'peep.n' => [
                                       'Sounds'
                                     ],
                           'thirty.num' => [
                                           'Cardinal_numbers'
                                         ],
                           'drip.v' => [
                                       'Cause_fluidic_motion',
                                       'Fluidic_motion'
                                     ],
                           'crawling.a' => [
                                           'Abundance'
                                         ],
                           'chatterbox.n' => [
                                             'Volubility'
                                           ],
                           'pressure.v' => [
                                           'Attempt_suasion'
                                         ],
                           'run.v' => [
                                      'Cause_impact',
                                      'Cause_motion',
                                      'Fluidic_motion',
                                      'Impact',
                                      'Leadership',
                                      'Self_motion'
                                    ],
                           'overlord.n' => [
                                           'Leadership'
                                         ],
                           'confirmation.n' => [
                                               'Rite',
                                               'Verification'
                                             ],
                           'merger.n' => [
                                         'Amalgamation'
                                       ],
                           'hummock.n' => [
                                          'Natural_features'
                                        ],
                           'denigrate.v' => [
                                            'Judgment_communication'
                                          ],
                           'mescaline.n' => [
                                            'Intoxicants'
                                          ],
                           'cross.n' => [
                                        'Court_examination'
                                      ],
                           'redhead.n' => [
                                          'Body_description_part'
                                        ],
                           'scarlet.a' => [
                                          'Color'
                                        ],
                           'foreshadowing.n' => [
                                                'Omen'
                                              ],
                           'moisturize.v' => [
                                             'Grooming'
                                           ],
                           'shooting.n' => [
                                           'Killing'
                                         ],
                           'three.num' => [
                                          'Cardinal_numbers'
                                        ],
                           'chew.v' => [
                                       'Grinding'
                                     ],
                           'swathed.a' => [
                                          'Wearing'
                                        ],
                           'may.n' => [
                                      'Calendric_unit'
                                    ],
                           'remember.v' => [
                                           'Memory',
                                           'Remembering_experience',
                                           'Remembering_information',
                                           'Remembering_to_do'
                                         ],
                           'joke.v' => [
                                       'Chatting',
                                       'Prevarication'
                                     ],
                           'brief.n' => [
                                        'Documents'
                                      ],
                           'somnolence.n' => [
                                             'Biological_urge'
                                           ],
                           'toothsome.a' => [
                                            'Chemical-sense_description'
                                          ],
                           'vaporize.v' => [
                                           'Change_of_phase',
                                           'Destroying'
                                         ],
                           'cay.n' => [
                                      'Natural_features'
                                    ],
                           'strike.n' => [
                                         'Attack'
                                       ],
                           'dismiss.v' => [
                                          'Firing'
                                        ],
                           'amigo.n' => [
                                        'Personal_relationship'
                                      ],
                           'on-going.a' => [
                                           'Process_continue'
                                         ],
                           'kinsman.n' => [
                                          'Kinship'
                                        ],
                           'impudent.a' => [
                                           'Social_interaction_evaluation'
                                         ],
                           'relate.v' => [
                                         'Statement'
                                       ],
                           'risk.v' => [
                                       'Daring'
                                     ],
                           'prior.adv' => [
                                          'Time_vector'
                                        ],
                           'tattoo.n' => [
                                         'Body_decoration'
                                       ],
                           'mouth.n' => [
                                        'Observable_bodyparts',
                                        'Shaped_part'
                                      ],
                           'interior.n' => [
                                           'Part_inner_outer'
                                         ],
                           'loudmouth.n' => [
                                            'Volubility'
                                          ],
                           'involved.a' => [
                                           'Participation'
                                         ],
                           'monday.n' => [
                                         'Calendric_unit'
                                       ],
                           'route.n' => [
                                        'Roadways'
                                      ],
                           'laud.v' => [
                                       'Judgment_communication'
                                     ],
                           'shrewd.a' => [
                                         'Mental_property'
                                       ],
                           'artery.n' => [
                                         'Roadways'
                                       ],
                           'collect.v' => [
                                          'Commerce_collect'
                                        ],
                           'flutter.v' => [
                                          'Body_movement'
                                        ],
                           'jailhouse.n' => [
                                            'Prison'
                                          ],
                           'chairman.n' => [
                                           'Leadership'
                                         ],
                           'herd.v' => [
                                       'Gathering_up'
                                     ],
                           'twist.v' => [
                                        'Experience_bodily_harm'
                                      ],
                           'methamphetamine.n' => [
                                                  'Intoxicants'
                                                ],
                           'albino.a' => [
                                         'Body_description_part'
                                       ],
                           'tie.n' => [
                                      'Clothing',
                                      'Connectors',
                                      'Finish_competition',
                                      'Make_cognitive_connection',
                                      'Social_connection'
                                    ],
                           'winding.a' => [
                                          'Path_shape'
                                        ],
                           'tractate.n' => [
                                           'Text'
                                         ],
                           'inhale.v' => [
                                         'Breathing'
                                       ],
                           'nameless.a' => [
                                           'Being_named'
                                         ],
                           'pair.n' => [
                                       'Cardinal_numbers'
                                     ],
                           'manufacturing.n' => [
                                                'Manufacturing'
                                              ],
                           'draped.a' => [
                                         'Abundance'
                                       ],
                           'puff.v' => [
                                       'Breathing'
                                     ],
                           'belittlement.n' => [
                                               'Judgment_communication'
                                             ],
                           'expanse.n' => [
                                          'Shapes'
                                        ],
                           'bluntness.n' => [
                                            'Candidness'
                                          ],
                           'recurrent.a' => [
                                            'Iteration'
                                          ],
                           'reduce.v' => [
                                         'Cause_change_of_scalar_position'
                                       ],
                           'glide.v' => [
                                        'Motion'
                                      ],
                           'prohibition.n' => [
                                              'Prohibiting'
                                            ],
                           'rankle.v' => [
                                         'Experiencer_obj'
                                       ],
                           'base.a' => [
                                       'Morality_evaluation'
                                     ],
                           'salt.v' => [
                                       'Preserving'
                                     ],
                           'structure.n' => [
                                            'Buildings'
                                          ],
                           'suspicion.n' => [
                                            'Awareness'
                                          ],
                           'doff.v' => [
                                       'Undressing'
                                     ],
                           'experience.v' => [
                                             'Feeling'
                                           ],
                           'decide.v' => [
                                         'Choosing',
                                         'Deciding'
                                       ],
                           'meat.n' => [
                                       'Food'
                                     ],
                           'five.num' => [
                                         'Cardinal_numbers'
                                       ],
                           'tetanus.n' => [
                                          'Medical_conditions'
                                        ],
                           'discontinuation.n' => [
                                                  'Process_stop'
                                                ],
                           'wmd.n' => [
                                      'Weapon'
                                    ],
                           'termination.n' => [
                                              'Firing'
                                            ],
                           'reach.v' => [
                                        'Arriving',
                                        'Contacting',
                                        'Path_shape'
                                      ],
                           'clod.n' => [
                                       'Part_piece'
                                     ],
                           'betrothed.n' => [
                                            'Personal_relationship'
                                          ],
                           'braless.a' => [
                                          'Wearing'
                                        ],
                           'perimeter.n' => [
                                            'Part_inner_outer'
                                          ],
                           'conflict.n' => [
                                           'Hostile_encounter'
                                         ],
                           'ladle.n' => [
                                        'Containers'
                                      ],
                           'pledge.v' => [
                                         'Commitment'
                                       ],
                           'shanghai.v' => [
                                           'Kidnapping'
                                         ],
                           'copse.n' => [
                                        'Biological_area'
                                      ],
                           'cart.v' => [
                                       'Bringing'
                                     ],
                           'neckwear.n' => [
                                           'Clothing'
                                         ],
                           'buckle.n' => [
                                         'Clothing_parts'
                                       ],
                           'stretch.v' => [
                                          'Body_movement',
                                          'Expansion'
                                        ],
                           'disrespect.n' => [
                                             'Judgment'
                                           ],
                           'scare.v' => [
                                        'Experiencer_obj'
                                      ],
                           'trilogy.n' => [
                                          'Text'
                                        ],
                           'lined.a' => [
                                        'Abundance'
                                      ],
                           'bring.v' => [
                                        'Bringing'
                                      ],
                           'location.n' => [
                                           'Locale'
                                         ],
                           'hold.v' => [
                                       'Containing',
                                       'Detaining'
                                     ],
                           'correctional institution.n' => [
                                                           'Prison'
                                                         ],
                           'coruscate.v' => [
                                            'Light_movement',
                                            'Location_of_light'
                                          ],
                           'mess up.v' => [
                                          'Bungling'
                                        ],
                           'dingle.n' => [
                                         'Natural_features'
                                       ],
                           'avalanche.n' => [
                                            'Quantity'
                                          ],
                           'novel.n' => [
                                        'Text'
                                      ],
                           'return.n' => [
                                         'Arriving'
                                       ],
                           't-shirt.n' => [
                                          'Clothing'
                                        ],
                           'ludicrous.a' => [
                                            'Mental_property'
                                          ],
                           'insist.v' => [
                                         'Statement'
                                       ],
                           'outstanding.a' => [
                                              'Desirability',
                                              'Expertise',
                                              'Usefulness'
                                            ],
                           'alter.v' => [
                                        'Cause_change'
                                      ],
                           'peerless.a' => [
                                           'Beyond_compare'
                                         ],
                           'neigh.v' => [
                                        'Make_noise'
                                      ],
                           'warrant.n' => [
                                          'Deserving',
                                          'Documents'
                                        ],
                           'mailer.n' => [
                                         'Containers'
                                       ],
                           'vinegar.n' => [
                                          'Food'
                                        ],
                           'widow.v' => [
                                        'Personal_relationship'
                                      ],
                           'shell.n' => [
                                        'Part_inner_outer'
                                      ],
                           'needed.a' => [
                                         'Requirements'
                                       ],
                           'bare-armed.a' => [
                                             'Wearing'
                                           ],
                           'shut_up.v' => [
                                          'Become_silent',
                                          'Silencing'
                                        ],
                           'bound.a' => [
                                        'Being_attached',
                                        'Being_obligated',
                                        'Likelihood'
                                      ],
                           'edition.n' => [
                                          'Text'
                                        ],
                           'forearm.n' => [
                                          'Observable_bodyparts'
                                        ],
                           'fob_off.v' => [
                                          'Giving'
                                        ],
                           'bolt.v' => [
                                       'Departing',
                                       'Self_motion'
                                     ],
                           'confer.v' => [
                                         'Discussion'
                                       ],
                           'ribbon.n' => [
                                         'Accoutrements',
                                         'Connectors',
                                         'Shapes'
                                       ],
                           'boudoir.n' => [
                                          'Building_subparts'
                                        ],
                           'curtsy.n' => [
                                         'Body_movement'
                                       ],
                           'tweet.v' => [
                                        'Make_noise'
                                      ],
                           'fed-up.a' => [
                                         'Emotion_directed'
                                       ],
                           'delight.n' => [
                                          'Emotion_directed',
                                          'Subject_stimulus'
                                        ],
                           'spice.n' => [
                                        'Food'
                                      ],
                           'palliate.v' => [
                                           'Cure'
                                         ],
                           'schizophrenia.n' => [
                                                'Medical_conditions'
                                              ],
                           'kimono.n' => [
                                         'Clothing'
                                       ],
                           'spoonful.n' => [
                                           'Measure_volume'
                                         ],
                           'ominous.a' => [
                                          'Omen'
                                        ],
                           'perch.v' => [
                                        'Placing'
                                      ],
                           'cheesecake.n' => [
                                             'Food'
                                           ],
                           'fizz.v' => [
                                       'Motion_noise'
                                     ],
                           'motivation.n' => [
                                             'Reason'
                                           ],
                           'foot.n' => [
                                       'Measure_linear_extent',
                                       'Observable_bodyparts',
                                       'Part_orientational'
                                     ],
                           'capacity.n' => [
                                           'Capability'
                                         ],
                           'trans-shipping.n' => [
                                                 'Import_export'
                                               ],
                           'swim.n' => [
                                       'Self_motion'
                                     ],
                           'december.n' => [
                                           'Calendric_unit'
                                         ],
                           'dad.n' => [
                                      'Kinship'
                                    ],
                           'urge.n' => [
                                       'Desiring'
                                     ],
                           'collocate.n' => [
                                            'Word_relations'
                                          ],
                           'inch.n' => [
                                       'Measure_linear_extent'
                                     ],
                           'miscreant.n' => [
                                            'People_by_morality'
                                          ],
                           'lengthen.v' => [
                                           'Cause_expansion',
                                           'Expansion'
                                         ],
                           'tweeds.n' => [
                                         'Clothing'
                                       ],
                           'downpour.n' => [
                                           'Precipitation'
                                         ],
                           'dance.n' => [
                                        'Social_event'
                                      ],
                           'culturally.adv' => [
                                               'Domain'
                                             ],
                           'moor.v' => [
                                       'Attaching',
                                       'Inchoative_attaching'
                                     ],
                           'shawl.n' => [
                                        'Clothing'
                                      ],
                           'gleam.v' => [
                                        'Light_movement',
                                        'Location_of_light'
                                      ],
                           'barefooted.a' => [
                                             'Wearing'
                                           ],
                           'eastern.a' => [
                                          'Part_orientational'
                                        ],
                           'dodge.v' => [
                                        'Avoiding',
                                        'Evading'
                                      ],
                           'bull-headed.a' => [
                                              'Mental_property'
                                            ],
                           'void.v' => [
                                       'Emitting',
                                       'Emptying',
                                       'Excreting'
                                     ],
                           'wake up.v' => [
                                          'Waking_up'
                                        ],
                           'occasional.a' => [
                                             'Iteration'
                                           ],
                           'straightforward.a' => [
                                                  'Candidness'
                                                ],
                           'depose.v' => [
                                         'Change_of_leadership'
                                       ],
                           'late.a' => [
                                       'Relative_time'
                                     ],
                           'strip.n' => [
                                        'Shapes'
                                      ],
                           'sweaty.a' => [
                                         'Being_wet'
                                       ],
                           'asphalt.v' => [
                                          'Filling'
                                        ],
                           'plunk.v' => [
                                        'Impact'
                                      ],
                           'psoriasis.n' => [
                                            'Medical_conditions'
                                          ],
                           'guest room.n' => [
                                             'Building_subparts'
                                           ],
                           'scoff.v' => [
                                        'Judgment_communication'
                                      ],
                           'tie up.v' => [
                                         'Activity_finish',
                                         'Immobilization'
                                       ],
                           'muff.n' => [
                                       'Clothing'
                                     ],
                           'folder.n' => [
                                         'Containers'
                                       ],
                           'fortnight.n' => [
                                            'Calendric_unit'
                                          ],
                           'crestfallen.a' => [
                                              'Emotion_directed'
                                            ],
                           'gumboot.n' => [
                                          'Clothing'
                                        ],
                           'smuggling.n' => [
                                            'Smuggling'
                                          ],
                           'prefer.v' => [
                                         'Partiality'
                                       ],
                           'actress.n' => [
                                          'People_by_vocation',
                                          'Performers'
                                        ],
                           'departure.n' => [
                                            'Departing'
                                          ],
                           'denude.v' => [
                                         'Emptying'
                                       ],
                           'cudgel.v' => [
                                         'Cause_harm'
                                       ],
                           'signatory.n' => [
                                            'Sign_agreement'
                                          ],
                           'guy.n' => [
                                      'Attention_getting',
                                      'People'
                                    ],
                           'creditable.a' => [
                                             'Praiseworthiness'
                                           ],
                           'toxic.a' => [
                                        'Toxic_substance'
                                      ],
                           'pay.v' => [
                                      'Commerce_pay'
                                    ],
                           'pardon.n' => [
                                         'Pardon'
                                       ],
                           'yak.v' => [
                                      'Chatting'
                                    ],
                           'memory.n' => [
                                         'Memory',
                                         'Remembering_experience'
                                       ],
                           'drench.v' => [
                                         'Cause_to_be_wet'
                                       ],
                           'done.a' => [
                                       'Activity_done_state',
                                       'Process_completed_state'
                                     ],
                           'generous.a' => [
                                           'Stinginess'
                                         ],
                           'asthma.n' => [
                                         'Medical_conditions'
                                       ],
                           'jostling.a' => [
                                           'Abundance'
                                         ],
                           'gossip.v' => [
                                         'Chatting'
                                       ],
                           'insightful.a' => [
                                             'Mental_property'
                                           ],
                           'illegal.a' => [
                                          'Legality'
                                        ],
                           'deformation.n' => [
                                              'Reshaping'
                                            ],
                           'repentance.n' => [
                                             'Contrition'
                                           ],
                           'narrow.v' => [
                                         'Cause_expansion'
                                       ],
                           'chest.n' => [
                                        'Containers',
                                        'Observable_bodyparts'
                                      ],
                           'snifter.n' => [
                                          'Containers'
                                        ],
                           'delay.v' => [
                                        'Change_event_time',
                                        'Hindering'
                                      ],
                           'brother-in-law.n' => [
                                                 'Kinship'
                                               ],
                           'eviscerate.v' => [
                                             'Emptying'
                                           ],
                           'raw.a' => [
                                      'Degree_of_processing'
                                    ],
                           'sandbar.n' => [
                                          'Natural_features'
                                        ],
                           'tsarina.n' => [
                                          'Leadership'
                                        ],
                           'write up.v' => [
                                           'Text_creation'
                                         ],
                           'astonish.v' => [
                                           'Experiencer_obj'
                                         ],
                           'come to a close.v' => [
                                                  'Process_end'
                                                ],
                           'voyage.n' => [
                                         'Travel'
                                       ],
                           'infanticide.n' => [
                                              'Killing'
                                            ],
                           'headdress.n' => [
                                            'Accoutrements'
                                          ],
                           'busload.n' => [
                                          'Measure_volume'
                                        ],
                           'cholangitis.n' => [
                                              'Medical_conditions'
                                            ],
                           'pulp.v' => [
                                       'Reshaping'
                                     ],
                           'strongylosis.n' => [
                                               'Medical_conditions'
                                             ],
                           'beret.n' => [
                                        'Accoutrements'
                                      ],
                           'evasion.n' => [
                                          'Avoiding',
                                          'Evading'
                                        ],
                           'temperature.n' => [
                                              'Ambient_temperature',
                                              'Temperature'
                                            ],
                           'volcano.n' => [
                                          'Natural_features'
                                        ],
                           'collision.n' => [
                                            'Impact'
                                          ],
                           'scowl.n' => [
                                        'Facial_expression'
                                      ],
                           'assemble.v' => [
                                           'Building',
                                           'Congregating',
                                           'Creating',
                                           'Gathering_up'
                                         ],
                           'old.a' => [
                                      'Age'
                                    ],
                           'thronged.a' => [
                                           'Abundance'
                                         ],
                           'room-mate.n' => [
                                            'Residence'
                                          ],
                           'sensitivity.n' => [
                                              'Health_response'
                                            ],
                           'goon.n' => [
                                       'Subordinates_and_Superiors'
                                     ],
                           'piss.v' => [
                                       'Excreting'
                                     ],
                           'retard.v' => [
                                         'Hindering'
                                       ],
                           'range.n' => [
                                        'Natural_features'
                                      ],
                           'cello.n' => [
                                        'Noise_makers'
                                      ],
                           'pin.v' => [
                                      'Attaching'
                                    ],
                           'palatable.a' => [
                                            'Chemical-sense_description'
                                          ],
                           'pilfering.n' => [
                                            'Theft'
                                          ],
                           'savanna.n' => [
                                          'Biological_area'
                                        ],
                           'pinafore.n' => [
                                           'Clothing'
                                         ],
                           'cause.v' => [
                                        'Causation'
                                      ],
                           'huff.v' => [
                                       'Breathing'
                                     ],
                           'trail.v' => [
                                        'Cotheme'
                                      ],
                           'scuttle.v' => [
                                          'Self_motion'
                                        ],
                           'aka.a' => [
                                      'Being_named'
                                    ],
                           'discard.v' => [
                                          'Removing'
                                        ],
                           'lengthy.a' => [
                                          'Duration'
                                        ],
                           'interfere.v' => [
                                            'Hindering'
                                          ],
                           'incomparable.a' => [
                                               'Beyond_compare'
                                             ],
                           'blemish.n' => [
                                          'Body_mark'
                                        ],
                           'ponder.v' => [
                                         'Cogitation'
                                       ],
                           'forgery.n' => [
                                          'Imitation'
                                        ],
                           'blink.v' => [
                                        'Body_movement'
                                      ],
                           'end.v' => [
                                      'Cause_to_end',
                                      'Process_end'
                                    ],
                           'widen.v' => [
                                        'Cause_expansion'
                                      ],
                           'withy.n' => [
                                        'Connectors'
                                      ],
                           'step.n' => [
                                       'Intentionally_act',
                                       'Self_motion'
                                     ],
                           'condition.n' => [
                                            'Medical_conditions'
                                          ],
                           'loft.n' => [
                                       'Building_subparts'
                                     ],
                           'cooler.n' => [
                                         'Containers'
                                       ],
                           'ineptitude.n' => [
                                             'Expertise'
                                           ],
                           'conviction.n' => [
                                             'Verdict'
                                           ],
                           'tell off.v' => [
                                           'Judgment_direct_address'
                                         ],
                           'inquire.v' => [
                                          'Criminal_investigation',
                                          'Questioning'
                                        ],
                           'crown.n' => [
                                        'Accoutrements',
                                        'Observable_bodyparts'
                                      ],
                           'on the loose.prep' => [
                                                  'Detaining'
                                                ],
                           'cowl.n' => [
                                       'Clothing',
                                       'Clothing_parts'
                                     ],
                           'throw off.v' => [
                                            'Undressing'
                                          ],
                           'arraign.v' => [
                                          'Arraignment'
                                        ],
                           'badge.n' => [
                                        'Accoutrements'
                                      ],
                           'mince.v' => [
                                        'Cutting',
                                        'Self_motion'
                                      ],
                           'thump.n' => [
                                        'Sounds'
                                      ],
                           'dependent.a' => [
                                            'Contingency'
                                          ],
                           'hacienda.n' => [
                                           'Buildings'
                                         ],
                           'niece.n' => [
                                        'Kinship'
                                      ],
                           'informer.n' => [
                                           'Reporting'
                                         ],
                           'freaked.a' => [
                                          'Experiencer_subj'
                                        ],
                           'eyeball.v' => [
                                          'Scrutiny'
                                        ],
                           'urn.n' => [
                                      'Containers'
                                    ],
                           'squabble.n' => [
                                           'Hostile_encounter',
                                           'Quarreling'
                                         ],
                           'curdle.v' => [
                                         'Cause_change_of_consistency',
                                         'Change_of_consistency'
                                       ],
                           'replete.a' => [
                                          'Abundance'
                                        ],
                           'otoscope.n' => [
                                           'Medical_instruments'
                                         ],
                           'sword.n' => [
                                        'Weapon'
                                      ],
                           'smear.v' => [
                                        'Filling',
                                        'Placing'
                                      ],
                           'fling.v' => [
                                        'Body_movement',
                                        'Cause_motion'
                                      ],
                           'smothering.n' => [
                                             'Killing'
                                           ],
                           'empty.v' => [
                                        'Emptying',
                                        'Removing'
                                      ],
                           'regurgitate.v' => [
                                              'Excreting'
                                            ],
                           'star.n' => [
                                       'Performers_and_roles'
                                     ],
                           'crate.v' => [
                                        'Placing'
                                      ],
                           'pivotal.a' => [
                                          'Importance'
                                        ],
                           'answer.n' => [
                                         'Communication_response'
                                       ],
                           'radiologist.n' => [
                                              'Medical_professionals'
                                            ],
                           'reparation.n' => [
                                             'Reparation'
                                           ],
                           'scatter.v' => [
                                          'Dispersal',
                                          'Filling'
                                        ],
                           'bike.n' => [
                                       'Vehicle'
                                     ],
                           'jeer.v' => [
                                       'Judgment_direct_address'
                                     ],
                           'go ballistic.v' => [
                                               'Losing_it'
                                             ],
                           'consecration.n' => [
                                               'Rite'
                                             ],
                           'wizard.n' => [
                                         'Expertise'
                                       ],
                           'tentacle.n' => [
                                           'Observable_bodyparts'
                                         ],
                           'gut.v' => [
                                      'Emptying'
                                    ],
                           'parley.v' => [
                                         'Discussion'
                                       ],
                           'suit.v' => [
                                       'Suitability'
                                     ],
                           'bowl.n' => [
                                       'Containers',
                                       'Measure_volume'
                                     ],
                           'observe.v' => [
                                          'Compliance',
                                          'Perception_active'
                                        ],
                           'medallion.n' => [
                                            'Accoutrements'
                                          ],
                           'infant.n' => [
                                         'People_by_age'
                                       ],
                           'aroused.a' => [
                                          'Biological_urge'
                                        ],
                           'hunt.v' => [
                                       'Seeking'
                                     ],
                           'chubby.a' => [
                                         'Body_description_holistic'
                                       ],
                           'lustre.n' => [
                                         'Location_of_light'
                                       ],
                           'iniquitous.a' => [
                                             'Morality_evaluation'
                                           ],
                           'vision.n' => [
                                         'Sensation'
                                       ],
                           'exhilarate.v' => [
                                             'Experiencer_obj'
                                           ],
                           'acropolis.n' => [
                                            'Buildings'
                                          ],
                           'crossbow.n' => [
                                           'Weapon'
                                         ],
                           'hum.v' => [
                                      'Make_noise'
                                    ],
                           'meaning.n' => [
                                          'Linguistic_meaning'
                                        ],
                           'revenge.v' => [
                                          'Revenge'
                                        ],
                           'dine.v' => [
                                       'Ingestion'
                                     ],
                           'drizzled.a' => [
                                           'Abundance'
                                         ],
                           'stew.v' => [
                                       'Absorb_heat',
                                       'Apply_heat',
                                       'Emotion_heat'
                                     ],
                           'lavatory.n' => [
                                           'Building_subparts'
                                         ],
                           'father-in-law.n' => [
                                                'Kinship'
                                              ],
                           'recovery.n' => [
                                           'Recovery'
                                         ],
                           'unsettling.a' => [
                                             'Subject_stimulus'
                                           ],
                           'alike.a' => [
                                        'Similarity'
                                      ],
                           'talk.n' => [
                                       'Discussion'
                                     ],
                           'chicagoan.n' => [
                                            'People_by_origin'
                                          ],
                           'meditate.v' => [
                                           'Cogitation'
                                         ],
                           'absurdity.n' => [
                                            'Mental_property'
                                          ],
                           'memoir.n' => [
                                         'Text'
                                       ],
                           'reflect.v' => [
                                          'Cogitation'
                                        ],
                           'shout.v' => [
                                        'Communication_manner'
                                      ],
                           'belittle.v' => [
                                           'Judgment_communication'
                                         ],
                           'thunder.n' => [
                                          'Sounds'
                                        ],
                           'wire.n' => [
                                       'Connectors'
                                     ],
                           'race.n' => [
                                       'Type'
                                     ],
                           'death.n' => [
                                        'Death'
                                      ],
                           'aunt.n' => [
                                       'Kinship'
                                     ],
                           'congeal.v' => [
                                          'Change_of_consistency'
                                        ],
                           'brusque.a' => [
                                          'Volubility'
                                        ],
                           'high-minded.a' => [
                                              'Morality_evaluation'
                                            ],
                           'pulverized.a' => [
                                             'Ground_up'
                                           ],
                           'gardener.n' => [
                                           'People_by_vocation'
                                         ],
                           'pummel.v' => [
                                         'Cause_harm'
                                       ],
                           'wrangle.v' => [
                                          'Quarreling'
                                        ],
                           'stalemate.n' => [
                                            'Hostile_encounter'
                                          ],
                           'windbreaker.n' => [
                                              'Clothing'
                                            ],
                           'concern.n' => [
                                          'Emotion_directed'
                                        ],
                           'biscuit.n' => [
                                          'Food'
                                        ],
                           'fire.v' => [
                                       'Firing',
                                       'Shoot_projectiles',
                                       'Use_firearm'
                                     ],
                           'decorate.v' => [
                                           'Adorning'
                                         ],
                           'fight.n' => [
                                        'Hostile_encounter',
                                        'Quarreling'
                                      ],
                           'desire.v' => [
                                         'Desiring',
                                         'Experiencer_subj'
                                       ],
                           'kiosk.n' => [
                                        'Buildings'
                                      ],
                           'refulgent.a' => [
                                            'Location_of_light'
                                          ],
                           'shift.n' => [
                                        'Clothing'
                                      ],
                           'nicotine.n' => [
                                           'Intoxicants'
                                         ],
                           'hobble.v' => [
                                         'Self_motion'
                                       ],
                           'scowl.v' => [
                                        'Making_faces'
                                      ],
                           'sea.n' => [
                                      'Natural_features'
                                    ],
                           'whine.n' => [
                                        'Sounds'
                                      ],
                           'unsettle.v' => [
                                           'Experiencer_obj'
                                         ],
                           'measure.v' => [
                                          'Dimension'
                                        ],
                           'wiggle.v' => [
                                         'Body_movement'
                                       ],
                           'bomb.n' => [
                                       'Weapon'
                                     ],
                           'collar.n' => [
                                         'Clothing_parts'
                                       ],
                           'downer.n' => [
                                         'Intoxicants'
                                       ],
                           'importation.n' => [
                                              'Import_export'
                                            ],
                           'fray.n' => [
                                       'Fighting_activity'
                                     ],
                           'grunt.n' => [
                                        'Sounds'
                                      ],
                           'rile.v' => [
                                       'Experiencer_obj'
                                     ],
                           'maiden name.n' => [
                                              'Being_named'
                                            ],
                           'whistle.n' => [
                                          'Sounds'
                                        ],
                           'alias.n' => [
                                        'Being_named'
                                      ],
                           'affliction.n' => [
                                             'Medical_conditions'
                                           ],
                           'competent.a' => [
                                            'Expertise'
                                          ],
                           'evacuate.v' => [
                                           'Emptying',
                                           'Escaping',
                                           'Excreting',
                                           'Removing'
                                         ],
                           'sway.v' => [
                                       'Suasion'
                                     ],
                           'testing.n' => [
                                          'Operational_testing'
                                        ],
                           'taped.a' => [
                                        'Being_attached'
                                      ],
                           'blow_it.v' => [
                                          'Bungling'
                                        ],
                           'billions.n' => [
                                           'Quantity'
                                         ],
                           'stammer.v' => [
                                          'Communication_manner'
                                        ],
                           'sister-in-law.n' => [
                                                'Kinship'
                                              ],
                           'ashamed.a' => [
                                          'Emotion_directed'
                                        ],
                           'hiss.n' => [
                                       'Sounds'
                                     ],
                           'family.n' => [
                                         'Aggregate',
                                         'Kinship'
                                       ],
                           'shed.n' => [
                                       'Buildings'
                                     ],
                           'brush.v' => [
                                        'Filling',
                                        'Placing'
                                      ],
                           'robbery.n' => [
                                          'Offenses',
                                          'Robbery'
                                        ],
                           'feast.n' => [
                                        'Social_event'
                                      ],
                           'pulverize.v' => [
                                            'Grinding'
                                          ],
                           'offend.v' => [
                                         'Experiencer_obj'
                                       ],
                           'kneel.v' => [
                                        'Body_movement',
                                        'Change_posture',
                                        'Posture'
                                      ],
                           'exchange.v' => [
                                           'Exchange',
                                           'Exchange_currency',
                                           'Replacing'
                                         ],
                           'attack.n' => [
                                         'Attack'
                                       ],
                           'seesaw.v' => [
                                         'Cause_to_move_in_place'
                                       ],
                           'brassiere.n' => [
                                            'Clothing'
                                          ],
                           'freeze.v' => [
                                         'Activity_pause',
                                         'Cause_change_of_phase',
                                         'Change_of_phase'
                                       ],
                           'school year.n' => [
                                              'Calendric_unit'
                                            ],
                           'statement.n' => [
                                            'Statement'
                                          ],
                           'cognomen.n' => [
                                           'Being_named'
                                         ],
                           'pantyhose.n' => [
                                            'Clothing'
                                          ],
                           'opium.n' => [
                                        'Intoxicants'
                                      ],
                           'shuffle.n' => [
                                          'Self_motion'
                                        ],
                           'snarl.v' => [
                                        'Communication_noise',
                                        'Make_noise'
                                      ],
                           'slant.v' => [
                                        'Path_shape'
                                      ],
                           'frugal.a' => [
                                         'Frugality'
                                       ],
                           'no picnic.a' => [
                                            'Difficulty'
                                          ],
                           'clerk.n' => [
                                        'People_by_vocation'
                                      ],
                           'thursday.n' => [
                                           'Calendric_unit'
                                         ],
                           'bishop.n' => [
                                         'Leadership'
                                       ],
                           'punish.v' => [
                                         'Rewards_and_punishments'
                                       ],
                           'shock.v' => [
                                        'Experiencer_obj'
                                      ],
                           'characteristic.a' => [
                                                 'Distinctiveness'
                                               ],
                           'identify.v' => [
                                           'Verification'
                                         ],
                           'sh.intj' => [
                                        'Become_silent'
                                      ],
                           'front.n' => [
                                        'Part_orientational'
                                      ],
                           'fit.a' => [
                                      'Suitability'
                                    ],
                           'disturb.v' => [
                                          'Experiencer_obj'
                                        ],
                           'eyeshadow.n' => [
                                            'Body_decoration'
                                          ],
                           'rob.v' => [
                                      'Robbery'
                                    ],
                           'hopper.n' => [
                                         'Containers'
                                       ],
                           'cheat.v' => [
                                        'Manipulate_into_doing'
                                      ],
                           'complement.n' => [
                                             'Rest'
                                           ],
                           'suitcase.n' => [
                                           'Containers'
                                         ],
                           'fourth.a' => [
                                         'Ordinal_numbers'
                                       ],
                           'trio.n' => [
                                       'Aggregate'
                                     ],
                           'vanish.v' => [
                                         'Departing'
                                       ],
                           'milled.a' => [
                                         'Ground_up'
                                       ],
                           'hinder.v' => [
                                         'Hindering'
                                       ],
                           'eye.v' => [
                                      'Perception_active'
                                    ],
                           'laconic.a' => [
                                          'Volubility'
                                        ],
                           'squatter.n' => [
                                           'Residence'
                                         ],
                           'cap.n' => [
                                      'Accoutrements'
                                    ],
                           'score.v' => [
                                        'Damaging'
                                      ],
                           'shade.n' => [
                                        'Type'
                                      ],
                           'refrain.v' => [
                                          'Avoiding'
                                        ],
                           'hold forth.v' => [
                                             'Speak_on_topic'
                                           ],
                           'fat.a' => [
                                      'Body_description_holistic'
                                    ],
                           'saturday.n' => [
                                           'Calendric_unit'
                                         ],
                           'cram.v' => [
                                       'Filling',
                                       'Placing'
                                     ],
                           'siren.n' => [
                                        'Noise_makers'
                                      ],
                           'municipal.a' => [
                                            'Political_locales'
                                          ],
                           'infuriating.a' => [
                                              'Subject_stimulus'
                                            ],
                           'abuse.v' => [
                                        'Abusing'
                                      ],
                           'eager.a' => [
                                        'Desiring'
                                      ],
                           'without compare.prep' => [
                                                     'Beyond_compare'
                                                   ],
                           'perceptive.a' => [
                                             'Mental_property'
                                           ],
                           'weather.n' => [
                                          'Weather'
                                        ],
                           'dab.v' => [
                                      'Filling',
                                      'Placing'
                                    ],
                           'insurrection.n' => [
                                               'Change_of_leadership'
                                             ],
                           'prickle.v' => [
                                          'Perception_body'
                                        ],
                           'file.v' => [
                                       'Placing'
                                     ],
                           'contraption.n' => [
                                              'Gizmo'
                                            ],
                           'comb.v' => [
                                       'Grooming',
                                       'Scouring',
                                       'Scrutiny',
                                       'Seeking'
                                     ],
                           'damnation.n' => [
                                            'Judgment'
                                          ],
                           'observation.n' => [
                                              'Perception_active'
                                            ],
                           'impostor.n' => [
                                           'Imitation'
                                         ],
                           'concealed.a' => [
                                            'Eclipse'
                                          ],
                           'condone.v' => [
                                          'Forgiveness'
                                        ],
                           'function.n' => [
                                           'Contingency'
                                         ],
                           'catheter.n' => [
                                           'Medical_instruments'
                                         ],
                           'war.n' => [
                                      'Hostile_encounter'
                                    ],
                           'unnerve.v' => [
                                          'Experiencer_obj'
                                        ],
                           'complaint.n' => [
                                            'Statement'
                                          ],
                           'dust.v' => [
                                       'Filling',
                                       'Placing',
                                       'Removing'
                                     ],
                           'fluoroscope.n' => [
                                              'Medical_instruments'
                                            ],
                           'preserve.v' => [
                                           'Preserving'
                                         ],
                           'throng.v' => [
                                         'Abundance',
                                         'Congregating',
                                         'Mass_motion'
                                       ],
                           'hosiery.n' => [
                                          'Clothing'
                                        ],
                           'almond.n' => [
                                         'Food'
                                       ],
                           'imprison.v' => [
                                           'Cause_confinement',
                                           'Imprisonment'
                                         ],
                           'namesake.n' => [
                                           'Namesake'
                                         ],
                           'inning.n' => [
                                         'Part_ordered_segments'
                                       ],
                           'roam.v' => [
                                       'Self_motion'
                                     ],
                           'shitcan.v' => [
                                          'Firing'
                                        ],
                           'long.a' => [
                                       'Dimension',
                                       'Scalars'
                                     ],
                           'frolic.v' => [
                                         'Self_motion'
                                       ],
                           'unfunny.a' => [
                                          'Subject_stimulus'
                                        ],
                           'let_slip.v' => [
                                           'Reveal_secret'
                                         ],
                           'youngster.n' => [
                                            'People_by_age'
                                          ],
                           'breathtaking.a' => [
                                               'Subject_stimulus'
                                             ],
                           'expound.v' => [
                                          'Speak_on_topic'
                                        ],
                           'esteem.v' => [
                                         'Judgment'
                                       ],
                           'foozle.v' => [
                                         'Bungling'
                                       ],
                           'commutation.n' => [
                                              'Commutation'
                                            ],
                           'order.v' => [
                                        'Bail_setting',
                                        'Request',
                                        'Sentencing'
                                      ],
                           'apron.n' => [
                                        'Clothing'
                                      ],
                           'cohort.n' => [
                                         'Aggregate'
                                       ],
                           'transform.v' => [
                                            'Cause_change'
                                          ],
                           'wanted.a' => [
                                         'Want_suspect'
                                       ],
                           'cholecystoscope.n' => [
                                                  'Medical_instruments'
                                                ],
                           'area.n' => [
                                       'Dimension',
                                       'Locale'
                                     ],
                           'centimeter.n' => [
                                             'Measure_linear_extent'
                                           ],
                           'sup.v' => [
                                      'Ingestion'
                                    ],
                           'salmon.n' => [
                                         'Food'
                                       ],
                           'paddle.v' => [
                                         'Bringing',
                                         'Operate_vehicle'
                                       ],
                           'augmentation.n' => [
                                               'Cause_expansion'
                                             ],
                           'ride.v' => [
                                       'Operate_vehicle',
                                       'Ride_Vehicle'
                                     ],
                           'onslaught.n' => [
                                            'Attack'
                                          ],
                           'liquefied.a' => [
                                            'Altered_phase'
                                          ],
                           'economical.a' => [
                                             'Frugality'
                                           ],
                           'pickpocket.n' => [
                                             'Theft'
                                           ],
                           'lock.n' => [
                                       'Hair_configuration'
                                     ],
                           'coup.n' => [
                                       'Change_of_leadership'
                                     ],
                           'stuck.a' => [
                                        'Being_attached'
                                      ],
                           'polo-neck.n' => [
                                            'Clothing'
                                          ],
                           'tiring.a' => [
                                         'Subject_stimulus'
                                       ],
                           'cellar.n' => [
                                         'Building_subparts'
                                       ],
                           'come up.v' => [
                                          'Invention'
                                        ],
                           'unique.a' => [
                                         'Idiosyncrasy'
                                       ],
                           'foresee.v' => [
                                          'Expectation'
                                        ],
                           'curative.a' => [
                                           'Cure'
                                         ],
                           'suitable.a' => [
                                           'Suitability'
                                         ],
                           'boyfriend.n' => [
                                            'Personal_relationship'
                                          ],
                           'over.prep' => [
                                          'Locative_relation'
                                        ],
                           'discourteous.a' => [
                                               'Social_interaction_evaluation'
                                             ],
                           'comment.v' => [
                                          'Statement'
                                        ],
                           'puny.a' => [
                                       'Body_description_holistic'
                                     ],
                           'super.a' => [
                                        'Desirability',
                                        'Usefulness'
                                      ],
                           'home.n' => [
                                       'Buildings'
                                     ],
                           'displeasure.n' => [
                                              'Emotion_directed'
                                            ],
                           'sizzle.n' => [
                                         'Sounds'
                                       ],
                           'negotiate.v' => [
                                            'Discussion'
                                          ],
                           'amnesia.n' => [
                                          'Medical_conditions'
                                        ],
                           'murderer.n' => [
                                           'Killing'
                                         ],
                           'tail.n' => [
                                       'Observable_bodyparts'
                                     ],
                           'snitch.v' => [
                                         'Reporting',
                                         'Theft'
                                       ],
                           'humiliate.v' => [
                                            'Experiencer_obj'
                                          ],
                           'donor.n' => [
                                        'Giving'
                                      ],
                           'talon.n' => [
                                        'Observable_bodyparts'
                                      ],
                           'groin.n' => [
                                        'Observable_bodyparts'
                                      ],
                           'defecate.v' => [
                                           'Excreting'
                                         ],
                           'freckle.n' => [
                                          'Body_mark'
                                        ],
                           'hollow.n' => [
                                         'Natural_features'
                                       ],
                           'presage.v' => [
                                          'Omen'
                                        ],
                           'tangle.v' => [
                                         'Rope_manipulation'
                                       ],
                           'needle.n' => [
                                         'Medical_instruments'
                                       ],
                           'satisfying.a' => [
                                             'Subject_stimulus'
                                           ],
                           'isthmus.n' => [
                                          'Natural_features'
                                        ],
                           'overnighter.n' => [
                                              'Containers'
                                            ],
                           'the go-ahead.n' => [
                                               'Grant_permission'
                                             ],
                           'blanketed.a' => [
                                            'Abundance'
                                          ],
                           'okay.v' => [
                                       'Grant_permission'
                                     ],
                           'possibly.adv' => [
                                             'Likelihood'
                                           ],
                           'agitated.a' => [
                                           'Emotion_directed'
                                         ],
                           'bolted.a' => [
                                         'Being_attached'
                                       ],
                           'jam.n' => [
                                      'Predicament'
                                    ],
                           'coffer.n' => [
                                         'Containers'
                                       ],
                           'inadequate.a' => [
                                             'Sufficiency'
                                           ],
                           'papers.n' => [
                                         'Documents'
                                       ],
                           'thank.v' => [
                                        'Judgment_direct_address'
                                      ],
                           'complement.v' => [
                                             'Rest'
                                           ],
                           'congruent.a' => [
                                            'Compatibility'
                                          ],
                           'chest of drawers.n' => [
                                                   'Containers'
                                                 ],
                           'supermarket.n' => [
                                              'Buildings'
                                            ],
                           'midnight.n' => [
                                           'Calendric_unit'
                                         ],
                           'raiment.n' => [
                                          'Clothing'
                                        ],
                           'turn in.v' => [
                                          'Surrendering'
                                        ],
                           'bow.n' => [
                                      'Weapon'
                                    ],
                           'adequacy.n' => [
                                           'Sufficiency'
                                         ],
                           'dilate.v' => [
                                         'Cause_expansion',
                                         'Expansion'
                                       ],
                           'skate.v' => [
                                        'Operate_vehicle'
                                      ],
                           'descent.n' => [
                                          'Path_shape'
                                        ],
                           'pigeonhole.v' => [
                                             'Categorization'
                                           ],
                           'rest room.n' => [
                                            'Building_subparts'
                                          ],
                           'unreasonable.a' => [
                                               'Mental_property'
                                             ],
                           'trip.n' => [
                                       'Intoxication',
                                       'Travel'
                                     ],
                           'skinny.a' => [
                                         'Body_description_holistic'
                                       ],
                           'glued.a' => [
                                        'Being_attached'
                                      ],
                           'sip.v' => [
                                      'Ingestion'
                                    ],
                           'nick.v' => [
                                       'Damaging',
                                       'Theft'
                                     ],
                           'robed.a' => [
                                        'Wearing'
                                      ],
                           'socially.adv' => [
                                             'Domain'
                                           ],
                           'ostensible.a' => [
                                             'Unattributed_information'
                                           ],
                           'incensed.a' => [
                                           'Emotion_directed'
                                         ],
                           'one.num' => [
                                        'Cardinal_numbers'
                                      ],
                           'co-star_(in).v' => [
                                               'Performers_and_roles'
                                             ],
                           'devastate.v' => [
                                            'Destroying'
                                          ],
                           'vengeance.n' => [
                                            'Revenge'
                                          ],
                           'scarf.n' => [
                                        'Clothing'
                                      ],
                           'speed.n' => [
                                        'Intoxicants',
                                        'Speed'
                                      ],
                           'star_(in).v' => [
                                            'Performers_and_roles'
                                          ],
                           'slip.v' => [
                                       'Undressing'
                                     ],
                           'massif.n' => [
                                         'Natural_features'
                                       ],
                           'handle.n' => [
                                         'Shaped_part'
                                       ],
                           'bully.v' => [
                                        'Manipulate_into_doing'
                                      ],
                           'egg.n' => [
                                      'Food'
                                    ],
                           'pupil.n' => [
                                        'Education_teaching'
                                      ],
                           'hoot.v' => [
                                       'Communication_noise',
                                       'Make_noise'
                                     ],
                           'pepper.n' => [
                                         'Food'
                                       ],
                           'pagoda.n' => [
                                         'Buildings'
                                       ],
                           'banquet room.n' => [
                                               'Building_subparts'
                                             ],
                           'giggle.v' => [
                                         'Make_noise'
                                       ],
                           'bank (on).v' => [
                                            'Reliance_on_expectation'
                                          ],
                           'kick.v' => [
                                       'Cause_harm'
                                     ],
                           'roomful.n' => [
                                          'Measure_volume'
                                        ],
                           'invasion.n' => [
                                           'Attack'
                                         ],
                           'converse.v' => [
                                           'Chatting'
                                         ],
                           'raped.a' => [
                                        'Rape'
                                      ],
                           'poor.a' => [
                                       'Wealthiness'
                                     ],
                           'chalet.n' => [
                                         'Buildings'
                                       ],
                           'dethrone.v' => [
                                           'Change_of_leadership'
                                         ],
                           'glittering.a' => [
                                             'Location_of_light'
                                           ],
                           'payment.n' => [
                                          'Commerce_pay'
                                        ],
                           'revolution.n' => [
                                             'Change_of_leadership'
                                           ],
                           'mishap.n' => [
                                         'Catastrophe'
                                       ],
                           'corrupt.a' => [
                                          'Morality_evaluation'
                                        ],
                           'summer.n' => [
                                         'Calendric_unit'
                                       ],
                           'why.n' => [
                                      'Reason'
                                    ],
                           'secure.v' => [
                                         'Attaching',
                                         'Getting'
                                       ],
                           'kraut.n' => [
                                        'People_by_origin'
                                      ],
                           'endeavor.n' => [
                                           'Attempt'
                                         ],
                           'jeans.n' => [
                                        'Clothing'
                                      ],
                           'scorcher.n' => [
                                           'Ambient_temperature'
                                         ],
                           'shelve.v' => [
                                         'Placing'
                                       ],
                           'brawny.a' => [
                                         'Body_description_holistic'
                                       ],
                           'paediatrics.n' => [
                                              'Medical_specialties'
                                            ],
                           'train.v' => [
                                        'Education_teaching'
                                      ],
                           'sharpen.v' => [
                                          'Cause_to_be_sharp'
                                        ],
                           'brag.v' => [
                                       'Statement'
                                     ],
                           'scald.v' => [
                                        'Apply_heat'
                                      ],
                           'defect.v' => [
                                         'Departing'
                                       ],
                           'question.v' => [
                                           'Questioning'
                                         ],
                           'shoplift.v' => [
                                           'Theft'
                                         ],
                           'jaw.n' => [
                                      'Observable_bodyparts'
                                    ],
                           'set off.v' => [
                                          'Cause_to_start',
                                          'Departing'
                                        ],
                           'glimmer.v' => [
                                          'Light_movement',
                                          'Location_of_light'
                                        ],
                           'screened.a' => [
                                           'Eclipse'
                                         ],
                           'help.v' => [
                                       'Assistance'
                                     ],
                           'scrap.n' => [
                                        'Part_piece'
                                      ],
                           'occupy.v' => [
                                         'Residence'
                                       ],
                           'disheartened.a' => [
                                               'Emotion_directed'
                                             ],
                           'edge.n' => [
                                       'Part_edge'
                                     ],
                           'hindrance.n' => [
                                            'Hindering'
                                          ],
                           'weapon of mass destruction.n' => [
                                                             'Weapon'
                                                           ],
                           'awaken.v' => [
                                         'Cause_to_wake'
                                       ],
                           'trilby.n' => [
                                         'Accoutrements'
                                       ],
                           'cube.n' => [
                                       'Shapes'
                                     ],
                           'family_practitioner.n' => [
                                                      'Medical_professionals'
                                                    ],
                           'ample.a' => [
                                        'Sufficiency'
                                      ],
                           'suspect.a' => [
                                          'Suspiciousness'
                                        ],
                           'discharge.v' => [
                                            'Emitting',
                                            'Use_firearm'
                                          ],
                           'moisten.v' => [
                                          'Cause_to_be_wet'
                                        ],
                           'claim.n' => [
                                        'Claim_ownership',
                                        'Statement'
                                      ],
                           'waist-band.n' => [
                                             'Clothing_parts'
                                           ],
                           'fete.n' => [
                                       'Social_event'
                                     ],
                           'hike.v' => [
                                       'Self_motion'
                                     ],
                           'staple.v' => [
                                         'Attaching'
                                       ],
                           'sociable.a' => [
                                           'Sociability',
                                           'Social_interaction_evaluation'
                                         ],
                           'vexed.a' => [
                                        'Emotion_directed'
                                      ],
                           'crucible.n' => [
                                           'Containers'
                                         ],
                           'spectacles.n' => [
                                             'Accoutrements'
                                           ],
                           'flip-flops.n' => [
                                             'Clothing'
                                           ],
                           'rave.n' => [
                                       'Social_event'
                                     ],
                           'buff.a' => [
                                       'Color'
                                     ],
                           'beguiling.a' => [
                                            'Subject_stimulus'
                                          ],
                           'anoint.v' => [
                                         'Filling',
                                         'Rite'
                                       ],
                           'avenger.n' => [
                                          'Revenge'
                                        ],
                           'comparable.a' => [
                                             'Evaluative_comparison'
                                           ],
                           'stain.v' => [
                                        'Processing_materials'
                                      ],
                           'braid.v' => [
                                        'Rope_manipulation'
                                      ],
                           'fiction.n' => [
                                          'Text'
                                        ],
                           'sort.v' => [
                                       'Differentiation'
                                     ],
                           'dissolution.n' => [
                                              'Dispersal'
                                            ],
                           'trounce.v' => [
                                          'Finish_competition'
                                        ],
                           'come to a end.v' => [
                                                'Process_end'
                                              ],
                           'crawl.n' => [
                                        'Self_motion'
                                      ],
                           'pleasure.n' => [
                                           'Experiencer_subj'
                                         ],
                           'frozen.a' => [
                                         'Altered_phase'
                                       ],
                           'residence.n' => [
                                            'Buildings'
                                          ],
                           'peer.v' => [
                                       'Perception_active'
                                     ],
                           'amount.v' => [
                                         'Amounting_to'
                                       ],
                           'unlike.prep' => [
                                            'Similarity'
                                          ],
                           'sugar_daddy.n' => [
                                              'Personal_relationship'
                                            ],
                           'prayer.n' => [
                                         'Rite'
                                       ],
                           'will.v' => [
                                       'Desiring'
                                     ],
                           'boorish.a' => [
                                          'Social_interaction_evaluation'
                                        ],
                           'smart.a' => [
                                        'Mental_property'
                                      ],
                           'suspect.n' => [
                                          'Suspicion'
                                        ],
                           'donnybrook.n' => [
                                             'Fighting_activity'
                                           ],
                           'replicate.v' => [
                                            'Duplication'
                                          ],
                           'drowsiness.n' => [
                                             'Biological_urge'
                                           ],
                           'tram.n' => [
                                       'Vehicle'
                                     ],
                           'finish.v' => [
                                         'Activity_finish'
                                       ],
                           'moustached.a' => [
                                             'Body_description_part'
                                           ],
                           'flabbergast.v' => [
                                              'Experiencer_obj'
                                            ],
                           'sleep_with.v' => [
                                             'Personal_relationship'
                                           ],
                           'cube.v' => [
                                       'Cutting'
                                     ],
                           'governor.n' => [
                                           'Leadership'
                                         ],
                           'recriminate.v' => [
                                              'Judgment_communication'
                                            ],
                           'homophone.n' => [
                                            'Word_relations'
                                          ],
                           'assessment.n' => [
                                             'Assessing',
                                             'Examination'
                                           ],
                           'lethal.a' => [
                                         'Killing'
                                       ],
                           'sicken.v' => [
                                         'Experiencer_obj'
                                       ],
                           'urinate.v' => [
                                          'Excreting'
                                        ],
                           'spring.v' => [
                                         'Self_motion'
                                       ],
                           'official.n' => [
                                           'Leadership'
                                         ],
                           'star.v' => [
                                       'Performers_and_roles'
                                     ],
                           'ringer.n' => [
                                         'Cause_to_make_noise',
                                         'Similarity'
                                       ],
                           'scorn.v' => [
                                        'Judgment'
                                      ],
                           'thrilling.a' => [
                                            'Subject_stimulus'
                                          ],
                           'include.v' => [
                                          'Inclusion'
                                        ],
                           'instrument.n' => [
                                             'Gizmo'
                                           ],
                           'veer.v' => [
                                       'Path_shape'
                                     ],
                           'strife.n' => [
                                         'Hostile_encounter'
                                       ],
                           'noodle.n' => [
                                         'Food'
                                       ],
                           'plea.n' => [
                                       'Entering_of_plea',
                                       'Request'
                                     ],
                           'substandard.a' => [
                                              'Desirability'
                                            ],
                           'sign on.v' => [
                                          'Get_a_job'
                                        ],
                           'cloaked.a' => [
                                          'Abundance',
                                          'Eclipse'
                                        ],
                           'cape.n' => [
                                       'Clothing'
                                     ],
                           'possession_of_goods.n' => [
                                                      'Possession'
                                                    ],
                           'disrespectful.a' => [
                                                'Social_interaction_evaluation'
                                              ],
                           'fester.v' => [
                                         'Rotting'
                                       ],
                           'sympathetic.a' => [
                                              'Emotion_directed'
                                            ],
                           'boxful.n' => [
                                         'Measure_volume'
                                       ],
                           'kohl.n' => [
                                       'Body_decoration'
                                     ],
                           'dejection.n' => [
                                            'Emotion_directed'
                                          ],
                           'bog.n' => [
                                      'Biological_area'
                                    ],
                           'proof-read.v' => [
                                             'Inspecting',
                                             'Scrutiny'
                                           ],
                           'stoned.a' => [
                                         'Intoxication'
                                       ],
                           'trudge.v' => [
                                         'Self_motion'
                                       ],
                           'alive.a' => [
                                        'Dead_or_alive'
                                      ],
                           'proclaim.v' => [
                                           'Statement'
                                         ],
                           'import.n' => [
                                         'Importance'
                                       ],
                           'typecast.v' => [
                                           'Categorization'
                                         ],
                           'trouble.n' => [
                                          'Predicament'
                                        ],
                           'prime minister.n' => [
                                                 'Leadership'
                                               ],
                           'answer.v' => [
                                         'Communication_response'
                                       ],
                           'description.n' => [
                                              'Communicate_categorization'
                                            ],
                           'probe.v' => [
                                        'Criminal_investigation',
                                        'Scrutiny',
                                        'Seeking'
                                      ],
                           'cereal.n' => [
                                         'Food'
                                       ],
                           'pleased.a' => [
                                          'Emotion_directed'
                                        ],
                           'brit.n' => [
                                       'People_by_origin'
                                     ],
                           'fragrant.a' => [
                                           'Chemical-sense_description'
                                         ],
                           'spout.v' => [
                                        'Fluidic_motion'
                                      ],
                           'woodland.n' => [
                                           'Biological_area'
                                         ],
                           'contraction.n' => [
                                              'Cause_expansion',
                                              'Expansion'
                                            ],
                           'chatter.v' => [
                                          'Communication_manner',
                                          'Impact',
                                          'Make_noise'
                                        ],
                           'okay.a' => [
                                       'Desirability'
                                     ],
                           'attired.a' => [
                                          'Wearing'
                                        ],
                           'rely.v' => [
                                       'Reliance'
                                     ],
                           'impress.v' => [
                                          'Experiencer_obj'
                                        ],
                           'shebang.n' => [
                                          'Buildings'
                                        ],
                           'abaya.n' => [
                                        'Clothing'
                                      ],
                           'form.v' => [
                                       'Coming_to_be',
                                       'Creating',
                                       'Reshaping'
                                     ],
                           'duplication.n' => [
                                              'Duplication'
                                            ],
                           'abet.v' => [
                                       'Assistance'
                                     ],
                           'key.n' => [
                                      'Natural_features'
                                    ],
                           'take place.v' => [
                                             'Event'
                                           ],
                           'gauntlet.n' => [
                                           'Clothing'
                                         ],
                           'over.a' => [
                                       'Process_completed_state'
                                     ],
                           'acid.n' => [
                                       'Intoxicants'
                                     ],
                           'eve.n' => [
                                      'Calendric_unit'
                                    ],
                           'ordinary.a' => [
                                           'Typicality'
                                         ],
                           'alb.n' => [
                                      'Clothing'
                                    ],
                           'fragrance.n' => [
                                            'Chemical-sense_description',
                                            'Sensation'
                                          ],
                           'trot.v' => [
                                       'Self_motion'
                                     ],
                           'dwindle.v' => [
                                          'Change_position_on_a_scale'
                                        ],
                           'disturbing.a' => [
                                             'Subject_stimulus'
                                           ],
                           'placement.n' => [
                                            'Placing'
                                          ],
                           'percolate.v' => [
                                            'Fluidic_motion'
                                          ],
                           'snatcher.n' => [
                                           'Kidnapping',
                                           'Theft'
                                         ],
                           'use.n' => [
                                      'Using'
                                    ],
                           'alarm.v' => [
                                        'Experiencer_obj'
                                      ],
                           'term.v' => [
                                       'Labeling',
                                       'Simple_naming'
                                     ],
                           'amusement.n' => [
                                            'Emotion_directed'
                                          ],
                           'titter.n' => [
                                         'Sounds'
                                       ],
                           'hostel.n' => [
                                         'Buildings'
                                       ],
                           'stable.n' => [
                                         'Buildings'
                                       ],
                           'citizen.n' => [
                                          'People_by_jurisdiction'
                                        ],
                           'peculation.n' => [
                                             'Theft'
                                           ],
                           'traumatize.v' => [
                                             'Experiencer_obj'
                                           ],
                           'encumbrance.n' => [
                                              'Hindering'
                                            ],
                           'down.prep' => [
                                          'Locative_relation'
                                        ],
                           'ton.n' => [
                                      'Measure_mass',
                                      'Quantity'
                                    ],
                           'parlor.n' => [
                                         'Building_subparts'
                                       ],
                           'herald.v' => [
                                         'Heralding',
                                         'Omen'
                                       ],
                           'harmonize.v' => [
                                            'Compatibility'
                                          ],
                           'stud.v' => [
                                       'Adorning'
                                     ],
                           'freeway.n' => [
                                          'Roadways'
                                        ],
                           'insole.n' => [
                                         'Clothing_parts'
                                       ],
                           'corroborate.v' => [
                                              'Evidence'
                                            ],
                           'election.n' => [
                                           'Change_of_leadership'
                                         ],
                           'tape.v' => [
                                       'Attaching'
                                     ],
                           'swish.v' => [
                                        'Motion_noise'
                                      ],
                           'implement.n' => [
                                            'Gizmo'
                                          ],
                           'stealer.n' => [
                                          'Theft'
                                        ],
                           'spring up.v' => [
                                            'Coming_to_be'
                                          ],
                           'mollify.v' => [
                                          'Experiencer_obj'
                                        ],
                           'thoughtless.a' => [
                                              'Social_interaction_evaluation'
                                            ],
                           'full.a' => [
                                       'Abundance',
                                       'Feeling',
                                       'Fullness',
                                       'Subject_stimulus'
                                     ],
                           'intermittent.a' => [
                                               'Iteration'
                                             ],
                           'brook.n' => [
                                        'Natural_features'
                                      ],
                           'totter.v' => [
                                         'Self_motion'
                                       ],
                           'decked out.a' => [
                                             'Wearing'
                                           ],
                           'skilful.a' => [
                                          'Expertise'
                                        ],
                           'get-together.n' => [
                                               'Social_event'
                                             ],
                           'donate.v' => [
                                         'Giving'
                                       ],
                           'get_up.v' => [
                                         'Cause_to_wake'
                                       ],
                           'disparagement.n' => [
                                                'Judgment_communication'
                                              ],
                           'boo.v' => [
                                      'Judgment'
                                    ],
                           'minister.n' => [
                                           'Leadership'
                                         ],
                           'journal.n' => [
                                          'Text'
                                        ],
                           'screen.v' => [
                                         'Eclipse'
                                       ],
                           'questioning.n' => [
                                              'Questioning'
                                            ],
                           'impact.n' => [
                                         'Impact',
                                         'Objective_influence',
                                         'Subjective_influence'
                                       ],
                           'bottle.v' => [
                                         'Placing'
                                       ],
                           'fret.v' => [
                                       'Emotion_active'
                                     ],
                           'defection.n' => [
                                            'Departing'
                                          ],
                           'moniker.n' => [
                                          'Being_named'
                                        ],
                           'respect.n' => [
                                          'Judgment'
                                        ],
                           'sneer.n' => [
                                        'Facial_expression'
                                      ],
                           'lose it.v' => [
                                          'Losing_it'
                                        ],
                           'histology.n' => [
                                            'Medical_specialties'
                                          ],
                           'pricey.a' => [
                                         'Expensiveness'
                                       ],
                           'ballistic missile.n' => [
                                                    'Weapon'
                                                  ],
                           'admission.n' => [
                                            'Statement'
                                          ],
                           'rope.n' => [
                                       'Connectors'
                                     ],
                           'myriad.n' => [
                                         'Quantity'
                                       ],
                           'track.v' => [
                                        'Cotheme'
                                      ],
                           'hunger.n' => [
                                         'Biological_urge',
                                         'Desiring'
                                       ],
                           'conversion.n' => [
                                             'Cause_change'
                                           ],
                           'snooze.v' => [
                                         'Sleep'
                                       ],
                           'do duty.n' => [
                                          'Take_place_of'
                                        ],
                           'soothe.v' => [
                                         'Experiencer_obj'
                                       ],
                           'justify.v' => [
                                          'Deserving',
                                          'Justifying'
                                        ],
                           'get in touch.v' => [
                                               'Contacting'
                                             ],
                           'consent.v' => [
                                          'Commitment'
                                        ],
                           'uncool.a' => [
                                         'Desirability'
                                       ],
                           'roadway.n' => [
                                          'Roadways'
                                        ],
                           'coffin.n' => [
                                         'Containers'
                                       ],
                           'beck.n' => [
                                       'Natural_features'
                                     ],
                           'mystery.n' => [
                                          'Text'
                                        ],
                           'perturbed.a' => [
                                            'Emotion_directed'
                                          ],
                           'emptiness.n' => [
                                            'Fullness'
                                          ],
                           'grandfather.n' => [
                                              'Kinship'
                                            ],
                           'giggle.n' => [
                                         'Sounds'
                                       ],
                           'minion.n' => [
                                         'Subordinates_and_Superiors'
                                       ],
                           'mix.v' => [
                                      'Cause_to_amalgamate'
                                    ],
                           'nettle.v' => [
                                         'Experiencer_obj'
                                       ],
                           'shining.a' => [
                                          'Location_of_light'
                                        ],
                           'sprinkle.v' => [
                                           'Dispersal',
                                           'Filling',
                                           'Precipitation'
                                         ],
                           'rucksack.n' => [
                                           'Containers'
                                         ],
                           'commendable.a' => [
                                              'Judgment_communication',
                                              'Praiseworthiness'
                                            ],
                           'uplifting.a' => [
                                            'Subject_stimulus'
                                          ],
                           'calm.v' => [
                                       'Experiencer_obj'
                                     ],
                           'varnished.a' => [
                                            'Abundance'
                                          ],
                           'announcement.n' => [
                                               'Statement'
                                             ],
                           'punishment_act.n' => [
                                                 'Rewards_and_punishments'
                                               ],
                           'toll.v' => [
                                       'Make_noise'
                                     ],
                           'impolite.a' => [
                                           'Social_interaction_evaluation'
                                         ],
                           'partner.n' => [
                                          'Collaboration',
                                          'Personal_relationship'
                                        ],
                           'knock out.v' => [
                                            'Render_nonfunctional'
                                          ],
                           'grief-stricken.a' => [
                                                 'Emotion_directed',
                                                 'Experiencer_subj'
                                               ],
                           'sitting room.n' => [
                                               'Building_subparts'
                                             ],
                           'moulder.v' => [
                                          'Rotting'
                                        ],
                           'stave off.v' => [
                                            'Preventing'
                                          ],
                           'chain.v' => [
                                        'Attaching'
                                      ],
                           'clash.v' => [
                                        'Cause_impact',
                                        'Compatibility',
                                        'Hostile_encounter',
                                        'Impact',
                                        'Make_noise'
                                      ],
                           'incompetence.n' => [
                                               'Expertise'
                                             ],
                           'slammer.n' => [
                                          'Prison'
                                        ],
                           'unpleasant.a' => [
                                             'Subject_stimulus'
                                           ],
                           'perpetual.a' => [
                                            'Duration'
                                          ],
                           'declivity.n' => [
                                            'Natural_features'
                                          ],
                           'issue.v' => [
                                        'Emanating'
                                      ],
                           'penalty.n' => [
                                          'Rewards_and_punishments'
                                        ],
                           'guffaw.v' => [
                                         'Make_noise'
                                       ],
                           'reaffirm.v' => [
                                           'Statement'
                                         ],
                           'phoney.n' => [
                                         'Imitation'
                                       ],
                           'particular.a' => [
                                             'Idiosyncrasy'
                                           ],
                           'discotheque.n' => [
                                              'Buildings'
                                            ],
                           'steal.v' => [
                                        'Self_motion',
                                        'Theft'
                                      ],
                           'hot-water bottle.n' => [
                                                   'Containers'
                                                 ],
                           'spell.v' => [
                                        'Spelling_and_pronouncing'
                                      ],
                           'execute.v' => [
                                          'Execution'
                                        ],
                           'husband.v' => [
                                          'Frugality'
                                        ],
                           'sweet.n' => [
                                        'Food'
                                      ],
                           'multitude.n' => [
                                            'Aggregate'
                                          ],
                           'pogrom.n' => [
                                         'Killing'
                                       ],
                           'shocked.a' => [
                                          'Emotion_directed'
                                        ],
                           'teaspoon.n' => [
                                           'Containers',
                                           'Measure_volume'
                                         ],
                           'khan.n' => [
                                       'Leadership'
                                     ],
                           'beat.n' => [
                                       'Temporal_pattern'
                                     ],
                           'around.adv' => [
                                           'Dimension'
                                         ],
                           'choice.n' => [
                                         'Choosing'
                                       ],
                           'realization.n' => [
                                              'Coming_to_believe'
                                            ],
                           'assemblage.n' => [
                                             'Aggregate'
                                           ],
                           'shine.v' => [
                                        'Light_movement',
                                        'Location_of_light'
                                      ],
                           'decapitation.n' => [
                                               'Killing'
                                             ],
                           'federal.a' => [
                                          'Political_locales'
                                        ],
                           'gasp.v' => [
                                       'Breathing',
                                       'Communication_noise',
                                       'Make_noise'
                                     ],
                           'buff.n' => [
                                       'Expertise'
                                     ],
                           'approving.a' => [
                                            'Judgment'
                                          ],
                           'symptomatic.a' => [
                                              'Sign'
                                            ],
                           'law.n' => [
                                      'Law'
                                    ],
                           'hiss.v' => [
                                       'Communication_noise',
                                       'Fluidic_motion',
                                       'Impact',
                                       'Make_noise',
                                       'Motion_noise'
                                     ],
                           'scalp.v' => [
                                        'Emptying'
                                      ],
                           'unfulfilling.a' => [
                                               'Subject_stimulus'
                                             ],
                           'hunch up.v' => [
                                           'Change_posture'
                                         ],
                           'demolish.v' => [
                                           'Destroying'
                                         ],
                           'worried.a' => [
                                          'Emotion_directed',
                                          'Experiencer_subj'
                                        ],
                           'coin.v' => [
                                       'Achieving_first',
                                       'Invention'
                                     ],
                           'disingenuous.a' => [
                                               'Candidness'
                                             ],
                           'reproachful.a' => [
                                              'Judgment'
                                            ],
                           'english.n' => [
                                          'People_by_origin'
                                        ],
                           'exorbitant.a' => [
                                             'Expensiveness'
                                           ],
                           'entreaty.n' => [
                                           'Request'
                                         ],
                           'reaction.n' => [
                                           'Response'
                                         ],
                           'establishment.n' => [
                                                'Businesses',
                                                'Intentionally_create'
                                              ],
                           'hunger.v' => [
                                         'Desiring'
                                       ],
                           'palliative.a' => [
                                             'Cure'
                                           ],
                           'consume.v' => [
                                          'Ingestion'
                                        ],
                           'petticoat.n' => [
                                            'Clothing'
                                          ],
                           'plant.v' => [
                                        'Filling',
                                        'Placing'
                                      ],
                           'drape.v' => [
                                        'Filling',
                                        'Placing'
                                      ],
                           'talk.v' => [
                                       'Chatting',
                                       'Statement',
                                       'Talking_into'
                                     ],
                           'jab.v' => [
                                      'Cause_harm',
                                      'Cause_impact'
                                    ],
                           'abominate.v' => [
                                            'Experiencer_subj'
                                          ],
                           'duck.v' => [
                                       'Avoiding',
                                       'Body_movement'
                                     ],
                           'stow_it.v' => [
                                          'Become_silent'
                                        ],
                           'sympathy.n' => [
                                           'Emotion_directed'
                                         ],
                           'summon.v' => [
                                         'Request'
                                       ],
                           'genuine.a' => [
                                          'Imitation'
                                        ],
                           'alarming.a' => [
                                           'Subject_stimulus'
                                         ],
                           'month.n' => [
                                        'Calendric_unit',
                                        'Measure_duration'
                                      ],
                           'despondency.n' => [
                                              'Emotion_directed'
                                            ],
                           'give_out.v' => [
                                           'Giving'
                                         ],
                           'skyscraper.n' => [
                                             'Buildings'
                                           ],
                           'foremost.a' => [
                                           'First_rank'
                                         ],
                           'chuck.v' => [
                                        'Cause_motion'
                                      ],
                           'austere.a' => [
                                          'Frugality'
                                        ],
                           'regicide.n' => [
                                           'Killing'
                                         ],
                           'ankle.n' => [
                                        'Observable_bodyparts'
                                      ],
                           'occultation.n' => [
                                              'Eclipse'
                                            ],
                           'murder.v' => [
                                         'Killing'
                                       ],
                           'sob.n' => [
                                      'Sounds'
                                    ],
                           'dissuade.v' => [
                                           'Suasion'
                                         ],
                           'concealer.n' => [
                                            'Body_decoration'
                                          ],
                           'swarming.a' => [
                                           'Abundance'
                                         ],
                           'sage.a' => [
                                       'Mental_property'
                                     ],
                           'fishnet.n' => [
                                          'Clothing'
                                        ],
                           'total.v' => [
                                        'Adding_up',
                                        'Amounting_to',
                                        'Render_nonfunctional'
                                      ],
                           'forepaw.n' => [
                                          'Observable_bodyparts'
                                        ],
                           'chocolate.n' => [
                                            'Food'
                                          ],
                           'american.n' => [
                                           'People_by_origin'
                                         ],
                           'sombrero.n' => [
                                           'Accoutrements'
                                         ],
                           'warm.v' => [
                                       'Cause_temperature_change',
                                       'Inchoative_change_of_temperature'
                                     ],
                           'waistline.n' => [
                                            'Clothing_parts'
                                          ],
                           'inlet.n' => [
                                        'Natural_features'
                                      ],
                           'crouch down.v' => [
                                              'Change_posture'
                                            ],
                           'meritorious.a' => [
                                              'Praiseworthiness'
                                            ],
                           'manicure.n' => [
                                           'Grooming'
                                         ],
                           'frequent.a' => [
                                           'Iteration'
                                         ],
                           'chilly.a' => [
                                         'Ambient_temperature'
                                       ],
                           'likely.a' => [
                                         'Likelihood'
                                       ],
                           'sensitive.a' => [
                                            'Health_response'
                                          ],
                           'whoop.v' => [
                                        'Communication_noise'
                                      ],
                           'fatality.n' => [
                                           'Killing'
                                         ],
                           'peg.n' => [
                                      'Connectors'
                                    ],
                           'reason.n' => [
                                         'Causation',
                                         'Reason'
                                       ],
                           'atoner.n' => [
                                         'Atonement'
                                       ],
                           'finger.v' => [
                                         'Manipulation',
                                         'Reporting'
                                       ],
                           'low.a' => [
                                      'Morality_evaluation',
                                      'Position_on_a_scale'
                                    ],
                           'purloin.v' => [
                                          'Theft'
                                        ],
                           'luxuriate.v' => [
                                            'Experiencer_subj'
                                          ],
                           'atonement.n' => [
                                            'Atonement'
                                          ],
                           'sandbank.n' => [
                                           'Natural_features'
                                         ],
                           'difference.n' => [
                                             'Similarity'
                                           ],
                           'limerick.n' => [
                                           'Text'
                                         ],
                           'facility.n' => [
                                           'Locale_by_use'
                                         ],
                           'communicate.v' => [
                                              'Communication',
                                              'Discussion'
                                            ],
                           'whistle.v' => [
                                          'Make_noise'
                                        ],
                           'clandestine.a' => [
                                              'Secrecy_status'
                                            ],
                           'price.n' => [
                                        'Commerce'
                                      ],
                           'installation.n' => [
                                               'Locale_by_use'
                                             ],
                           'beef.n' => [
                                       'Food'
                                     ],
                           'liquidate.v' => [
                                            'Killing'
                                          ],
                           'allonym.n' => [
                                          'Being_named'
                                        ],
                           'whip_up.v' => [
                                          'Cooking_creation'
                                        ],
                           'basement.n' => [
                                           'Building_subparts'
                                         ],
                           'jabber.v' => [
                                         'Communication_manner'
                                       ],
                           'sickness.n' => [
                                           'Medical_conditions'
                                         ],
                           'eyeliner.n' => [
                                           'Body_decoration'
                                         ],
                           'stumble.v' => [
                                          'Bungling',
                                          'Self_motion'
                                        ],
                           'color.n' => [
                                        'Color'
                                      ],
                           'wednesday.n' => [
                                            'Calendric_unit'
                                          ],
                           'malaria.n' => [
                                          'Medical_conditions'
                                        ],
                           'doyenne.n' => [
                                          'Leadership'
                                        ],
                           'unsuitability.n' => [
                                                'Suitability'
                                              ],
                           'hafta.v' => [
                                        'Being_obligated'
                                      ],
                           'survey.v' => [
                                         'Scrutiny'
                                       ],
                           'cholecystitis.n' => [
                                                'Medical_conditions'
                                              ],
                           'temp.v' => [
                                       'Being_employed'
                                     ],
                           'bilious.a' => [
                                          'Biological_urge'
                                        ],
                           'wake_up.v' => [
                                          'Cause_to_wake'
                                        ],
                           'cope.n' => [
                                       'Clothing'
                                     ],
                           'western.a' => [
                                          'Part_orientational'
                                        ],
                           'kin.n' => [
                                      'Kinship'
                                    ],
                           'harmony.n' => [
                                          'Compatibility'
                                        ],
                           'mask.v' => [
                                       'Eclipse'
                                     ],
                           'scamper.v' => [
                                          'Self_motion'
                                        ],
                           'frightening.a' => [
                                              'Subject_stimulus'
                                            ],
                           'frustrate.v' => [
                                            'Experiencer_obj',
                                            'Preventing',
                                            'Thwarting'
                                          ],
                           'conclude.v' => [
                                           'Activity_finish',
                                           'Coming_to_believe',
                                           'Process_end'
                                         ],
                           'backwater.n' => [
                                            'Isolated_places'
                                          ],
                           'gloved.a' => [
                                         'Wearing'
                                       ],
                           'captivate.v' => [
                                            'Experiencer_obj'
                                          ],
                           'rouse.v' => [
                                        'Cause_to_wake'
                                      ],
                           'hindleg.n' => [
                                          'Observable_bodyparts'
                                        ],
                           'pendant.n' => [
                                          'Accoutrements'
                                        ],
                           'admonishment.n' => [
                                               'Judgment_direct_address'
                                             ],
                           'suffocate.v' => [
                                            'Death',
                                            'Killing'
                                          ],
                           'secret.a' => [
                                         'Secrecy_status'
                                       ],
                           'tack.v' => [
                                       'Attaching',
                                       'Operate_vehicle',
                                       'Self_motion'
                                     ],
                           'extrovert.n' => [
                                            'Sociability'
                                          ],
                           'hairslide.n' => [
                                            'Accoutrements'
                                          ],
                           'schoolteacher.n' => [
                                                'Education_teaching'
                                              ],
                           'bare-chested.a' => [
                                               'Wearing'
                                             ],
                           'counterfeit.a' => [
                                              'Imitation'
                                            ],
                           'occlude.v' => [
                                          'Eclipse'
                                        ],
                           'skulk.v' => [
                                        'Self_motion'
                                      ],
                           'kneel down.v' => [
                                             'Change_posture'
                                           ],
                           'oughta.v' => [
                                         'Being_obligated'
                                       ],
                           'slip on.v' => [
                                          'Dressing'
                                        ],
                           'medium-build.a' => [
                                               'Body_description_holistic'
                                             ],
                           'dysmenorrhoea.n' => [
                                                'Medical_conditions'
                                              ],
                           'interrogate.v' => [
                                              'Questioning'
                                            ],
                           'annoying.a' => [
                                           'Subject_stimulus'
                                         ],
                           'double.v' => [
                                         'Change_position_on_a_scale'
                                       ],
                           'costume.n' => [
                                          'Clothing'
                                        ],
                           'tricycle.n' => [
                                           'Vehicle'
                                         ],
                           'cheese.n' => [
                                         'Food'
                                       ],
                           'ben.n' => [
                                      'Building_subparts'
                                    ],
                           'concern.v' => [
                                          'Topic'
                                        ],
                           'exasperated.a' => [
                                              'Emotion_directed'
                                            ],
                           'forefinger.n' => [
                                             'Observable_bodyparts'
                                           ],
                           'strip.v' => [
                                        'Emptying',
                                        'Removing'
                                      ],
                           'discuss.v' => [
                                          'Discussion',
                                          'Speak_on_topic',
                                          'Topic'
                                        ],
                           'measure.n' => [
                                          'Quantity'
                                        ],
                           'thoroughfare.n' => [
                                               'Roadways'
                                             ],
                           'forbearance.n' => [
                                              'Avoiding'
                                            ],
                           'partition.v' => [
                                            'Separation'
                                          ],
                           'flash.n' => [
                                        'Light_movement',
                                        'Location_of_light'
                                      ],
                           'discreet.a' => [
                                           'Candidness'
                                         ],
                           'prognosticate.v' => [
                                                'Predicting'
                                              ],
                           'depressed.a' => [
                                            'Emotion_directed'
                                          ],
                           'discomforting.a' => [
                                                'Subject_stimulus'
                                              ],
                           'armistice day.n' => [
                                                'Commemorative'
                                              ],
                           'emergence.n' => [
                                            'Path_shape'
                                          ],
                           'shirk.v' => [
                                        'Avoiding'
                                      ],
                           'pull.v' => [
                                       'Cause_motion',
                                       'Experience_bodily_harm',
                                       'Ingest_substance',
                                       'Manipulation'
                                     ],
                           'repair.v' => [
                                         'Self_motion'
                                       ],
                           'six-shooter.n' => [
                                              'Weapon'
                                            ],
                           'clunk.v' => [
                                        'Impact',
                                        'Motion_noise'
                                      ],
                           'lick.v' => [
                                       'Manipulation'
                                     ],
                           'pioneering.a' => [
                                             'Achieving_first'
                                           ],
                           'railroad.n' => [
                                           'Roadways'
                                         ],
                           'churlish.a' => [
                                           'Social_interaction_evaluation'
                                         ],
                           'embittered.a' => [
                                             'Emotion_directed'
                                           ],
                           'weld.v' => [
                                       'Attaching',
                                       'Building'
                                     ],
                           'moist.a' => [
                                        'Being_wet'
                                      ],
                           'phrasing.n' => [
                                           'Encoding'
                                         ],
                           'shirt.n' => [
                                        'Clothing'
                                      ],
                           'discrimination.n' => [
                                                 'Differentiation'
                                               ],
                           'fight.v' => [
                                        'Hostile_encounter',
                                        'Quarreling'
                                      ],
                           'compulsive.a' => [
                                             'Addiction'
                                           ],
                           'bar.n' => [
                                      'Buildings',
                                      'Natural_features'
                                    ],
                           'mom.n' => [
                                      'Kinship'
                                    ],
                           'eruption.n' => [
                                           'Process_start'
                                         ],
                           'entrance.n' => [
                                           'Arriving'
                                         ],
                           'dissatisfied.a' => [
                                               'Experiencer_subj'
                                             ],
                           'saute.v' => [
                                        'Apply_heat'
                                      ],
                           'eavesdrop.v' => [
                                            'Perception_active'
                                          ],
                           'bellow.n' => [
                                         'Sounds'
                                       ],
                           'wretched.a' => [
                                           'Emotion_directed'
                                         ],
                           'decapitate.v' => [
                                             'Killing'
                                           ],
                           'scream.v' => [
                                         'Communication_noise',
                                         'Make_noise'
                                       ],
                           'mouth.v' => [
                                        'Communication_manner'
                                      ],
                           'church.n' => [
                                         'Buildings'
                                       ],
                           'visit.n' => [
                                        'Arriving'
                                      ],
                           'give job.v' => [
                                           'Hiring'
                                         ],
                           'beckon.v' => [
                                         'Gesture'
                                       ],
                           'midwife.n' => [
                                          'Medical_professionals'
                                        ],
                           'in_hopes_of.prep' => [
                                                 'Desiring'
                                               ],
                           'hanker.v' => [
                                         'Desiring',
                                         'Experiencer_subj'
                                       ],
                           'risk.n' => [
                                       'Daring',
                                       'Run_risk'
                                     ],
                           'gleam.n' => [
                                        'Light_movement',
                                        'Location_of_light'
                                      ],
                           'swing.n' => [
                                        'Moving_in_place'
                                      ],
                           'expansion.n' => [
                                            'Cause_expansion',
                                            'Expansion'
                                          ],
                           'put to death.v' => [
                                               'Execution'
                                             ],
                           'enough.n' => [
                                         'Sufficiency'
                                       ],
                           'limb.n' => [
                                       'Observable_bodyparts'
                                     ],
                           'desiccate.v' => [
                                            'Cause_to_be_dry'
                                          ],
                           'sadness.n' => [
                                          'Emotion_directed'
                                        ],
                           'sound.n' => [
                                        'Natural_features',
                                        'Sensation',
                                        'Sounds'
                                      ],
                           'nose.v' => [
                                       'Seeking'
                                     ],
                           'addict.n' => [
                                         'Addiction'
                                       ],
                           'repertory.n' => [
                                            'Aggregate'
                                          ],
                           'scathing.a' => [
                                           'Judgment_communication'
                                         ],
                           'rule.v' => [
                                       'Leadership',
                                       'Verdict'
                                     ],
                           'refer.v' => [
                                        'Referring_by_name'
                                      ],
                           'echo.v' => [
                                       'Sound_movement'
                                     ],
                           'gripe.v' => [
                                        'Statement'
                                      ],
                           'celebration.n' => [
                                              'Social_event'
                                            ],
                           'mount.v' => [
                                        'Path_shape',
                                        'Placing'
                                      ],
                           'reprobate.a' => [
                                            'Morality_evaluation'
                                          ],
                           'disapproval.n' => [
                                              'Judgment'
                                            ],
                           'spinster.n' => [
                                           'Personal_relationship'
                                         ],
                           'parched.a' => [
                                          'Being_dry',
                                          'Biological_urge'
                                        ],
                           'fluctuate.v' => [
                                            'Change_position_on_a_scale'
                                          ],
                           'buttered.a' => [
                                           'Abundance'
                                         ],
                           'chock-a-block.a' => [
                                                'Abundance'
                                              ],
                           'shredded.a' => [
                                           'Ground_up'
                                         ],
                           'mayor.n' => [
                                        'Leadership'
                                      ],
                           'barracks.n' => [
                                           'Buildings'
                                         ],
                           'brilliant.a' => [
                                            'Location_of_light',
                                            'Mental_property'
                                          ],
                           'thrust.v' => [
                                         'Cause_motion'
                                       ],
                           'paperback.n' => [
                                            'Text'
                                          ],
                           'anteroom.n' => [
                                           'Building_subparts'
                                         ],
                           'condemnation.n' => [
                                               'Judgment_communication'
                                             ],
                           'counter.v' => [
                                          'Communication_response'
                                        ],
                           'tiara.n' => [
                                        'Accoutrements'
                                      ],
                           'shame.v' => [
                                        'Experiencer_obj'
                                      ],
                           'mutter.v' => [
                                         'Communication_manner'
                                       ],
                           'waistcoat.n' => [
                                            'Clothing'
                                          ],
                           'purple.a' => [
                                         'Color'
                                       ],
                           'exalt.v' => [
                                        'Judgment'
                                      ],
                           'intimidating.a' => [
                                               'Subject_stimulus'
                                             ],
                           'inept.a' => [
                                        'Expertise'
                                      ],
                           'dishearten.v' => [
                                             'Experiencer_obj'
                                           ],
                           'sweep.v' => [
                                        'Scouring',
                                        'Scrutiny'
                                      ],
                           'chip.v' => [
                                       'Damaging'
                                     ],
                           'ticket.n' => [
                                         'Fining'
                                       ],
                           'fifth.n' => [
                                        'Part_whole'
                                      ],
                           'have got on.v' => [
                                              'Wearing'
                                            ],
                           'tweak.v' => [
                                        'Manipulation'
                                      ],
                           'careless.a' => [
                                           'Mental_property'
                                         ],
                           'journey.n' => [
                                          'Travel'
                                        ],
                           'penny-wise.a' => [
                                             'Frugality'
                                           ],
                           'depiction.n' => [
                                            'Communicate_categorization'
                                          ],
                           'flabby.a' => [
                                         'Body_description_holistic'
                                       ],
                           'swagger.v' => [
                                          'Self_motion'
                                        ],
                           'damage.v' => [
                                         'Damaging'
                                       ],
                           'consultant.n' => [
                                             'People_by_vocation'
                                           ],
                           'parallel.n' => [
                                           'Similarity'
                                         ],
                           'shock.n' => [
                                        'Medical_conditions'
                                      ],
                           'picnic.n' => [
                                         'Social_event'
                                       ],
                           'stone.v' => [
                                        'Cause_harm'
                                      ],
                           'crock.n' => [
                                        'Containers'
                                      ],
                           'consciousness.n' => [
                                                'Awareness'
                                              ],
                           'improbability.n' => [
                                                'Likelihood'
                                              ],
                           'squat.v' => [
                                        'Change_posture',
                                        'Posture',
                                        'Residence'
                                      ],
                           'cauldron.n' => [
                                           'Containers'
                                         ],
                           'down.a' => [
                                       'Being_operational'
                                     ],
                           'obtain.v' => [
                                         'Getting'
                                       ],
                           'damp.a' => [
                                       'Being_wet'
                                     ],
                           'syndrome.n' => [
                                           'Medical_conditions'
                                         ],
                           'next to.prep' => [
                                             'Locative_relation'
                                           ],
                           'ill-advised.a' => [
                                              'Mental_property'
                                            ],
                           'safari.n' => [
                                         'Travel'
                                       ],
                           'testimony.n' => [
                                            'Documents'
                                          ],
                           'distribute.v' => [
                                             'Dispersal'
                                           ],
                           'killing.n' => [
                                          'Killing'
                                        ],
                           'warble.v' => [
                                         'Communication_noise'
                                       ],
                           'felonious.a' => [
                                            'Morality_evaluation',
                                            'Severity_of_offense'
                                          ],
                           'amusing.a' => [
                                          'Subject_stimulus'
                                        ],
                           'torrential.a' => [
                                             'Precipitation'
                                           ],
                           'glacier.n' => [
                                          'Natural_features'
                                        ],
                           'hijacker.n' => [
                                           'Piracy'
                                         ],
                           'tiresome.a' => [
                                           'Subject_stimulus'
                                         ],
                           'alleviate.v' => [
                                            'Cure'
                                          ],
                           'foreseeable.a' => [
                                              'Expectation'
                                            ],
                           'bring about.v' => [
                                              'Cause_to_start'
                                            ],
                           'snicker.v' => [
                                          'Make_noise'
                                        ],
                           'shocker.n' => [
                                          'Experiencer_obj'
                                        ],
                           'swap out.v' => [
                                           'Replacing'
                                         ],
                           'rise.v' => [
                                       'Change_position_on_a_scale',
                                       'Change_posture',
                                       'Path_shape'
                                     ],
                           'prior.a' => [
                                        'Relative_time'
                                      ],
                           'wig.n' => [
                                      'Accoutrements'
                                    ],
                           'announce.v' => [
                                           'Omen',
                                           'Statement'
                                         ],
                           'nightie.n' => [
                                          'Clothing'
                                        ],
                           'bearing.n' => [
                                          'Conduct'
                                        ],
                           'presumption.n' => [
                                              'Awareness'
                                            ],
                           'start.v' => [
                                        'Activity_start',
                                        'Process_start'
                                      ],
                           'barbiturate.n' => [
                                              'Intoxicants'
                                            ],
                           'disclosure.n' => [
                                             'Reveal_secret'
                                           ],
                           'renew.v' => [
                                        'Activity_resume'
                                      ],
                           'smeared.a' => [
                                          'Abundance'
                                        ],
                           'sob.v' => [
                                      'Make_noise'
                                    ],
                           'red-haired.a' => [
                                             'Body_description_part'
                                           ],
                           'convince.v' => [
                                           'Eventive_cognizer_affecting',
                                           'Suasion'
                                         ],
                           'bad.a' => [
                                      'Desirability',
                                      'Expertise',
                                      'Morality_evaluation'
                                    ],
                           'cure.v' => [
                                       'Cure',
                                       'Preserving'
                                     ],
                           'link.n' => [
                                       'Make_cognitive_connection'
                                     ],
                           'syringe.n' => [
                                          'Medical_instruments'
                                        ],
                           'rain.n' => [
                                       'Precipitation'
                                     ],
                           'sparing.a' => [
                                          'Frugality'
                                        ],
                           'assess.v' => [
                                         'Assessing'
                                       ],
                           'believe.v' => [
                                          'Awareness',
                                          'Certainty',
                                          'Religious_belief'
                                        ],
                           'massacre.v' => [
                                           'Killing'
                                         ],
                           'shine.n' => [
                                        'Light_movement',
                                        'Location_of_light'
                                      ],
                           'crumbled.a' => [
                                           'Ground_up'
                                         ],
                           'disciplinary.a' => [
                                               'Rewards_and_punishments'
                                             ],
                           'eviction.n' => [
                                           'Removing'
                                         ],
                           'sinful.a' => [
                                         'Morality_evaluation'
                                       ],
                           'guide.v' => [
                                        'Cotheme',
                                        'Influence_of_event_on_cognizer'
                                      ],
                           'bump.v' => [
                                       'Impact'
                                     ],
                           'destroy.v' => [
                                          'Destroying'
                                        ],
                           'momentary.a' => [
                                            'Duration'
                                          ],
                           'pledge.n' => [
                                         'Commitment'
                                       ],
                           'suitability.n' => [
                                              'Suitability'
                                            ],
                           'can.n' => [
                                      'Containers',
                                      'Measure_volume'
                                    ],
                           'joyful.a' => [
                                         'Experiencer_subj'
                                       ],
                           'satisfied.a' => [
                                            'Experiencer_subj'
                                          ],
                           'caliph.n' => [
                                         'Leadership'
                                       ],
                           'gripping.a' => [
                                           'Subject_stimulus'
                                         ],
                           'heart.n' => [
                                        'Part_orientational'
                                      ],
                           'retain.v' => [
                                         'Hiring',
                                         'Memory'
                                       ],
                           'today.n' => [
                                        'Calendric_unit'
                                      ],
                           'fish.n' => [
                                       'Food'
                                     ],
                           'social.n' => [
                                         'Social_event'
                                       ],
                           'wigwam.n' => [
                                         'Buildings'
                                       ],
                           'shoe.n' => [
                                       'Clothing'
                                     ],
                           'vale.n' => [
                                       'Natural_features'
                                     ],
                           'shut.v' => [
                                       'Body_movement'
                                     ],
                           'exchange.n' => [
                                           'Discussion',
                                           'Exchange'
                                         ],
                           'dubious.a' => [
                                          'Certainty',
                                          'Suspiciousness'
                                        ],
                           'monastery.n' => [
                                            'Buildings'
                                          ],
                           'advanced.a' => [
                                           'Position_on_a_scale'
                                         ],
                           'tenth.n' => [
                                        'Part_whole'
                                      ],
                           'knowledgeable.a' => [
                                                'Awareness',
                                                'Expertise'
                                              ],
                           'fen.n' => [
                                      'Biological_area'
                                    ],
                           'notification.n' => [
                                               'Telling'
                                             ],
                           'defence.n' => [
                                          'Justifying'
                                        ],
                           'retaliation.n' => [
                                              'Revenge'
                                            ],
                           'tragedy.n' => [
                                          'Catastrophe',
                                          'Text'
                                        ],
                           'whiff.n' => [
                                        'Sensation'
                                      ],
                           'wording.n' => [
                                          'Encoding'
                                        ],
                           'characterization.n' => [
                                                   'Communicate_categorization'
                                                 ],
                           'perception.n' => [
                                             'Perception_experience',
                                             'Sensation'
                                           ],
                           'widow.n' => [
                                        'Personal_relationship'
                                      ],
                           'north.n' => [
                                        'Part_orientational'
                                      ],
                           'bare.v' => [
                                       'Wearing'
                                     ],
                           'backwoods.n' => [
                                            'Isolated_places'
                                          ],
                           'enrichment.n' => [
                                             'Processing_materials'
                                           ],
                           'develop.v' => [
                                          'Coming_to_be'
                                        ],
                           'combat.n' => [
                                         'Hostile_encounter'
                                       ],
                           'kudos.n' => [
                                        'Judgment_communication'
                                      ],
                           'collocate.v' => [
                                            'Word_relations'
                                          ],
                           'partner.v' => [
                                          'Collaboration'
                                        ],
                           'neigh.n' => [
                                        'Sounds'
                                      ],
                           'profligacy.n' => [
                                             'Frugality'
                                           ],
                           'same.a' => [
                                       'Identicality'
                                     ],
                           'grade.v' => [
                                        'Assessing'
                                      ],
                           'annoy.v' => [
                                        'Experiencer_obj'
                                      ],
                           'cw.n' => [
                                     'Weapon'
                                   ],
                           'possible.a' => [
                                           'Likelihood'
                                         ],
                           'cholera.n' => [
                                          'Medical_conditions'
                                        ],
                           'ophthalmologist.n' => [
                                                  'Medical_professionals'
                                                ],
                           'plenty.a' => [
                                         'Sufficiency'
                                       ],
                           'copyright infringement.n' => [
                                                         'Offenses'
                                                       ],
                           'prevent.v' => [
                                          'Preventing',
                                          'Thwarting'
                                        ],
                           'ballgown.n' => [
                                           'Clothing'
                                         ],
                           'statutory rape.n' => [
                                                 'Offenses'
                                               ],
                           'bottom.n' => [
                                         'Part_orientational'
                                       ],
                           'inequitable.a' => [
                                              'Fairness_evaluation'
                                            ],
                           'intern.v' => [
                                         'Detaining'
                                       ],
                           'shitload.n' => [
                                           'Quantity'
                                         ],
                           'corset.n' => [
                                         'Clothing'
                                       ],
                           'fake.n' => [
                                       'Imitation'
                                     ],
                           'longing.n' => [
                                          'Desiring'
                                        ],
                           'fry.v' => [
                                      'Absorb_heat',
                                      'Apply_heat'
                                    ],
                           'have to.v' => [
                                          'Being_obligated'
                                        ],
                           'thicken.v' => [
                                          'Cause_change_of_consistency',
                                          'Change_of_consistency'
                                        ],
                           'hum.n' => [
                                      'Sounds'
                                    ],
                           'sire.v' => [
                                       'Birth'
                                     ],
                           'heart-warming.a' => [
                                                'Subject_stimulus'
                                              ],
                           'lamentable.a' => [
                                             'Praiseworthiness'
                                           ],
                           'essay.n' => [
                                        'Text'
                                      ],
                           'flit.v' => [
                                       'Self_motion'
                                     ],
                           'come into existence.v' => [
                                                      'Coming_to_be'
                                                    ],
                           'july.n' => [
                                       'Calendric_unit'
                                     ],
                           'praenomen.n' => [
                                            'Being_named'
                                          ],
                           'meningitis.n' => [
                                             'Medical_conditions'
                                           ],
                           'huddled.a' => [
                                          'Posture'
                                        ],
                           'peek.n' => [
                                       'Perception_active'
                                     ],
                           'orange.a' => [
                                         'Color'
                                       ],
                           'comportment.n' => [
                                              'Conduct'
                                            ],
                           'devise.v' => [
                                         'Invention'
                                       ],
                           'adoration.n' => [
                                            'Experiencer_subj'
                                          ],
                           'thrilled.a' => [
                                           'Emotion_directed'
                                         ],
                           'feign.v' => [
                                        'Imitation'
                                      ],
                           'impede.v' => [
                                         'Hindering'
                                       ],
                           'fulfillment.n' => [
                                              'Experiencer_subj'
                                            ],
                           'venture.v' => [
                                          'Daring',
                                          'Self_motion',
                                          'Statement'
                                        ],
                           'embezzler.n' => [
                                            'Theft'
                                          ],
                           'cycle.v' => [
                                        'Operate_vehicle'
                                      ],
                           'degree.n' => [
                                         'Quantity'
                                       ],
                           'get_loose.v' => [
                                            'Escaping'
                                          ],
                           'muscular.a' => [
                                           'Body_description_holistic'
                                         ],
                           'against.prep' => [
                                             'Locative_relation'
                                           ],
                           'thieve.v' => [
                                         'Theft'
                                       ],
                           'stimulating.a' => [
                                              'Subject_stimulus'
                                            ],
                           'zipper.n' => [
                                         'Clothing_parts'
                                       ]
                         }
        };

store($VAR1, $fname);
